
ALTER PROCEDURE [dbo].[p_autocalc_046_001700] @sc int
AS 
BEGIN

declare @t85 table (
id int, 
is85 int )

declare @tt table (
  id int,
  code_mo nvarchar(6),
  month int,
  W int,
  vozr int,
  OS_SLUCH_REGION int,
  [Real_Kol_Usl] int,
  dt datetime
  )




insert @tt
select
  k.id,
  k.code_mo,
  k.month,
  K.W,
  K.[vozr],
  K.OS_SLUCH_REGION,
  count (*) [Real_Kol_Usl],
 DATE_Z_2
from
(
select
  sch.code_mo,
  sch.month,
  zs.id,
  p.w,
  year(zs.date_z_1) - year(p.dr)  [vozr],
  zs.OS_SLUCH_REGION,
  u.[VID_VME]
  ,DU.[Pol]
    ,DU.[Age],
	zs.DATE_Z_2
FROM [dbo].[D3_SCHET_OMS] sch
    inner join [dbo].[D3_PACIENT_OMS] p on sch.id=p.[D3_SCID]
                                and sch.id =  @sc 
    inner join [dbo].[D3_ZSL_OMS] zs on p.id=zs.[D3_PID]
                              and zs.OS_SLUCH_REGION=47
    inner join [dbo].[D3_SL_OMS] sl on zs.id=sl.[D3_ZSLID]
    inner join [dbo].[D3_USL_OMS] u on u.D3_SLID=sl.id
                              and (u.[NPL] not in (1,2) --����� ��????????
                                or u.[NPL] is null)
    inner join [dbo].Kursk_Usl_124N du 
                      on du.[Pol]=p.w
                      --AND charindex(cast(dbo.f_GetAge (p.dr,zs.date_z_1) as nvarchar)+',',DU.Age)<>0
                                            AND charindex(cast(year(zs.date_z_2) - year(p.dr) as nvarchar(4))+',',DU.Age)<>0
                      and ltrim(rtrim(du.Code_Usl))=ltrim(rtrim(u.[VID_VME])) and (zs.DATE_Z_2 >= du.DBEG and zs.DATE_Z_2 < du.DEND + 1)
)k
group by
  k.id,
  k.code_mo,
  k.month,
  K.W,
  K.[vozr],
  K.OS_SLUCH_REGION,
  DATE_Z_2


 
insert @t85
select
  z.id, 1
  --z.*, gr.[StandartKolUsl], GR.IdGr
FROM @tt z
where z.[Real_Kol_Usl]< (select round(count(*) * 0.85, 0) from [dbo].[Kursk_Usl_124N] Gr 
    where gr.OsSluchReg=z.OS_SLUCH_REGION
    and gr.[Pol]=z.W
    AND charindex(cast(z.[vozr] as nvarchar)+',',Gr.Age)<>0 and (z.dt >= gr.DBEG and z.dt < gr.DEND + 1))

--select
                    Update D3_ZSL_OMS SET 
                    SUMV= 
                            (CASE 
                                WHEN /*t15.is15 is null and*/ t85.is85 is null and year(DATE_Z_2) - year(dr) in (18,21,24,27,30,33,36,39,41,43,47,49,51,53,57,59,61,63,76,77,78, 79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107) AND W = 1 THEN t.tarif1*isnull(vbr.PKAPP,1)
                                WHEN /*t15.is15 is null and*/ t85.is85 is null and year(DATE_Z_2) - year(dr) in (40,42,44,46,48,52,54,56,58,62,65,66,67,68,69,70,71,72,73,74,75) AND W = 1 THEN t.tarif2*isnull(vbr.PKAPP,1)
                                WHEN /*t15.is15 is null and*/ t85.is85 is null and year(DATE_Z_2) - year(dr) in (55) AND W = 1 THEN t.tarif3*isnull(vbr.PKAPP,1)
                                WHEN /*t15.is15 is null and*/ t85.is85 is null and year(DATE_Z_2) - year(dr) in (50,60,64) AND W = 1 THEN t.tarif4*isnull(vbr.PKAPP,1)
                                WHEN /*t15.is15 is null and*/ t85.is85 is null and year(DATE_Z_2) - year(dr) in (45) AND W = 1 THEN t.tarif5*isnull(vbr.PKAPP,1)
                                     /*                    */
                                WHEN /*t15.is15 is null and*/ t85.is85 is null and year(DATE_Z_2) - year(dr) in (41,43,47,49,53,55,59,61,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90, 91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107) AND W = 2 THEN t.tarif6*isnull(vbr.PKAPP,1)
                                WHEN /*t15.is15 is null and*/ t85.is85 is null and year(DATE_Z_2) - year(dr) in (18,21,24,27,30,33,36,39,51,57,63,65,67,69,71,73,75) AND W = 2 THEN t.tarif7*isnull(vbr.PKAPP,1)
                                WHEN /*t15.is15 is null and*/ t85.is85 is null and year(DATE_Z_2) - year(dr) in (40,44,46,50,52,56,58,62,64,66,68,70,72,74) AND W = 2 THEN t.tarif8*isnull(vbr.PKAPP,1)
                                WHEN /*t15.is15 is null and*/ t85.is85 is null and year(DATE_Z_2) - year(dr) in (42,45,48,54,60) AND W = 2 THEN t.tarif9*isnull(vbr.PKAPP,1)


                                WHEN t85.is85 = 1 and year(DATE_Z_2) - year(dr) in (18,21,24,27,30,33,36,39,41,43,47,49,51,53,57,59,61,63,76,77,78, 79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107) AND W = 1 THEN 0
                                WHEN t85.is85 = 1 and year(DATE_Z_2) - year(dr) in (40,42,44,46,48,52,54,56,58,62,65,66,67,68,69,70,71,72,73,74,75) AND W = 1 THEN 0
                                WHEN t85.is85 = 1 and year(DATE_Z_2) - year(dr) in (55) AND W = 1 THEN 0
                                WHEN t85.is85 = 1 and year(DATE_Z_2) - year(dr) in (50,60,64) AND W = 1 THEN 0
                                WHEN t85.is85 = 1 and year(DATE_Z_2) - year(dr) in (45) AND W = 1 THEN 0

                                WHEN t85.is85 = 1 and year(DATE_Z_2) - year(dr) in (41,43,47,49,53,55,59,61,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90, 91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107) AND W = 2 THEN 0
                                WHEN t85.is85 = 1 and year(DATE_Z_2) - year(dr) in (18,21,24,27,30,33,36,39,51,57,63,65,67,69,71,73,75) AND W = 2 THEN 0
                                WHEN t85.is85 = 1 and year(DATE_Z_2) - year(dr) in (40,44,46,50,52,56,58,62,64,66,68,70,72,74) AND W = 2 THEN 0
                                WHEN t85.is85 = 1 and year(DATE_Z_2) - year(dr) in (42,45,48,54,60) AND W = 2 THEN 0


								--WHEN t15.is15 = 1 and year(DATE_Z_2) - year(dr) in (18,21,24,27,30,33,36,39,41,43,47,49,51,53,57,59,61,63,76,77,78, 79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99) AND W = 1 THEN t.TARIF12
                                --WHEN t15.is15 = 1 and year(DATE_Z_2) - year(dr) in (40,42,44,46,48,52,54,56,58,62,65,66,67,68,69,70,71,72,73,74,75) AND W = 1 THEN t.TARIF12
                                --WHEN t15.is15 = 1 and year(DATE_Z_2) - year(dr) in (55) AND W = 1 THEN t.TARIF12
                                --WHEN t15.is15 = 1 and year(DATE_Z_2) - year(dr) in (50,60,64) AND W = 1 THEN t.TARIF12
                                --WHEN t15.is15 = 1 and year(DATE_Z_2) - year(dr) in (45) AND W = 1 THEN t.TARIF12
                                --
                                --WHEN t15.is15 = 1 and year(DATE_Z_2) - year(dr) in (41,43,47,49,53,55,59,61,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90, 91,92,93,94,95,96,97,98,99) AND W = 2 THEN t.TARIF12
                                --WHEN t15.is15 = 1 and year(DATE_Z_2) - year(dr) in (18,21,24,27,30,33,36,39,51,57,63,65,67,69,71,73,75) AND W = 2 THEN t.TARIF12
                                --WHEN t15.is15 = 1 and year(DATE_Z_2) - year(dr) in (40,44,46,50,52,56,58,62,64,66,68,70,72,74) AND W = 2 THEN t.TARIF12
                                --WHEN t15.is15 = 1 and year(DATE_Z_2) - year(dr) in (42,45,48,54,60) AND W = 2 THEN t.TARIF12

                            END)

                from D3_ZSL_OMS zsl
        JOIN D3_PACIENT_OMS pa on zsl.D3_PID = pa.ID
                join CalcAmbTarif t on zsl.OS_SLUCH_REGION = t.OS_SLUCH and (zsl.DATE_Z_2 >= t.TBEG and zsl.DATE_Z_2 < t.TEND + 1)
        left join @t85 t85 on zsl.id = t85.id
		left join CalcVBR vbr on vbr.vbr=zsl.VBR and zsl.OS_SLUCH_REGION=vbr.OS_SLUCH_REGION and DATE_Z_2 between vbr.TBEG and vbr.TEND
                    where zsl.D3_SCID =  @sc   and 
          zsl.OS_SLUCH_REGION = 47

update sl set 
--select
sum_m = tt1.sumv, tarif = tt1.tarif
from d3_sl_oms sl
join ( select case when RN = 1 then sumv else 0.00 end sumv, sumv tarif, ID from
(
select ROW_NUMBER() OVER (PARTITION BY zsl.ID  ORDER BY sl.date_2 desc) RN,
sl.*, zsl.sumv sumv
from D3_ZSL_OMS zsl
join d3_sl_oms sl on zsl.ID = sl.D3_ZSLID
join d3_schet_oms sc on zsl.D3_SCID = sc.ID

where  zsl.D3_SCID =  @sc   and 
          zsl.OS_SLUCH_REGION = 47
) tt --where tt.RN = 1
) tt1 on sl.ID = tt1.ID
end