ALTER PROCEDURE [dbo].[p_fix] @sc int
AS --09.01.2018 --06.02.2019
--19.02.2019 = взяты все фиксы из кода ПО Ямед - в "пакет фиксов"
--26.02.2019 = пакет фиксов поправил АС.
--27.12.2019 32 вид оплаты для вмп, убраны старые фиксы для старых таблиц.
--04.02.2020 фикс ашурковской загрузки
BEGIN
	
	declare @fixes int -- счётчик пакета правок.
	declare @t table  (name varchar(255),cnt int) -- таблица-отчёт

	declare @V010 table 
				([OS_SLUCH_REGION] [int] NULL,P_CEL nvarchar(3),IDSP int)

INSERT into @V010 ([OS_SLUCH_REGION], [P_CEL], [IDSP]) VALUES (4, N'2.3', 29)
INSERT into @V010  ([OS_SLUCH_REGION], [P_CEL], [IDSP]) VALUES (5, N'2.3', 29)
INSERT into @V010  ([OS_SLUCH_REGION], [P_CEL], [IDSP]) VALUES (6, N'3.0', 30)
INSERT into @V010  ([OS_SLUCH_REGION], [P_CEL], [IDSP]) VALUES (7, N'2.2', 30)
--INSERT into @V010  ([OS_SLUCH_REGION], [P_CEL], [IDSP]) VALUES (8, N'2.2', 30) --не проверяется
INSERT into @V010  ([OS_SLUCH_REGION], [P_CEL], [IDSP]) VALUES (9, N'2.2', 30)
INSERT into @V010  ([OS_SLUCH_REGION], [P_CEL], [IDSP]) VALUES (11, N'2.2', 30)
--INSERT into @V010  ([OS_SLUCH_REGION], [P_CEL], [IDSP]) VALUES (12, N'2.2', 30) --не проверяется
INSERT into @V010  ([OS_SLUCH_REGION], [P_CEL], [IDSP]) VALUES (17, N'2.2', 30)
--INSERT into @V010  ([OS_SLUCH_REGION], [P_CEL], [IDSP]) VALUES (18, N'2.2', 30) --не проверяется
INSERT into @V010  ([OS_SLUCH_REGION], [P_CEL], [IDSP]) VALUES (20, N'0', 33)
INSERT into @V010  ([OS_SLUCH_REGION], [P_CEL], [IDSP]) VALUES (21, N'2.3', 28)
INSERT into @V010  ([OS_SLUCH_REGION], [P_CEL], [IDSP]) VALUES (22, N'2.2', 30)
--INSERT into @V010  ([OS_SLUCH_REGION], [P_CEL], [IDSP]) VALUES (23, N'2.2', 30) --не проверяется
INSERT into @V010  ([OS_SLUCH_REGION], [P_CEL], [IDSP]) VALUES (24, N'0', 33)
INSERT into @V010  ([OS_SLUCH_REGION], [P_CEL], [IDSP]) VALUES (29, N'2.3', 28)
INSERT into @V010  ([OS_SLUCH_REGION], [P_CEL], [IDSP]) VALUES (30, N'2.3', 30)
INSERT into @V010  ([OS_SLUCH_REGION], [P_CEL], [IDSP]) VALUES (31, N'2.3', 30)
INSERT into @V010  ([OS_SLUCH_REGION], [P_CEL], [IDSP]) VALUES (32, N'2.3', 28)
INSERT into @V010  ([OS_SLUCH_REGION], [P_CEL], [IDSP]) VALUES (33, N'2.3', 28)
INSERT into @V010  ([OS_SLUCH_REGION], [P_CEL], [IDSP]) VALUES (34, N'2.3', 28)
INSERT into @V010  ([OS_SLUCH_REGION], [P_CEL], [IDSP]) VALUES (35, N'1.0', 29)
INSERT into @V010  ([OS_SLUCH_REGION], [P_CEL], [IDSP]) VALUES (36, N'2.3', 30)
INSERT into @V010  ([OS_SLUCH_REGION], [P_CEL], [IDSP]) VALUES (37, N'2.2', 30)
INSERT into @V010  ([OS_SLUCH_REGION], [P_CEL], [IDSP]) VALUES (38, N'2.2', 30)
INSERT into @V010  ([OS_SLUCH_REGION], [P_CEL], [IDSP]) VALUES (39, N'2.3', 30)

--(8,12,14,16,18,23)


	update d3_sl_oms set ED_COL =1 where ed_col is null

	insert into @t	select 'проставлено 1 вместо пустых единиц: ',@@rowcount

	update p set smo=null,smo_ogrn=null,smo_ok=null,smo_nam=null,spolis=null,vpolis=null
	FROM d3_PACIENT_oms p where len(isnull(npolis,0))<2 and (smo is not null or smo_ogrn is not null or smo_ok is not null or smo_nam is not null or spolis is not null or vpolis is not null )
	insert into @t	select 'очищено СМО у бесполисных поликлиники: ',@@rowcount

	update sl set p_cel=null,p_cel25=null from [D3_SL_OMS] sl join d3_zsl_oms zsl on zsl.id=sl.d3_zslid where zsl.usl_ok=4 and zsl.d3_scid=@sc
	insert into @t	select 'очищены цели посещения в скорой помощи: ',@@rowcount

	update sl set nhistory=zsl.id from d3_zsl_oms zsl join d3_sl_oms sl on zsl.id=sl.d3_zslid and zsl.d3_scid=@sc
	where sl.nhistory is null
	insert into @t	select 'присвоен новый номер истории случаям в поликлинике: ',@@rowcount

	update sc set code=id from d3_schet_oms sc where code is null
	insert into @t	select 'проставлен code счетам, равный id: ',@@rowcount

	-- фикс подразделений LPU_1
	update sl set LPU_1 = case when zsl.usl_ok=3 then 301 when zsl.usl_ok=4 then 401 end
	FROM [dbo].[D3_SL_OMS] sl join d3_zsl_oms zsl on zsl.id=sl.d3_zslid where sl.LPU_1 is null
	insert into @t	select 'заполнено пропущенное поле LPU_1: ',@@rowcount

	update p set d3_scid = zsl.d3_scid
	FROM d3_zsl_oms zsl join d3_pacient_oms p on zsl.d3_pid=p.id and zsl.d3_scid=@sc
	where p.d3_scid<>zsl.d3_scid
	insert into @t	select 'поправлены ошибки переноса из реестра в реестр: ',@@rowcount

	update sl set 
	VERS_SPEC = 'V021'
	from D3_SL_OMS sl join d3_zsl_oms zsl on sl.d3_zslid=zsl.id 
	where VERS_SPEC is null and zsl.d3_scid=@sc
	insert into @t	select 'Поправлена версия специальности на V021  (посещения): ',@@rowcount
	
	update u set 
	VERS_SPEC = 'V021'
	from D3_SL_OMS sl join d3_zsl_oms zsl on sl.d3_zslid=zsl.id 
	join d3_usl_oms u on sl.id=u.d3_slid
	where u.VERS_SPEC is null and zsl.d3_scid=@sc
	insert into @t	select 'Поправлена версия специальности на V021  (услуги): ',@@rowcount

	update u set 
	KOL_USL=1
	from D3_SL_OMS sl join d3_zsl_oms zsl on sl.d3_zslid=zsl.id 
	join d3_usl_oms u on sl.id=u.d3_slid
	where u.KOL_USL is null and zsl.d3_scid=@sc
	insert into @t	select 'Поправлено количетсво услуг=1  (d3): ',@@rowcount


	UPDATE u SET CODE_USL = 'DISP.R022.008', COMENTU = 'Индивидуальное профилактическое консультирование'
		FROM D3_ZSL_OMS zs               
		join D3_SL_OMS s on s.D3_ZSLID=zs.ID                
		join   D3_USL_OMS u on u.d3_slid=s.id 
		WHERE u.CODE_USL = 'B04.070.002' and zs.OS_SLUCH_REGION=22 AND zs.D3_SCID = @sc
	insert into @t	select 'Поправлен ИПК ',@@rowcount

	update zs set RSLT =359
	FROM [D3_ZSL_OMS] zs where	(zs.OS_SLUCH_REGION in (37,38)
      and zs.RSLT not in (359)) and zs.D3_SCID = @sc
    insert into @t	select 'Проставлен результат в осслуч 37,38 равный 359: ',@@rowcount
 
    update zs set RSLT =314
	FROM [D3_ZSL_OMS] zs where	(zs.OS_SLUCH_REGION in (4,5,21,29,30,31,32,33,34,35,6,36,39)
      and zs.RSLT not in (314)) and zs.D3_SCID = @sc
    insert into @t	select 'Проставлен результат в осслуч (4,5,21,29,30,31,32,33,34,35,6,36,39) равный 314: ',@@rowcount

	update zs set ISHOD =306
	FROM [D3_ZSL_OMS] zs where	(zs.OS_SLUCH_REGION in (4,5,7,8,9,11,12,17,18,21,22,23,29,30,31,32,33,34,37,38)
    and zs.[ISHOD] not in (306)) and zs.D3_SCID = @sc
    insert into @t	select 'Проставлен исход в осслуч (4,5,7,8,9,11,12,17,18,21,22,23,29,30,31,32,33,34,37,38) равный 306: ',@@rowcount

	update u set  date_out=u.date_in
	FROM [D3_ZSL_OMS] zsl join d3_sl_oms sl on zsl.id=sl.d3_zslid join d3_usl_oms u on u.d3_slid=sl.id
	where	zsl.OS_SLUCH_REGION in (22,23,9) and u.date_in<>isnull(u.date_out,'01.01.2018') and zsl.D3_SCID = @sc
	insert into @t	select 'Проставлена дата окончания равно дате начале услуги в особслуч 22,23,9: ',@@rowcount

	update sl
	set dn=3
	from d3_zsl_oms zsl join d3_sl_oms sl on zsl.id=sl.d3_zslid
	where zsl.d3_scid=@sc and sl.dn is null and sl.p_cel25 in ('1.3','2.2')
	insert into @t	select 'Проставлено Диспанс.наблюдение=3: ',@@rowcount


	update zsl set IDSP=33 
	from d3_zsl_oms zsl join d3_sl_oms sl on sl.d3_zslid=zsl.id 
	where isnull(zsl.idsp,0)<>33 and zsl.d3_scid=@sc and zsl.usl_ok in (1,2) and VIDPOM<>32
	insert into @t	select 'Проставлен способ оплаты 33 для стационара(D3): ',@@rowcount

	update zsl set IDSP=32 
	from d3_zsl_oms zsl join d3_sl_oms sl on sl.d3_zslid=zsl.id 
	where isnull(zsl.idsp,0)<>32 and zsl.d3_scid=@sc and VIDPOM=32
	insert into @t	select 'Проставлен способ оплаты 32 для вмп: ',@@rowcount

   
	update zsl set IDSP=v10.IDSP 
	from d3_zsl_oms zsl join d3_sl_oms sl on sl.d3_zslid=zsl.id 
	join @v010 v10 on zsl.OS_SLUCH_REGION=v10.OS_SLUCH_REGION
	where zsl.idsp<>v10.IDSP and zsl.d3_scid=@sc and zsl.usl_ok=3 and zsl.OS_SLUCH_REGION is not null 
	insert into @t	select 'Проставлен способ оплаты по особому случаю (поликлиника): ',@@rowcount

	update zsl set IDSP=(case when sl.p_cel25 in ('1.0','1.1','1.2','1.3','2.1','2.3','2.5','2.6') then 29  else 30 end)
	from d3_zsl_oms zsl join d3_sl_oms sl on sl.d3_zslid=zsl.id 
	where zsl.idsp<>(case when sl.p_cel25 in ('1.0','1.1','1.2','1.3','2.1','2.3','2.5','2.6') then 29  else 30 end) and zsl.d3_scid=@sc and zsl.usl_ok=3 and zsl.OS_SLUCH_REGION is null  and sl.p_cel25 is not null
	insert into @t	select 'Проставлен способ оплаты для обычной поликлиники: ',@@rowcount

	
	update sl set P_CEL25=nullif(v10.P_CEL ,'0')
	from d3_zsl_oms zsl join d3_sl_oms sl on sl.d3_zslid=zsl.id 
	join @v010 v10 on zsl.OS_SLUCH_REGION=v10.OS_SLUCH_REGION
	where isnull(sl.p_cel25,0)<>v10.p_cel and zsl.d3_scid=@sc and zsl.usl_ok=3 and zsl.OS_SLUCH_REGION is not null
	insert into @t	select 'Проставлена цель по особому случаю (поликлиника): ',@@rowcount

	update sl set DS_ONK=0
	from d3_zsl_oms zsl join d3_sl_oms sl on sl.d3_zslid=zsl.id 
	where DS_ONK is null and zsl.d3_scid=@sc and sl.p_cel25='2.2'
	insert into @t	select 'Проставлено отсутсвие подозрения на онко в диспансеризации: ',@@rowcount


	 --убираю остатки после переноса.
	update D3_SL_OMS set reab = null where reab>1


	
       --блок фиксов вырезанных из ПО ямед.
			set @fixes = 0
             UPDATE D3_ZSL_OMS SET ZSL_ID = newid() WHERE ZSL_ID IS NULL
			 set @fixes = @fixes+@@rowcount
             UPDATE D3_SL_OMS SET SL_ID = newid() WHERE SL_ID IS NULL
			 set @fixes = @fixes+@@rowcount
             UPDATE D3_PACIENT_OMS SET ID_PAC = newid() WHERE ID_PAC IS NULL
			 set @fixes = @fixes+@@rowcount
             UPDATE PACIENT SET ID_PAC = newid() WHERE ID_PAC IS NULL
			 set @fixes = @fixes+@@rowcount
             UPDATE SLUCH SET IDSLG = newid() WHERE IDSLG IS NULL
			 set @fixes = @fixes+@@rowcount
			 
         
             UPDATE D3_ZSL_OMS SET USL_OK = 3 WHERE USL_OK is null
			 set @fixes = @fixes+@@rowcount
			 --стираем нафиг старый усл_ок 
			 UPDATE D3_SL_OMS SET USL_OK = null WHERE USL_OK is not null
			 set @fixes = @fixes+@@rowcount

            
			 UPDATE u
			 SET  LPU = z.LPU   
             FROM D3_SL_OMS AS s 
				 JOIN D3_USL_OMS AS u ON u.D3_SLID = s.ID
					   JOIN D3_ZSL_OMS AS z ON s.D3_ZSLID = z.ID
				 WHERE z.D3_SCID =@sc and u.LPU is NULL
			set @fixes = @fixes+@@rowcount	

			  UPDATE u
			 SET  PROFIL = s.PROFIL   
			  FROM D3_SL_OMS AS s 
			 JOIN D3_USL_OMS AS u ON u.D3_SLID = s.ID
				   JOIN D3_ZSL_OMS AS z ON s.D3_ZSLID = z.ID
			 WHERE z.D3_SCID =@sc and u.PROFIL is NULL
			 set @fixes = @fixes+@@rowcount

			 UPDATE u
			 SET  DET = s.DET   
			 FROM D3_SL_OMS AS s 
			 JOIN D3_USL_OMS AS u ON u.D3_SLID = s.ID
				   JOIN D3_ZSL_OMS AS z ON s.D3_ZSLID = z.ID
			 WHERE z.D3_SCID =@sc and u.DET is NULL
			 set @fixes = @fixes+@@rowcount
 
			 UPDATE u
			 SET  DATE_IN = s.DATE_1  
			 FROM D3_SL_OMS AS s 
			 JOIN D3_USL_OMS AS u ON u.D3_SLID = s.ID
				   JOIN D3_ZSL_OMS AS z ON s.D3_ZSLID = z.ID
			 WHERE z.D3_SCID =@sc and u.DATE_IN is NULL
			 set @fixes = @fixes+@@rowcount

			 UPDATE u
			 SET  DATE_OUT = u.DATE_IN   
			 FROM D3_SL_OMS AS s 
			 JOIN D3_USL_OMS AS u ON u.D3_SLID = s.ID
				   JOIN D3_ZSL_OMS AS z ON s.D3_ZSLID = z.ID
			 WHERE z.D3_SCID =@sc and u.DATE_OUT is NULL
			 set @fixes = @fixes+@@rowcount

			 UPDATE D3_USL_OMS
			 SET  DS = s.DS1   
			 FROM D3_SL_OMS AS s 
			 JOIN D3_USL_OMS AS u ON u.D3_SLID = s.ID
				   JOIN D3_ZSL_OMS AS z ON s.D3_ZSLID = z.ID
			 WHERE z.D3_SCID =@sc and u.DS is NULL
			 set @fixes = @fixes+@@rowcount

			 UPDATE D3_USL_OMS
			 SET  CODE_USL = u.VID_VME   
			 FROM D3_SL_OMS AS s 
			 JOIN D3_USL_OMS AS u ON u.D3_SLID = s.ID
				   JOIN D3_ZSL_OMS AS z ON s.D3_ZSLID = z.ID
			 WHERE z.D3_SCID =@sc and u.CODE_USL is NULL
			 set @fixes = @fixes+@@rowcount

			 
			 UPDATE D3_USL_OMS
			 SET  PRVS = s.PRVS, VERS_SPEC = 'V021'
			 FROM D3_SL_OMS AS s 
			 JOIN D3_USL_OMS AS u ON u.D3_SLID = s.ID
				   JOIN D3_ZSL_OMS AS z ON s.D3_ZSLID = z.ID
			 WHERE z.D3_SCID =@sc and u.PRVS is NULL
			 set @fixes = @fixes+@@rowcount

			 UPDATE D3_USL_OMS
			 SET VERS_SPEC = 'V021'
			 FROM D3_SL_OMS AS s 
			 JOIN D3_USL_OMS AS u ON u.D3_SLID = s.ID
				   JOIN D3_ZSL_OMS AS z ON s.D3_ZSLID = z.ID
			 WHERE z.D3_SCID =@sc and u.VERS_SPEC is NULL
			 set @fixes = @fixes+@@rowcount
			 
			 UPDATE u
			 SET  CODE_MD = s.IDDOKT   
			 FROM D3_SL_OMS AS s 
			 JOIN D3_USL_OMS AS u ON u.D3_SLID = s.ID
				   JOIN D3_ZSL_OMS AS z ON s.D3_ZSLID = z.ID
			 WHERE z.D3_SCID =@sc and u.CODE_MD is NULL
			 set @fixes = @fixes+@@rowcount

			 UPDATE u
			 SET  TARIF = 0.00   
			 FROM D3_SL_OMS AS s 
			 JOIN D3_USL_OMS AS u ON u.D3_SLID = s.ID
				   JOIN D3_ZSL_OMS AS z ON s.D3_ZSLID = z.ID
			 WHERE z.D3_SCID =@sc and u.TARIF is NULL
			 set @fixes = @fixes+@@rowcount

			 UPDATE u
			 SET  SUMV_USL = 0.00   
			 FROM D3_SL_OMS AS s 
			 JOIN D3_USL_OMS AS u ON u.D3_SLID = s.ID
				   JOIN D3_ZSL_OMS AS z ON s.D3_ZSLID = z.ID
			 WHERE z.D3_SCID =@sc and u.SUMV_USL is NULL
			 set @fixes = @fixes+@@rowcount
			 insert into @t	select 'Применён пакет фиксов: ',@fixes

  --
		  update zsl set vb_p=1
		from d3_zsl_oms zsl	  where zsl.D3_SCID =@sc and exists 
		(select zsl_id
		,count(*)
		 from d3_zsl_oms zsl2 join d3_sl_oms sl on sl.d3_zslid=zsl2.id
		where zsl.usl_ok=1 and VID_HMP is null
		and  zsl2.ZSL_ID=zsl.ZSL_ID	and zsl2.D3_SCID=@sc
		group by zsl_id 
		having count(*)>1)

	  insert into @t	select 'Проставлен признак наличия перевода в случае: ',@@rowcount

   --правки хреновой загрузки ашуркова.
   update D3_USL_OMS set IDSERV= null where IDSERV=''
   update D3_USL_OMS set PODR= null where PODR=''
   update D3_USL_OMS set LPU_1= null where LPU_1=''
   update u set LPU= sc.CODE_MO
	from d3_zsl_oms zsl 
		join d3_sl_oms sl on sl.d3_zslid=zsl.id
		join d3_usl_oms u on sl.id=u.d3_slid
		join D3_SCHET_OMS sc on zsl.D3_SCID=sc.id
		 where u.LPU='' or u.LPU is null and zsl.d3_scid=@sc

		  --для заполняемости кода услуг в отчётах:
		UPDATE u
			 SET  code_usl = VID_VME   
			 FROM D3_SL_OMS AS s 
			 JOIN D3_USL_OMS AS u ON u.D3_SLID = s.ID
				   JOIN D3_ZSL_OMS AS z ON s.D3_ZSLID = z.ID
			 WHERE z.D3_SCID =@sc and u.code_usl is NULL
  --очистка условных полей направлений
   update zsl set NPR_MO=null,NPR_DATE=null
  	from d3_zsl_oms zsl 
		join d3_sl_oms sl on sl.d3_zslid=zsl.id
	     join D3_SCHET_OMS sc on zsl.D3_SCID=sc.id
		 where zsl.d3_scid=@sc and ((zsl.USL_OK=3 and  sl.ds1 not like 'C%' ) or (zsl.USL_OK =1 and FOR_POM<>3) )
			
 

	select name,cnt from @t
END