ALTER PROCEDURE [dbo].[p_doc_schet_smo] @sc int,   @smo nvarchar(20) = ''
AS -- 01.10.2018 tex добавил по всем, если СМО пустое или = 0, встроил суммы, словами.
-- 11.01.2019 стационар в d3
BEGIN

WITH Z AS (select max(SUMV) sumv,max(sl.P_CEL25)P_CEL25,max(OS_SLUCH_REGION) OS_SLUCH_REGION-- готовая выборка для всей поликлиники
	,max(os.ob) ob
from D3_ZSL_OMS zsl 
join D3_SL_oms sl on zsl.ID = sl.D3_ZSLID
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID and ((@smo='46' and (pa.SMO is null or pa.SMO not like '46%')) or (pa.SMO = @smo and @smo like '460%') or (@smo in ('0',''))) 
left join OsobSluchDb os on OS_SLUCH_REGION=os.id
where zsl.usl_ok = 3 and (OS_SLUCH_REGION IS NULL OR os.ob in ('проф','обр') ) and p_cel25<>'2.2'
--OS_SLUCH_REGION in (4,5,6,21,29,30,31,32,33,34,35,36,39,40))
group by zsl.ID)

select  n,cel, sumv, cnt, case when n<>'' then cnt end cntall, sum(case when n<>'' then sumv end) over() sumall,sum(case when n<>'' then cnt end) over() cntall, dbo.RubPhrase(sum(case when n<>'' then sumv end) over()) rub from

(
Select '1' n, 'Медицинская помощь в условиях круглосуточных стационаров' cel, sum(SUMV) sumv, count(*) cnt
from
(select sumv
from SLUCH zsl 
join D3_SCHET_OMS s on zsl.SCHET_ID = s.ID and s.ID = @sc
join PACIENT p on zsl.PID = p.ID and ((@smo='46' and (p.SMO is null or p.SMO not like '46%')) or (p.SMO = @smo and @smo like '460%') or (@smo in ('0',''))) 
where usl_ok = 1 and vid_hmp is null -- убрал вмп
UNION ALL
select sumv
from D3_zsl_OMS zsl 
join D3_SCHET_OMS s on zsl.d3_scid= s.ID and s.ID = @sc
join d3_PACIENT_oms p on zsl.d3_PID = p.ID and ((@smo='46' and (p.SMO is null or p.SMO not like '46%')) or (p.SMO = @smo and @smo like '460%') or (@smo in ('0',''))) 
where usl_ok = 1 and VIDPOM<>32 -- убрал вмп
) s1

UNION ALL

Select '2' n, 'Медицинская помощь в условиях дневных стационаров всех типов' cel, sum(SUMV) sumv, count(*) cnt
from
(select sumv
from SLUCH zsl 
join D3_SCHET_OMS s on zsl.SCHET_ID = s.ID and s.ID = @sc
join PACIENT p on zsl.PID = p.ID and ((@smo='46' and (p.SMO is null or p.SMO not like '46%')) or (p.SMO = @smo and @smo like '460%') or (@smo in ('0',''))) 
where usl_ok = 2
UNION ALL
select sumv
from D3_zsl_OMS zsl 
join D3_SCHET_OMS s on zsl.d3_scid= s.ID and s.ID = @sc
join d3_PACIENT_oms p on zsl.d3_PID = p.ID and ((@smo='46' and (p.SMO is null or p.SMO not like '46%')) or (p.SMO = @smo and @smo like '460%') or (@smo in ('0',''))) 
where usl_ok = 2 
) s2

union all

Select '3' n, 'Амбулаторная помощь' cel
  , sum(SUMV) sumv, count(*) cnt
from z
UNION ALL
Select '' n, '  - с профилактическими и иными целями' cel, sum(SUMV) sumv, count(*) cnt
from z
where ( OS_SLUCH_REGION is null or ob='проф' ) and (isnull(z.P_CEL25,'1') not in  ('1.1','3.0','2.2','2.3'))
--or (OS_SLUCH_REGION in (4,5,29,32,33,34))
UNION ALL
Select '' n, '  - Неотложной форме' cel, sum(SUMV) sumv, count(*) cnt
from z where P_CEL25 = '1.1'  -- новый код неотложки  = 1.1
UNION ALL
Select '' n, '  - Обращение по заболеванию' cel, sum(SUMV) sumv, count(*) cnt 
from z where P_CEL25 in ('3.0','2.3')
	--or ob='обр'
  --or OS_SLUCH_REGION in (6,21,30,31,35,36,39) 
  --or P_CEL25 in ('1.0','2.3','3.0'
union all
Select '4' n, 'Скорая медицинская помощь в том числе:' cel, sum(SUMV) sumv, count(*) cnt
from D3_ZSL_OMS zsl 
join D3_SL_oms sl on zsl.ID = sl.D3_ZSLID
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID and ((@smo='46' and (pa.SMO is null or pa.SMO not like '46%')) or (pa.SMO = @smo and @smo like '460%') or (@smo in ('0',''))) 
where zsl.usl_ok = 4 
UNION ALL
Select '' n, '   - экстренной форме' cel, sum(SUMV) sumv, count(*) cnt
from D3_ZSL_OMS zsl 
join D3_SL_oms sl on zsl.ID = sl.D3_ZSLID
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID and ((@smo='46' and (pa.SMO is null or pa.SMO not like '46%')) or (pa.SMO = @smo and @smo like '460%') or (@smo in ('0',''))) 
where zsl.usl_ok = 4  and zsl.FOR_POM = 1 
UNION ALL
Select '' n, '   - неотложной форме' cel, sum(SUMV) sumv, count(*) cnt
from D3_ZSL_OMS zsl 
join D3_SL_oms sl on zsl.ID = sl.D3_ZSLID
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID and ((@smo='46' and (pa.SMO is null or pa.SMO not like '46%')) or (pa.SMO = @smo and @smo like '460%') or (@smo in ('0',''))) 
where zsl.usl_ok = 4  and zsl.FOR_POM = 2 
) k

End