IF OBJECT_ID (N'D3_AKT_REGISTR_OMS', N'U') IS NOT NULL
drop TABLE [dbo].[D3_AKT_REGISTR_OMS]
CREATE TABLE [dbo].[D3_AKT_REGISTR_OMS](
	[ID] [int] IDENTITY(1,1) primary key NOT NULL,
	[PERIOD_Y] [nvarchar](2) NOT NULL,
	[PERIOD_M] [nvarchar](2) NOT NULL,
	PERIOD_EXP_NOTEDIT  AS ('20' + [PERIOD_Y] + '-' + [PERIOD_M]),
	[LPU] [varchar](6) NOT NULL,
	[TYPE_MP] [int] NOT NULL,
	[S_TIP2] [numeric](2, 0) NOT NULL,
	[USERID_NOTEDIT] [int] NOT NULL,
	[DBEG] [datetime] NULL,
	[DEND] [datetime] NULL,
	[DATE_PMD] [datetime] NULL,
	[DATE_ACT] [datetime] NULL,
    NUM_ACT [nvarchar](30),
	[DATE_PODPIS_SMO] [datetime] NULL,
	[DATE_TO_MO] [datetime] NULL,
	[DATE_PODPIS_MO] [datetime] NULL,
	[DATE_MO_TO_SMO] [datetime] NULL,
	[DATE_OPL_SHTRAF] [datetime] NULL,
	[COMMENT] [nvarchar](1000) NULL,
	LOCK bit not null)


IF OBJECT_ID (N'Yamed_Spr_Year', N'U') IS NOT NULL
drop TABLE [dbo].Yamed_Spr_Year
CREATE TABLE [dbo].Yamed_Spr_Year(
[ID] [nvarchar](2) primary key NOT NULL,
[Name] [nvarchar](50) NOT NULL,
[NameWithID]  AS (CONVERT([char](4),[ID],(0))+[Name])
)


IF OBJECT_ID (N'Yamed_Spr_Month', N'U') IS NOT NULL
drop TABLE [dbo].Yamed_Spr_Month
CREATE TABLE [dbo].Yamed_Spr_Month(
[ID] [nvarchar](2) primary key NOT NULL,
[Name] [nvarchar](50) NOT NULL,
[NameWithID]  AS (CONVERT([char](4),[ID],(0))+[Name])
)


IF OBJECT_ID (N'Yamed_Spr_TypeMP', N'U') IS NOT NULL
drop TABLE [dbo].Yamed_Spr_TypeMP
CREATE TABLE [dbo].Yamed_Spr_TypeMP(
[ID] int primary key NOT NULL,
[Name] [nvarchar](50) NOT NULL,
[NameWithID]  AS (CONVERT([char](4),[ID],(0))+[Name])
)
IF OBJECT_ID (N'D3_REQ_OMS', N'U') IS NOT NULL
drop TABLE [dbo].D3_REQ_OMS
create table D3_REQ_OMS
(
ID int identity primary key not null,
D3_ARID int not null,
D3_ZSLID int not null
)