DECLARE @sql nvarchar(255)

SELECT @sql = 'ALTER TABLE D3_SCHET_OMS DROP CONSTRAINT ' + D.name
FROM sys.default_constraints AS D
WHERE D.parent_object_id = object_id('D3_SCHET_OMS')
 and col_name(parent_object_id, parent_column_id) = 'SchetType'

EXECUTE sp_executesql @sql

alter table D3_SCHET_OMS add constraint DF__D3_SCHET___Schet__SchetTypeD default 'H' for SchetType

insert [Yamed_Spr_SchetType] VALUES('H', 'Общий счёт') 
insert [Yamed_Spr_SchetType] VALUES('C', 'Онко счет') 

update d3_schet_oms set SchetType = 'H'

delete from [Yamed_Spr_SchetType] where ID in ('HM','CM')
