
ALTER PROCEDURE [dbo].[p_autocalc_046_000401] @sc int
AS 
BEGIN
update zs set idsp = tt.idsp
from [D3_ZSL_OMS] zs
join (	select distinct		zs.id
							,case
									when zs.USL_OK = 3 and sl.p_cel25 = '2.3' then 28
							end idsp
		FROM [D3_SCHET_OMS] sch
		join [D3_PACIENT_OMS] p on sch.id=p.[D3_SCID]
		join [D3_ZSL_OMS] zs on p.id=zs.[D3_PID] and zs.usl_ok in (3) and isnull(os_sluch_region,0) in (0,35)
		join D3_SL_OMS sl on zs.ID = sl.d3_zslid
		join D3_USL_OMS u on sl.id = u.D3_SLID and (CODE_USL like 'R01.%' or CODE_USL like 'R03.%')
	   where zs.D3_SCID = @sc
) as tt on tt.id = zs.id
end