CREATE NONCLUSTERED INDEX [NonClusteredIndex-20180216-142106] ON [dbo].[D3_SL_OMS]
(
	[SL_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]


CREATE NONCLUSTERED INDEX [NonClusteredIndex-20180319-121319] ON [dbo].[D3_SL_OMS]
(
	[D3_ZSLID] ASC
)
INCLUDE ( 	[ID],
	[D3_ZSLGID],
	[SL_ID],
	[USL_OK],
	[VID_HMP],
	[METOD_HMP],
	[LPU_1],
	[PODR],
	[PROFIL],
	[DET],
	[P_CEL],
	[TAL_NUM],
	[TAL_D],
	[TAL_P],
	[NHISTORY],
	[P_PER],
	[DATE_1],
	[DATE_2],
	[KD],
	[DS0],
	[DS1],
	[DS1_PR],
	[DN],
	[CODE_MES1],
	[CODE_MES2],
	[KSG_DKK],
	[N_KSG],
	[KSG_PG],
	[SL_K],
	[IT_SL],
	[REAB],
	[PRVS],
	[VERS_SPEC],
	[IDDOKT],
	[ED_COL],
	[TARIF],
	[SUM_M],
	[COMENTSL]) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]


CREATE NONCLUSTERED INDEX [NonClusteredIndex-20180319-161729] ON [dbo].[D3_SL_OMS]
(
	[PROFIL] ASC,
	[P_CEL] ASC,
	[DATE_1] ASC,
	[DATE_2] ASC,
	[DS1] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]


CREATE NONCLUSTERED INDEX [NonClusteredIndex-20180222-125535] ON [dbo].[D3_ZSL_OMS]
(
	[MTR] ASC
)
INCLUDE ( 	[ID],
	[ZSL_ID],
	[D3_PID],
	[D3_PGID],
	[D3_SCID],
	[IDCASE],
	[VIDPOM],
	[FOR_POM],
	[NPR_MO],
	[LPU],
	[VBR],
	[DATE_Z_1],
	[DATE_Z_2],
	[P_OTK],
	[RSLT_D],
	[KD_Z],
	[VNOV_M],
	[RSLT],
	[ISHOD],
	[OS_SLUCH],
	[OS_SLUCH_REGION],
	[VOZR],
	[VB_P],
	[IDSP],
	[SUMV],
	[OPLATA],
	[SUMP],
	[SANK_IT],
	[MEK_COMENT],
	[OSP_COMENT],
	[MEK_COUNT],
	[MEE_COUNT],
	[EKMP_COUNT]) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]


CREATE NONCLUSTERED INDEX [NonClusteredIndex-20180319-115509] ON [dbo].[D3_ZSL_OMS]
(
	[D3_SCID] ASC
)
INCLUDE ( 	[ID],
	[ZSL_ID],
	[D3_PID],
	[D3_PGID],
	[IDCASE],
	[VIDPOM],
	[FOR_POM],
	[NPR_MO],
	[LPU],
	[VBR],
	[DATE_Z_1],
	[DATE_Z_2],
	[P_OTK],
	[RSLT_D],
	[KD_Z],
	[VNOV_M],
	[RSLT],
	[ISHOD],
	[OS_SLUCH],
	[OS_SLUCH_REGION],
	[VOZR],
	[VB_P],
	[IDSP],
	[SUMV],
	[OPLATA],
	[SUMP],
	[SANK_IT],
	[MEK_COMENT],
	[OSP_COMENT],
	[MEK_COUNT],
	[MEE_COUNT],
	[EKMP_COUNT],
	[MTR],
	[USL_OK],
	[P_CEL],
	[EXP_COMENT],
	[EXP_TYPE],
	[EXP_DATE],
	[USERID]) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]


CREATE NONCLUSTERED INDEX [NonClusteredIndex-20180319-115533] ON [dbo].[D3_ZSL_OMS]
(
	[D3_PID] ASC
)
INCLUDE ( 	[ID],
	[ZSL_ID],
	[D3_PGID],
	[D3_SCID],
	[IDCASE],
	[VIDPOM],
	[FOR_POM],
	[NPR_MO],
	[LPU],
	[VBR],
	[DATE_Z_1],
	[DATE_Z_2],
	[P_OTK],
	[RSLT_D],
	[KD_Z],
	[VNOV_M],
	[RSLT],
	[ISHOD],
	[OS_SLUCH],
	[OS_SLUCH_REGION],
	[VOZR],
	[VB_P],
	[IDSP],
	[SUMV],
	[OPLATA],
	[SUMP],
	[SANK_IT],
	[MEK_COMENT],
	[OSP_COMENT],
	[MEK_COUNT],
	[MEE_COUNT],
	[EKMP_COUNT],
	[MTR],
	[USL_OK],
	[P_CEL],
	[EXP_COMENT],
	[EXP_TYPE],
	[EXP_DATE],
	[USERID]) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]


CREATE NONCLUSTERED INDEX [NonClusteredIndex-20180327-215024] ON [dbo].[D3_ZSL_OMS]
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]


CREATE NONCLUSTERED INDEX [NonClusteredIndex-20180330-090104] ON [dbo].[D3_ZSL_OMS]
(
	[ReqID] ASC
)
INCLUDE ( 	[ID]) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]


CREATE NONCLUSTERED INDEX [NonClusteredIndex-20180409-113313] ON [dbo].[D3_ZSL_OMS]
(
	[D3_SCID] ASC,
	[MTR] ASC
)
INCLUDE ( 	[ID],
	[ZSL_ID],
	[D3_PID],
	[D3_PGID],
	[IDCASE],
	[VIDPOM],
	[FOR_POM],
	[NPR_MO],
	[LPU],
	[VBR],
	[DATE_Z_1],
	[DATE_Z_2],
	[P_OTK],
	[RSLT_D],
	[KD_Z],
	[VNOV_M],
	[RSLT],
	[ISHOD],
	[OS_SLUCH],
	[OS_SLUCH_REGION],
	[VOZR],
	[VB_P],
	[IDSP],
	[SUMV],
	[OPLATA],
	[SUMP],
	[SANK_IT],
	[MEK_COMENT],
	[OSP_COMENT],
	[MEK_COUNT],
	[MEE_COUNT],
	[EKMP_COUNT],
	[USL_OK],
	[P_CEL],
	[EXP_COMENT],
	[EXP_TYPE],
	[EXP_DATE],
	[USERID],
	[ReqID],
	[USER_COMENT]) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]


