ALTER procedure [dbo].[p_oms_copy_allzsl] 
	@newsc int,@schold INT 
	,@fromFile int --0 - если из конкретного счёта копируем, 1 - если из файла
-- данные берутс¤ из временки, где перечислены айдишники зсл которые нужно скопировать. например:
as --select id into ##tabid from D3_ZSL_OMS where D3_SCID=@schold and id in (759899,759900,759901,759902)
begin
--1. создаЄм промежуточный счЄт
INSERT INTO [dbo].[D3_SCHET_OMS]
           ([CODE]      ,[CODE_MO]      ,[YEAR]      ,[MONTH]      ,[NSCHET]      ,[DSCHET]
      ,[PLAT]      ,[SUMMAV]      ,[SUMMAP]      ,[DISP]      ,[OmsFileName]      ,[ZapFileName]
      ,[PersFileName]      ,[SchetType])
SELECT [CODE]      ,[CODE_MO]      ,[YEAR]      ,[MONTH]      ,[NSCHET]      ,[DSCHET]
      ,[PLAT]      ,[SUMMAV]      ,[SUMMAP]      ,[DISP]      ,[OmsFileName]      ,'промежуточный счет'
      ,[PersFileName]      ,[SchetType]

  FROM [dbo].[D3_SCHET_OMS]	where id=@schold
declare @middleSc int = (select max(id) from D3_SCHET_OMS where ZapFileName='промежуточный счет')


declare @tabsc table (id int,idsc int) -- таблица счетов, из которых забрали записи

insert into @tabsc (id,idsc) 
	select zsl.id,zsl.d3_scid from D3_ZSL_OMS zsl 
	join ##tabid mt on zsl.id=mt.ID where  (zsl.D3_SCID=@schold or @fromFile=1)
--2. переносим туда выбранные записи
update pa	set	D3_SCID=@middleSc
from D3_ZSL_OMS zsl join D3_PACIENT_OMS pa on zsl.D3_PID=pa.ID and (zsl.D3_SCID=@schold or @fromFile=1)
join ##tabid mt on zsl.id=mt.ID

update zsl	set	 D3_SCID=@middleSc
from D3_ZSL_OMS zsl join D3_PACIENT_OMS pa on zsl.D3_PID=pa.ID and  (zsl.D3_SCID=@schold or @fromFile=1)
join ##tabid mt on zsl.id=mt.ID

--3. выгружаем этот реестр в хмл
 
declare @table table (HM xml,LM xml,sc int,hf_name nvarchar(255),lf_name nvarchar(255))
INSERT INTO @table exec p_oms_export_30K @middleSc

--4. переносим случаи обратно 
update pa	set	D3_SCID=tc.idsc
from D3_ZSL_OMS zsl join D3_PACIENT_OMS pa on zsl.D3_PID=pa.ID and zsl.D3_SCID=@middleSc
join @tabsc tc on zsl.ID=tc.id

update zsl	set	D3_SCID=tc.idsc
from D3_ZSL_OMS zsl join D3_PACIENT_OMS pa on zsl.D3_PID=pa.ID and zsl.D3_SCID=@middleSc
join @tabsc tc on zsl.ID=tc.id

--5. грузим из хмл в новый реестр

declare @r varchar(1000) 
declare @HM xml,@LM xml,@hf_name nvarchar(255),@lf_name nvarchar(255) ,@schetType varchar(10)
select @HM=HM,@LM=LM,@hf_name=hf_name,@lf_name=lf_name,@schetType=left(hf_name,1) 	from @table

exec p_Load_XML @hf_name,'¬ременный счет',@lf_name,@schetType,@HM,@LM,0,@r							  
--получили айди созданного временного счЄта
declare @tempSc int = (select max(id) from D3_SCHET_OMS where ZapFileName='¬ременный счет')

--6. обновили все гуиды в счЄте
exec SetGuids @tempSc,1

--7. переносим случаи в нужный реестр
update pa	set	D3_SCID=@newsc
from D3_ZSL_OMS zsl join D3_PACIENT_OMS pa on zsl.D3_PID=pa.ID and zsl.D3_SCID=@tempSc

update zsl	set	D3_SCID=@newsc
from D3_ZSL_OMS zsl join D3_PACIENT_OMS pa on zsl.D3_PID=pa.ID and zsl.D3_SCID=@tempSc

--8. подчищаем временные реестры
delete from D3_SCHET_OMS where id in (@tempSc,@middleSc)

end