alter table [dbo].[CalcKsgTarif]
alter column [IDKSG] nvarchar(20) not null

ALTER TABLE [dbo].[CalcUprk] DROP CONSTRAINT [FK_CalcUprk_Ksg]
alter table [dbo].[CalcUprk]
alter column [IDKSG] nvarchar(20) not null

ALTER TABLE [dbo].[CalNotKus] DROP CONSTRAINT [FK_CalNotKus_Ksg]
alter table [dbo].[CalNotKus]
alter column [IDKSG] nvarchar(20) not null

DECLARE @table NVARCHAR(512), @sql NVARCHAR(MAX);
SELECT @table = N'dbo.SprKsg';
SELECT @sql = 'ALTER TABLE ' + @table 
    + ' DROP CONSTRAINT ' + name + ';'
    FROM sys.key_constraints
    WHERE [type] = 'PK'
    AND [parent_object_id] = OBJECT_ID(@table);
EXEC sp_executeSQL @sql;
alter table [dbo].[SprKsg]
alter column [ID] nvarchar(20) not null

alter table [dbo].[SprKsg]
ADD primary key ([ID])


ALTER TABLE [dbo].[CalcUprk]  WITH NOCHECK ADD  CONSTRAINT [FK_CalcUprk_Ksg] FOREIGN KEY([IDKSG])
REFERENCES [dbo].[SprKsg] ([ID])
ALTER TABLE [dbo].[CalcUprk] CHECK CONSTRAINT [FK_CalcUprk_Ksg]
ALTER TABLE [dbo].[CalNotKus]  WITH NOCHECK ADD  CONSTRAINT [FK_CalNotKus_Ksg] FOREIGN KEY([IDKSG])
REFERENCES [dbo].[SprKsg] ([ID])
ALTER TABLE [dbo].[CalNotKus] CHECK CONSTRAINT [FK_CalNotKus_Ksg]

