ALTER PROCEDURE [dbo].[p_autocalc_046_001400] @sc int
AS 
BEGIN
Update D3_ZSL_OMS SET
                        SUMV=
                            (CASE 
                                WHEN sl.P_CEL25 = '3.0' THEN ROUND(isnull(sl.ED_COL, 1.00) * t.tarif10 * ISNULL(kf.KZMP, 1.00), 2)
                                WHEN sl.P_CEL25 = '3.1' THEN ROUND(isnull(sl.ED_COL, 1.00) * t.tarif11 * ISNULL(kf.KZMP, 1.00), 2)
                                ELSE 0.00
                            END)
                    from D3_ZSL_OMS zsl 
					JOIN D3_PACIENT_OMS pa on zsl.D3_PID = pa.ID
					Join D3_SL_OMS sl on zsl.ID = sl.D3_ZSLID and zsl.USL_OK = 3 and sl.P_CEL25 in ('3.0', '3.1') and sl.PROFIL not in (63,85,86,87,88,89,90,171)
                    join (Select * From CalcAmbTarif where OS_SLUCH is null and USL_OK = 3) as t on sl.Profil = t.Profil
					and (zsl.DATE_Z_2 >= t.TBEG and zsl.DATE_Z_2 < t.TEND +1) 
                    left join CalcMok as kf on kf.KOD_LPU = zsl.LPU AND (zsl.DATE_Z_2 >= kf.DATESTART and (kf.DATEEND is NULL OR zsl.DATE_Z_2 < kf.DATEEND +1))
                    where zsl.D3_SCID = @sc and zsl.OS_SLUCH_REGION is null

update sl set sum_m = tt1.sumv, tarif = tt1.tarif
from d3_sl_oms sl
join ( select case when RN = 1 then sumv else 0.00 end sumv, sumv tarif, ID from
(
select ROW_NUMBER() OVER (PARTITION BY zsl.ID  ORDER BY sl.date_2 desc) RN,
sl.*, zsl.sumv
from D3_ZSL_OMS zsl
join d3_sl_oms sl on zsl.ID = sl.D3_ZSLID and zsl.USL_OK = 3 and sl.P_CEL25 in ('3.0', '3.1') and sl.PROFIL not in (63,85,86,87,88,89,90,171)
join d3_schet_oms sc on zsl.D3_SCID = sc.ID
where zsl.D3_SCID = @sc and zsl.OS_SLUCH_REGION is null
) tt --where tt.RN = 1
) tt1 on sl.ID = tt1.ID
end