if object_id('N002') is not null drop Table N002
----------
SET ANSI_NULLS ON
SET QUOTED_IDENTIFIER ON
CREATE TABLE [dbo].[N002]
	(
	[ID_St] int NOT NULL,
	[DS_St] [nvarchar](5) NULL,
	[KOD_St] [nvarchar](5) NULL,
	[DATEBEG] [datetime] NULL,
	[DATEEND] [datetime] NULL,
	[NameWithID]  AS ((CONVERT([char](6),[ID_St],0)+isnull(('Диагноз - '+[DS_St])+',  ',''))+isnull('Стадия - '+[KOD_St],'')),
PRIMARY KEY CLUSTERED 
(
	[ID_St] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

--DECLARE @NsiAct-------------------------------------------------------------------------------------------
	declare @NsiAct table 
			(
				ID_St numeric(3,0),DS_St nvarchar(5),KOD_St nvarchar(5),DATEBEG date,DATEEND date
			)

insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('1','C16','0','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('2','C16','IA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('3','C16','IB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('4','C16','IIA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('5','C16','IIB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('6','C16','IIIA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('7','C16','IIIB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('8','C16','IIIC','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('9','C16','IV','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('10','C56','IA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('11','C56','IB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('12','C56','IC','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('13','C56','IIA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('14','C56','IIB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('15','C56','IIIA1','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('16','C56','IIIA2','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('17','C56','IIIB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('18','C56','IIIC','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('19','C56','IVA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('20','C56','IVB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('21','C18','0','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('22','C18','I','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('23','C18','IIA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('24','C18','IIB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('25','C18','IIC','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('26','C18','IIIA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('27','C18','IIIB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('28','C18','IIIC','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('29','C18','IVA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('30','C18','IVB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('31','C19','0','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('32','C19','I','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('33','C19','IIA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('34','C19','IIB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('35','C19','IIC','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('36','C19','IIIA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('37','C19','IIIB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('38','C19','IIIC','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('39','C19','IVA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('40','C19','IVB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('41','C22','I','20180901','20181231')
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('42','C22','II','20180901','20181231')
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('43','C22','IIIA','20180901','20181231')
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('44','C22','IIIB','20180901','20181231')
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('45','C22','IVA','20180901','20181231')
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('46','C22','IVB','20180901','20181231')
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('47','C25','0','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('48','C25','IA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('49','C25','IB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('50','C25','IIA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('51','C25','IIB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('52','C25','III','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('53','C25','IV','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('54','C43','0','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('55','C43','IA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('56','C43','IB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('57','C43','IIA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('58','C43','IIB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('59','C43','IIC','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('60','C43','IIIA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('61','C43','IIIB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('62','C43','IIIC','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('63','C43','IV','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('64','C44','0','20180901','20181231')
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('65','C44','I','20180901','20181231')
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('66','C44','II','20180901','20181231')
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('67','C44','III','20180901','20181231')
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('68','C44','IV','20180901','20181231')
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('69','C53','0','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('70','C53','IA1','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('71','C53','IA2','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('72','C53','IB1','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('73','C53','IB2','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('74','C53','IIA1','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('75','C53','IIA2','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('76','C53','IIB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('77','C53','IIIA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('78','C53','IIIB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('79','C53','IVA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('80','C53','IVB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('81','C54','0','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('82','C54','IA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('83','C54','IB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('84','C54','II','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('85','C54','IIIA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('86','C54','IIIB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('87','C54','IIIC','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('88','C54','IVA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('89','C54','IVB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('90','C61','I','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('91','C61','II','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('92','C61','III','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('93','C61','IV','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('94','C64','I','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('95','C64','II','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('96','C64','III','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('97','C64','IV','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('98','C67','0a','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('99','C67','0is','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('100','C67','I','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('101','C67','II','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('102','C67','III','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('103','C67','IV','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('104','C73','I','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('105','C73','II','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('106','C73','III','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('107','C73','IVA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('108','C73','IVB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('109','C73','IVC','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('110','C20','0','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('111','C20','I','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('112','C20','IIA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('113','C20','IIB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('114','C20','IIC','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('115','C20','IIIA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('116','C20','IIIB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('117','C20','IIIC','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('118','C20','IVA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('119','C20','IVB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('120','C15','0','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('121','C15','IA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('122','C15','IB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('123','C15','IIA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('124','C15','IIB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('125','C15','IIIA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('126','C15','IIIB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('127','C15','IIIC','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('128','C15','IV','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('129','C34','0','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('130','C34','IA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('131','C34','IB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('132','C34','IIA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('133','C34','IIB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('134','C34','IIIA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('135','C34','IIIB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('136','C34','IV','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('137','C32','0','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('138','C32','I','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('139','C32','II','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('140','C32','III','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('141','C32','IVA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('142','C32','IVB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('143','C32','IVC','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('144','C22','IIIC','20180901','20181231')
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('145',NULL,'0','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('146',NULL,'I','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('147',NULL,'IA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('148',NULL,'IB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('149',NULL,'IC','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('150',NULL,'II','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('151',NULL,'IIA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('152',NULL,'IIB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('153',NULL,'IIC','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('154',NULL,'III','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('155',NULL,'IIIA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('156',NULL,'IIIB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('157',NULL,'IIIC','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('158',NULL,'IV','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('159',NULL,'IVA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('160',NULL,'IVB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('161',NULL,'IVC','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('162','C97','Нет','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('163','C81','Нет','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('164','C82','Нет','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('165','C83','Нет','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('166','C84','Нет','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('167','C85','Нет','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('168','C86','Нет','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('169','C88','Нет','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('170','C90','Нет','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('171','C91','Нет','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('172','C92','Нет','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('173','C93','Нет','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('174','C94','Нет','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('175','C95','Нет','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('176','C96','Нет','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('177','C70','Нет','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('178','C71','Нет','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('179','C72','Нет','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('180','C69.3','Нет','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('181','C69.5','Нет','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('182','C69.6','Нет','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('183','C69.0','Нет','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('184','C69.1','Нет','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('185','C69.8','Нет','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('186','C69.9','Нет','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('187','C44.0','0','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('188','C44.0','I','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('189','C44.0','II','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('190','C44.0','III','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('191','C44.0','IV','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('192','C44.2','0','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('193','C44.2','I','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('194','C44.2','II','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('195','C44.2','III','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('196','C44.2','IV','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('197','C44.3','0','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('198','C44.3','I','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('199','C44.3','II','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('200','C44.3','III','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('201','C44.3','IV','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('202','C44.4','0','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('203','C44.4','I','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('204','C44.4','II','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('205','C44.4','III','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('206','C44.4','IV','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('207','C44.5','0','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('208','C44.5','I','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('209','C44.5','II','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('210','C44.5','III','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('211','C44.5','IV','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('212','C44.6','0','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('213','C44.6','I','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('214','C44.6','II','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('215','C44.6','III','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('216','C44.6','IV','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('217','C44.7','0','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('218','C44.7','I','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('219','C44.7','II','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('220','C44.7','III','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('221','C44.7','IV','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('222','C44.8','0','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('223','C44.8','I','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('224','C44.8','II','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('225','C44.8','III','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('226','C44.8','IV','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('227','C44.9','0','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('228','C44.9','I','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('229','C44.9','II','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('230','C44.9','III','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('231','C44.9','IV','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('232','D04.0','0','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('233','D04.2','0','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('234','D04.3','0','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('235','D04.4','0','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('236','D04.5','0','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('237','D04.6','0','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('238','D04.7','0','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('239','D04.8','0','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('240','D04.9','0','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('241','D00.1','0','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('242','D00.2','0','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('243','D01.7','0','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('244','D02.2','0','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('245','D02.0','0','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('246','D06','0','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('247','D07.0','0','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('248','D09.0','0','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('249','D01.2','0','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('250','D01.0','0','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('251','D01.1','0','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('252','D03','0','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('253','D05','0','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('254','C50','0','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('255','C50','IA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('256','C50','IB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('257','C50','IIA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('258','C50','IIB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('259','C50','IIIA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('260','C50','IIIB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('261','C50','IIIC','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('262','C50','IV','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('263','C56','IIC','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('264','C53','IC','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('265','C69.3','0','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('266','C69.3','I','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('267','C69.3','IIA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('268','C69.3','IIB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('269','C69.3','IIIA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('270','C69.3','IIIB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('271','C69.3','IIIC','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('272','C69.3','IV','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('273','C69.2','Нет','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('274','C69.2','0','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('275','C69.2','IA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('276','C69.2','IB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('277','C69.2','IIA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('278','C69.2','IIB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('279','C69.2','IIC','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('280','C69.2','IIIA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('281','C69.2','IIIB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('282','C69.2','IIIC','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('283','C69.2','IV','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('284','C56','IIIA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('285','C56','IV','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('286','C53','IIA','20180901','20181220')
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('287','C54','IC','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('288','C54','IIA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('289','C54','IIB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('290','C80','Нет','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('291','C22.0','I','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('292','C22.0','II','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('293','C22.0','IIIA','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('294','C22.0','IIIB','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('295','C22.0','IIIC','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('296','C22.0','IVA','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('297','C22.0','IVB','20190101',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('298','C64','Нет','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('299','C16','II','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('300','C15','I','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('301','C15','II','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('302','C18','II','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('303','C18','IV','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('304','C20','II','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('305','C20','IV','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('306','C18','IVC','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('307','C18','III','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('308','C53','IA','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('309','C53','IB','20180901',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('310','C53','IIA','20181221',NULL)
insert into @NsiAct (ID_St,DS_St,KOD_St,DATEBEG,DATEEND) values ('311','C53','IIIC','20180901',NULL)
--INSERT NEW INTO  NsiCur------------------------------------------------------------------------------------------------------------
	insert into N002 (ID_St,DS_St,KOD_St,DATEBEG,DATEEND)
	select 
	NsiAct.ID_St,NsiAct.DS_St,NsiAct.KOD_St,NsiAct.DATEBEG,NsiAct.DATEEND
	from @NsiAct NsiAct
		left join N002 NSiCur
			on NSiCur.ID_St=NsiAct.ID_St
	where 
		NSiCur.ID_St is null

--UPDATE NsiCur------------------------------------------------------------------------------------------------------------
	update NsiCur set
NsiCur.DATEBEG=NsiAct.DATEBEG,
NsiCur.DATEEND=NsiAct.DATEEND,
NsiCur.ID_St=NsiAct.ID_St,
NsiCur.DS_St=NsiAct.DS_St,
NsiCur.KOD_St=NsiAct.KOD_St
	from @NsiAct NsiAct
		inner join N002 NsiCur
						on NSiCur.ID_St=NsiAct.ID_St
	where
		isnull(NsiCur.DATEBEG,'19000101')<>isnull(NsiAct.DATEBEG,'19000101') or
isnull(NsiCur.DATEEND,'19000101')<>isnull(NsiAct.DATEEND,'19000101') or
isnull(NsiCur.ID_St,'0')<>isnull(NsiAct.ID_St,'0') or
isnull(NsiCur.DS_St,'')<>isnull(NsiAct.DS_St,'') or
isnull(NsiCur.KOD_St,'')<>isnull(NsiAct.KOD_St,'') 

