CREATE PROCEDURE [dbo].[p_doc_osob_reestr] @sc int --      .
	, @osob varchar(100) --   .    ,    .   .
	, @smo varchar(10) = ''  -- 46 - ,  - 
AS -- 10.09.2018
BEGIN 
DECLARE @xml as xml,@delimiter as varchar(10)
SET @delimiter =','
SET @xml = cast(('<X>'+replace(@osob,@delimiter ,'</X><X>')+'</X>') as xml)

select ROW_NUMBER() OVER (ORDER BY FIO,DR) AS IDCASE,*
		FROM(
		Select --max(SUMV) sumv 
		max((rtrim((((isnull([FAM],'')+' ')+isnull([IM],''))+' ')+isnull([OT],'')))) FIO
			, max(left(s.POLNAME,1)) W
			, max(convert(varchar(8),dr,4)) dr
			, max(MR) MR
			, max(pac.SMO) SMO
			, max(case when pac.DOCTYPE=14 then ' ' when pac.DOCTYPE=3 then '  .' else u.DocName end +' '+ pac.DOCSER+' '+pac.DOCNUM) as doc
			--        ,   
			, max(pac.SNILS) SNILS
			, max(isnull(pac.SPOLIS+' ','')+pac.NPOLIS) NPOLIS --     ,   .
			, max(case when (sl.prvs in (1,22,27) and isnull(sl.vers_spec,'V015')='V015') or (sl.prvs in (49,76,27) and sl.vers_spec='V021' ) then VIDPOM end) VIDPOM
			, max(case when (sl.prvs in (1,22,27) and isnull(sl.vers_spec,'V015')='V015') or (sl.prvs in (49,76,27) and sl.vers_spec='V021' ) then sl.DS1 end) DS1 --   /  .
			, min(convert(varchar(8),zsl.date_z_1,4)) date_1
			, max(convert(varchar(8),zsl.date_z_2,4)) date_2
			, max(sumv) tarif --    ?     .
			, max(case when (sl.prvs in (1,22,27) and isnull(sl.vers_spec,'V015')='V015') or (sl.prvs in (49,76,27) and sl.vers_spec='V021' ) then sl.prvs end) prvs --   
			, max(RSLT) RSLT
			, zsl.ID --    .

		from D3_ZSL_OMS zsl 
		join D3_SL_oms sl on zsl.ID = sl.D3_ZSLID
		join d3_PACIENT_oms pac on zsl.D3_PID = pac.ID and zsl.D3_SCID = @sc
		and (@smo='' or (@smo='46' and (pac.SMO is null or pac.SMO not like '46%')) or (pac.SMO = @smo and @smo like '460%')) --  3   -   ''   '46'    .
		join [OsobSluchDb] os on os.id=zsl.OS_SLUCH_REGION --   ,  ,       .
			LEFT JOIN V005 s ON pac.W = s.id 
			LEFT JOIN F011 u ON pac.DOCTYPE= u.id
			LEFT JOIN V002 p ON sl.Profil = p.id
		where OS_SLUCH_REGION in (SELECT N.value('.', 'int') as value FROM @xml.nodes('X') as T(N)) 
		group by zsl.ID) tt
end



