IF OBJECT_ID (N'Yamed_ExpSpr_SqlAlg', N'U') IS NOT NULL --    
	drop TABLE [dbo].[Yamed_ExpSpr_SqlAlg]
SET ANSI_NULLS ON


SET QUOTED_IDENTIFIER ON


CREATE TABLE [dbo].[Yamed_ExpSpr_SqlAlg](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[AlgType] [int] NULL,
	[AlgLevel] [int] NULL,
	[AlgName] [nvarchar](200) NULL,
	[AlgSql] [nvarchar](max) NULL,
	[ExpType] [int] NULL,
	[AlgUsl] [nvarchar](100) NULL,
	[AlgComment] [nvarchar](1000) NULL,
	[AlgFomsComment] [nvarchar](1000) NULL,
	[AlgProblem] [nvarchar](200) NULL,
	[AlgGuid] [uniqueidentifier] NOT NULL CONSTRAINT [DF_Yamed_ExpSpr_SqlAlg_AlgGuid]  DEFAULT (newid()),
	[FlkErrId] [int] NULL,
	[FlkErrName] [nvarchar](100) NULL,
	[MekNpp] [int] NULL,
	[MekOsn] [nvarchar](20) NULL,
	[XmlFileType] [nvarchar](100) NULL,
	[XmlNode] [nvarchar](20) NULL,
	[XmlItem] [nvarchar](20) NULL,
	[XmlItemType] [nvarchar](10) NULL,
	[XmlItemMinLen] [int] NULL,
	[XmlItemMaxLen] [int] NULL,
	[XmlItemMask] [nvarchar](50) NULL,
	[NsiCode] [nvarchar](20) NULL,
	[NsiField] [nvarchar](20) NULL,
	[NsiValueList] [nvarchar](max) NULL,
	[PrEnable] [bit] NOT NULL CONSTRAINT [DF_Yamed_ExpSpr_SqlAlg_PrEnable]  DEFAULT ((0)),
	[PrProblem] [bit] NOT NULL CONSTRAINT [DF_Yamed_ExpSpr_SqlAlg_PrProblem]  DEFAULT ((0)),
	[DATEUPDATE] [datetime] NULL,
 CONSTRAINT [PK__Yamed_Ex__3214EC27505D7C5B] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]




