ALTER PROCEDURE [dbo].[p_doc_op_22_foms] @sc int
AS
BEGIN
--declare @sc int = 2057

Select cel, p1.[46001] as s46001, p1.[46002] as s46002, p1.[46003] as s46003, p1.[46004] as s460041, p1.[46006] as s46006, p1.[46] as s46,
p2.[46001] as c46001, p2.[46002] as c46002, p2.[46003] as c46003, p2.[46004] as c460041, p2.[46006] as c46006, p2.[46] as c46
from(
Select '_Диспансеризация определенных групп взрослого населения 1 этап' cel, sum(sumO) sumO, case When pa.smo not like '46%' then '46' else pa.smo end smo
from D3_ZSL_OMS zsl 

join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID
where OS_SLUCH_REGION = 22
group by pa.smo
UNION ALL
select cel,sum(sumO) sumO,smo from (
Select case
                                WHEN (year(DATE_Z_2) - year(dr) in (21,24,27,30,33) AND W = 1 )  THEN '01 возрастная группа 21,24,27,30,33 М'
                                WHEN (year(DATE_Z_2) - year(dr) in (36,39,42,48,54,87,90,93,96,99) AND W = 1 )  THEN '02 возрастная группа 36,39,42,48,54,87,90,93,96,99 М'
                                WHEN (year(DATE_Z_2) - year(dr) in (60,66,72,75,78,81,84) AND W = 1 ) THEN '03 возрастная группа 60,66,72,75,78,81,84 М'
                                WHEN (year(DATE_Z_2) - year(dr) in (45,57) AND W = 1 ) THEN '04 возрастная группа 45,57 М'
                                WHEN (year(DATE_Z_2) - year(dr) in (63,69) AND W = 1 ) THEN '05 возрастная группа 63,69 М'
                                WHEN (year(DATE_Z_2) - year(dr) in (51) AND W = 1 ) THEN '06 возрастная группа 51 М'

                                WHEN (year(DATE_Z_2) - year(dr) in (21,24,27) AND W = 2 ) THEN '07 возрастная группа 21,24,27 Ж'
                                WHEN (year(DATE_Z_2) - year(dr) in (87,90,93,96,99) AND W = 2 ) THEN '08 возрастная группа 87,90,93,96,99 Ж'
                                WHEN (year(DATE_Z_2) - year(dr) in (72,75,78,81,84) AND W = 2 ) THEN '09 возрастная группа 72,75,78,81,84 Ж'
                                WHEN (year(DATE_Z_2) - year(dr) in (30,33,36) AND W = 2 ) THEN '10 возрастная группа 30,33,36 Ж'
                                WHEN (year(DATE_Z_2) - year(dr) in (63,66,69) AND W = 2 ) THEN '11 возрастная группа 63,66,69 Ж'
								WHEN (year(DATE_Z_2) - year(dr) in (39,42) AND W = 2 ) THEN '12 возрастная группа 39,42 Ж'
                                WHEN (year(DATE_Z_2) - year(dr) in (45,48,51,54,57) AND W = 2 ) THEN '13 возрастная группа 45,48,51,54,57 Ж'
                                WHEN (year(DATE_Z_2) - year(dr) in (60) AND W = 2 ) THEN '14 возрастная группа 60 Ж'
end cel, sumO, case When pa.smo not like '46%' then '46' else pa.smo end smo
from D3_ZSL_OMS zsl 

join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID
where OS_SLUCH_REGION = 22 )k
Group by  cel, smo
UNION ALL
Select 'Диспансеризация определенных групп взрослого населения 2 этап' cel, sum(sumO) sumO, case When pa.smo not like '46%' then '46' else pa.smo end smo
from D3_ZSL_OMS zsl 

join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID
where OS_SLUCH_REGION = 23
group by pa.smo
) tt
PIVOT(SUM(sumO) FOR smo IN( [46001], [46002], [46003], [46004], [46006], [46])) AS P1

Join
(
Select '_Диспансеризация определенных групп взрослого населения 1 этап' cel2, count(*) cnt, case When pa.smo not like '46%' then '46' else pa.smo end smo
from D3_ZSL_OMS zsl 

join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID
where OS_SLUCH_REGION = 22
group by pa.smo
UNION ALL
select 	cel2 ,count(*) cnt ,smo
from( 
Select case
                                WHEN (year(DATE_Z_2) - year(dr) in (21,24,27,30,33) AND W = 1 )  THEN '01 возрастная группа 21,24,27,30,33 М'
                                WHEN (year(DATE_Z_2) - year(dr) in (36,39,42,48,54,87,90,93,96,99) AND W = 1 )  THEN '02 возрастная группа 36,39,42,48,54,87,90,93,96,99 М'
                                WHEN (year(DATE_Z_2) - year(dr) in (60,66,72,75,78,81,84) AND W = 1 ) THEN '03 возрастная группа 60,66,72,75,78,81,84 М'
                                WHEN (year(DATE_Z_2) - year(dr) in (45,57) AND W = 1 ) THEN '04 возрастная группа 45,57 М'
                                WHEN (year(DATE_Z_2) - year(dr) in (63,69) AND W = 1 ) THEN '05 возрастная группа 63,69 М'
                                WHEN (year(DATE_Z_2) - year(dr) in (51) AND W = 1 ) THEN '06 возрастная группа 51 М'

                                WHEN (year(DATE_Z_2) - year(dr) in (21,24,27) AND W = 2 ) THEN '07 возрастная группа 21,24,27 Ж'
                                WHEN (year(DATE_Z_2) - year(dr) in (87,90,93,96,99) AND W = 2 ) THEN '08 возрастная группа 87,90,93,96,99 Ж'
                                WHEN (year(DATE_Z_2) - year(dr) in (72,75,78,81,84) AND W = 2 ) THEN '09 возрастная группа 72,75,78,81,84 Ж'
                                WHEN (year(DATE_Z_2) - year(dr) in (30,33,36) AND W = 2 ) THEN '10 возрастная группа 30,33,36 Ж'
                                WHEN (year(DATE_Z_2) - year(dr) in (63,66,69) AND W = 2 ) THEN '11 возрастная группа 63,66,69 Ж'
								WHEN (year(DATE_Z_2) - year(dr) in (39,42) AND W = 2 ) THEN '12 возрастная группа 39,42 Ж'
                                WHEN (year(DATE_Z_2) - year(dr) in (45,48,51,54,57) AND W = 2 ) THEN '13 возрастная группа 45,48,51,54,57 Ж'
                                WHEN (year(DATE_Z_2) - year(dr) in (60) AND W = 2 ) THEN '14 возрастная группа 60 Ж'
end cel2,case When pa.smo not like '46%' then '46' else pa.smo end smo
from D3_ZSL_OMS zsl 

join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID
where OS_SLUCH_REGION = 22 ) k2
Group by cel2, smo
UNION ALL
Select 'Диспансеризация определенных групп взрослого населения 2 этап' cel2, count(*) cnt, case When pa.smo not like '46%' then '46' else pa.smo end smo
from D3_ZSL_OMS zsl 

join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID
where OS_SLUCH_REGION = 23
group by pa.smo
) tt2
PIVOT(SUM(cnt) FOR smo IN( [46001], [46002], [46003], [46004], [46006], [46])) AS P2
on p1.cel = p2.cel2

-- Новый приказ
Union all

Select cel, p1.[46001] as s46001, p1.[46002] as s46002, p1.[46003] as s46003, p1.[46004] as s460041, p1.[46006] as s46006, p1.[46] as s46,
p2.[46001] as c46001, p2.[46002] as c46002, p2.[46003] as c46003, p2.[46004] as c460041, p2.[46006] as c46006, p2.[46] as c46
from(
Select '_Диспансеризация определенных групп взрослого населения 1 этап (124н)' cel, sum(sumO) sumO, case When pa.smo not like '46%' then '46' else pa.smo end smo
from D3_ZSL_OMS zsl 

join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID
where OS_SLUCH_REGION = 47
group by pa.smo
UNION ALL
select cel,sum(sumO) sumO,smo from (
Select case
                                WHEN ((year(DATE_Z_2) - year(dr) in (18,21,24,27,30,33,36,39,41,43,47,49,51,53,57,59,61,63)
								  or year(DATE_Z_2) - year(dr) between 76 and 99 )
								 AND W = 1 ) 
									 THEN '01 возрастная группа 18,21,24,27,30,33,36,39,41,43,47,49,51,53,57,59,61,63,76-99 М'
                                WHEN ((year(DATE_Z_2) - year(dr) in (40,42,44,46,48,52,54,56,58,62) 
								  or year(DATE_Z_2) - year(dr) between 65 and 75 )  
								AND W = 1 )  
									THEN '02 возрастная группа 40,42,44,46,48,52,54,56,58,62,65-75 М'
                                WHEN (year(DATE_Z_2) - year(dr) in (55) AND W = 1 ) THEN '03 возрастная группа  55 М'
                                WHEN (year(DATE_Z_2) - year(dr) in (50,60,64) AND W = 1 ) THEN '04 возрастная группа 50,60,64 М'
                                WHEN (year(DATE_Z_2) - year(dr) in (45) AND W = 1 ) THEN '05 возрастная группа 45 М'
							    WHEN ((year(DATE_Z_2) - year(dr) in (41,43,47,49,53,55,59,61) 
									 or year(DATE_Z_2) - year(dr) between 76 and 99 )  
									AND W = 2 ) 
									THEN '06 возрастная группа 41,43,47,49,53,55,59,61,76-99 Ж'
                                WHEN (year(DATE_Z_2) - year(dr) in (18,21,24,27,30,33,36,39,51,57,63,65,67,69,71,73,75) AND W = 2 ) 
									THEN '07 возрастная группа 18,21,24,27,30,33,36,39,51,57,63,65,67,69,71,73,75 Ж'
                                WHEN (year(DATE_Z_2) - year(dr) in (40,44,46,50,52,56,58,62,64,66,68,70,72,74) AND W = 2 ) 
									THEN '08 возрастная группа 40,44,46,50,52,56,58,62,64,66,68,70,72,74 Ж'
                                WHEN (year(DATE_Z_2) - year(dr) in (42,45,48,54,60) AND W = 2 ) THEN '09 возрастная группа 42,45,48,54,60 Ж'
end cel, sumO, case When pa.smo not like '46%' then '46' else pa.smo end smo
from D3_ZSL_OMS zsl 

join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID
where OS_SLUCH_REGION = 47 )k
Group by  cel, smo
UNION ALL
Select 'Диспансеризация определенных групп взрослого населения 2 этап (124н)' cel, sum(sumO) sumO, case When pa.smo not like '46%' then '46' else pa.smo end smo
from D3_ZSL_OMS zsl 

join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID
where OS_SLUCH_REGION = 48
group by pa.smo
) tt
PIVOT(SUM(sumO) FOR smo IN( [46001], [46002], [46003], [46004], [46006], [46])) AS P1

Join
(
Select '_Диспансеризация определенных групп взрослого населения 1 этап (124н)' cel2, count(*) cnt, case When pa.smo not like '46%' then '46' else pa.smo end smo
from D3_ZSL_OMS zsl 

join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID
where OS_SLUCH_REGION = 47
group by pa.smo
UNION ALL
select 	cel2 ,count(*) cnt ,smo
from( 
Select case
                                WHEN ((year(DATE_Z_2) - year(dr) in (18,21,24,27,30,33,36,39,41,43,47,49,51,53,57,59,61,63)
								  or year(DATE_Z_2) - year(dr) between 76 and 99 )
								 AND W = 1 ) 
									 THEN '01 возрастная группа 18,21,24,27,30,33,36,39,41,43,47,49,51,53,57,59,61,63,76-99 М'
                                WHEN ((year(DATE_Z_2) - year(dr) in (40,42,44,46,48,52,54,56,58,62) 
								  or year(DATE_Z_2) - year(dr) between 65 and 75 )  
								AND W = 1 )  
									THEN '02 возрастная группа 40,42,44,46,48,52,54,56,58,62,65-75 М'
                                WHEN (year(DATE_Z_2) - year(dr) in (55) AND W = 1 ) THEN '03 возрастная группа  55 М'
                                WHEN (year(DATE_Z_2) - year(dr) in (50,60,64) AND W = 1 ) THEN '04 возрастная группа 50,60,64 М'
                                WHEN (year(DATE_Z_2) - year(dr) in (45) AND W = 1 ) THEN '05 возрастная группа 45 М'
							    WHEN ((year(DATE_Z_2) - year(dr) in (41,43,47,49,53,55,59,61) 
									 or year(DATE_Z_2) - year(dr) between 76 and 99 )  
									AND W = 2 ) 
									THEN '06 возрастная группа 41,43,47,49,53,55,59,61,76-99 Ж'
                                WHEN (year(DATE_Z_2) - year(dr) in (18,21,24,27,30,33,36,39,51,57,63,65,67,69,71,73,75) AND W = 2 ) 
									THEN '07 возрастная группа 18,21,24,27,30,33,36,39,51,57,63,65,67,69,71,73,75 Ж'
                                WHEN (year(DATE_Z_2) - year(dr) in (40,44,46,50,52,56,58,62,64,66,68,70,72,74) AND W = 2 ) 
									THEN '08 возрастная группа 40,44,46,50,52,56,58,62,64,66,68,70,72,74 Ж'
                                WHEN (year(DATE_Z_2) - year(dr) in (42,45,48,54,60) AND W = 2 ) THEN '09 возрастная группа 42,45,48,54,60 Ж'
end cel2,case When pa.smo not like '46%' then '46' else pa.smo end smo
from D3_ZSL_OMS zsl 

join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID
where OS_SLUCH_REGION = 47 ) k2
Group by cel2, smo
UNION ALL
Select 'Диспансеризация определенных групп взрослого населения 2 этап (124н)' cel2, count(*) cnt, case When pa.smo not like '46%' then '46' else pa.smo end smo
from D3_ZSL_OMS zsl 

join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID
where OS_SLUCH_REGION = 48
group by pa.smo
) tt2
PIVOT(SUM(cnt) FOR smo IN( [46001], [46002], [46003], [46004], [46006], [46])) AS P2
on p1.cel = p2.cel2








END
