Create PROCEDURE [dbo].[p_autocalc_046_001700] @sc int
AS 
BEGIN
declare @Kursk_Usl_124N_Gr table(
	[IdGr] [float] NULL,
	[RegPrizn] [float] NULL,
	[Pol] [float] NULL,
	[Age] [nvarchar](255) NULL,
	[StandartKolUsl] [float] NULL,
	[OkazRanee] [float] NULL
)

declare @t15 table (
id int,
is15 int )

declare @t85 table (
id int, 
is85 int )

declare @tt table (
  id int,
  code_mo nvarchar(6),
  month int,
  W int,
  vozr int,
  OS_SLUCH_REGION int,
  [Real_Kol_Usl] int
  )

  insert @Kursk_Usl_124N_Gr
SELECT [ID_List_Group]
      ,[OsSluchReg]
      ,[Pol]
      ,[Age]
		,count (*) cnt, round(count(*) * 0.15, 0)
  FROM [dbo].[Kursk_Usl_124N]
  group by [ID_List_Group], [OsSluchReg], [Pol], [Age]

insert @t15
select t.id, 1--*,gr.OkazRanee
from
(select zs.id,p.w,
  year(zs.date_z_2)-year(p.dr) [vozr],
  zs.OS_SLUCH_REGION,count(u.id)as kol_vo_ok_ran
FROM [dbo].[D3_SCHET_OMS] sch
    inner join [dbo].[D3_PACIENT_OMS] p on sch.id=p.[D3_SCID]
                                and sch.id =  @sc  
    inner join [dbo].[D3_ZSL_OMS] zs on p.id=zs.[D3_PID]
                              and zs.OS_SLUCH_REGION=47
    inner join [dbo].[D3_SL_OMS] sl on zs.id=sl.[D3_ZSLID]
    inner join [dbo].[D3_USL_OMS] u on u.D3_SLID=sl.id
                              and u.[NPL]  in (4) -- ????????
                              
group by zs.id  ,p.w,
  year(zs.date_z_2)-year(p.dr),
  zs.OS_SLUCH_REGION  ) t
  left join @Kursk_Usl_124N_Gr Gr 
    on gr.[RegPrizn]=t.OS_SLUCH_REGION
    and gr.[Pol]=t.W
    AND charindex(cast(t.[vozr] as nvarchar)+',',Gr.Age)<>0   
where t.kol_vo_ok_ran>OkazRanee


insert @tt
select
  k.id,
  k.code_mo,
  k.month,
  K.W,
  K.[vozr],
  K.OS_SLUCH_REGION,
  count (*) [Real_Kol_Usl]
from
(
select
  sch.code_mo,
  sch.month,
  zs.id,
  p.w,
  year(zs.date_z_1) - year(p.dr)  [vozr],
  zs.OS_SLUCH_REGION,
  u.[VID_VME]
  ,DU.[Pol]
    ,DU.[Age]
FROM [dbo].[D3_SCHET_OMS] sch
    inner join [dbo].[D3_PACIENT_OMS] p on sch.id=p.[D3_SCID]
                                and sch.id =  @sc 
    inner join [dbo].[D3_ZSL_OMS] zs on p.id=zs.[D3_PID]
                              and zs.OS_SLUCH_REGION=47
    inner join [dbo].[D3_SL_OMS] sl on zs.id=sl.[D3_ZSLID]
    inner join [dbo].[D3_USL_OMS] u on u.D3_SLID=sl.id
                              and (u.[NPL] not in (1,2) -- ????????
                                or u.[NPL] is null)
    inner join [dbo].Kursk_Usl_124N du 
                      on du.[Pol]=p.w
                      --AND charindex(cast(dbo.f_GetAge (p.dr,zs.date_z_1) as nvarchar)+',',DU.Age)<>0
                                            AND charindex(cast(year(zs.date_z_2) - year(p.dr) as nvarchar(4))+',',DU.Age)<>0
                      and ltrim(rtrim(du.Code_Usl))=ltrim(rtrim(u.[VID_VME]))
)k
group by
  k.id,
  k.code_mo,
  k.month,
  K.W,
  K.[vozr],
  K.OS_SLUCH_REGION


 
insert @t85
select
  z.id, 1
  --z.*, gr.[StandartKolUsl], GR.IdGr
FROM @tt z LEFT JOIN @Kursk_Usl_124N_Gr Gr 
    on gr.[RegPrizn]=z.OS_SLUCH_REGION
    and gr.[Pol]=z.W
    AND charindex(cast(z.[vozr] as nvarchar)+',',Gr.Age)<>0 
  inner join [dbo].[D3_ZSL_OMS] zs on z.id=zs.id
where z.[Real_Kol_Usl]<gr.[StandartKolUsl]-gr.OkazRanee

--select
                    Update D3_ZSL_OMS SET 
                    SUMV= 
                            (CASE 
                                WHEN /*t15.is15 is null and*/ t85.is85 is null and year(DATE_Z_2) - year(dr) in (18,21,24,27,30,33,36,39,41,43,47,49,51,53,57,59,61,63,76,77,78, 79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99) AND W = 1 THEN t.tarif1
                                WHEN /*t15.is15 is null and*/ t85.is85 is null and year(DATE_Z_2) - year(dr) in (40,42,44,46,48,52,54,56,58,62,65,66,67,68,69,70,71,72,73,74,75) AND W = 1 THEN t.tarif2
                                WHEN /*t15.is15 is null and*/ t85.is85 is null and year(DATE_Z_2) - year(dr) in (55) AND W = 1 THEN t.tarif3
                                WHEN /*t15.is15 is null and*/ t85.is85 is null and year(DATE_Z_2) - year(dr) in (50,60,64) AND W = 1 THEN t.tarif4
                                WHEN /*t15.is15 is null and*/ t85.is85 is null and year(DATE_Z_2) - year(dr) in (45) AND W = 1 THEN t.tarif5
                                     /*                    */
                                WHEN /*t15.is15 is null and*/ t85.is85 is null and year(DATE_Z_2) - year(dr) in (41,43,47,49,53,55,59,61,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90, 91,92,93,94,95,96,97,98,99) AND W = 2 THEN t.tarif6
                                WHEN /*t15.is15 is null and*/ t85.is85 is null and year(DATE_Z_2) - year(dr) in (18,21,24,27,30,33,36,39,51,57,63,65,67,69,71,73,75) AND W = 2 THEN t.tarif7
                                WHEN /*t15.is15 is null and*/ t85.is85 is null and year(DATE_Z_2) - year(dr) in (40,44,46,50,52,56,58,62,64,66,68,70,72,74) AND W = 2 THEN t.tarif8
                                WHEN /*t15.is15 is null and*/ t85.is85 is null and year(DATE_Z_2) - year(dr) in (42,45,48,54,60) AND W = 2 THEN t.tarif9


                                WHEN t85.is85 = 1 and year(DATE_Z_2) - year(dr) in (18,21,24,27,30,33,36,39,41,43,47,49,51,53,57,59,61,63,76,77,78, 79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99) AND W = 1 THEN 0
                                WHEN t85.is85 = 1 and year(DATE_Z_2) - year(dr) in (40,42,44,46,48,52,54,56,58,62,65,66,67,68,69,70,71,72,73,74,75) AND W = 1 THEN 0
                                WHEN t85.is85 = 1 and year(DATE_Z_2) - year(dr) in (55) AND W = 1 THEN 0
                                WHEN t85.is85 = 1 and year(DATE_Z_2) - year(dr) in (50,60,64) AND W = 1 THEN 0
                                WHEN t85.is85 = 1 and year(DATE_Z_2) - year(dr) in (45) AND W = 1 THEN 0

                                WHEN t85.is85 = 1 and year(DATE_Z_2) - year(dr) in (41,43,47,49,53,55,59,61,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90, 91,92,93,94,95,96,97,98,99) AND W = 2 THEN 0
                                WHEN t85.is85 = 1 and year(DATE_Z_2) - year(dr) in (18,21,24,27,30,33,36,39,51,57,63,65,67,69,71,73,75) AND W = 2 THEN 0
                                WHEN t85.is85 = 1 and year(DATE_Z_2) - year(dr) in (40,44,46,50,52,56,58,62,64,66,68,70,72,74) AND W = 2 THEN 0
                                WHEN t85.is85 = 1 and year(DATE_Z_2) - year(dr) in (42,45,48,54,60) AND W = 2 THEN 0


								--WHEN t15.is15 = 1 and year(DATE_Z_2) - year(dr) in (18,21,24,27,30,33,36,39,41,43,47,49,51,53,57,59,61,63,76,77,78, 79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99) AND W = 1 THEN t.TARIF12
                                --WHEN t15.is15 = 1 and year(DATE_Z_2) - year(dr) in (40,42,44,46,48,52,54,56,58,62,65,66,67,68,69,70,71,72,73,74,75) AND W = 1 THEN t.TARIF12
                                --WHEN t15.is15 = 1 and year(DATE_Z_2) - year(dr) in (55) AND W = 1 THEN t.TARIF12
                                --WHEN t15.is15 = 1 and year(DATE_Z_2) - year(dr) in (50,60,64) AND W = 1 THEN t.TARIF12
                                --WHEN t15.is15 = 1 and year(DATE_Z_2) - year(dr) in (45) AND W = 1 THEN t.TARIF12
                                --
                                --WHEN t15.is15 = 1 and year(DATE_Z_2) - year(dr) in (41,43,47,49,53,55,59,61,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90, 91,92,93,94,95,96,97,98,99) AND W = 2 THEN t.TARIF12
                                --WHEN t15.is15 = 1 and year(DATE_Z_2) - year(dr) in (18,21,24,27,30,33,36,39,51,57,63,65,67,69,71,73,75) AND W = 2 THEN t.TARIF12
                                --WHEN t15.is15 = 1 and year(DATE_Z_2) - year(dr) in (40,44,46,50,52,56,58,62,64,66,68,70,72,74) AND W = 2 THEN t.TARIF12
                                --WHEN t15.is15 = 1 and year(DATE_Z_2) - year(dr) in (42,45,48,54,60) AND W = 2 THEN t.TARIF12

                            END)

                from D3_ZSL_OMS zsl
        JOIN D3_PACIENT_OMS pa on zsl.D3_PID = pa.ID
                join CalcAmbTarif t on zsl.OS_SLUCH_REGION = t.OS_SLUCH and (zsl.DATE_Z_2 >= t.TBEG and zsl.DATE_Z_2 < t.TEND + 1)
        left join @t15 t15 on zsl.id = t15.id
        left join @t85 t85 on zsl.id = t85.id
                    where zsl.D3_SCID =  @sc   and 
          OS_SLUCH_REGION = 47

update sl set 
--select
sum_m = tt1.sumv, tarif = tt1.tarif
from d3_sl_oms sl
join ( select case when RN = 1 then sumv else 0.00 end sumv, sumv tarif, ID from
(
select ROW_NUMBER() OVER (PARTITION BY zsl.ID  ORDER BY sl.date_2 desc) RN,
sl.*, zsl.sumv
from D3_ZSL_OMS zsl
join d3_sl_oms sl on zsl.ID = sl.D3_ZSLID
join d3_schet_oms sc on zsl.D3_SCID = sc.ID
where  zsl.D3_SCID =  @sc   and 
          OS_SLUCH_REGION = 47
) tt --where tt.RN = 1
) tt1 on sl.ID = tt1.ID
end