Create PROCEDURE [dbo].[p_autocalc_046_001800] @sc int
AS 
BEGIN
Update D3_ZSL_OMS SET 
                    SUMV= 
                            (CASE 
                                WHEN year(DATE_Z_2) - year(dr) in (19,20,22,23,25,26,28,29,31,32,34,35,37,38) AND W = 1 THEN t.tarif1
                                WHEN year(DATE_Z_2) - year(dr) in (18,21,24,27,30,33,36,39) AND W = 1 THEN t.tarif2
                                WHEN year(DATE_Z_2) - year(dr) in (41,43,45,47,49,51,53,55,57,59,61,63,65,67,69,71,73,75,77,79,81,83,85,87,89,91,93,95,97,99) AND W = 1 THEN t.tarif3
                                WHEN year(DATE_Z_2) - year(dr) in (40,42,44,46,48,50,52,54,56,58,60,62,64,66,68,70,72,74,76,78,80,82,84,86,88,90,92,94,96,98) AND W = 1 THEN t.tarif4
                                     
                                WHEN year(DATE_Z_2) - year(dr) in (19,20,22,23,25,26,28,29,31,32,34,35,37,38) AND W = 2 THEN t.tarif5
                                WHEN year(DATE_Z_2) - year(dr) in (18,21,24,27,30,33,36,39) AND W = 2 THEN t.tarif6
                                WHEN year(DATE_Z_2) - year(dr) in (41,43,45,47,49,51,53,55,57,59,61,63,65,67,69,71,73,75,77,79,81,83,85,87,89,91,93,95,97,99) AND W = 2 THEN t.tarif7
                                WHEN year(DATE_Z_2) - year(dr) in (40,42,44,46,48,50,52,54,56,58,60,62,64,66,68,70,72,74,76,78,80,82,84,86,88,90,92,94,96,98) AND W = 2 THEN t.tarif8
                            END)

                from D3_ZSL_OMS zsl
        JOIN D3_PACIENT_OMS pa on zsl.D3_PID = pa.ID
                join CalcAmbTarif t on zsl.OS_SLUCH_REGION = t.OS_SLUCH and (zsl.DATE_Z_2 >= t.TBEG and zsl.DATE_Z_2 < t.TEND + 1)
                    where zsl.D3_SCID =  @sc   and 
          OS_SLUCH_REGION = 49

update sl set 
--select
sum_m = tt1.sumv, tarif = tt1.tarif
from d3_sl_oms sl
join ( select case when RN = 1 then sumv else 0.00 end sumv, sumv tarif, ID from
(
select ROW_NUMBER() OVER (PARTITION BY zsl.ID  ORDER BY sl.date_2 desc) RN,
sl.*, zsl.sumv
from D3_ZSL_OMS zsl
join d3_sl_oms sl on zsl.ID = sl.D3_ZSLID
join d3_schet_oms sc on zsl.D3_SCID = sc.ID
where  zsl.D3_SCID =  @sc   and 
          OS_SLUCH_REGION = 49
) tt --where tt.RN = 1
) tt1 on sl.ID = tt1.ID
end