ALTER PROCEDURE [dbo].[p_doc_reestr_foms] @sc int, @vmp int --vmp - 0 без вмп. -1 - только вмп.
	,@smo nvarchar(20) = ''
AS --21.02.2018 texnix для 5 отчета 01.03.2018 - поправлены единицы.
--05102018 убрано движение
--11.01.2019 texnix объединил с реестрами для СМО, где не требуется поликлиника.
BEGIN 
select ROW_NUMBER() OVER (ORDER BY FIO,DR,data) AS IDCASE,*
from(
select *
FROM(
Select --max(SUMV) sumv 
max((rtrim((((isnull([FAM],'')+' ')+isnull([IM],''))+' ')+isnull([OT],'')))) FIO
	, max(convert(varchar(8),dr,4)) dr
	, max(left(s.POLNAME,1)) W
	, max(pac.SMO) SMO
	, max(case when pac.DOCTYPE=14 then 'Паспорт РФ' when pac.DOCTYPE=3 then 'Свидетельство о рожд.' else u.DocName end +' '+ pac.DOCSER+' '+pac.DOCNUM) as doc
	, max(pac.SNILS) SNILS
	, max(isnull(pac.SPOLIS+' ','')+pac.NPOLIS) NPOLIS -- номер полиса вместе с серией, если есть серия.
	, max(VIDPOM) VIDPOM
	, max(sl.DS1) DS1
	, max(convert(varchar(8),date_z_1,4)+' - '+convert(varchar(8),date_z_2,4)) data
	, sum(sl.ed_col) ED_COL -- не нашёл где объём медпомощи указывается. Значит всегда 1 ?
	, max(p.NameWithID) AS profil
	, max(sp.NameWithID) AS speciality
	, max(tarif) tarif
	, max(SUMV) SUMV
	, max(RSLT) RSLT
	, max(zsl.USL_OK) usl_ok
from D3_ZSL_OMS zsl 
join D3_SL_oms sl on zsl.ID = sl.D3_ZSLID
join d3_PACIENT_oms pac on zsl.D3_PID = pac.ID and zsl.D3_SCID = @sc
	LEFT JOIN V005 s ON pac.W = s.id 
	LEFT JOIN F011 u ON pac.DOCTYPE= u.id
	LEFT JOIN V002 p ON sl.Profil = p.id
	LEFT JOIN V021 sp ON sl.PRVS = sp.IDSPEC
where (OS_SLUCH_REGION IS NULL OR OS_SLUCH_REGION in (4,5,6,21,29,30,31,32,33,34,35,36,39,40)) 
	AND ((@vmp=0 AND VIDPOM<>32) or (@vmp=1 and VIDPOM=32 )) --или вмп или без вмп.
	and ((((@smo='46' and (pac.SMO is null or pac.SMO not like '46%')) or (pac.SMO = @smo and @smo like '460%') or (@smo in ('0',''))) and zsl.usl_ok in (1,2) )
	or (@smo='46' and (pac.SMO is null or pac.SMO not like '46%') and zsl.usl_ok in (3,4)) 	)  -- поликлиника только для фонда
group by zsl.ID) tt
UNION ALL

SELECT (rtrim((((isnull([FAM],'')+' ')+isnull([IM],''))+' ')+isnull([OT],''))) FIO
	, convert(varchar(8),dr,4) dr
	, left(s.POLNAME,1) W
	, pac.SMO
	, case when pac.DOCTYPE=14 then 'Паспорт РФ' when pac.DOCTYPE=3 then 'Свидетельство о рожд.' else u.DocName end +' '+ pac.DOCSER+' '+pac.DOCNUM as doc
	, pac.SNILS
	, isnull(pac.SPOLIS+' ','')+pac.NPOLIS NPOLIS -- номер полиса вместе с серией, если есть серия.
	, sl.VIDPOM
	, sl.DS1
	, convert(varchar(8),date_1,4)+' - '+convert(varchar(8),date_2,4) data
	, ED_COL
	, p.NameWithID AS profil
	, convert(nvarchar,sp.IDSPEC)+' '+sp.V021 AS speciality
	, sl.tarif
	, sl.SUMV
	, sl.RSLT
	, USL_OK
FROM PACIENT AS pac
	INNER JOIN SLUCH sl ON sl.PID = pac.ID
	LEFT JOIN V005 s ON pac.W = s.id 
	LEFT JOIN F011 u ON pac.DOCTYPE= u.id
	LEFT JOIN V002 p ON sl.Profil = p.id
	LEFT JOIN V002_V021 sp ON sl.profil = sp.IDPR_2
	where sl.SCHET_ID = @sc AND USL_OK IN (1, 2) 
	and ((@smo='46' and (pac.SMO is null or pac.SMO not like '46%')) or (pac.SMO = @smo and @smo like '460%') or (@smo in ('0','')))  
	AND ((@vmp=0 AND VID_HMP IS NULL) or (@vmp=1 and VID_HMP is not null))
) d
end