ALTER PROCEDURE [dbo].[p_doc_akt_22_smo] @sc int, @smo nvarchar(20) = ''
AS --03102018 новая форма
BEGIN
--declare @sc int = 2057
Select case
                                WHEN (year(DATE_Z_2) - year(dr) in (21,24,27,30,33) AND W = 1 )  THEN '01 возрастная группа 21,24,27,30,33 М'
                                WHEN (year(DATE_Z_2) - year(dr) in (36,39,42,48,54,87,90,93,96,99) AND W = 1 )  THEN '02 возрастная группа 36,39,42,48,54,87,90,93,96,99 М'
                                WHEN (year(DATE_Z_2) - year(dr) in (60,66,72,75,78,81,84) AND W = 1 ) THEN '03 возрастная группа 60,66,72,75,78,81,84 М'
                                WHEN (year(DATE_Z_2) - year(dr) in (45,57) AND W = 1 ) THEN '04 возрастная группа 45,57 М'
                                WHEN (year(DATE_Z_2) - year(dr) in (63,69) AND W = 1 ) THEN '05 возрастная группа 63,69 М'
                                WHEN (year(DATE_Z_2) - year(dr) in (51) AND W = 1 ) THEN '06 возрастная группа 51 М'

                                WHEN (year(DATE_Z_2) - year(dr) in (21,24,27) AND W = 2 ) THEN '07 возрастная группа 21,24,27 Ж'
                                WHEN (year(DATE_Z_2) - year(dr) in (87,90,93,96,99) AND W = 2 ) THEN '08 возрастная группа 87,90,93,96,99 Ж'
                                WHEN (year(DATE_Z_2) - year(dr) in (72,75,78,81,84) AND W = 2 ) THEN '09 возрастная группа 72,75,78,81,84 Ж'
                                WHEN (year(DATE_Z_2) - year(dr) in (30,33,36) AND W = 2 ) THEN '10 возрастная группа 30,33,36 Ж'
                                WHEN (year(DATE_Z_2) - year(dr) in (63,66,69) AND W = 2 ) THEN '11 возрастная группа 63,66,69 Ж'
								WHEN (year(DATE_Z_2) - year(dr) in (39,42) AND W = 2 ) THEN '12 возрастная группа 39,42 Ж'
                                WHEN (year(DATE_Z_2) - year(dr) in (45,48,51,54,57) AND W = 2 ) THEN '13 возрастная группа 45,48,51,54,57 Ж'
                                WHEN (year(DATE_Z_2) - year(dr) in (60) AND W = 2 ) THEN '14 возрастная группа 60 Ж'
end cel, sum(SUMO) sumv, max(SUMO) tarif, count(*) cnt, dbo.[RubPhrase]( sum(sumO) ) sum_it_pr
from D3_ZSL_OMS zsl 
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms p on zsl.D3_PID = p.ID and ((@smo='46' and (p.SMO is null or p.SMO not like '46%')) or (p.SMO = @smo and @smo like '460%') or (@smo in ('0',''))) 
where OS_SLUCH_REGION = 22
Group by 
case
                                WHEN (year(DATE_Z_2) - year(dr) in (21,24,27,30,33) AND W = 1 )  THEN '01 возрастная группа 21,24,27,30,33 М'
                                WHEN (year(DATE_Z_2) - year(dr) in (36,39,42,48,54,87,90,93,96,99) AND W = 1 )  THEN '02 возрастная группа 36,39,42,48,54,87,90,93,96,99 М'
                                WHEN (year(DATE_Z_2) - year(dr) in (60,66,72,75,78,81,84) AND W = 1 ) THEN '03 возрастная группа 60,66,72,75,78,81,84 М'
                                WHEN (year(DATE_Z_2) - year(dr) in (45,57) AND W = 1 ) THEN '04 возрастная группа 45,57 М'
                                WHEN (year(DATE_Z_2) - year(dr) in (63,69) AND W = 1 ) THEN '05 возрастная группа 63,69 М'
                                WHEN (year(DATE_Z_2) - year(dr) in (51) AND W = 1 ) THEN '06 возрастная группа 51 М'

                                WHEN (year(DATE_Z_2) - year(dr) in (21,24,27) AND W = 2 ) THEN '07 возрастная группа 21,24,27 Ж'
                                WHEN (year(DATE_Z_2) - year(dr) in (87,90,93,96,99) AND W = 2 ) THEN '08 возрастная группа 87,90,93,96,99 Ж'
                                WHEN (year(DATE_Z_2) - year(dr) in (72,75,78,81,84) AND W = 2 ) THEN '09 возрастная группа 72,75,78,81,84 Ж'
                                WHEN (year(DATE_Z_2) - year(dr) in (30,33,36) AND W = 2 ) THEN '10 возрастная группа 30,33,36 Ж'
                                WHEN (year(DATE_Z_2) - year(dr) in (63,66,69) AND W = 2 ) THEN '11 возрастная группа 63,66,69 Ж'
								WHEN (year(DATE_Z_2) - year(dr) in (39,42) AND W = 2 ) THEN '12 возрастная группа 39,42 Ж'
                                WHEN (year(DATE_Z_2) - year(dr) in (45,48,51,54,57) AND W = 2 ) THEN '13 возрастная группа 45,48,51,54,57 Ж'
                                WHEN (year(DATE_Z_2) - year(dr) in (60) AND W = 2 ) THEN '14 возрастная группа 60 Ж'
end
order by cel

END


