﻿

IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[T_SCHET]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[T_SCHET](
	[sc] [int] NULL,
	[CODE] [bigint] NULL,
	[CODE_MO] [nvarchar](6) NULL,
	[YEAR] [int] NULL,
	[MONTH] [int] NULL,
	[NSCHET] [nvarchar](15) NULL,
	[DSCHET] [datetime] NULL,
	[PLAT] [nvarchar](5) NULL,
	[SUMMAV] [nvarchar](25) NULL,
	[COMENTS] [nvarchar](250) NULL,
	[SUMMAP] [nvarchar](25) NULL,
	[SANK_MEK] [nvarchar](25) NULL,
	[SANK_MEE] [nvarchar](25) NULL,
	[SANK_EKMP] [nvarchar](25) NULL,
	[DISP] [nvarchar](3) NULL,
	[SD_Z] [int] NULL,
	[OmsFileName] [nvarchar](250) NULL,
	[ZapFileName] [nvarchar](250) NULL,
	[SchetType] [nvarchar](10) NULL
) ON [PRIMARY]
END

IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[T_SL]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[T_SL](
	[ID] [int] NULL,
	[D3_ZSLID] [int] NULL,
	[sc] [int] NULL,
	[D3_ZSLGID] [nvarchar](36) NULL,
	[SL_ID] [nvarchar](36) NULL,
	[USL_OK] [int] NULL,
	[VID_HMP] [nvarchar](12) NULL,
	[METOD_HMP] [int] NULL,
	[LPU_1] [varchar](20) NULL,
	[PODR] [nvarchar](20) NULL,
	[PROFIL] [int] NULL,
	[DET] [int] NULL,
	[P_CEL] [nvarchar](3) NULL,
	[TAL_NUM] [nvarchar](30) NULL,
	[TAL_D] [datetime] NULL,
	[TAL_P] [datetime] NULL,
	[NHISTORY] [nvarchar](50) NULL,
	[P_PER] [int] NULL,
	[DATE_1] [datetime] NULL,
	[DATE_2] [datetime] NULL,
	[KD] [int] NULL,
	[DS0] [nvarchar](10) NULL,
	[DS1] [nvarchar](10) NULL,
	[DS1_PR] [int] NULL,
	[DN] [int] NULL,
	[CODE_MES1] [nvarchar](16) NULL,
	[CODE_MES2] [nvarchar](16) NULL,
	[KSG_DKK] [nvarchar](10) NULL,
	[N_KSG] [nvarchar](20) NULL,
	[KSG_PG] [int] NULL,
	[SL_K] [int] NULL,
	[IT_SL] [numeric](6, 5) NULL,
	[REAB] [int] NULL,
	[PRVS] [int] NULL,
	[VERS_SPEC] [nvarchar](4) NULL,
	[IDDOKT] [nvarchar](25) NULL,
	[ED_COL] [numeric](7, 2) NULL,
	[TARIF] [numeric](17, 2) NULL,
	[SUM_M] [numeric](17, 2) NULL,
	[COMENTSL] [nvarchar](250) NULL,
	[PROFIL_K] [int] NULL,
	[TAL_N] [nvarchar](30) NULL,
	[VER_KSG] [int] NULL,
	[N_KPG] [int] NULL,
	[KOEF_Z] [numeric](7, 5) NULL,
	[KOEF_UP] [numeric](7, 5) NULL,
	[BZTSZ] [numeric](8, 2) NULL,
	[KOEF_D] [numeric](7, 5) NULL,
	[KOEF_U] [numeric](7, 5) NULL,
	[DKK1] [nvarchar](20) NULL,
	[DKK2] [nvarchar](20) NULL,
	[PRVS21] [int] NULL,
	[P_CEL25] [nvarchar](3) NULL,
	[PRVS15] [int] NULL,
	[PRVD] [int] NULL,
	[C_ZAB] [int] NULL,
	[DS_ONK] [int] NULL,
	[UID_SL] [varbinary](20) NULL,
	[UID_ZSL] [varbinary](20) NULL
) ON [PRIMARY]
END

IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[T_SL_FK]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[T_SL_FK](
	[sc] [int] NULL,
	[D3_SLID] [int] NULL,
	[D3_SLGID] [nvarchar](36) NULL,
	[D3_ZSLGID] [nvarchar](36) NULL,
	[DS] [nvarchar](10) NULL,
	[DS_PR] [int] NULL,
	[DS_TYPE] [int] NULL,
	[PR_DS2_N] [int] NULL,
	[N_KSG] [nvarchar](20) NULL,
	[VER_KSG] [int] NULL,
	[KSG_PG] [bit] NULL,
	[N_KPG] [int] NULL,
	[KOEF_Z] [numeric](7, 5) NULL,
	[KOEF_UP] [numeric](7, 5) NULL,
	[BZTSZ] [numeric](8, 2) NULL,
	[KOEF_D] [numeric](7, 5) NULL,
	[KOEF_U] [numeric](7, 5) NULL,
	[DKK1] [nvarchar](10) NULL,
	[DKK2] [nvarchar](10) NULL,
	[SL_K] [bit] NULL,
	[IT_SL] [numeric](6, 5) NULL,
	[KSGID] [int] NULL,
	[IDSL] [int] NULL,
	[Z_SL] [numeric](6, 5) NULL,
	[CRIT] [nvarchar](40) NULL,
	[NAPR_DATE] [datetime] NULL,
	[NAPR_MO] [nvarchar](6) NULL,
	[NAPR_V] [int] NULL,
	[MET_ISSL] [int] NULL,
	[NAPR_USL] [nvarchar](16) NULL,
	[PR_CONS] [int] NULL,
	[DT_CONS] [datetime] NULL,
	[DS1_T] [int] NULL,
	[STAD] [int] NULL,
	[ONK_T] [int] NULL,
	[ONK_N] [int] NULL,
	[ONK_M] [int] NULL,
	[MTSTZ] [int] NULL,
	[SOD] [numeric](6, 2) NULL,
	[K_FR] [int] NULL,
	[WEI] [numeric](4, 1) NULL,
	[HEI] [int] NULL,
	[BSA] [nvarchar](6) NULL,
	[NAZ_N] [int] NULL,
	[NAZ_R] [int] NULL,
	[NAZ_SP] [int] NULL,
	[NAZ_V] [int] NULL,
	[NAZ_USL] [nvarchar](16) NULL,
	[NAZ_PMP] [int] NULL,
	[NAZ_PK] [int] NULL,
	[D3_ONKSLID] [int] NULL,
	[DIAG_DATE] [datetime] NULL,
	[DIAG_TIP] [int] NULL,
	[DIAG_CODE] [int] NULL,
	[DIAG_RSLT] [int] NULL,
	[REC_RSLT] [int] NULL,
	[PROT] [int] NULL,
	[D_PROT] [datetime] NULL,
	[USL_TIP] [int] NULL,
	[HIR_TIP] [int] NULL,
	[LEK_TIP_L] [int] NULL,
	[LEK_TIP_V] [int] NULL,
	[LUCH_TIP] [int] NULL,
	[D3_ONKUSLID] [int] NULL,
	[REGNUM] [nvarchar](40) NULL,
	[DATE_INJ] [datetime] NULL,
	[CODE_SH] [nvarchar](10) NULL,
	[UID_SL] [varbinary](20) NULL
) ON [PRIMARY]
END

IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[T_USL]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[T_USL](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[D3_SLID] [int] NULL,
	[D3_ZSLID] [int] NULL,
	[sc] [int] NULL,
	[D3_SLGID] [nvarchar](36) NULL,
	[D3_ZSLGID] [nvarchar](36) NULL,
	[IDSERV] [nvarchar](36) NULL,
	[LPU] [nvarchar](6) NULL,
	[LPU_1] [nvarchar](20) NULL,
	[PODR] [nvarchar](20) NULL,
	[PROFIL] [int] NULL,
	[VID_VME] [nvarchar](16) NULL,
	[DET] [int] NULL,
	[DATE_IN] [datetime] NULL,
	[DATE_OUT] [datetime] NULL,
	[P_OTK] [int] NULL,
	[DS] [nvarchar](10) NULL,
	[CODE_USL] [nvarchar](20) NULL,
	[KOL_USL] [numeric](8, 2) NULL,
	[TARIF] [numeric](17, 2) NULL,
	[SUMV_USL] [numeric](17, 2) NULL,
	[PRVS] [int] NULL,
	[CODE_MD] [nvarchar](25) NULL,
	[NPL] [int] NULL,
	[COMENTU] [nvarchar](250) NULL,
	[PRVS15] [int] NULL,
	[PRVS21] [int] NULL,
	[VERS_SPEC] [nvarchar](4) NULL,
	[PRVD] [int] NULL,
	[DOP] [int] NULL,
	[PP] [int] NULL,
	[UID_SL] [varbinary](20) NULL
) ON [PRIMARY]
END

IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[T_VER31]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[T_VER31](
	[SC] [int] NULL,
	[rowID] [int] IDENTITY(1,1) NOT NULL,
	[VERSION] [varchar](255) NULL,
	[DATA] [date] NULL,
	[FILENAME] [varchar](255) NULL,
	[SD_Z] [int] NULL,
	[OmsFileName] [nvarchar](250) NULL,
	[CODE] [bigint] NULL,
	[CODE_MO] [varchar](255) NULL,
	[YEAR] [int] NULL,
	[MONTH] [int] NULL,
	[NSCHET] [varchar](255) NULL,
	[DSCHET] [date] NULL,
	[PLAT] [varchar](255) NULL,
	[SUMMAV] [varchar](50) NULL,
	[COMENTS] [varchar](255) NULL,
	[SUMMAP] [numeric](17, 2) NULL,
	[SANK_MEK] [numeric](17, 2) NULL,
	[SANK_MEE] [numeric](17, 2) NULL,
	[SANK_EKMP] [numeric](17, 2) NULL,
	[BILL_ID] [bigint] NULL,
	[N_ZAP] [int] NULL,
	[PR_NOV] [int] NULL,
	[ID_PAC] [varchar](36) NULL,
	[FAM] [nvarchar](40) NULL,
	[IM] [nvarchar](40) NULL,
	[OT] [nvarchar](40) NULL,
	[W] [int] NULL,
	[DR] [datetime] NULL,
	[TEL] [nvarchar](100) NULL,
	[FAM_P] [nvarchar](40) NULL,
	[IM_P] [nvarchar](40) NULL,
	[OT_P] [nvarchar](40) NULL,
	[W_P] [int] NULL,
	[DR_P] [datetime] NULL,
	[MR] [nvarchar](100) NULL,
	[DOCTYPE] [int] NULL,
	[DOCSER] [nvarchar](10) NULL,
	[DOCNUM] [nvarchar](20) NULL,
	[SNILS] [nvarchar](14) NULL,
	[OKATOG] [nvarchar](11) NULL,
	[OKATOP] [nvarchar](11) NULL,
	[COMENTP] [nvarchar](250) NULL,
	[VPOLIS] [int] NULL,
	[SPOLIS] [nvarchar](10) NULL,
	[NPOLIS] [nvarchar](20) NULL,
	[ST_OKATO] [nvarchar](5) NULL,
	[SMO] [nvarchar](5) NULL,
	[SMO_OGRN] [nvarchar](15) NULL,
	[SMO_OK] [varchar](5) NULL,
	[SMO_NAM] [nvarchar](100) NULL,
	[INV] [int] NULL,
	[MSE] [int] NULL,
	[NOVOR] [nvarchar](9) NULL,
	[VNOV_D] [int] NULL,
	[VETERAN] [int] NULL,
	[WORK_STAT] [int] NULL,
	[LPU_P] [varchar](6) NULL,
	[LPU_DATE] [date] NULL,
	[ZSL_ID] [varchar](36) NULL,
	[IDCASE] [int] NULL,
	[USL_OK] [int] NULL,
	[VIDPOM] [int] NULL,
	[FOR_POM] [int] NULL,
	[NPR_MO] [varchar](255) NULL,
	[NPR_DATE] [date] NULL,
	[LPU] [varchar](255) NULL,
	[DATE_Z_1] [date] NULL,
	[DATE_Z_2] [date] NULL,
	[KD_Z] [int] NULL,
	[VNOV_M] [int] NULL,
	[RSLT] [int] NULL,
	[ISHOD] [int] NULL,
	[OS_SLUCH] [int] NULL,
	[OS_SLUCH_REGION] [int] NULL,
	[VB_P] [int] NULL,
	[IDSP] [int] NULL,
	[SUMV] [numeric](17, 2) NULL,
	[OPLATA] [int] NULL,
	[SUMP] [numeric](17, 2) NULL,
	[SANK_IT] [numeric](17, 2) NULL,
	[DTP] [int] NULL,
	[T_ARRIVAL] [int] NULL,
	[SL_ID] [varchar](36) NULL,
	[LPU_1] [varchar](255) NULL,
	[PODR] [varchar](20) NULL,
	[PROFIL] [int] NULL,
	[PROFIL_K] [int] NULL,
	[DET] [int] NULL,
	[P_CEL] [varchar](255) NULL,
	[NHISTORY] [varchar](255) NULL,
	[P_PER] [int] NULL,
	[DATE_1] [date] NULL,
	[DATE_2] [date] NULL,
	[KD] [int] NULL,
	[DS0] [varchar](255) NULL,
	[DS1] [varchar](255) NULL,
	[DS2] [varchar](255) NULL,
	[DS3] [varchar](255) NULL,
	[C_ZAB] [int] NULL,
	[DN] [int] NULL,
	[CODE_MES1] [varchar](255) NULL,
	[CODE_MES2] [varchar](255) NULL,
	[REAB] [int] NULL,
	[PRVS] [int] NULL,
	[VERS_SPEC] [varchar](255) NULL,
	[IDDOKT] [varchar](255) NULL,
	[ED_COL] [numeric](7, 2) NULL,
	[TARIF] [numeric](17, 2) NULL,
	[SUM_M] [numeric](17, 2) NULL,
	[COMENTSL] [varchar](255) NULL,
	[N_KSG] [varchar](255) NULL,
	[VER_KSG] [int] NULL,
	[KSG_PG] [int] NULL,
	[N_KPG] [varchar](255) NULL,
	[KOEF_Z] [numeric](8, 5) NULL,
	[KOEF_UP] [numeric](8, 5) NULL,
	[BZTSZ] [numeric](17, 2) NULL,
	[KOEF_D] [numeric](8, 5) NULL,
	[KOEF_U] [numeric](8, 5) NULL,
	[CRIT] [varchar](255) NULL,
	[SL_K] [int] NULL,
	[IT_SL] [numeric](8, 5) NULL,
	[IDSL] [int] NULL,
	[Z_SL] [varchar](25) NULL,
	[IDSERV] [varchar](255) NULL,
	[VID_VME] [varchar](255) NULL,
	[DATE_IN] [date] NULL,
	[DATE_OUT] [date] NULL,
	[DS] [varchar](255) NULL,
	[CODE_USL] [varchar](255) NULL,
	[KOL_USL] [varchar](25) NULL,
	[SUMV_USL] [numeric](17, 2) NULL,
	[U_PRVS] [int] NULL,
	[U_TARIF] [varchar](25) NULL,
	[CODE_MD] [varchar](255) NULL,
	[NPL] [int] NULL,
	[COMENTU] [varchar](255) NULL,
	[S_CODE] [varchar](255) NULL,
	[S_SUM] [numeric](17, 2) NULL,
	[S_TIP] [int] NULL,
	[S_OSN] [int] NULL,
	[DATE_ACT] [date] NULL,
	[NUM_ACT] [varchar](255) NULL,
	[CODE_EXP] [varchar](255) NULL,
	[S_COM] [varchar](255) NULL,
	[S_IST] [int] NULL,
	[VID_HMP] [varchar](255) NULL,
	[METOD_HMP] [int] NULL,
	[TAL_D] [date] NULL,
	[TAL_NUM] [varchar](255) NULL,
	[TAL_P] [date] NULL,
	[DS_ONK] [int] NULL,
	[NAPR_DATE] [date] NULL,
	[NAPR_MO] [varchar](255) NULL,
	[NAPR_V] [int] NULL,
	[MET_ISSL] [int] NULL,
	[NAPR_USL] [varchar](255) NULL,
	[PR_CONS] [int] NULL,
	[DT_CONS] [date] NULL,
	[DS1_T] [int] NULL,
	[STAD] [int] NULL,
	[ONK_T] [int] NULL,
	[ONK_N] [int] NULL,
	[ONK_M] [int] NULL,
	[MTSTZ] [int] NULL,
	[SOD] [numeric](17, 2) NULL,
	[K_FR] [int] NULL,
	[WEI] [numeric](17, 2) NULL,
	[HEI] [int] NULL,
	[BSA] [numeric](17, 2) NULL,
	[DIAG_DATE] [date] NULL,
	[DIAG_TIP] [int] NULL,
	[DIAG_CODE] [int] NULL,
	[DIAG_RSLT] [int] NULL,
	[REC_RSLT] [int] NULL,
	[PROT] [int] NULL,
	[D_PROT] [date] NULL,
	[USL_TIP] [int] NULL,
	[HIR_TIP] [int] NULL,
	[LEK_TIP_L] [int] NULL,
	[LEK_TIP_V] [int] NULL,
	[PPTR] [int] NULL,
	[LUCH_TIP] [int] NULL,
	[REGNUM] [varchar](255) NULL,
	[CODE_SH] [varchar](255) NULL,
	[DATE_INJ] [date] NULL,
	[DISP] [varchar](255) NULL,
	[VBR] [int] NULL,
	[P_OTK] [int] NULL,
	[RSLT_D] [int] NULL,
	[DS1_PR] [int] NULL,
	[PR_D_N] [int] NULL,
	[DS2_PR] [int] NULL,
	[PR_DS2_N] [int] NULL,
	[NAZ_N] [int] NULL,
	[NAZ_R] [int] NULL,
	[NAZ_SP] [int] NULL,
	[NAZ_V] [int] NULL,
	[NAZ_USL] [varchar](255) NULL,
	[NAZ_PMP] [int] NULL,
	[NAZ_PK] [int] NULL,
	[ONKOUSL_ID] [nvarchar](36) NULL,
	[U_PODR] [nvarchar](20) NULL,
	[U_PROFIL] [int] NULL,
	[UID_ZSL] [varbinary](20) NULL,
	[UID_SL] [varbinary](20) NULL,
	[UID_PAC] [varbinary](20) NULL,
 CONSTRAINT [UQ__T_VER31__1] UNIQUE CLUSTERED 
(
	[ZSL_ID] ASC,
	[ID_PAC] ASC,
	[SL_ID] ASC,
	[rowID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
END

IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[T_ZSL]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[T_ZSL](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[CODE] [bigint] NULL,
	[SC] [int] NULL,
	[ID_PAC] [nvarchar](36) NULL,
	[FAM] [nvarchar](40) NULL,
	[IM] [nvarchar](40) NULL,
	[OT] [nvarchar](40) NULL,
	[W] [int] NULL,
	[DR] [datetime] NULL,
	[TEL] [nvarchar](100) NULL,
	[FAM_P] [nvarchar](40) NULL,
	[IM_P] [nvarchar](40) NULL,
	[OT_P] [nvarchar](40) NULL,
	[W_P] [int] NULL,
	[DR_P] [datetime] NULL,
	[MR] [nvarchar](100) NULL,
	[DOCTYPE] [int] NULL,
	[DOCSER] [nvarchar](10) NULL,
	[DOCNUM] [nvarchar](20) NULL,
	[SNILS] [nvarchar](14) NULL,
	[OKATOG] [nvarchar](11) NULL,
	[OKATOP] [nvarchar](11) NULL,
	[COMENTP] [nvarchar](250) NULL,
	[VPOLIS] [int] NULL,
	[SPOLIS] [nvarchar](10) NULL,
	[NPOLIS] [nvarchar](20) NULL,
	[ST_OKATO] [nvarchar](5) NULL,
	[SMO] [nvarchar](5) NULL,
	[SMO_OGRN] [nvarchar](15) NULL,
	[SMO_OK] [varchar](5) NULL,
	[SMO_NAM] [nvarchar](100) NULL,
	[INV] [int] NULL,
	[MSE] [int] NULL,
	[NOVOR] [nvarchar](9) NULL,
	[VNOV_D] [int] NULL,
	[N_ZAP] [int] NULL,
	[PR_NOV] [numeric](1, 0) NULL,
	[VETERAN] [int] NULL,
	[WORK_STAT] [int] NULL,
	[LPU_P] [varchar](6) NULL,
	[LPU_DATE] [date] NULL,
	[ZSL_ID] [nvarchar](36) NULL,
	[D3_PID] [int] NULL,
	[IDCASE] [int] NULL,
	[VIDPOM] [int] NULL,
	[FOR_POM] [int] NULL,
	[NPR_MO] [nvarchar](6) NULL,
	[LPU] [nvarchar](6) NULL,
	[VBR] [int] NULL,
	[DATE_Z_1] [datetime] NULL,
	[DATE_Z_2] [datetime] NULL,
	[P_OTK] [int] NULL,
	[RSLT_D] [int] NULL,
	[KD_Z] [int] NULL,
	[VNOV_M] [int] NULL,
	[RSLT] [int] NULL,
	[ISHOD] [int] NULL,
	[OS_SLUCH] [int] NULL,
	[OS_SLUCH_REGION] [int] NULL,
	[VOZR] [nvarchar](7) NULL,
	[VB_P] [int] NULL,
	[IDSP] [int] NULL,
	[SUMV] [numeric](17, 2) NULL,
	[OPLATA] [int] NULL,
	[SUMP] [numeric](17, 2) NULL,
	[SANK_IT] [numeric](17, 2) NULL,
	[MEK_COMENT] [nvarchar](4000) NULL,
	[OSP_COMENT] [nvarchar](500) NULL,
	[MEK_COUNT] [int] NULL,
	[MEE_COUNT] [int] NULL,
	[EKMP_COUNT] [int] NULL,
	[MTR] [bit] NULL,
	[USL_OK] [int] NULL,
	[P_CEL] [nvarchar](3) NULL,
	[EXP_COMENT] [nvarchar](500) NULL,
	[EXP_TYPE] [int] NULL,
	[EXP_DATE] [datetime] NULL,
	[USERID] [int] NULL,
	[ReqID] [int] NULL,
	[USER_COMENT] [nvarchar](1000) NULL,
	[NPR_DATE] [date] NULL,
	[DTP] [int] NULL,
	[T_ARRIVAL] [int] NULL,
	[UID_ZSL] [varbinary](20) NULL,
	[UID_PAC] [varbinary](20) NULL,
 CONSTRAINT [PK_T_ZSL] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
END

