ALTER procedure [dbo].[SetGuids] --13.11.2019
@tempSc int,  @newid int
as -- обновляем все гуиды D3, опционально создаём новые

begin
	if @newid=1 
	begin
		--родительская запись, котороую переподают:ZSL_ID_PARENT
	    update zsl set ZSL_ID_PARENT=ZSL_ID  from d3_zsl_oms zsl 	 where zsl.d3_scid=@tempSc
		update zsl set zsl_id=NEWID() from d3_zsl_oms zsl 	 where zsl.d3_scid=@tempSc
		--если ставятся новые гуиды, значит случай скопирован, и переподаётся:
		update zsl set PR_NOV=1	from d3_zsl_oms zsl 	 where zsl.d3_scid=@tempSc


		update sl set sl_id=NEWID() from d3_zsl_oms zsl
		join d3_sl_oms sl on sl.d3_zslid=zsl.id
		 where zsl.d3_scid=@tempSc

		update pa set  id_pac=NEWID() from d3_zsl_oms zsl
		join d3_pacient_oms pa on pa.id=zsl.d3_pid
		 where zsl.d3_scid=@tempSc

		update u set idserv=NEWID() from d3_zsl_oms zsl
		join d3_sl_oms sl on sl.d3_zslid=zsl.id
		join d3_usl_oms u on sl.id=u.d3_slid
		 where zsl.d3_scid=@tempSc

		update ou set  ONKUSL_ID=NEWID() from d3_zsl_oms zsl
		join d3_sl_oms sl on sl.d3_zslid=zsl.id
		join D3_ONK_SL_OMS o on o.D3_SLID=sl.ID
		join D3_ONK_USL_OMS ou on ou.D3_ONKSLID=o.ID
		 where zsl.d3_scid=@tempSc

		update ksg set KSG_ID=NEWID() from d3_zsl_oms zsl
		join d3_sl_oms sl on sl.d3_zslid=zsl.id
		join D3_KSG_KPG_OMS ksg on sl.ID=ksg.D3_SLID
		 where zsl.d3_scid=@tempSc
	end


	update zsl set d3_pgid=pa.ID_PAC from d3_zsl_oms zsl
	join d3_pacient_oms pa on pa.id=zsl.d3_pid	 and zsl.d3_scid=@tempSc

	update sl set d3_zslgid =zsl_id from d3_zsl_oms zsl join d3_sl_oms sl on sl.d3_zslid=zsl.id   and zsl.d3_scid=@tempSc

	update u set d3_slgid=sl_id from d3_zsl_oms zsl join d3_sl_oms sl on sl.d3_zslid=zsl.id   and zsl.d3_scid=@tempSc
	join d3_usl_oms u on sl.id=u.d3_slid

	update ksg set d3_slgid=sl_id from d3_zsl_oms zsl join d3_sl_oms sl on sl.d3_zslid=zsl.id   and zsl.d3_scid=@tempSc
	join d3_ksg_kpg_oms ksg on ksg.d3_slid=sl.id

	update ou set d3_onkslgid=sl_id from d3_zsl_oms zsl join d3_sl_oms sl on sl.d3_zslid=zsl.id   and zsl.d3_scid=@tempSc
	join D3_ONK_SL_OMS o on sl.id=o.D3_SLID
	join D3_ONK_USL_OMS ou on o.id=ou.D3_ONKSLID

	update o set d3_slgid=sl_id from d3_zsl_oms zsl join d3_sl_oms sl on sl.d3_zslid=zsl.id   and zsl.d3_scid=@tempSc
	join D3_ONK_SL_OMS o on sl.id=o.D3_SLID

	update naz set d3_slgid=sl_id from d3_zsl_oms zsl join d3_sl_oms sl on sl.d3_zslid=zsl.id   and zsl.d3_scid=@tempSc
	join D3_NAZ_OMS naz on naz.D3_SLID=sl.ID

	update napr set d3_slgid=sl_id from d3_zsl_oms zsl join d3_sl_oms sl on sl.d3_zslid=zsl.id   and zsl.d3_scid=@tempSc
	join D3_NAPR_OMS napr on napr.D3_SLID=sl.ID

	update dss set d3_slgid=sl_id from d3_zsl_oms zsl join d3_sl_oms sl on sl.d3_zslid=zsl.id   and zsl.d3_scid=@tempSc
	join D3_DSS_OMS dss on sl.id=dss.D3_SLID

	update cons set d3_slgid=sl_id from d3_zsl_oms zsl join d3_sl_oms sl on sl.d3_zslid=zsl.id   and zsl.d3_scid=@tempSc
	join D3_CONS_OMS cons on cons.D3_SLID=sl.ID

	update diag set d3_onkslgid=sl_id from d3_zsl_oms zsl join d3_sl_oms sl on sl.d3_zslid=zsl.id   and zsl.d3_scid=@tempSc
	join D3_ONK_SL_OMS o on sl.id=o.D3_SLID
	join  D3_B_DIAG_OMS diag on diag.D3_ONKSLID=o.ID

	update prot set d3_onkslgid=sl_id from d3_zsl_oms zsl join d3_sl_oms sl on sl.d3_zslid=zsl.id   and zsl.d3_scid=@tempSc
	join D3_ONK_SL_OMS o on sl.id=o.D3_SLID
	join  D3_B_PROT_OMS prot on prot.D3_ONKSLID=o.ID

	update ko set d3_ksggid=ksg.KSG_ID from d3_zsl_oms zsl join d3_sl_oms sl on sl.d3_zslid=zsl.id   and zsl.d3_scid=@tempSc
	join d3_ksg_kpg_oms ksg on ksg.d3_slid=sl.id
	join d3_sl_koef_oms ko on ksg.id=ko.d3_ksgid

	update crit set d3_ksggid=ksg.KSG_ID from d3_zsl_oms zsl join d3_sl_oms sl on sl.d3_zslid=zsl.id   and zsl.d3_scid=@tempSc
	join d3_ksg_kpg_oms ksg on ksg.d3_slid=sl.id
	join  D3_CRIT_OMS crit on crit.D3_KSGID=ksg.ID

	update lek set D3_ONKUSLGID=ou.ONKUSL_ID from d3_zsl_oms zsl join d3_sl_oms sl on sl.d3_zslid=zsl.id   and zsl.d3_scid=@tempSc
	join D3_ONK_SL_OMS o on sl.id=o.D3_SLID
	join D3_ONK_USL_OMS ou on o.id=ou.D3_ONKSLID
	join D3_LEK_PR_OMS lek on lek.D3_ONKUSLID=ou.ID

end