ALTER PROCEDURE [dbo].[p_doc_schet_vmp] 	@sc int, @smo nvarchar(20) 
AS --12.03.2018 texnix  для 28 отчёта
BEGIN


Select
'Высокотехнологичная медицинская помощь' cel,sum(sumv) sumv,dbo.[RubPhrase](sum(sumv)) prop
from 
	(select 1 as vmp,sum(SUMV) sumv
	from sluch s 
		join PACIENT pa on s.PID = pa.ID and s.schet_ID=@sc 
		and ((@smo='46' and (pa.SMO is null or pa.SMO not like '46%')) or (pa.SMO = @smo and @smo like '460%')) -- сразу 2 вида отчётов - по всем '' по фонду '46' и по конкретной смо.
	where usl_ok=1 and vid_hmp is not null
	union all
	select 1 as vmp,sum(s.SUMV) sumv
	from d3_zsl_oms s 
		join d3_sl_oms sl on s.id=sl.d3_zslid
		join d3_PACIENT_oms pa on s.d3_PID = pa.ID and s.d3_scid=@sc 
		and ((@smo='46' and (pa.SMO is null or pa.SMO not like '46%')) or (pa.SMO = @smo and @smo like '460%')) -- сразу 2 вида отчётов - по всем '' по фонду '46' и по конкретной смо.
	where s.usl_ok=1 and vidpom=32
	) k
group by vmp
END
