ALTER PROCEDURE [dbo].[p_doc_op_dokt] @sc int
AS -- 24/09/2018 новые цели
BEGIN

update d3_sl set ED_COL =1 where ed_col is null


Select pv1.fio,
 [АПП (кол-во)],
  [АПП (объём)],

 [Проф. цель  (кол-во)],
  [Проф. цель  (объём)],

 [ЦЗ  (кол-во)],
  [ЦЗ  (объём)],

 [Диспансеризация  (кол-во)],
  [Диспансеризация  (объём)],

 [Разовое пос. по заб.  (кол-во)],
  [Разовое пос. по заб.  (объём)],

 [Гемодиализ  (кол-во)],
  [Гемодиализ  (объём)],

 [Неотложная форма  (кол-во)],
  [Неотложная форма  (объём)],

 [Обращение по заб.  (кол-во)],
  [Обращение по заб.  (объём)]
 
 
 
  from (
Select fio, 'АПП (кол-во)' cel, count(*) cnt--,  sum(ed_col) ed_col
FROM(
Select m.fio, max(SUMV) sumv, sum(ed_col) ed_col
from D3_ZSL_OMS zsl 
join D3_SL_oms sl on zsl.ID = sl.D3_ZSLID
join (select distinct NameWithID fio, SNILS from Yamed_Spr_MedicalEmployee) m on sl.IDDOKT = m.SNILS
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID
where zsl.usl_ok = 3 and (OS_SLUCH_REGION IS NULL OR OS_SLUCH_REGION in (4,5,6,21,29,30,31,32,33,34,35,36,37,38,39,40))
group by zsl.ID, m.fio) tt
group by fio

UNION ALL

Select fio, 'Проф. цель  (кол-во)' cel, count(*) cnt--,  sum(ed_col) ed_col
FROM(
Select m.fio, max(SUMV) sumv, sum(ed_col) ed_col
from D3_ZSL_OMS zsl 
join D3_SL_oms sl on zsl.ID = sl.D3_ZSLID
join (select distinct NameWithID fio, SNILS from Yamed_Spr_MedicalEmployee) m on sl.IDDOKT = m.SNILS
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID
where zsl.usl_ok = 3 and (OS_SLUCH_REGION IS NULL OR OS_SLUCH_REGION in (21,29,30,31,32,33,34,35,36,37,38,39,40))
and isnull(sl.P_CEL25,'0.0') not in ('1.1','3.0','2.2','1.0')
group by zsl.ID, m.fio) tt
group by fio
UNION ALL
Select fio, 'ЦЗ  (кол-во)' cel, count(*) cnt--,  sum(ed_col) ed_col
FROM(
Select m.fio, max(SUMV) sumv, sum(ed_col) ed_col
from D3_ZSL_OMS zsl 
join D3_SL_oms sl on zsl.ID = sl.D3_ZSLID
join (select distinct NameWithID fio, SNILS from Yamed_Spr_MedicalEmployee) m on sl.IDDOKT = m.SNILS
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID
where zsl.usl_ok = 3 and (OS_SLUCH_REGION IS NULL OR OS_SLUCH_REGION in (4,5,6,21,29,30,31,32,33,34,35,36,37,38,39,40))
and OS_SLUCH_REGION in (4,5)
group by zsl.ID, m.fio) tt
group by fio
UNION ALL
Select fio,  'Диспансеризация  (кол-во)' cel, count(*) cnt--,  sum(ed_col) ed_col
FROM(
Select m.fio, max(SUMV) sumv, sum(ed_col) ed_col
from D3_ZSL_OMS zsl 
join D3_SL_oms sl on zsl.ID = sl.D3_ZSLID
join (select distinct NameWithID fio, SNILS from Yamed_Spr_MedicalEmployee) m on sl.IDDOKT = m.SNILS
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID
where zsl.usl_ok = 3 and (OS_SLUCH_REGION IS NULL OR OS_SLUCH_REGION in (21,29,30,31,32,33,34,35,36,37,38,39,40))
and sl.P_CEL25='2.2'
group by zsl.ID, m.fio) tt
group by fio
UNION ALL
Select fio, 'Разовое пос. по заб.  (кол-во)' cel, count(*) cnt--,  sum(ed_col) ed_col
FROM(
Select m.fio, max(SUMV) sumv, sum(ed_col) ed_col
from D3_ZSL_OMS zsl 
join D3_SL_oms sl on zsl.ID = sl.D3_ZSLID
join (select distinct NameWithID fio, SNILS from Yamed_Spr_MedicalEmployee) m on sl.IDDOKT = m.SNILS
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID
where zsl.usl_ok = 3 and (OS_SLUCH_REGION IS NULL OR OS_SLUCH_REGION in (4,5,6,21,29,30,31,32,33,34,35,36,37,38,39,40))
and sl.P_CEL25 = '1.0'
group by zsl.ID, m.fio) tt
group by fio
UNION ALL
Select fio, 'Гемодиализ  (кол-во)' cel, count(*) cnt--,  sum(ed_col) ed_col
FROM(
Select m.fio, max(SUMV) sumv, sum(ed_col) ed_col
from D3_ZSL_OMS zsl 
join D3_SL_oms sl on zsl.ID = sl.D3_ZSLID
join (select distinct NameWithID fio, SNILS from Yamed_Spr_MedicalEmployee) m on sl.IDDOKT = m.SNILS
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID
where zsl.usl_ok = 3 and (OS_SLUCH_REGION IS NULL OR OS_SLUCH_REGION in (4,5,6,21,29,30,31,32,33,34,35,36,37,38,39,40))
and OS_SLUCH_REGION = 6
group by zsl.ID, m.fio) tt
group by fio

UNION ALL
Select fio, 'Неотложная форма  (кол-во)' cel, count(*) cnt--,  sum(ed_col) ed_col
FROM(
Select m.fio, max(SUMV) sumv, sum(ed_col) ed_col
from D3_ZSL_OMS zsl 
join D3_SL_oms sl on zsl.ID = sl.D3_ZSLID
join (select distinct NameWithID fio, SNILS from Yamed_Spr_MedicalEmployee) m on sl.IDDOKT = m.SNILS
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID
where zsl.usl_ok = 3 and (OS_SLUCH_REGION IS NULL OR OS_SLUCH_REGION in (4,5,6,21,29,30,31,32,33,34,35,36,37,38,39,40))
and sl.P_CEL25 = '1.1'
group by zsl.ID, m.fio) tt
group by fio

UNION ALL
Select fio, 'Обращение по заб.  (кол-во)' cel, count(*) cnt--,  sum(ed_col) ed_col
FROM(
Select m.fio, max(SUMV) sumv, sum(ed_col) ed_col
from D3_ZSL_OMS zsl 
join D3_SL_oms sl on zsl.ID = sl.D3_ZSLID
join (select distinct NameWithID fio, SNILS from Yamed_Spr_MedicalEmployee) m on sl.IDDOKT = m.SNILS
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID
where zsl.usl_ok = 3 and (OS_SLUCH_REGION IS NULL OR OS_SLUCH_REGION in (4,5,6,21,29,30,31,32,33,34,35,36,37,38,39,40))
and sl.P_CEL25 = '3.0'
group by zsl.ID, m.fio) tt
group by fio
) tt2
PIVOT(SUM(cnt) FOR cel IN(
 [АПП (кол-во)],
 [Проф. цель  (кол-во)],
 [ЦЗ  (кол-во)],
 [Диспансеризация  (кол-во)],
 [Разовое пос. по заб.  (кол-во)],
 [Гемодиализ  (кол-во)],
 [Неотложная форма  (кол-во)],
 [Обращение по заб.  (кол-во)])
 ) as pv1
 Join 
 (
Select fio,
 [АПП (объём)],
 [Проф. цель  (объём)],
 [ЦЗ  (объём)],
 [Диспансеризация  (объём)],
 [Разовое пос. по заб.  (объём)],
 [Гемодиализ  (объём)],
 [Неотложная форма  (объём)],
 [Обращение по заб.  (объём)] from (
Select fio, 'АПП (объём)' cel, sum(ed_col) ed_col
FROM(
Select m.fio, max(SUMV) sumv, sum(ed_col) ed_col
from D3_ZSL_OMS zsl 
join D3_SL_oms sl on zsl.ID = sl.D3_ZSLID
join (select distinct NameWithID fio, SNILS from Yamed_Spr_MedicalEmployee) m on sl.IDDOKT = m.SNILS
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID
where zsl.usl_ok = 3 and (OS_SLUCH_REGION IS NULL OR OS_SLUCH_REGION in (4,5,6,21,29,30,31,32,33,34,35,36,37,38,39,40))
group by zsl.ID, m.fio) tt
group by fio

UNION ALL

Select fio, 'Проф. цель  (объём)' cel, sum(ed_col) ed_col
FROM(
Select m.fio, max(SUMV) sumv, sum(ed_col) ed_col
from D3_ZSL_OMS zsl 
join D3_SL_oms sl on zsl.ID = sl.D3_ZSLID
join (select distinct NameWithID fio, SNILS from Yamed_Spr_MedicalEmployee) m on sl.IDDOKT = m.SNILS
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID
where zsl.usl_ok = 3 and (OS_SLUCH_REGION IS NULL OR OS_SLUCH_REGION in (21,29,30,31,32,33,34,35,36,37,38,39,40))
and isnull(sl.P_CEL25,'0.0') not in ('1.1','3.0','2.2','1.0')
group by zsl.ID, m.fio) tt
group by fio
UNION ALL
Select fio, 'ЦЗ  (объём)' cel, sum(ed_col) ed_col
FROM(
Select m.fio, max(SUMV) sumv, sum(ed_col) ed_col
from D3_ZSL_OMS zsl 
join D3_SL_oms sl on zsl.ID = sl.D3_ZSLID
join (select distinct NameWithID fio, SNILS from Yamed_Spr_MedicalEmployee) m on sl.IDDOKT = m.SNILS
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID
where zsl.usl_ok = 3 and (OS_SLUCH_REGION IS NULL OR OS_SLUCH_REGION in (4,5,6,21,29,30,31,32,33,34,35,36,37,38,39,40))
and OS_SLUCH_REGION in (4,5)
group by zsl.ID, m.fio) tt
group by fio
UNION ALL
Select fio, 'Диспансеризация  (объём)' cel, sum(ed_col) ed_col
FROM(
Select m.fio, max(SUMV) sumv, sum(ed_col) ed_col
from D3_ZSL_OMS zsl 
join D3_SL_oms sl on zsl.ID = sl.D3_ZSLID
join (select distinct NameWithID fio, SNILS from Yamed_Spr_MedicalEmployee) m on sl.IDDOKT = m.SNILS
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID
where zsl.usl_ok = 3 and (OS_SLUCH_REGION IS NULL OR OS_SLUCH_REGION in (21,29,30,31,32,33,34,35,36,37,38,39,40))
and sl.P_CEL25='2.2'
group by zsl.ID, m.fio) tt
group by fio
UNION ALL
Select fio, 'Разовое пос. по заб.  (объём)' cel, sum(ed_col) ed_col
FROM(
Select m.fio, max(SUMV) sumv, sum(ed_col) ed_col
from D3_ZSL_OMS zsl 
join D3_SL_oms sl on zsl.ID = sl.D3_ZSLID
join (select distinct NameWithID fio, SNILS from Yamed_Spr_MedicalEmployee) m on sl.IDDOKT = m.SNILS
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID
where zsl.usl_ok = 3 and (OS_SLUCH_REGION IS NULL OR OS_SLUCH_REGION in (4,5,6,21,29,30,31,32,33,34,35,36,37,38,39,40))
and sl.P_CEL25 = '1.0'
group by zsl.ID, m.fio) tt
group by fio
UNION ALL
Select fio, 'Гемодиализ  (объём)' cel, sum(ed_col) ed_col
FROM(
Select m.fio, max(SUMV) sumv, sum(ed_col) ed_col
from D3_ZSL_OMS zsl 
join D3_SL_oms sl on zsl.ID = sl.D3_ZSLID
join (select distinct NameWithID fio, SNILS from Yamed_Spr_MedicalEmployee) m on sl.IDDOKT = m.SNILS
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID
where zsl.usl_ok = 3 and (OS_SLUCH_REGION IS NULL OR OS_SLUCH_REGION in (4,5,6,21,29,30,31,32,33,34,35,36,37,38,39,40))
and OS_SLUCH_REGION = 6
group by zsl.ID, m.fio) tt
group by fio

UNION ALL
Select fio, 'Неотложная форма  (объём)' cel, sum(ed_col) ed_col
FROM(
Select m.fio, max(SUMV) sumv, sum(ed_col) ed_col
from D3_ZSL_OMS zsl 
join D3_SL_oms sl on zsl.ID = sl.D3_ZSLID
join (select distinct NameWithID fio, SNILS from Yamed_Spr_MedicalEmployee) m on sl.IDDOKT = m.SNILS
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID
where zsl.usl_ok = 3 and (OS_SLUCH_REGION IS NULL OR OS_SLUCH_REGION in (4,5,6,21,29,30,31,32,33,34,35,36,37,38,39,40))
and sl.P_CEL25 = '1.1'
group by zsl.ID, m.fio) tt
group by fio

UNION ALL
Select fio, 'Обращение по заб.  (объём)' cel, sum(ed_col) ed_col
FROM(
Select m.fio, max(SUMV) sumv, sum(ed_col) ed_col
from D3_ZSL_OMS zsl 
join D3_SL_oms sl on zsl.ID = sl.D3_ZSLID
join (select distinct NameWithID fio, SNILS from Yamed_Spr_MedicalEmployee) m on sl.IDDOKT = m.SNILS
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID
where zsl.usl_ok = 3 and (OS_SLUCH_REGION IS NULL OR OS_SLUCH_REGION in (4,5,6,21,29,30,31,32,33,34,35,36,37,38,39,40))
and sl.P_CEL25 = '3.0'
group by zsl.ID, m.fio) tt
group by fio
) tt2
PIVOT(SUM(ed_col) FOR cel IN(
 [АПП (объём)],
 [Проф. цель  (объём)],
 [ЦЗ  (объём)],
 [Диспансеризация  (объём)],
 [Разовое пос. по заб.  (объём)],
 [Гемодиализ  (объём)],
 [Неотложная форма  (объём)],
 [Обращение по заб.  (объём)])
 ) as pv
 ) as pv2 on pv1.fio = pv2.fio

 end