--USE [ELMEDICINENEWFOND]

declare @OsobSluchDb TABLE(
	[Id] [int] NOT NULL,
	[Name] [varchar](150) NULL,
	[NameWithID]  AS (CONVERT([char](4),[Id],(0))+[Name]),
	[dbeg] [datetime] NULL
) 

SET ANSI_PADDING OFF

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (1, N'Первый этап диспансеризации взрослых', CAST(N'2013-04-01 00:00:00.000' AS Date))

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (2, N'Второй этап диспансеризации взрослых', CAST(N'2013-05-01 00:00:00.000' AS Date))

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (3, N'Экстракорпоральное оплодотворение', CAST(N'2013-07-01 00:00:00.000' AS Date))

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (4, N'Комплексное обследование в центре здоровья', CAST(N'2013-04-01 00:00:00.000' AS Date))

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (5, N'Повторное обследование в центре здоровья', CAST(N'2013-04-01 00:00:00.000' AS Date))

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (6, N'Гемодиализ', CAST(N'2013-04-01 00:00:00.000' AS Date))

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (7, N'Первый этап диспансеризации детей', CAST(N'2013-04-01 00:00:00.000' AS Date))

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (8, N'Второй этап диспансеризации детей', CAST(N'2014-04-01 00:00:00.000' AS Date))

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (9, N'Профилактический осмотр взрослых (пр. №1011н)', CAST(N'2013-04-01 00:00:00.000' AS Date))

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (10, N'Сосудисный центр', NULL)

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (11, N'Профилактический осмотр детей I-этап (пр. №1346н)', CAST(N'2013-07-01 00:00:00.000' AS Date))

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (12, N'Профилактический осмотр детей II-этап (пр. №1346н)', CAST(N'2013-08-01 00:00:00.000' AS Date))

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (13, N'Предварительный осмотр детей I-этап (пр. №1346н)', CAST(N'2013-07-01 00:00:00.000' AS Date))

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (14, N'Предварительный осмотр детей II-этап (пр. №1346н)', CAST(N'2013-09-01 00:00:00.000' AS Date))

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (15, N'Периодический осмотр детей I-этап (пр. №1346н)', CAST(N'2013-09-01 00:00:00.000' AS Date))

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (16, N'Периодический осмотр детей II-этап (пр. №1346н)', NULL)

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (17, N'Диспансеризация детей под опекой I-этап (216н)', CAST(N'2013-07-01 00:00:00.000' AS Date))

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (18, N'Диспансеризация детей под опекой II-этап (216н)', CAST(N'2013-08-01 00:00:00.000' AS Date))

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (19, N'Cтационар одного дня пребывания', CAST(N'2014-01-01 00:00:00.000' AS Date))

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (20, N'Восстановительное лечение и реабилитация', CAST(N'2014-01-01 00:00:00.000' AS Date))

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (21, N'ПЭТ/КТ', CAST(N'2015-03-01 00:00:00.000' AS Date))

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (22, N'I этап диспансеризации определенных групп взрослого населения', CAST(N'2015-04-01 00:00:00.000' AS Date))

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (23, N'II этап диспансеризации определенных групп взрослого населения', CAST(N'2015-04-01 00:00:00.000' AS Date))

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (24, N'Политравма', CAST(N'2015-05-01 00:00:00.000' AS Date))

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (25, N'ЭКО 1 этап "Стимуляция суперовуляции"', CAST(N'2015-05-01 00:00:00.000' AS Date))

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (26, N'ЭКО 2 этап "Пункция фолликулов"', CAST(N'2015-05-01 00:00:00.000' AS Date))

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (27, N'ЭКО 3 этап "Культивирование эмбрионов"', CAST(N'2015-06-01 00:00:00.000' AS Date))

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (28, N'ЭКО 4 этап "Перенос эмбрионов в полость матки"', CAST(N'2016-08-01 00:00:00.000' AS Date))

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (29, N'Перинатальный скрининг', CAST(N'2015-08-01 00:00:00.000' AS Date))

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (30, N'Комплексная услуга лабораторного контроля за терапией лекарственными препаратами (непрямыми антикоагулянтами)', CAST(N'2016-02-01 00:00:00.000' AS Date))

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (31, N'Комплексная медицинская услуга', CAST(N'2016-03-01 00:00:00.000' AS Date))

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (32, N'Комплесная услуга по обследованию беременных группы высокого риска с отклонением в показателях гемостаза', CAST(N'2016-04-01 00:00:00.000' AS Date))

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (33, N'Стандарт первичного обследования при бесплодии', CAST(N'2016-08-01 00:00:00.000' AS Date))

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (34, N'Обследование беременных высокой группы риска', CAST(N'2016-06-01 00:00:00.000' AS Date))

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (35, N'Телеконсультация', CAST(N'2016-08-01 00:00:00.000' AS Date))

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (36, N'Комплексная  медицинская  услуга по диагностике онкологических заболеваний', CAST(N'2017-01-01 00:00:00.000' AS Date))

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (37, N'Первый этап диспансеризации определенных групп взрослого населения с периодичностью 1 раз в 2 года (Кал)', CAST(N'2018-04-01 00:00:00.000' AS Date))

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (38, N'Первый этап диспансеризации определенных групп взрослого населения с периодичностью 1 раз в 2 года (Мамография)', CAST(N'2018-04-01 00:00:00.000' AS Date))

INSERT @OsobSluchDb ([Id], [Name], [dbeg]) VALUES (39, N'Комплексная меицинская услуга по диагностике в педиатрии', CAST(N'2018-04-01 00:00:00.000' AS Date))

insert into OsobSluchDb(Id, Name)
select os1.Id, os1.Name			--, os1.dbeg
from @OsobSluchDb os1
	left join OsobSluchDb os2
		on os1.Id = os2.Id
where os2.id is null
