ALTER PROCEDURE [dbo].[CopyToOnkoReestr] @sc int ,@sconk int AS 
BEGIN

BEGIN TRANSACTION; 
BEGIN TRY  

delete zsl from d3_zsl_oms zsl
 join SLUCH p on zsl.d3_scid=@sconk and zsl.MEE_COUNT=cast(p.id as varchar(10))

delete d3p from d3_pacient_oms d3p
 join pacient p on d3p.d3_scid=@sconk and d3p.MSE=cast(p.id as varchar(10))

insert into d3_pacient_oms
(D3_SCID,MSE ,VPOLIS,SPOLIS,NPOLIS,SMO,SMO_OGRN,SMO_OK,SMO_NAM
	, NOVOR	,[ID_PAC],[FAM],[IM],[OT],[W],[DR],TEL,[FAM_P],[IM_P],[OT_P],[W_P],[DR_P] ,[MR]
      ,[DOCTYPE] ,[DOCSER] ,[DOCNUM] ,[SNILS] ,[OKATOG] ,[OKATOP] ,[COMENTP])
select @sconk,p.id as MSE -- временно храним айди пациента в МСЕ, для связи с случаем.
	,VPOLIS,SPOLIS,NPOLIS,SMO,SMO_OGRN,SMO_OK,SMO_NAM
	--,INV нету
	,isnull(NOVOR, '0') NOVOR
	,[ID_PAC]      ,[FAM]      ,[IM]      ,[OT]      ,[W]      ,P.DR [DR]
      ,null as [TEL]      ,[FAM_P]      ,[IM_P]      ,[OT_P]      ,[W_P]      ,[DR_P]      ,[MR]
      ,[DOCTYPE]      ,[DOCSER]      ,[DOCNUM]      ,[SNILS]      ,[OKATOG]      ,[OKATOP]      ,[COMENTP]
from  [dbo].[SLUCH] zsl join pacient p on zsl.pid=p.id	where zsl.schet_id=@sc
	and not exists (select  MSE from d3_pacient_oms where MSE=p.id ) 
	and (left(zsl.ds1,1)='C' or left(zsl.ds1,3) in ('D01','D02','D03','D04','D05','D06','D07','D08','D09')
		or zsl.nnar=7)
	and VIDPOM<>32

insert into d3_zsl_oms
( ZSL_ID 
		,D3_PGID,D3_PID,D3_SCID
		,MEE_COUNT -- временно храним айдишник  в МЕЕ_КОУНТ
		,IDCASE -- у кого нет IDCASE, у того номер пп
		,USL_OK,VIDPOM
		,FOR_POM,NPR_MO
		,NPR_DATE  -- нет даты направления. потеряется.
		,LPU
		,DATE_Z_1,DATE_Z_2
		,P_OTK -- дисп
		,RSLT_D --дисп
		,KD_Z --койкодни в усл в стационаре. причём у ВМП нет койкодней.
		,VNOV_M --где вес при рождении?
		,RSLT,ISHOD,OS_SLUCH
		,VB_P --Указывается" 1" только при оплате случая по КСГ с внутрибольничным переводом. - где брать?
		,IDSP,SUMV,OPLATA,SUMP
		,SANK_IT)
select IDSLG as ZSL_ID -- начало Z_SL
		,p.ID_PAC as D3_PGID
		,p3.id as D3_PID
		,@sconk as D3_SCID
		,zsl.id as MEE_COUNT -- временно храним айдишник  в МЕЕ_КОУНТ
		,isnull(IDCASE,ROW_NUMBER() OVER (ORDER BY zsl.id)) as IDCASE -- у кого нет IDCASE, у того номер пп
		,USL_OK,VIDPOM
		,FOR_POM,NPR_MO
		,convert(date,[DNAPR],20)  NPR_DATE -- добавить
		,(select top 1 CODE_MO from [D3_SCHET_OMS] sc where id=@sconk) as LPU
		,convert(date,[DATE_1],20) DATE_Z_1,convert(date,[DATE_2],20) DATE_Z_2
		,null  as P_OTK -- дисп
		,null as RSLT_D --дисп
		,(select sum(zu.KDAY) from USL zu where zsl.id=zu.slid and left(CODE_USL,3)='TF1') as KD_Z --койкодни в усл в стационаре. причём у ВМП нет койкодней.
		,null as VNOV_M --где вес при рождении?
		,RSLT,ISHOD,OS_SLUCH
		,null as VB_P --Указывается" 1" только при оплате случая по КСГ с внутрибольничным переводом. - где брать?
		,IDSP,SUMV,OPLATA,SUMP
		,SANK_IT -- в версии 3.1 - SANKIT
from [dbo].[SLUCH] zsl join pacient p on zsl.pid=p.id and zsl.schet_id=@sc  and not exists (select MEE_COUNT from d3_zsl_oms where MEE_COUNT=zsl.id ) 
	join d3_pacient_oms p3 on p3.MSE=p.id and p3.d3_scid=@sconk
	where (left(zsl.ds1,1)='C' or left(zsl.ds1,3) in ('D01','D02','D03','D04','D05','D06','D07','D08','D09') or zsl.nnar=7)
	and VIDPOM<>32
insert into d3_sl_oms
(SL_ID		
		,D3_ZSLGID -- связь с случаем.
		,D3_ZSLID
		    ,REAB -- временно, айдишник СЛ
			,VID_HMP --  в файле T
			,METOD_HMP -- в файле Т
			,LPU_1,PODR,PROFIL
			,PROFIL_K 
			,sl.DET
			,TAL_D --Дата выдачи талона на ВМП
			,TAL_NUM --Номер талона на ВМП
			,TAL_P -- Дата планируемой госпитализации
			,P_CEL
			,NHISTORY

			,P_PER -- норм подходит 1-планово 2-СМП 3 - перевод из другой МО 4 - перевод с другой МО с другого профиля
			,DATE_1,DATE_2,KD,DS0,DS1
			,DS1_PR -- дисп Обязательно указывается "1", если основной диагноз выявлен впервые в результате проведенной диспансеризации/профилактического медицинского осмотра
			--,DS_ONK -- 3.1 дисп
			,DN -- Указываются сведения о диспансерном наблюдении по поводу основного заболевания (состояния):1 - состоит,2 - взят,3 - не подлежит диспансерному наблюдению
			,CODE_MES1,CODE_MES2
			,N_KSG
			--,VER_KSG
			,KSG_PG
			--,N_KPG
			, SL_K 
			, IT_SL
			, PRVS 
			,VERS_SPEC
			, PRVS21
			, PRVS15,IDDOKT,ED_COL,TARIF,SUM_M
			,COMENTSL
			,C_ZAB
			,DS_ONK
			)

select newid() as SL_ID		
		,IDSLG as D3_ZSLGID -- связь с случаем.
		,zsl3.id as D3_ZSLID
		    ,sl.id as REAB -- временно, айдишник СЛ
			,VID_HMP --  в файле T
			,METOD_HMP -- в файле Т
			,sl.LPU_1,sl.PODR,sl.PROFIL
			,sl.PROFIL_K -- для скорости, потом проставить пачкой.
			--,Case when zsl.usl_ok in (1,2) then (select top 1 idk_pr from [dbo].[V002_V020] where id_v002 = sl.profil) else null end PROFIL_K
			,sl.DET
			,case when METOD_HMP is not null then convert(date,[DNAPR],20) end as TAL_D --Дата выдачи талона на ВМП
			,case when METOD_HMP is not null then NNAPR end as TAL_NUM --Номер талона на ВМП
			,case when METOD_HMP is not null then convert(date,[DNAPR],20) end as TAL_P -- Дата планируемой госпитализации (та же что и дата талона на вмп
			,null as P_CEL
			,isnull(NHISTORY, sl.ID) as NHISTORY

			,Extr as P_PER -- норм подходит 1-планово 2-СМП 3 - перевод из другой МО 4 - перевод с другой МО с другого профиля
			,convert(date,sl.[DATE_IN],20) DATE_1,convert(date,sl.[DATE_OUT],20) DATE_2,sl.KDAY as KD,DS0, sl.DS DS1
			,null DS1_PR -- дисп Обязательно указывается "1", если основной диагноз выявлен впервые в результате проведенной диспансеризации/профилактического медицинского осмотра
			--,DS_ONK -- 3.1 дисп
			,null DN -- Указываются сведения о диспансерном наблюдении по поводу основного заболевания (состояния):1 - состоит,2 - взят,3 - не подлежит диспансерному наблюдению
			,CODE_MES1,CODE_MES2
			,case when sl.IDKSG is not null then (select top 1 KSGNUM from SprKsg where id = sl.IDKSG) end as N_KSG
			--,case when sl.IDKSG is not null then 2018 end AS VER_KSG
			,case when sl.IDKSG is not null then 0 end KSG_PG
			--, NULL AS N_KPG
			, case when zsl.DIFF_K <> 1.00 then 1 else 0 end SL_K 
			, case when zsl.DIFF_K <> 1.00 then zsl.DIFF_K else NULL end IT_SL
			,sl.PRVS21 PRVS 
			--,(select top 1 cast(IDSPEC as int) from V002_V021 where IDPR_2 = sl.PROFIL) as PRVS
			,'V021' as VERS_SPEC
			,sl.PRVS21 --хз зачем, но запишем оба поля
			, sl.MSPUID as PRVS15, CODE_MD IDDOKT,sl.KOL_USL ED_COL,sl.TARIF,sl.SUMV_USL SUM_M
			,COMENTSL
			,1 as C_ZAB --все будут острые
			,0 as DS_ONK -- нет подозрения, так как мы переносим только уже выявленную онкологию
			from 
			[dbo].[SLUCH] zsl --join pacient p on zsl.pid=p.id	 
			join USL sl on sl.slid=zsl.id and left(CODE_USL,3)='TF1' and not exists (select REAB from d3_sl_oms where REAB=sl.id) and zsl.schet_id=@sc 
			join d3_zsl_oms zsl3 on zsl3.MEE_COUNT=zsl.id and zsl3.d3_scid=@sconk


-- неосновные диагнозы -- они привязаны изначально к zsl, но должны быть к sl
-- так что задвоим в переводных картах, ничего страшного.
insert into D3_DSS_OMS
(D3_SLID,D3_SLGID,DS)
select sl3.id,sl3.SL_ID,dss.DS from [dbo].[SLUCH] zsl join SLUCH_DS2 dss on dss.SLID = zsl.ID and zsl.schet_id=@sc
						join USL u on u.slid=zsl.id and left(CODE_USL,3)='TF1' 
						join d3_sl_oms sl3 on sl3.REAB=u.id and not exists (select DS from d3_DSS_oms where D3_slid=sl3.id and dss.DS= DS)

insert into D3_USL_OMS
(IDSERV	
				,D3_SLID
				,D3_SLGID
				,D3_ZSLID
				,NPL -- временно храним айди в этом поле. (поле не может быть больше 4х)
				,LPU,LPU_1,PODR
				, PROFIL,VID_VME
				, DET
				, DATE_IN,DATE_OUT
				,DS,CODE_USL,KOL_USL
				,TARIF
				,SUMV_USL
				,PRVS -- после проставить.
				,VERS_SPEC
				,PRVS21
				,PRVS15
				,CODE_MD
				,COMENTU)

select ROW_NUMBER() OVER (ORDER BY u.id) IDSERV	
				,sl3.id as D3_SLID
				,sl3.SL_ID as D3_SLGID
				,zsl3.id as D3_ZSLID
				,u.id as NPL -- временно храним айди в этом поле. (поле не может быть больше 4х)
				,isnull(u.LPU, zsl.LPU) LPU,u.LPU_1,u.PODR
				, isnull(u.PROFIL, zsl.PROFIL) PROFIL,u.VID_VME
				, isnull(u.DET, zsl.DET) DET
				,convert(date,u.[DATE_IN],20) DATE_IN,convert(date,u.[DATE_OUT],20) DATE_OUT
				,u.DS,u.CODE_USL,isnull(u.KOL_USL, 1) KOL_USL
				, isnull(u.TARIF, 0.00) TARIF
				, isnull(u.SUMV_USL, 0.00) SUMV_USL
				,u.PRVS21 as PRVS 
				,'V021' VERS_SPEC
				,u.PRVS21
				,u.mspuid as PRVS15
				,isnull (u.CODE_MD, zsl.IDDOKT) CODE_MD
				,u.COMENTU
				from [dbo].[SLUCH] zsl
				join USL sl on sl.slid=zsl.id and left(sl.CODE_USL,3)='TF1' 
				join d3_zsl_oms zsl3 on zsl3.MEE_COUNT=zsl.id
				join USL u on u.slid=zsl.id and isnull(u.PODR, '0')=isnull(zsl.PODR, '0') and left(u.CODE_USL,3)<>'TF1' and zsl.schet_id=@sc
				join d3_sl_oms sl3 on sl3.REAB=sl.id where not exists (select NPL from d3_USL_oms where NPL=u.id)


insert into D3_KSG_KPG_OMS
([D3_SLID]
			,N_KSG
			,VER_KSG
			,KSG_PG
			,N_KPG
			,KOEF_Z
			,KOEF_UP
			,BZTSZ
			, KOEF_D
			, KOEF_U
			,DKK1
			, DKK2
			, SL_K 
			, IT_SL)

select sl3.id as [SLID]
			, sl.IDKSG  as N_KSG
			, 2019  AS VER_KSG
			, 0 KSG_PG
			, NULL AS N_KPG
			, (select top 1 kz from sprksg t join CalcKsgTarif t2 on t.ID = t2.IDKSG  and (sl.DATE_OUT >= t2.DBEG and sl.DATE_OUT < t2.DEND +1) and t.ksgnum =(select top 1 KSGNUM from SprKsg where id = sl.IDKSG) and stype = zsl.usl_ok  order by t2.id desc) AS KOEF_Z
			, isnull((select top 1 upr from sprksg t join CalcUprk upr on t.ID = upr.IDKSG and (sl.DATE_OUT >= upr.TBEG and sl.DATE_OUT < upr.TEND +1) and t.ksgnum =(select top 1 KSGNUM from SprKsg where id = sl.IDKSG) and stype = zsl.usl_ok  order by upr.id desc), 1) AS KOEF_UP
			, case when zsl.usl_ok =1 then 20853.43 else 11865.07 end AS BZTSZ
			, 1 AS KOEF_D
			, (select top 1 kus from CalcMok as kf where kf.KOD_LPU = (select top 1 CODE_MO from [D3_SCHET_OMS] sc where id=@sc) AND (sl.DATE_OUT >= kf.DATESTART and (kf.DATEEND is NULL OR sl.DATE_OUT < kf.DATEEND +1)) order by id desc) AS KOEF_U
			,	zsl.KSG_DKK AS DKK1
			, NULL AS DKK2
			, case when zsl.DIFF_K <> 1.00 then 1 else 0 end SL_K 
			, case when zsl.DIFF_K <> 1.00 then zsl.DIFF_K else NULL end IT_SL
			from [dbo].[SLUCH] zsl join pacient p on zsl.pid=p.id	and zsl.schet_id=@sc
				join USL sl on sl.slid=zsl.id and left(CODE_USL,3)='TF1' 
				join d3_sl_oms sl3 on sl3.REAB=sl.id and not exists (select SLID from D3_KSG_KPG_OMS where SLID=sl3.id)
				where sl.IDKSG is not null

insert into D3_SL_KOEF_OMS
(D3_KSGID,IDSL,Z_SL)
select ksg.id as KSGID,ks.IDSL, Z_SL from 
				[dbo].[SLUCH] zsl join pacient p on zsl.pid=p.id	and zsl.schet_id=@sc
				join USL sl on sl.slid=zsl.id and left(CODE_USL,3)='TF1' 
				join d3_sl_oms sl3 on sl3.REAB=sl.id
				join D3_KSG_KPG_OMS ksg on ksg.D3_SLID=sl3.id
				join USL_KSLP ks on ks.SLID = sl.ID and not exists (select D3_KSGID from D3_SL_KOEF_OMS where D3_KSGID=ksg.id and ks.IDSL=IDSL and Z_SL=ks.Z_SL)
				where sl.DIFF_K <> 1.00 

--удаляем перенесённые записи
delete dss
 from [dbo].[SLUCH] s join SLUCH_DS2 dss on dss.SLID = s.ID and s.schet_id=@sc
 join USL u on u.slid=s.id 
 join d3_zsl_oms zsl on zsl.d3_scid=@sconk and zsl.MEE_COUNT=cast(s.id as varchar(10))

delete u
 from [dbo].[SLUCH] s  
 join USL u on u.slid=s.id and s.schet_id=@sc
 join d3_zsl_oms zsl on zsl.d3_scid=@sconk and zsl.MEE_COUNT=cast(s.id as varchar(10))

delete p from d3_zsl_oms zsl
 join SLUCH p on zsl.d3_scid=@sconk and zsl.MEE_COUNT=cast(p.id as varchar(10))

delete p from d3_pacient_oms d3p
 join pacient p on d3p.d3_scid=@sconk and d3p.MSE=cast(p.id as varchar(10))

END TRY
BEGIN CATCH  

	IF @@TRANCOUNT > 0  
        ROLLBACK TRANSACTION;
   delete from Settings where name='debug'
   insert into Settings (Name,Info)
    values  ('debug',cast('стр:'+cast(ERROR_LINE() as varchar(20)) +' '+ERROR_MESSAGE() as nvarchar(200)))
	 
END CATCH; 
IF @@TRANCOUNT > 0  
    COMMIT TRANSACTION; 

END



