CREATE PROCEDURE [dbo].[p_oms_copy_pacient]
	@newSchId INT,
	@oldSchId INT,	
	@newPGuid NVARCHAR(36),
	@ZsId INT, --id законч случа¤, который переносим в новый реестр
	@ID INT = NULL OUTPUT
	AS
	BEGIN
		-----------------вставл¤ем пациента
		INSERT INTO [dbo].[D3_PACIENT_OMS](
		[D3_SCID],[ID_PAC],[FAM],[IM],[OT],[W],[DR],[TEL],[FAM_P],[IM_P],[OT_P],[W_P],[DR_P],[MR],[DOCTYPE],[DOCSER],[DOCNUM],[SNILS],[OKATOG]
		,[OKATOP],[COMENTP],[VPOLIS],[SPOLIS],[NPOLIS],[ST_OKATO],[SMO],[SMO_OGRN],[SMO_OK],[SMO_NAM],[INV],[MSE],[NOVOR],[VNOV_D],[N_ZAP],[PR_NOV]
		,[VETERAN],[WORK_STAT])
		SELECT @newSchId,[ID_PAC],[FAM],[IM],[OT],[W],[DR],[TEL],[FAM_P],[IM_P],[OT_P],[W_P],[DR_P],[MR],[DOCTYPE],[DOCSER],[DOCNUM],[SNILS],[OKATOG]
		  ,[OKATOP],[COMENTP],[VPOLIS],[SPOLIS],[NPOLIS],[ST_OKATO],[SMO],[SMO_OGRN],[SMO_OK],[SMO_NAM],[INV],[MSE],[NOVOR],[VNOV_D],p.[N_ZAP],p.[PR_NOV]
		  ,[VETERAN],[WORK_STAT]
		FROM [D3_PACIENT_OMS] p
		INNER JOIN [D3_ZSL_OMS] zs ON p.id = zs.D3_PID
		WHERE zs.[D3_SCID] = @oldSchId --id счета, из которого переносим случай
			AND zs.id = @ZsId --id старого случа¤, к которому прив¤зан этот пациент
		----------------------------------------------------------
		SELECT @ID = SCOPE_IDENTITY() --¬озвращает последнее значение идентификатора вствленной записи
		----------------------------------------------------------
		UPDATE p SET p.[ID_PAC] = @newPGuid
		FROM [dbo].[D3_PACIENT_OMS] p
		WHERE p.id = @ID
		
	END