
--DECLARE @NsiAct-------------------------------------------------------------------------------------------
	declare @NsiAct table 
			(
				IDSL numeric(4,0),NPR numeric(2,0),ZKOEF numeric(5,2),USLKOEF varchar(1000),DATEBEG datetime,DATEEND datetime
			)

insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('9011','1','1.10','Сложность лечения пациента, связанная с возрастом (сложность лечения детей до 1 года (кроме КСГ, относящихся к профилю «Неонатология))','20190101',NULL)
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('9021','2','1.10','Сложность лечения пациента, связанная с возрастом (сложность лечения детей от 1 до 4лет)','20190101',NULL)
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('9031','3','1.05','Необходимость предоставления спального места и питания законному представителю (дети до 4 лет, дети старше 4 лет при наличии медицинских показаний)','20190101',NULL)
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('9041','4','1.05','Сложность лечения пациента, связанная с возрастом (сложность лечения лиц, старше 75 лет)(кроме КСГ, относящихся к профилю «гериатрия»)','20190101',NULL)
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('9051','5','1.10','Сложность лечения пациента, связанная с возрастом (сложность лечения пациента при наличии у него старческой астении)','20190101',NULL)
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('9061','6','1.30','Наличие у пациентов тяжелой сопутствующей патологии, осложнений заболеваний, влияющих на сложность лечения пациента','20190101',NULL)
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('9062','6','1.80','беременность на фоне тяжелой экстрагенитальной патологии в стадии декомпенсации с оказанием медицинской помощи (оказание медицинской помощи в соответствии с приказом МЗ РФ от 1.11.2012 № 572н «Об утверждении порядка оказания медицинской помощи по профилю акушерство и гинекология (за исключением использования вспомогательных репродуктивных технологий)»','20190101',NULL)
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('9063','6','1.80','беременность и родоразрешение при тяжелых формах преэклампсии и эклампсии, Hellp и Ellp синдроме (оказание медицинской помощи в соответствии с письмом МЗ России от 7.06.2016 № 15-4/10/2-3483)','20190101',NULL)
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('9064','6','1.80','преждевременные роды или угрожающие преждевременные роды на сроке гестации 22-34 недели (с оказанием медицинской помощи в соответствии с письмом МЗ РФ от 17.12.2013 № 15-4/10/2-9480)','20190101',NULL)
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('9065','6','1.80','беременность и роды, потребовавшие применение аппарата реинфузии крови, препаратов, влияющих на свертывающую систему крови, применение методов экстракорпорального лечения, тромбоэлластографии, препарата «Пабал», применение управляемой баллонной тампонады матки','20190101',NULL)
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('9066','6','1.80','беременность и резус-конфликт с выполнением определения резус принадлежности плода по крови матери, амниоцентеза с исследованием амниотических вод, применением антирезусных иммноглобулинов у резус-отрицательных женщин с прерванной беременностью','20190101',NULL)
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('9067','6','1.80','беременность и роды с применением прямой электрокардиографии плода (STAN), вакуум экстракции плода','20190101',NULL)
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('9071','7','1.10','Необходимость развертывания индивидуального поста по медицинским показаниям','20190101',NULL)
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('9081','8','1.50','Проведение в рамках одной госпитализации в полном объеме нескольких видов противоопухолевого лечения, относящихся к различным КСГ','20190101',NULL)
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('9091','9','0.00','Сверхдлительные сроки госпитализации, обусловленные медицинскими показаниями','20190101',NULL)
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('9101','10','1.50','Проведение сочетанных хирургических вмешательств','20190101',NULL)
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('9111','11','1.50','Проведение однотипных операций на парных органах','20190101',NULL)
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('9121','12','0.60','проведение первого этапа экстракорпорального оплодотворения (стимуляция суперовуляции), I-II (стимуляция суперовуляции, получение яйцеклетки), I-III (стимуляция суперовуляции, получение яйцеклетки, экстракорпоральное оплодотворение и культивирование эмбрионов) без последующей криоконсервации эмбрионов (неполный цикл)','20190101',NULL)
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('9131','13','1.10','полный цикл экстракорпорального оплодотворения с криоконсервацией эмбрионов','20190101',NULL)
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('9141','14','0.19','размораживание криоконсервированных эмбрионов с последующим переносом эмбрионов в полость матки (криоперенос)','20190101',NULL)
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('5001','0','1.11','ОБУЗ «ОПЦ» в связи со спецификой курируемых больных разрешается использовать коэффициент сложности  курации   больных до 1,11.','20150101','20150331')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('5002','0','1.11','Разрешить медицинским организациям области с 01.03.2015 применять к КСГ при оказании стационарной медицинской помощи детям (от 0 до 18 лет) коэффициент сложности курации пациентов в размере 1,11 ','20150301','20150331')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('5003','0','1.35','Разрешить медицинским организациям области с 01.04.2015 применять к КСГ при оказании стационарной медицинской помощи детям (от 0 до 18 лет) коэффициент сложности курации пациентов в размере 1,35. ','20150401','20151231')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('5004','0','1.11','ОБУЗ «ОПЦ» в связи со спецификой курируемых больных разрешается использовать коэффициент сложности  курации   больных до 1,11.','20150401','20150831')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('5005','0','1.40','С 1 июня 2015 года случаи лечения, обусловленные патологией беременности продолжительностью 6 и менее дней с последующим лечением по КСГ, обусловленным родоразрешением (кесарево сечение), оплачиваются по стоимости одной КСГ родоразрешение (кесарево сечение) с применением КСКП 1,4. Случаи лечения, обусловленные патологией беременности продолжительностью менее 3-х дней с последующим переводом на родоразрешение, оплачиваются как один случай по стоимости  КСГ родоразрешения (кесарево сечение).','20150601','20151231')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('5006','0','1.80','В связи со спецификой курируемых больных разрешить ОБУЗ «Областной перинатальный центр» использовать в сентябре - ноябре 2015 года коэффициент сложности курации больных до 1,80','20150901','20151130')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('5007','0','1.35','Разрешить медицинским организациям области с 01.04.2015 применять к КСГ при оказании стационарной медицинской помощи детям (от 0 до 18 лет) коэффициент сложности курации пациентов в размере 1,35. ','20151201','20151231')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('5008','0','1.11','ОБУЗ «ОПЦ» в связи со спецификой курируемых больных разрешается использовать коэффициент сложности  курации   больных до 1,11.','20151201','20151231')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('5011','1','1.11','Разрешить медицинским организациям области с 01.03.2015 применять к КСГ при оказании стационарной медицинской помощи детям (от 0 до 18 лет) коэффициент сложности курации пациентов в размере 1,11 ','20150301','20150331')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('5012','1','1.35','Разрешить медицинским организациям области с 01.04.2015 применять к КСГ при оказании стационарной медицинской помощи детям (от 0 до 18 лет) коэффициент сложности курации пациентов в размере 1,35. ','20150401','20151231')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('5031','3','1.11','Разрешить медицинским организациям области с 01.03.2015 применять к КСГ при оказании стационарной медицинской помощи детям (от 0 до 18 лет) коэффициент сложности курации пациентов в размере 1,11 ','20150301','20150331')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('5032','3','1.35','Разрешить медицинским организациям области с 01.04.2015 применять к КСГ при оказании стационарной медицинской помощи детям (от 0 до 18 лет) коэффициент сложности курации пациентов в размере 1,35. ','20150401','20151231')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('5041','4','1.11','Разрешить медицинским организациям области с 01.03.2015 применять к КСГ при оказании стационарной медицинской помощи детям (от 0 до 18 лет) коэффициент сложности курации пациентов в размере 1,11 ','20150301','20150331')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('5042','4','1.35','Разрешить медицинским организациям области с 01.04.2015 применять к КСГ при оказании стационарной медицинской помощи детям (от 0 до 18 лет) коэффициент сложности курации пациентов в размере 1,35. ','20150401','20151231')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('5051','5','1.11','Разрешить медицинским организациям области с 01.03.2015 применять к КСГ при оказании стационарной медицинской помощи детям (от 0 до 18 лет) коэффициент сложности курации пациентов в размере 1,11 ','20150301','20150331')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('5052','5','1.35','Разрешить медицинским организациям области с 01.04.2015 применять к КСГ при оказании стационарной медицинской помощи детям (от 0 до 18 лет) коэффициент сложности курации пациентов в размере 1,35. ','20150401','20151231')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('5071','8','0.25','С 1 июня 2015 года оплата случаев обоснованной сверхдлительной госпитализации осуществляется с применением коэффициента сложности курации пациента (далее КСКП). Критерием отнесения случая к сверхдлительному является госпитализация на срок свыше 30 дней, кроме следующих КСГ, которые считаются сверхдлительными при сроке пребывания более 45 дней: 32,91,92,112,113,192,232.Значение КСКП определяется в зависимости от фактического количества проведенных койко-дней. Стоимость койко-дня для оплаты случаев сверхдлинного пребывания определяется с учетом компенсаций расходов на медикаменты и расходные материалы в профильном отделении по формуле: 1+(факт.к.д-норм.к.д.)/норм.к.д.*Коэф.длит','20150601','20151231')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('5081','9','1.11','Разрешить медицинским организациям области с 01.03.2015 применять к КСГ при оказании стационарной медицинской помощи детям (от 0 до 18 лет) коэффициент сложности курации пациентов в размере 1,11 ','20150301','20150331')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('5082','9','1.35','Разрешить медицинским организациям области с 01.04.2015 применять к КСГ при оказании стационарной медицинской помощи детям (от 0 до 18 лет) коэффициент сложности курации пациентов в размере 1,35. ','20150401','20151231')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('5091','10','1.11','Разрешить медицинским организациям области с 01.03.2015 применять к КСГ при оказании стационарной медицинской помощи детям (от 0 до 18 лет) коэффициент сложности курации пациентов в размере 1,11 ','20150301','20150331')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('5092','10','1.35','Разрешить медицинским организациям области с 01.04.2015 применять к КСГ при оказании стационарной медицинской помощи детям (от 0 до 18 лет) коэффициент сложности курации пациентов в размере 1,35. ','20150401','20151231')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('6011','1','1.10','Сложность лечения пациента, связанная с возрастом, а также необходимость предоставления спального места и питания законному представителю (дети до 4)','20160101','20170101')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('6021','2','1.10','Сложность лечения пациента, связанная с возрастом (лица старше 75 лет)','20160101','20160229')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('6031','3','1.10','Наличие у пациента тяжелой сопутствующей патологии, осложнений заболеваний, сопутствующих заболеваний, влияющих на сложность лечения пациента','20160101','20170101')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('6032','3','1.40','Наличие у пациента паталогии беременности от 3-х до 6-и дней с последующим лечением по КСГ "родоразрешение"(или КСГ "кесарево сечение")','20160101','20170101')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('6041','4','1.10','Необходимость развертывания индивидуального поста по медицинским показаниям','20160101','20170101')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('6051','5','1.10','Необходимость предоставления спального места и питания законному представителю ребенка после достижения им возраста 4 лет при наличии медицинских показаний','20160101','20170101')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('6071','7','1.30','Проведение в рамках одной госпитализации в полном объеме нескольких видов противоопухолевого лечения, относящихся к разным КСГ','20160101','20170101')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('6081','8','0.00','Сверхдлительные сроки госпитализации, обусловленные медицинскими показаниями. В соответствии с расчетным значением','20160101','20170101')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('6091','9','1.20','Проведение сочетанных хирургических вмешательств','20160101','20170101')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('6101','10','1.20','Проведение однотипных операций на парных органах','20160101','20170101')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('7101','10','0.25','Оплата случаев обоснованной сверхдлительной госпитализации осуществляется с применением коэффициента сложности лечения пациента (далее КСЛП). Критерием отнесения случая к сверхдлительному является госпитализация на срок свыше 30 дней, кроме следующих КСГ, которые считаются сверхдлительными при сроке пребывания более 45 дней:','20170101','20171231')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('7102','10','0.40','Оплата случаев обоснованной сверхдлительной госпитализации осуществляется с применением коэффициента сложности лечения пациента (далее КСЛП). Критерием отнесения случая к сверхдлительному является госпитализация на срок свыше 30 дней, кроме следующих КСГ, которые считаются сверхдлительными при сроке пребывания более 45 дней','20170101','20171231')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('7061','6','1.40','Случаи лечения, обусловленные патологией беременности продолжительностью от 6 и до 3-х дней с последующим лечением по КСГ «родоразрешение» (или КСГ «кесарево сечение»), учитываются как один случай лечения и оплачиваются как один случай по стоимости одной КСГ родоразрешения (или КСГ «кесарево сечение») с применением КСЛП 1,4','20170101','20171231')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('7062','6','1.10','Наличие у пациентов тяжелой сопутствующей патологии, осложнений заболеваний, сопутствующих заболеваний, влияющих на сложность лечения пациента КСЛП – 1,1','20170101','20171231')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('7091','9','1.30','Проведение в рамках одной госпитализации в полном объеме нескольких видов противоопухолевого лечения, относящихся к различным КСГ КСЛП – 1,3','20170101','20171231')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('7111','11','1.20','Проведение сочетанных хирургических вмешательств КСЛП – 1,2','20170101','20171231')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('7121','12','1.20','Проведение однотипных операций на парных органах на парных органах/частях тела, при выполнении которых необходимы, в том числе дорогостоящие расходные материалы КСЛП – 1,2','20170101','20171231')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('7011','1','1.20','Сложность лечения пациента связанная с возрастом: дети до 1 года','20170101','20171231')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('7021','2','1.10','Сложность лечения пациента связанная с возрастом:дети до 4 лет','20170101','20171231')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('7041','4','1.10','Сложность лечения пациента связанная с возрастом: лица старше 75 лет ','20170101','20171231')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('7031','3','1.10','Необходимость предоставления спального места и питания законному представителю (дети до 4)','20170101','20171231')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('7071','7','1.10','Необходимость развертывания индивидуального поста по медицинским показаниям','20170101','20171231')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('7081','8','1.10','предоставление спального места и питания законному представителю детей старше 4 лет (при наличии показаний)','20170101','20171231')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('8061','6','1.30','Наличие у пациентов тяжелой сопутствующей патологии, осложнений заболеваний, влияющих на сложность лечения пациента: КСЛП ','20180101','20181231')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('8062','6','1.80','Сложность лечения пациенток с паталогией беременности и родов','20180101','20181231')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('8081','8','1.50','Проведение в рамках одной госпитализации в полном объеме нескольких видов противоопухолевого лечения, относящихся к различным КСГ','20180101','20181231')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('8101','10','1.50','Проведение сочетанных хирургических вмешательств','20180101','20181231')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('8111','11','1.50','Проведение однотипных операций на парных органа','20180101','20181231')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('8011','1','1.10','Сложность лечения пациента, связанная с возрастом (госпитализация и лечение детей до 1 года)','20180101','20181231')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('8021','2','1.10','Сложность лечения пациента, связанная с возрастом (госпитализация и лечение детей от 1 до 4лет)','20180101','20181231')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('8041','4','1.05','Сложность лечения пациента, связанная с возрастом (госпитализация и лечение лиц, старше 75 лет)','20180101','20181231')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('8031','3','1.05','Необходимость предоставления спального места и питания законному представителю (дети до 4 лет, дети старше 4 лет при наличии медицинских показаний)','20180101','20181231')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('8071','7','1.10','Необходимость развертывания индивидуального поста по медицинским показаниям','20180101','20181231')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('8121','12','0.60','Проведение первого этапа экстракорпорального оплодотворения (стимуляция суперовуляции)','20180101','20181231')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('8131','13','1.10','Полный цикл экстракорпорального оплодотворения с криоконсервацией эмбрионов','20180101','20181231')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('8141','14','0.19','Размораживание криоконсервированных эмбрионов с последующим переносом эмбрионов в полость матки (неполный цикл)','20180101','20181231')
insert into @NsiAct (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND) values ('8091','9','0.00','Сверхдлительные сроки госпитализации, обусловленные медицинскими показаниями','20180101','20181231')
--INSERT NEW INTO  NsiCur------------------------------------------------------------------------------------------------------------
	insert into SprKslp (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND)
	select 
	NsiAct.IDSL,NsiAct.NPR,NsiAct.ZKOEF,NsiAct.USLKOEF,NsiAct.DATEBEG,NsiAct.DATEEND
	from @NsiAct NsiAct
		left join SprKslp NSiCur
			on NSiCur.IDSL=NsiAct.IDSL
	where 
		NSiCur.IDSL is null

--UPDATE NsiCur------------------------------------------------------------------------------------------------------------
	update NsiCur set
NsiCur.DATEBEG=NsiAct.DATEBEG,
NsiCur.DATEEND=NsiAct.DATEEND,
NsiCur.IDSL=NsiAct.IDSL,
NsiCur.NPR=NsiAct.NPR,
NsiCur.ZKOEF=NsiAct.ZKOEF,
NsiCur.USLKOEF=NsiAct.USLKOEF
	from @NsiAct NsiAct
		inner join SprKslp NsiCur
						on NSiCur.IDSL=NsiAct.IDSL
	where
		isnull(NsiCur.DATEBEG,'19000101')<>isnull(NsiAct.DATEBEG,'19000101') or
isnull(NsiCur.DATEEND,'19000101')<>isnull(NsiAct.DATEEND,'19000101') or
isnull(NsiCur.IDSL,'0')<>isnull(NsiAct.IDSL,'0') or
isnull(NsiCur.NPR,'0')<>isnull(NsiAct.NPR,'0') or
isnull(NsiCur.ZKOEF,'0')<>isnull(NsiAct.ZKOEF,'0') or
isnull(NsiCur.USLKOEF,'')<>isnull(NsiAct.USLKOEF,'') 

