ALTER TABLE d3_schet_oms add [Status] nvarchar(50);

IF OBJECT_ID (N'rg004', N'U') IS NOT NULL -- проверка на существование таблицы

DROP TABLE [dbo].[rg004]

IF OBJECT_ID (N'rg003', N'U') IS NOT NULL -- проверка на существование таблицы
DROP TABLE [dbo].[rg003]

IF OBJECT_ID (N'rg001', N'U') IS NOT NULL -- проверка на существование таблицы
DROP TABLE [dbo].[rg001]

/****** Object:  Table [dbo].[rg001]    Script Date: 24.08.2019 14:43:41 ******/
SET ANSI_NULLS ON

SET QUOTED_IDENTIFIER ON

CREATE TABLE [dbo].[rg001](
	[KATEgOR] [int] NOT NULL,
	[NAIM] [nvarchar](50) NULL,
	[NameWithID]  AS (CONVERT([char](4),[Kategor],(0))+[Naim]),
 CONSTRAINT [PK_rg001] PRIMARY KEY CLUSTERED 
(
	[KATEGOR] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

/****** Object:  Table [dbo].[rg003]    Script Date: 24.08.2019 14:43:41 ******/
SET ANSI_NULLS ON

SET QUOTED_IDENTIFIER ON

CREATE TABLE [dbo].[rg003](
	[KC] [int] NOT NULL,
	[NC] [nvarchar](50) NULL,
	[NameWithID]  AS (CONVERT([char](4),[KC],(0))+[NC]),
 CONSTRAINT [PK_rg003] PRIMARY KEY CLUSTERED 
(
	[KC] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

/****** Object:  Table [dbo].[rg004]    Script Date: 24.08.2019 14:43:41 ******/
SET ANSI_NULLS ON

SET QUOTED_IDENTIFIER ON

CREATE TABLE [dbo].[rg004](
	[KOD] [nvarchar](5) NOT NULL,
	[NAIM] [nvarchar](50) NULL,
	[NameWithID]  AS (CONVERT([char](5),[KOD],(0))+[NAIM]),
 CONSTRAINT [PK_rg004] PRIMARY KEY CLUSTERED 
(
	[KOD] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

/****** Object:  Table [dbo].[SprBrigad]    Script Date: 24.08.2019 14:43:41 ******/
SET ANSI_NULLS ON

SET QUOTED_IDENTIFIER ON

CREATE TABLE [dbo].[SprBrigad](
	[ID] [int] NOT NULL,
	[Name] [nvarchar](50) NULL,
	[NameWithID]  AS (CONVERT([char](4),[ID],(0))+[Name]),
PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

/****** Object:  Table [dbo].[SprGrafdn]    Script Date: 24.08.2019 14:43:41 ******/
SET ANSI_NULLS ON

SET QUOTED_IDENTIFIER ON

CREATE TABLE [dbo].[SprGrafdn](
	[ID] [int] NOT NULL,
	[Name] [nvarchar](50) NULL,
	[NameWithID]  AS (CONVERT([char](4),[ID],(0))+[Name]),
PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

/****** Object:  Table [dbo].[SprVizov]    Script Date: 24.08.2019 14:43:41 ******/
SET ANSI_NULLS ON

SET QUOTED_IDENTIFIER ON

CREATE TABLE [dbo].[SprVizov](
	[ID] [int] NOT NULL,
	[Name] [nvarchar](50) NULL,
	[NameWithID]  AS (CONVERT([char](4),[ID],(0))+[Name]),
 CONSTRAINT [PK__SprVizov__3214EC275DEF73FB] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]


declare @reg varchar(2) = (select cast(Parametr as varchar(2))  from Settings where name='REGION')

if @reg='46' 
begin
INSERT [dbo].[rg001] ([KATEGOR], [NAIM]) VALUES (1, N'Работающий')

INSERT [dbo].[rg001] ([KATEGOR], [NAIM]) VALUES (2, N'Дошкольник организов.')

INSERT [dbo].[rg001] ([KATEGOR], [NAIM]) VALUES (3, N'Учащийся(ПТУ,техн.)')

INSERT [dbo].[rg001] ([KATEGOR], [NAIM]) VALUES (4, N'Безработный')

INSERT [dbo].[rg001] ([KATEGOR], [NAIM]) VALUES (5, N'Беженец')

INSERT [dbo].[rg001] ([KATEGOR], [NAIM]) VALUES (6, N'Врем. неработающий')

INSERT [dbo].[rg001] ([KATEGOR], [NAIM]) VALUES (7, N'Пенсионер')

INSERT [dbo].[rg001] ([KATEGOR], [NAIM]) VALUES (8, N'Инвалид')

INSERT [dbo].[rg001] ([KATEGOR], [NAIM]) VALUES (9, N'Школьник')

INSERT [dbo].[rg001] ([KATEGOR], [NAIM]) VALUES (10, N'Дошкольник неорганиз.')

INSERT [dbo].[rg001] ([KATEGOR], [NAIM]) VALUES (12, N'Военнослужащий')

INSERT [dbo].[rg001] ([KATEGOR], [NAIM]) VALUES (13, N'Член семьи военнослуж.')

INSERT [dbo].[rg001] ([KATEGOR], [NAIM]) VALUES (14, N'БОМЖ')

INSERT [dbo].[rg001] ([KATEGOR], [NAIM]) VALUES (15, N'Студенты ВУЗ')

INSERT [dbo].[rg003] ([KC], [NC]) VALUES (1, N'лечебно-диагностический')

INSERT [dbo].[rg003] ([KC], [NC]) VALUES (2, N'консультативный')

INSERT [dbo].[rg003] ([KC], [NC]) VALUES (3, N'диспансерное наблюдение')

INSERT [dbo].[rg003] ([KC], [NC]) VALUES (4, N'профилактический')

INSERT [dbo].[rg003] ([KC], [NC]) VALUES (5, N'професс. осмотр')

INSERT [dbo].[rg003] ([KC], [NC]) VALUES (6, N'реабилитационный')

INSERT [dbo].[rg003] ([KC], [NC]) VALUES (7, N'зубопротезный')

INSERT [dbo].[rg003] ([KC], [NC]) VALUES (8, N'протезно-ортопедический')

INSERT [dbo].[rg003] ([KC], [NC]) VALUES (9, N'прочий')

INSERT [dbo].[rg003] ([KC], [NC]) VALUES (10, N'Посещ.(сеанс) гемодиализа')

INSERT [dbo].[rg003] ([KC], [NC]) VALUES (11, N'Неотложная помощь')

INSERT [dbo].[rg003] ([KC], [NC]) VALUES (12, N'ЭКО')

INSERT [dbo].[rg003] ([KC], [NC]) VALUES (13, N'Паллиативная помощь')

INSERT [dbo].[rg003] ([KC], [NC]) VALUES (14, N'Диспансеризация 1')

INSERT [dbo].[rg003] ([KC], [NC]) VALUES (15, N'Диспансеризация 2')

INSERT [dbo].[rg003] ([KC], [NC]) VALUES (16, N'Профил.мед.осмотр')

INSERT [dbo].[rg003] ([KC], [NC]) VALUES (17, N'Патронаж')

INSERT [dbo].[rg003] ([KC], [NC]) VALUES (18, N'Дисп Д-С 1 эт прик 72')

INSERT [dbo].[rg003] ([KC], [NC]) VALUES (19, N'Дисп Д-С 2 эт прик 72')

INSERT [dbo].[rg003] ([KC], [NC]) VALUES (20, N'Проф.МОН I этап в МО')

INSERT [dbo].[rg003] ([KC], [NC]) VALUES (21, N'Проф.МОН II этап в МО')

INSERT [dbo].[rg003] ([KC], [NC]) VALUES (22, N'Предварит.МОН I этап')

INSERT [dbo].[rg003] ([KC], [NC]) VALUES (23, N'Предварит.МОН II этап')

INSERT [dbo].[rg003] ([KC], [NC]) VALUES (24, N'Периодич.МОН')

INSERT [dbo].[rg003] ([KC], [NC]) VALUES (25, N'Дисп Д-С 1 эт прик 216')

INSERT [dbo].[rg003] ([KC], [NC]) VALUES (26, N'Дисп Д-С 2 эт прик 216')

INSERT [dbo].[rg003] ([KC], [NC]) VALUES (27, N'Мед. услуги')

INSERT [dbo].[rg003] ([KC], [NC]) VALUES (28, N'Проф.МОН I этап в обр.орг.')

INSERT [dbo].[rg003] ([KC], [NC]) VALUES (29, N'Проф.МОН II этап в обр.орг.')

INSERT [dbo].[rg003] ([KC], [NC]) VALUES (30, N'обращение по заболеванию')

INSERT [dbo].[rg003] ([KC], [NC]) VALUES (31, N'Дисп.взр.I этап')

INSERT [dbo].[rg003] ([KC], [NC]) VALUES (32, N'Дисп.взр.II этап')

INSERT [dbo].[rg003] ([KC], [NC]) VALUES (33, N'Дисп.взр.I эт моб бриг')

INSERT [dbo].[rg003] ([KC], [NC]) VALUES (34, N'Дисп.взр.II эт моб бриг')

INSERT [dbo].[rg003] ([KC], [NC]) VALUES (35, N'Дисп взр I  1р в 2г в МО')

INSERT [dbo].[rg003] ([KC], [NC]) VALUES (36, N'Дисп взр II  1р в 2г в МО')

INSERT [dbo].[rg003] ([KC], [NC]) VALUES (37, N'Дисп взр I  1р в 2г моб.бриг.')

INSERT [dbo].[rg003] ([KC], [NC]) VALUES (38, N'Дисп взр II  1р в 2г моб.бриг.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'010', N'Терапия (общая)')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'011', N'Педиатрия (общая)')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'020', N'Терапевтические')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'021', N'реан. и интенс.терап.новорожд.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'030', N'Кардиология')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'031', N'Кардиология (дети)')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'040', N'Реаб.опорно.-дв.аппарата и ПНС')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'041', N'Кардиоревматологическ. детск.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'050', N'Гастроэнтерология')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'051', N'Реабилитационные(кардио) дет')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'060', N'Реабилитация (кардиология)')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'061', N'Гастроэнтерологические детск.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'070', N'Аллергология')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'071', N'Реаб.опорно_двиг.аппарата дет')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'080', N'Реаб.опорно_двиг.аппарата взр')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'081', N'Аллергологические детск.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'090', N'Восстановительн. лечения взр.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'091', N'Реабилитационные(травма) дет')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'100', N'Реабилитационные(травма) взр')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'101', N'Восстановительн. лечения детск')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'110', N'Эндокринология')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'111', N'Реаб.заб.ЦНС и орг.чувств дет')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'120', N'Реаб.заб.ЦНС и орг.чувств взр')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'121', N'Эндокринология (дети)')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'130', N'Инфекционные болезни')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'131', N'Паллиативная помощь(хоспис)дет')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'140', N'Паллиативная помощь(хоспис)взр')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'141', N'Инфекционные детск.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'150', N'Гематология')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'151', N'Педиатрические(соматические)')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'160', N'Врач общей практики')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'161', N'Гематологические детск.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'170', N'Нефрология')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'171', N'Патология новор.и недон.детей')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'180', N'Травматология-ортопедия')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'181', N'Нефрологические детск.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'190', N'Хирургия')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'191', N'Интенсивной терапии для новор.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'200', N'Реабилитационные(терапия) взр')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'201', N'Хирургия (дети)')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'210', N'Нейрохирургия')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'211', N'Реабилитационные(невролог) дет')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'220', N'Реабилитация (неврология)')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'221', N'Нейрохирургические детск.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'230', N'Торакальная хирургия')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'231', N'ДС восст.лечения дет.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'240', N'Травматолог.(с мет.кон.) взр.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'241', N'Торакальной хирургии детск.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'250', N'Кардиохирургические взросл.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'251', N'Кардиохирургические детск.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'260', N'Сосудистая хирургия')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'261', N'Сосудистой хирургии детск.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'270', N'Травматологические взросл.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'271', N'Травматол.(с мет.кон.) детск.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'280', N'Травматологические(гнойные)')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'281', N'Травматологические детск.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'290', N'Ожоговые взросл.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'291', N'Ожоговые детск.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'300', N'Ортопедические взросл.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'301', N'Травм.(гнойные,с мет.кон.) дет')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'310', N'Травм.(гнойные,с мет.кон.) взр')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'311', N'Ортопедические детск.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'320', N'Урология')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'321', N'Реабилитация (педиатрия)')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'330', N'Реабилитация (ортопедия)')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'331', N'Урология (дети)')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'340', N'Стоматологические взросл.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'341', N'Реабилитационные(ортопедия)дет')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'350', N'Реаб ОДА и ПНС (ортопед) взр')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'351', N'Стоматологические детск.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'360', N'Онкология')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'361', N'Реаб ОДА и ПНС (ортопед) дет')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'370', N'Реаб ОДА и ПНС (неврология)взр')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'371', N'Онкология (дети)')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'380', N'Для беременных и рожениц(взр)')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'381', N'Для беременных и рожениц(детс)')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'390', N'Патологии беременных взросл.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'391', N'Патологии беременных детск.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'400', N'Акушерство-гинекология')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'401', N'Гинекологические детск.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'410', N'Для производства абортов взр.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'411', N'Для производства абортов (дет)')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'420', N'Восстан.лечение (кардиология)')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'430', N'Дерматология')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'431', N'Дерматологические детские')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'440', N'Восстан.лечение(неврол. с НМК)')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'450', N'Радиология')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'451', N'Радиологические детские')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'460', N'Восстан.лечение (гастроэнтер.)')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'461', N'Костно-суст. туберк. детск.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'470', N'Неврология')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'480', N'Неврологические (ИОВ)')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'481', N'Неврологические детск.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'490', N'Восстан.лечение(ортопедия взр)')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'491', N'Восстан.лечение(ортопедия дет)')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'500', N'Восстан. лечение(невролог взр)')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'501', N'Восстан. лечение(невролог дет)')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'510', N'Паллиативная помощь(сестр.уход')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'511', N'Восстан. лечение(педиатрия)')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'520', N'Восстан. лечение(эндокрин взр)')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'521', N'Наркологические детск.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'530', N'Кардиологические(неотложные)')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'540', N'ДС восст.лечения взр.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'550', N'Офтальмология')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'560', N'Восст.лечение(эндокринология)')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'561', N'Офтальмологические детск.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'570', N'Отоларингология')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'580', N'Кардио - ост инф миокарда')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'581', N'Отоларингологические детск.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'590', N'Дермато-венерологическ. взросл')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'601', N'Дермато-венерологическ. детск.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'610', N'Радиологич. и рентгенол.взросл')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'611', N'Радиологич. и рентгенол. детск')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'620', N'Акушерство-гинекология (ЭКО)')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'621', N'Педиатрические')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'630', N'сестринского ухода')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'631', N'Педиатрические(патолог.новор.)')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'641', N'Педиатрические (грудн. детей)')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'650', N'Проктологические взросл.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'660', N'Ревматология')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'670', N'Терапевтические(село)')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'671', N'Ревматологические детск.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'680', N'Гнойные хирургические взросл.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'690', N'паллиативные')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'691', N'Гнойные хирургические детск.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'700', N'Пульмонология')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'711', N'Пульмонологические детск.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'720', N'Сестринского ухода взросл.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'721', N'Сестринского ухода детск.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'730', N'Прочие взросл.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'741', N'Прочие детск.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'750', N'Реанимационные взросл.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'761', N'Реанимационные детск.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'770', N'Челюстно-лицевая хирургия')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'781', N'Челюстно-лицевая хир. детск.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'790', N'Неврологич. нар.мозг.кров. взр')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'800', N'Гериатрия')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'810', N'Терапевтические-гастро')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'820', N'Терапевтические-кардио')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'830', N'Терапевтические-пульмо')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'840', N'Терапевтические-ИОВ')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'850', N'Эндокринологические-гастро')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'860', N'Профпатологические')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'870', N'Кардио-ангиографические взр.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'880', N'Геронтологические')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'890', N'Кардиологические(интервенц.)')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'900', N'Койки по уходу за ребенком')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'910', N'Дневной стац. при стацион.взр.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'911', N'Дневной стац. при стацион.детс')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'920', N'Дневной стац. при пол-ке взр.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'921', N'Дневной стац. при пол-ке детск')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'930', N'Дневной стац. на дому взр.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'931', N'Дневной стац. на дому детск.')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'941', N'Педиатрические(недонош. 1 ст.)')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'951', N'Педиатрические(недонош. 2 ст.)')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'961', N'Педиатрические(недонош. 3 ст.)')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'971', N'Педиатрические(недонош. 4 ст.)')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'981', N'Педиатрич.(ортопед.,восстанов)')

INSERT [dbo].[rg004] ([KOD], [NAIM]) VALUES (N'990', N'ДС радиологические койки')
end

-- а эти могут пригодиться и в других регионах
INSERT [dbo].[SprBrigad] ([ID], [Name]) VALUES (1, N'врачебная общего профиля')

INSERT [dbo].[SprBrigad] ([ID], [Name]) VALUES (2, N'фельдшерская')

INSERT [dbo].[SprBrigad] ([ID], [Name]) VALUES (3, N'специализированная')

INSERT [dbo].[SprBrigad] ([ID], [Name]) VALUES (4, N'Специал.экстр.конс.')

INSERT [dbo].[SprGrafdn] ([ID], [Name]) VALUES (5, N'пятидневный график')

INSERT [dbo].[SprGrafdn] ([ID], [Name]) VALUES (6, N'шестидневный график')

INSERT [dbo].[SprGrafdn] ([ID], [Name]) VALUES (7, N'семидневный график')

INSERT [dbo].[SprVizov] ([ID], [Name]) VALUES (1, N'экстренный')

INSERT [dbo].[SprVizov] ([ID], [Name]) VALUES (3, N'неотложный')

INSERT [dbo].[SprVizov] ([ID], [Name]) VALUES (5, N'безрезультативный')

INSERT [dbo].[SprVizov] ([ID], [Name]) VALUES (6, N'неидентифиц. и соц. значимый')

INSERT [dbo].[SprVizov] ([ID], [Name]) VALUES (7, N'экстренный с тромболизисом')