CREATE PROCEDURE [dbo].[p_oms_copy_zap]
	@newSchId INT,
	@oldSchId INT,	
	@ZsId INT --id законч случа¤, который переносим в новый реестр
AS
BEGIN
	
    --DECLARE	@newSchId INT = 2093
	--DECLARE	@oldSchId INT = 2071	
	--DECLARE	@ZsId INT = 115121 --id законч случа¤, который переносим в новый реестр
	--EXEC [dbo].[p_oms_copy_zap] @newSchId, @oldSchId, @ZsId	
	
	SET NOCOUNT ON;
	BEGIN TRAN 
		DECLARE @ErrorMessage NVARCHAR(4000)
		DECLARE @ErrorSeverity INT
		DECLARE @ErrorState INT
		
		DECLARE @newPGuid NVARCHAR(36) = NEWID()
		DECLARE @newZsGuid NVARCHAR (36) = NEWID()
		DECLARE @PID INT
		DECLARE @ZID INT
		PRINT @ZsId
		--PACIENT----------------------------------------
			BEGIN TRY 
				EXEC p_oms_copy_pacient @newSchId, @oldSchId, @newPGuid, @ZsId, @PID OUTPUT
								
				EXEC p_oms_copy_zsl @newSchId, @PID, @newPGuid, @ZsId, @newZsGuid, @ZID OUTPUT
				
				EXEC p_oms_copy_sl_usl @ZID, @newZsGuid, @ZsId
			END TRY 
			BEGIN CATCH
				SET @ErrorMessage= ERROR_MESSAGE()
				SET @ErrorSeverity= ERROR_SEVERITY()
				SET @ErrorState= ERROR_STATE()
				RAISERROR (@ErrorMessage,@ErrorSeverity,@ErrorState)
				ROLLBACK TRAN			
				RETURN
			END CATCH	
	COMMIT TRAN
END