ALTER PROCEDURE [dbo].[p_doc_op_09_foms] @sc int
AS
BEGIN
--declare @sc int = 2057

Select cel, p1.[46001] as s46001, p1.[46002] as s46002, p1.[46003] as s46003, p1.[46004] as s46004, p1.[46006] as s46006, p1.[46] as s46,
p2.[46001] as c46001, p2.[46002] as c46002, p2.[46003] as c46003, p2.[46004] as c46004, p2.[46006] as c46006, p2.[46] as c46
from(
Select '_Диспансеризация определенных групп взрослого населения 1 этап' cel, sum(SUMV) sumv, case When pa.smo not like '46%' then '46' else pa.smo end smo
from D3_ZSL_OMS zsl 
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID
where OS_SLUCH_REGION in (9,49)
group by pa.smo
) tt
PIVOT(SUM(sumv) FOR smo IN( [46001], [46002], [46003], [46004], [46006], [46])) AS P1

Join
(
Select '_Диспансеризация определенных групп взрослого населения 1 этап' cel2, count(*) cnt, case When pa.smo not like '46%' then '46' else pa.smo end smo
from D3_ZSL_OMS zsl 
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID
where OS_SLUCH_REGION in (9,49)
group by pa.smo
) tt2
PIVOT(SUM(cnt) FOR smo IN( [46001], [46002], [46003], [46004], [46006], [46])) AS P2
on p1.cel = p2.cel2



END
