Create PROCEDURE [dbo].[p_autocalc_046_000800] @sc int
AS 
BEGIN
UPDATE sl SET SUMV = slsum, TARIF = sltarif, ED_COL = slcnt
                        FROM SLUCH sl
                        Join (
                        SELECT sl.ID, sum(tf.SUMV_USL) slsum, max(tf.TARIF) sltarif, count(tf.ID) slcnt 
                        FROM SLUCH sl
                        join PACIENT pa on sl.PID = pa.ID
                        JOIN USL tf on sl.ID = tf.SLID and (tf.SUMV_USL > 0)
                        where sl.SCHET_ID = @sc and sl.USL_OK in (1,2) and sl.DATE_2 >= '20160101'
                        GROUP BY sl.ID) tt on sl.ID = tt.ID
end