ALTER PROC  [dbo].[p_LoadAll_xml] ( -- загрузка хмл файлов в базу.  реестров от МО.
--declare	
@FileOMS varchar(250)  -- имя зип-архива с хмл файлами. например: 'DPM220091S22003_18081.ZIP'
	,@FileNameH varchar(100) 
	,@FileNameL varchar(100) 
	,@SchetType varchar(10) -- тип реестра хмл.
	,@XmlH xml 
	,@XmlL xml 
	,@sc int
	,@rez    int OUTPUT
)AS 
begin
	-- я расширил до 250 символов имена файлов.
--тестовый блок
/*
set @FileOMS  ='1' -- имя зип-архива с хмл файлами. например: 'DPM220091S22003_18081.ZIP'
set @FileNameH  = 'testH'
set @FileNameL  =  'testL'
set @SchetType = 'H'
set @sc = 0
set @XmlH  = (select FileXML from D3_SCHET_OMS_FILES where id=5016)
set	@XmlL  =  (select FileXML from D3_SCHET_OMS_FILES where id=5017)
*/
-- конец тестового блока
--declare @sc int

-- ставим формат даты, какой идёт в хмл файлах.
SET DATEFORMAT ymd; 
--поищем счёт, в который нужно вставлять, если -1 - значит этот счёт нам и нужен.
--select top 1 @sc = ID from D3_SCHET_OMS where code = -1
--set @sc =1334

-- обязательные файлы реестр счетов и файл пациентов.
declare @sluch_xml varchar(max),@pac_xml varchar(max)
declare @idpac int,@idsluch int



--модуль обработки дополнительного файла.

declare @tipxml int = (select tipxml from Yamed_Spr_SchetType where ID = @SchetType)

if @tipxml=2 -- заглушка, просто пропускаем файлик.
begin 
	set @rez = 0
	Return --0
end




if object_id('tempdb..#pacient') is not null drop table #pacient
if object_id('tempdb..#zsl') is not null drop table #zsl
if object_id('tempdb..#sl') is not null drop table #sl
if object_id('tempdb..#usl') is not null drop table #usl


create table #pacient (ID_PAC nvarchar(36)
		,N_ZAP  nvarchar(36)-- снова добавил во временке, отсекая при вставке.
		,VPOLIS nvarchar(36) ,SPOLIS nvarchar(20) 
	  ,NPOLIS nvarchar(20),SMO nvarchar(5),[ST_OKATO] nvarchar(254),[SMO_OGRN] nvarchar(254),[SMO_OK] nvarchar(254)
      ,[SMO_NAM] nvarchar(254),[INV] nvarchar(254),[MSE] nvarchar(254),Novor nvarchar(9),VNOV_D int
	  ,LPU_P nvarchar(254) -- для орла
	  ,LPU_DATE date  -- для орла
	  
	  ,FAM nvarchar(30)
	,ID_PAC_P nvarchar(36),IM nvarchar(50), OT nvarchar(50), W nvarchar(10), DR nvarchar(100),[TEL] nvarchar(254),[FAM_P] nvarchar(254)
    ,[IM_P] nvarchar(254),[OT_P] nvarchar(254),[W_P] nvarchar(254),[DR_P] date,[MR] nvarchar(254)
	,DOCTYPE nvarchar(10), DOCSER nvarchar(18), DOCNUM nvarchar(20), SNILS nvarchar(20), OKATOG nvarchar(20)
	,OKATOP nvarchar(20),[COMENTP] nvarchar(254) )
create table #zsl  (idcase int,D3_PGID nvarchar(36),P_NPOLIS nvarchar(36)
,N_ZAP int,PR_NOV int, USL_OK int, ZSL_ID nvarchar(36)
		  , VIDPOM int , FOR_POM int,	NPR_MO nvarchar(10),	NPR_DATE date , LPU nvarchar(10),P_CEL nvarchar(36) 
		  , VBR int , DATE_Z_1 date, DATE_Z_2 date
		  , DTP int , T_ARRIVAL int -- орёл
		  ,[P_OTK] nvarchar(255) ,[RSLT_D] nvarchar(255)
		  ,[KD_Z] int ,[VNOV_M] nvarchar(255), RSLT nvarchar(10), ISHOD nvarchar(10)
		  ,[OS_SLUCH] int, OS_SLUCH_REGION nvarchar(10), VOZR nvarchar(10),[VB_P] int 
		  , SUMV numeric(17,2) , SUMP numeric(17,2),[OPLATA] int,[SANK_IT] numeric(17,2), IDSP nvarchar(10) )
declare @sl table (SL_ID nvarchar(36),D3_ZSLGID nvarchar(36),USL_OK int ,[VID_HMP] nvarchar(254)
	,[METOD_HMP] nvarchar(254),LPU_1 varchar(20),PODR varchar(20),PROFIL int,PROFIL_K int,DET int,P_CEL nvarchar(36),[TAL_NUM] nvarchar(254)
	,[TAL_D] date,[TAL_P] date,NHISTORY nvarchar(36),[P_PER] nvarchar(254),DATE_1 date
	,DATE_2 date,KD int ,DS0 nvarchar(6),DS1 nvarchar(36),[DS1_PR] nvarchar(254),[C_ZAB] int ,DS_ONK int ,[DN] nvarchar(254)
	,[CODE_MES1] nvarchar(254),[CODE_MES2] nvarchar(254)
	 -- блок KSG_KPG
	 ,[N_KSG] nvarchar(20) ,[VER_KSG] int ,[KSG_PG] int ,[N_KPG] int ,[KOEF_Z]  numeric(7,5),[KOEF_UP]  numeric(7,5) ,[BZTSZ]  numeric(8,2)
	 ,[KOEF_D]  numeric(7,5) ,[KOEF_U]  numeric(7,5),[DKK1] nvarchar(10) ,[DKK2] nvarchar(10) ,[SL_K] bit ,[IT_SL] numeric(6,5)
	 -- конец блока KSG_KPG
	,[REAB] nvarchar(254),PRVS int,PRVD int
	,VERS_SPEC nvarchar(36),IDDOKT nvarchar(36),ED_COL numeric(17,2),TARIF nvarchar(36),SUM_M nvarchar(36),[COMENTSL] nvarchar(254))
declare @usl table (IDSERV varchar(36) ,[D3_SLGID] nvarchar(36),[D3_ZSLGID] nvarchar(36) ,LPU int,LPU_1 varchar(200),PODR varchar(20)
	,PROFIL int,VID_VME nvarchar(36),DET int,DATE_IN date,DATE_OUT date,P_OTK int
	,DS nvarchar(36),CODE_USL nvarchar(36),KOL_USL nvarchar(36),TARIF nvarchar(36),SUMV_USL nvarchar(36)
	,PRVS int,PRVD int ,CODE_MD nvarchar(36),NPL int,COMENTU nvarchar(255))
declare @dss table(D3_SLID int, D3_ZSLGID nvarchar(36), [D3_SLGID] nvarchar(36),[DS] [nvarchar](10),DS_PR [int],[DS_TYPE] [int], PR_DS2_N int)
declare @SL_KOEF table(KSGID int,[SL_ID] nvarchar(36),[D3_ZSLGID] nvarchar(36),[D3_SLID] int,IDSL [int],Z_SL numeric(6,5))
--таблица КСГ D3_ZSLGID --связка со случаем и с посещением.
declare  @D3_KSG_KPG_OMS TABLE ([SLID] [int] NULL,
    SL_ID nvarchar(36),D3_ZSLGID nvarchar(36),
	[N_KSG] [nvarchar](20) NULL,
	[VER_KSG] [int] NULL,	[KSG_PG] [bit] NULL,	[N_KPG] [int] NULL,	[KOEF_Z] [numeric](7,5) NULL,	[KOEF_UP] [numeric](7,5) NULL,
	[BZTSZ] [numeric](8,2) NULL,	[KOEF_D] [numeric](7,5) NULL,	[KOEF_U] [numeric](7,5) NULL,
	 DKK1 [nvarchar](10) NULL, -- в 285 приказе теперь это CRIT, но он множественный. нужно подумать как его вести.
	[DKK2] [nvarchar](10) NULL,	[SL_K] [bit] NULL,	[IT_SL] [numeric](6,5) NULL)


	--CRIT  [nvarchar](10)
DECLARE @D3_NAPR_OMS TABLE ( 
	[D3_SLID] [int]  ,
	[D3_SLGID] [nvarchar](36)  ,D3_ZSLGID nvarchar(36),
	[NAPR_DATE] [datetime]  ,
	[NAPR_MO] [nvarchar](6)  ,
	[NAPR_V] [int]  ,
	[MET_ISSL] [int]  ,
	[NAPR_USL] [nvarchar](16)  )
DECLARE @D3_CONS_OMS TABLE ( 
	[D3_SLID] [int]  ,
	[D3_SLGID] [nvarchar](36)  ,D3_ZSLGID nvarchar(36),
	[PR_CONS] [int]  ,
	[DT_CONS] [datetime] )
DECLARE @D3_ONK_SL_OMS TABLE ( 
	[D3_SLID] [int]  ,
	[D3_SLGID] [nvarchar](36)  , D3_ZSLGID nvarchar(36),
	[DS1_T] [int]  ,
	[STAD] [int]  ,
	[ONK_T] [int]  ,
	[ONK_N] [int]  ,
	[ONK_M] [int]  ,
	[MTSTZ] [int]  ,
	[SOD] [numeric](6, 2),
	K_FR int,
	[WEI] [numeric](4, 1),
	[HEI] int,
	[BSA] [numeric](3, 2)
	 )
DECLARE @D3_NAZ_OMS TABLE ( 
	[D3_SLID] [int]  ,
	[D3_SLGID] [nvarchar](36)  , D3_ZSLGID nvarchar(36),
	[NAZ_N] [int]  ,
	[NAZ_R] [int]  ,
	[NAZ_SP] [int]  ,
	[NAZ_V] [int]  ,
	[NAZ_USL] [nvarchar](16)  ,
	[NAPR_DATE] [datetime]  ,
	[NAPR_MO] [nvarchar](6)  ,
	[NAZ_PMP] [int]  ,
	[NAZ_PK] [int] NULL )
DECLARE @D3_B_DIAG_OMS TABLE ( 
	[D3_ONKSLID] [int]  ,
	[D3_ONKSLGID] [nvarchar](36)  , --гуида нет в ONK_SL АС молчит, потому использую это поле как D3_SLGID
								D3_ZSLGID nvarchar(36),
	[DIAG_DATE] [datetime]  ,
	[DIAG_TIP] [int]  ,
	[DIAG_CODE] [int]  ,
	[DIAG_RSLT] [int]  ,
	[REC_RSLT] [int] NULL )
DECLARE @D3_B_PROT_OMS TABLE ( 
	[D3_ONKSLID] [int]  ,
	[D3_ONKSLGID] [nvarchar](36)  , --как D3_SLGID
								D3_ZSLGID nvarchar(36),
	[PROT] [int]  ,
	[D_PROT] [datetime] NULL )
DECLARE @D3_ONK_USL_OMS TABLE ( 
	[D3_ONKSLID] [int]  ,
	[D3_ONKSLGID] [nvarchar](36)  , --как D3_SLGID
								D3_ZSLGID nvarchar(36),
	[USL_TIP] [int]  ,
	[HIR_TIP] [int]  ,
	[LEK_TIP_L] [int]  ,
	[LEK_TIP_V] [int]  ,
	[LUCH_TIP] [int] NULL )
DECLARE @D3_LEK_PR_OMS TABLE ( --  хз как привязывать к онк_усл. потому сделал допущение что онкологическая услуга  одна 
	[D3_ONKUSLID] [int]  ,
	[D3_ONKUSLGID] [nvarchar](36)  ,  --как D3_SLGID
								D3_ZSLGID nvarchar(36),
	[REGNUM] [nvarchar](40)  ,
	[DATE_INJ] [datetime] NULL,
	[CODE_SH] [nvarchar](10)  )


if @sc = 0 -- если создаём новый.
	begin
		insert into D3_SCHET_OMS (Code,OmsFileName) values (-1,@FileOMS)
		set @sc = @@identity;
	end
else 
	begin
		--для флк, в базе тфомс ID не автоматический.
		insert into D3_SCHET_OMS (ID,Code,OmsFileName) values (@sc,-1,@FileOMS)
		delete D3_SCHET_OMS_FILES where d3_scid=@sc
    end
-- вот тут если остались файлы, привязанные к счёту то их нужно очистить, это были типа ошибки в загрузке.
-- для дебага в основном, так как уже нет вариантов когда такое будет.




--вставляем пришедшие файлы в таблицу файлов.
INSERT INTO [dbo].[D3_SCHET_OMS_FILES]   ([FileXML],[FileName],[FileDate],[D3_SCID])
VALUES           (@XmlH,@FileNameH,getdate(),@sc)
INSERT INTO [dbo].[D3_SCHET_OMS_FILES]   ([FileXML],[FileName],[FileDate],[D3_SCID])
VALUES           (@XmlL,@FileNameL,getdate(),@sc)


--запихуем из него в таблички.
--update D3_SCHET_OMS_FILES set d3_scid=@sc where d3_scid=-1 -- привязываем номер нового реестра к файлам хмл

declare @ver varchar(5) -- версия файла, буду обрабатывать 2.1 и 3.0  3.1 обрабатываю как и 3.0
-- курская версия 3.0K
-- выясняем версию обмена
select @ver = rtrim(x.m.value('(./VERSION)[1]', 'varchar(100)') )
from @XmlH.nodes( '/ZL_LIST/ZGLV' ) x(m)


declare @schet table ( D3_SCID nvarchar(254) ,[CODE] nvarchar(254), [CODE_MO] varchar(254),[YEAR] iNT,[MONTH] INT,[NSCHET] varchar(254)
	,[DSCHET] date,[PLAT] varchar(254),[SUMMAV] nvarchar(254),[COMENTS] varchar(254),[SUMMAP] nvarchar(254)
	,[SANK_MEK] nvarchar(254),[SANK_MEE] nvarchar(254),[SANK_EKMP] nvarchar(254),[DISP] varchar(254)
	,[SD_Z] nvarchar(254),[FILENAME] nvarchar(254))


--начинаем транзакции //убрал транзакцию, у руслана глючит
declare @i int = 0 -- счётчик ошибок.

--D3_SCHET_OMS
insert into @schet
select top 1 @sc,
 x.m.value('(./CODE)[1]', 'nvarchar(254)') AS CODE
,x.m.value('(./CODE_MO)[1]', 'nvarchar(254)') AS CODE_MO
,x.m.value('(./YEAR)[1]', 'nvarchar(254)') AS YEAR
,x.m.value('(./MONTH)[1]', 'nvarchar(254)') AS MONTH
,x.m.value('(./NSCHET)[1]', 'nvarchar(254)') AS NSCHET
,x.m.value('(./DSCHET)[1]', 'nvarchar(254)') AS DSCHET
,x.m.value('(./PLAT)[1]', 'nvarchar(254)') AS PLAT
,x.m.value('(./SUMMAV)[1]', 'nvarchar(254)') AS SUMMAV
,x.m.value('(./COMENTS)[1]', 'nvarchar(254)') AS COMENTS
,x.m.value('(./SUMMAP)[1]', 'nvarchar(254)') AS SUMMAP
,x.m.value('(./SANK_MEK)[1]', 'nvarchar(254)') AS SANK_MEK
,x.m.value('(./SANK_MEE)[1]', 'nvarchar(254)') AS SANK_MEE
,x.m.value('(./SANK_EKMP)[1]', 'nvarchar(254)') AS SANK_EKMP
,x.m.value('(./DISP)[1]', 'nvarchar(254)') AS DISP
,x.m.value('(../ZGLV/SD_Z)[1]', 'nvarchar(254)') AS SD_Z
,x.m.value('(../ZGLV/FILENAME)[1]', 'nvarchar(254)') AS FILENAME
from @XmlH.nodes( '/ZL_LIST/SCHET' ) x(m)


if @@ERROR<>0 set @i = @i+1

UPDATE D3_SCHET_OMS SET 
 [CODE]=CONVERT(INT, tt.[CODE])
,[CODE_MO]=tt.[CODE_MO]
,[YEAR]=CONVERT(INT, tt.[YEAR])
,[MONTH]=CONVERT(INT, tt.[MONTH])
,[NSCHET]=tt.[NSCHET]
,[DSCHET]=CONVERT(date, tt.[DSCHET])
,[PLAT]=tt.[PLAT]
,[SUMMAV]=case when tt.[SUMMAV]='' then 0 else CONVERT(NUMERIC(15, 2), tt.[SUMMAV]) end -- для пустых реестров.
,[COMENTS]=tt.[COMENTS]
,[SUMMAP]=case when tt.[SUMMAP]='' then 0 else CONVERT(NUMERIC(15, 2), tt.[SUMMAP]) end -- для пустых реестров.
,[SANK_MEK]=case when tt.[SANK_MEK]='' then null else CONVERT(NUMERIC(15, 2), tt.[SANK_MEK]) end -- для пустых реестров.
,[SANK_MEE]=case when tt.[SANK_MEE]='' then null else CONVERT(NUMERIC(15, 2), tt.[SANK_MEE]) end -- для пустых реестров.
,[SANK_EKMP]=case when tt.[SANK_EKMP]='' then null else CONVERT(NUMERIC(15, 2), tt.[SANK_EKMP]) end -- для пустых реестров.
,[DISP]=tt.[DISP]
,[SD_Z]=case when tt.[SD_Z]='' then 0 else CONVERT(INT, tt.[SD_Z]) end
,ZapFileName = @FileNameH
,SchetType = @SchetType

--(case when left(tt.[FILENAME],1) in ('L') then left(tt.[FILENAME],3) when left(tt.[FILENAME],1) in ('D') then left(tt.[FILENAME],2) else left(tt.[FILENAME],1) end ) 
From D3_SCHET_OMS sc Join @schet tt on sc.ID = tt.D3_SCID

if @@ERROR<>0 set @i = @i+1
-- файл пациент един для всех хмл файлов
select @pac_xml = '<?xml version="1.0" encoding="windows-1251"?> '+cast (@XmlL as varchar(max))
EXEC sp_xml_preparedocument @idpac OUTPUT, @pac_xml

if @@ERROR<>0 set @i = @i+1

declare @tmpxml xml = @XmlH

--логи
--insert into Schet (code_mo,coments) values (670039,'перед курсором')

BEGIN
-- берём очередной хмл файлик в обработку.
--тормозит сильно при плохой кодировке.
--SET @tmpxml.modify('delete /ZL_LIST//*[string-length(data(.)) = 0]') -- уничтожаем пустые ноды.

select @sluch_xml = '<?xml version="1.0" encoding="windows-1251"?> '+cast (@tmpxml as varchar(max))
EXEC sp_xml_preparedocument @idsluch OUTPUT, @sluch_xml
if @@ERROR<>0 set @i = @i+1
--логи
--insert into Schet (code_mo,coments) values (670039,'sp_xml_preparedocument @idsluch')
--D3_PACIENT_OMS
-- пациент в 2.1 и 3.0 вроде идентичен
insert into #pacient
select distinct * from
OPENXML (@idsluch, N'ZL_LIST/ZAP/PACIENT',2)
            WITH (ID_PAC nvarchar(36) 'ID_PAC'
			,N_ZAP  nvarchar(36) '../N_ZAP' -- если ID_PAC херня с айдипац, оно может быть любым символьным значением. лучше его записать точно так же как даётся в файле.
			--N_ZAP портит всю уникальность. если его добавить в пациента, то distinct тут не отрабатывает. но если вставлять с dis, без N_ZAP то норм. брать нужно N_ZAP из zsl
			--,PR_NOV int '../PR_NOV' --в пациенте это дублирует записи
			,   VPOLIS nvarchar(36) 'VPOLIS[text()!=""]'
	  ,   SPOLIS nvarchar(20) 'SPOLIS[text()!=""]'
	  ,   NPOLIS nvarchar(20) 'NPOLIS[text()!=""]'
	  ,   SMO nvarchar(5) 'SMO[text()!=""]'
	  ,[ST_OKATO] nvarchar(254) 'ST_OKATO[text()!=""]'
	  ,[SMO_OGRN] nvarchar(254) 'SMO_OGRN[text()!=""]'
      ,[SMO_OK] nvarchar(254) 'SMO_OK[text()!=""]'
      ,[SMO_NAM] nvarchar(254) 'SMO_NAM[text()!=""]'
      ,[INV] nvarchar(254) 'INV[text()!=""]'
      ,[MSE] nvarchar(254) 'MSE[text()!=""]'
	  ,Novor nvarchar(9) 'NOVOR[text()!=""]'
	  ,VNOV_D int 'VNOV_D[text()!=""]'
	  ,LPU_P nvarchar(254) 'LPU_P[text()!=""]' -- для орла
	  ,LPU_DATE date 'LPU_DATE[text()!=""]' -- для орла
	  
	  )sp
join
OPENXML (@idpac, N'PERS_LIST/PERS',2)
            WITH (FAM nvarchar(30) 'FAM'
			,ID_PAC_P nvarchar(36) 'ID_PAC'
			, IM nvarchar(50) 'IM'
, OT nvarchar(50) 'OT[text()!=""]'
, W nvarchar(10) 'W[text()!=""]'
, DR nvarchar(100) 'DR[text()!=""]'
           ,[TEL] nvarchar(254) 'TEL[text()!=""]'
           ,[FAM_P] nvarchar(254) 'FAM_P[text()!=""]'
           ,[IM_P] nvarchar(254) 'IM_P[text()!=""]'
           ,[OT_P] nvarchar(254) 'OT_P[text()!=""]'
           ,[W_P] nvarchar(254) 'W_P[text()!=""]'
           ,[DR_P] date 'DR_P[text()!=""]'
           ,[MR] nvarchar(254) 'MR[text()!=""]'
, DOCTYPE nvarchar(10) 'DOCTYPE[text()!=""]'
, DOCSER nvarchar(18) 'DOCSER[text()!=""]'
, DOCNUM nvarchar(20) 'DOCNUM[text()!=""]'
, SNILS nvarchar(20) 'SNILS[text()!=""]'
, OKATOG nvarchar(20) 'OKATOG[text()!=""]'
, OKATOP nvarchar(20) 'OKATOP[text()!=""]'
,[COMENTP] nvarchar(254) 'COMENTP[text()!=""]' 


			) p on sp.id_pac=p.id_pac_p
if @@ERROR<>0 set @i = @i+1

print '#pacient: '
--логи
--insert into Schet (code_mo,coments) values (670039,'#pacient: '+cast((select count(*) from #pacient) as varchar(10)))
--D3_ZSL_OMS

if @ver like '3.%'
	insert into #zsl
	select distinct idcase ,D3_PGID,P_NPOLIS ,N_ZAP,PR_NOV , USL_OK, ZSL_ID , VIDPOM , FOR_POM ,NPR_MO,	NPR_DATE , LPU ,P_CEL
		  , VBR  , DATE_Z_1, DATE_Z_2 , DTP, T_ARRIVAL,[P_OTK] ,[RSLT_D],[KD_Z] ,[VNOV_M], RSLT, ISHOD 
		  ,[OS_SLUCH], OS_SLUCH_REGION , VOZR ,[VB_P], SUMV , SUMP ,[OPLATA],[SANK_IT], IDSP  
	FROM  OPENXML (@idsluch, N'ZL_LIST/ZAP/Z_SL',2)
	WITH (  idcase int 'IDCASE'
			,D3_PGID nvarchar(36) '../PACIENT/ID_PAC'
			,P_NPOLIS nvarchar(36) '../PACIENT/NPOLIS'
			,N_ZAP int '../N_ZAP' -- номер записи в хмл файле
			,PR_NOV int '../PR_NOV' -- признак исправленной записи
		  , USL_OK int 'USL_OK' -- в нормальном 3.0 usl_ok именно в zsl
		   ,P_CEL nvarchar(36) '*[local-name() = "P_CEL" or local-name() = "DISP"]' -- для орла будем диспансеризацию сюда кидать
		  , ZSL_ID nvarchar(36) 'ZSL_ID' -- будет работать только там, где выгружают ZSL_ID
		  , VIDPOM int  'VIDPOM[text()!=""]'
		  , FOR_POM int  'FOR_POM[text()!=""]'
		  ,	NPR_MO nvarchar(10)   'NPR_MO[text()!=""]'
		  ,	NPR_DATE date 'NPR_DATE[text()!=""]'
		  , LPU nvarchar(10) 'LPU[text()!=""]'
		  , VBR int 'VBR[text()!=""]' 
		  , DATE_Z_1 date 'DATE_Z_1[text()!=""]' -- остановился.
		  , DATE_Z_2 date 'DATE_Z_2[text()!=""]'
		  , DTP int 'DTP[text()!=""]' --Обязательно заполняется значением 1 при выезде бригады скорой медицинской помощи (USL_OK=4) на дорожно-транспортное происшествие. В остальных случаях - 0 
		  , T_ARRIVAL int 'T_ARRIVAL[text()!=""]' --Обязательно заполняется значением при выезде бригады скорой медицин-ской помощи (USL_OK=4):1 – до 20 минут;2 – от 21 до 40 минут;3 – от 41 до 60 минут;4 – более 60 минут.При других условиях оказания медицинской помощи значением  – 0
		  ,[P_OTK] nvarchar(255) 'P_OTK[text()!=""]'
		  ,[RSLT_D] nvarchar(255) 'RSLT_D[text()!=""]'
		  ,[KD_Z] int 'KD_Z[text()!=""]'
		  ,[VNOV_M] nvarchar(255) 'VNOV_M[text()!=""]'
		  , RSLT nvarchar(10) 'RSLT[text()!=""]'
		  , ISHOD nvarchar(10) 'ISHOD[text()!=""]'
		  ,[OS_SLUCH] int 'OS_SLUCH[text()!=""]'
		  , OS_SLUCH_REGION nvarchar(10) 'OS_SLUCH_REGION[text()!=""]'
		  , VOZR nvarchar(10) 'VOZR[text()!=""]'
		  ,[VB_P] int 'VB_P[text()!=""]'
		  , SUMV numeric(17,2) 'SUMV[text()!=""]'
		  , SUMP numeric(17,2) 'SUMP[text()!=""]'
		   ,[OPLATA] int 'OPLATA[text()!=""]'
			,[SANK_IT] numeric(17,2) '*[local-name() = "SANK_IT" or local-name() = "SANKIT"]' --в старом SANKIT в новом SANK_IT
		  , IDSP nvarchar(10) 'IDSP[text()!=""]'
	)

if @ver like '2.1%'
	insert into #zsl
	select distinct idcase ,D3_PGID,P_NPOLIS ,N_ZAP,PR_NOV , USL_OK, ZSL_ID , VIDPOM , FOR_POM ,NPR_MO,	NPR_DATE , LPU ,P_CEL
		  , VBR  , DATE_Z_1, DATE_Z_2, DTP, T_ARRIVAL ,[P_OTK] ,[RSLT_D],[KD_Z] ,[VNOV_M], RSLT, ISHOD 
		  ,[OS_SLUCH], OS_SLUCH_REGION , VOZR ,[VB_P], SUMV , SUMP ,[OPLATA],[SANK_IT], IDSP 
	FROM  OPENXML (@idsluch, N'ZL_LIST/ZAP/SLUCH',2)
	WITH (  idcase int 'IDCASE'
			,D3_PGID nvarchar(36) '../PACIENT/ID_PAC'
			,P_NPOLIS nvarchar(36) '../PACIENT/NPOLIS' --дополнительное поле, для привязки. чтобы одинаковые ID_PAC с разными полисами нормально грузились
			,N_ZAP int '../N_ZAP'
			,PR_NOV int '../PR_NOV' -- признак исправленной записи
		  , USL_OK int 'USL_OK'
		   ,P_CEL nvarchar(36) '*[contains(local-name(), "CEL")]' -- это в орле такое поле, и свой справочник целей
		  , ZSL_ID nvarchar(36) 'IDCASE'
		  , VIDPOM int  'VIDPOM'
		  , FOR_POM int  'FOR_POM'
		  ,	NPR_MO nvarchar(10)   'NPR_MO'
		  ,	NPR_DATE date 'NPR_DATE'
		  , LPU nvarchar(10) 'LPU'
		  , VBR int 'VBR' 
		  , DATE_Z_1 date 'DATE_1'
		  , DATE_Z_2 date 'DATE_2'
		  , DTP int 'DTP'
		  , T_ARRIVAL int 'T_ARRIVAL'
		  ,[P_OTK] nvarchar(255) 'P_OTK' 
		  ,[RSLT_D] nvarchar(255) 'RSLT_D' 
		  ,[KD_Z] int 'KD_Z' 
		  ,[VNOV_M] nvarchar(255) 'VNOV_M' 
		  , RSLT nvarchar(10) 'RSLT'
		  , ISHOD nvarchar(10) 'ISHOD'
		  ,[OS_SLUCH] int 'OS_SLUCH'
		  , OS_SLUCH_REGION nvarchar(10) 'OS_SLUCH_REGION'
		  , VOZR nvarchar(10) 'VOZR' 
		  ,[VB_P] int '*[local-name() = "VB_P" or local-name() = "EXTR"]' -- запишем экстренных в это поле, так как в 2.1 оно ещё есть.
		  , SUMV numeric(17,2) 'SUMV'
		  , SUMP numeric(17,2) 'SUMP'
		   ,[OPLATA] int 'OPLATA'
			,[SANK_IT] numeric(17,2) 'SANK_IT' 
		  , IDSP nvarchar(10) 'IDSP'
	)
if @@ERROR<>0 set @i = @i+1
print '@zsl: '
--логи
--insert into Schet (code_mo,coments) values (670039,'@zsl: '+cast((select count(*) from #zsl) as varchar(10)))
--select * from #zsl
--D3_SL_OMS

if @ver like '3.%'
	insert into @sl
	select distinct * 
	FROM  OPENXML (@idsluch, N'ZL_LIST/ZAP/Z_SL/SL',2)
	WITH (
		 SL_ID nvarchar(36) 'SL_ID'
		 ,D3_ZSLGID nvarchar(36) '../IDCASE' -- связь с zsl (от гуида отказываюсь, это не по 79 приказу)
		 ,USL_OK int 'USL_OK[text()!=""]'
		 ,[VID_HMP] nvarchar(254) 'VID_HMP[text()!=""]'
         ,[METOD_HMP] nvarchar(254) 'METOD_HMP[text()!=""]'
		 --EXTR - экстренность сохранили в орле
		 ,LPU_1 varchar(20) 'LPU_1[text()!=""]'
		 ,PODR varchar(20) 'PODR[text()!=""]'
		 ,PROFIL int 'PROFIL[text()!=""]'
		 ,PROFIL_K int 'PROFIL_K[text()!=""]'
		 ,DET int 'DET[text()!=""]'
		 ,P_CEL nvarchar(36) 'P_CEL[text()!=""]'
		 ,[TAL_NUM] nvarchar(254) 'TAL_NUM[text()!=""]' 
         ,[TAL_D] date 'TAL_D[text()!=""]'
         ,[TAL_P] date 'TAL_P[text()!=""]'
		 ,NHISTORY nvarchar(36) 'NHISTORY[text()!=""]' -- номер истории содержит запятую
		 ,[P_PER] nvarchar(254) 'P_PER[text()!=""]'
		 ,DATE_1 date 'DATE_1[text()!=""]'
		 ,DATE_2 date 'DATE_2[text()!=""]'
		 ,KD int 'KD[text()!=""]'  
		 ,DS0 nvarchar(6) 'DS0[text()!=""]'
		 ,DS1 nvarchar(36) 'DS1[text()!=""]'
		 ,[DS1_PR] nvarchar(254) 'DS1_PR[text()!=""]'
         
		 ,[C_ZAB] int 'C_ZAB[text()!=""]'
		 
		 ,DS_ONK int 'DS_ONK[text()!=""]'


		 ,[DN] nvarchar(254) '*[local-name() = "DN" or local-name() = "PR_D_N"]' -- два поля записываем в одно.
         ,[CODE_MES1] nvarchar(254) 'CODE_MES1[text()!=""]'
         ,[CODE_MES2] nvarchar(254) 'CODE_MES2[text()!=""]'
		 -- делаю по 79 приказу.  у нас  в курске отличается.

		 --
		 ,[N_KSG] nvarchar(20) 'KSG_KPG/N_KSG' --Номер КСГ (V023)
		 ,[VER_KSG] int 'KSG_KPG/VER_KSG' --Указывается версия модели определения КСГ (год)
		 ,[KSG_PG] int 'KSG_KPG/KSG_PG' --KSG_PG 0 - подгруппа КСГ не применялась; 1 - подгруппа КСГ применялась
		 ,[N_KPG] int 'KSG_KPG/N_KPG'	--Номер КПГ (V026).
		 ,[KOEF_Z]  numeric(7,5) 'KSG_KPG/KOEF_Z' --Коэффициент затратоемкости	Значение коэффициента затратоемкости группы/подгруппы КСГ или КПГ
		 ,[KOEF_UP]  numeric(7,5) 'KSG_KPG/KOEF_UP' --Управленческий коэффициент Значение управленческого коэффициента для КСГ или КПГ. При отсутствии указывается "1"
		 ,[BZTSZ]  numeric(8,2) 'KSG_KPG/BZTSZ' --Базовая ставка Значение базовой ставки, указывается в рублях
		 ,[KOEF_D]  numeric(7,5) 'KSG_KPG/KOEF_D' --Коэффициент дифференциации Значение коэффициента дифференциации
		 ,[KOEF_U]  numeric(7,5) 'KSG_KPG/KOEF_U' --Коэффициент уровня/подуровня оказания медицинской помощи Значение коэффициента уровня/подуровня оказания медицинской помощи
		 ,[DKK1] nvarchar(10) 'KSG_KPG/DKK1' --Дополнительный классификационный критерий
		 ,[DKK2] nvarchar(10) 'KSG_KPG/DKK2' --Дополнительный классификационный критерий
		 ,[SL_K] bit 'KSG_KPG/SL_K' --Признак использования КСЛП 0 - КСЛП не применялся; 1 - КСЛП применялся
		 ,[IT_SL] numeric(6,5) 'KSG_KPG/IT_SL' --Примененный коэффициент сложности лечения пациента Итоговое значение коэффициента сложности лечения пациента для данного случая. Указывается только при использовании.
	
		--
         ,[REAB] nvarchar(254) 'REAB[text()!=""]'
		 ,PRVS int 'PRVS[text()!=""]'
		 ,PRVD int 'PRVD[text()!=""]' --* у орла есть код специальности специалиста АПУ
		 ,VERS_SPEC nvarchar(36) 'VERS_SPEC[text()!=""]'
		 ,IDDOKT nvarchar(36) 'IDDOKT[text()!=""]'


		 ,ED_COL numeric(17,2) 'ED_COL[text()!=""]'
		 ,TARIF numeric(17,2) 'TARIF[text()!=""]'
		 ,SUM_M numeric(17,2) 'SUM_M[text()!=""]'
		 ,[COMENTSL] nvarchar(254) 'COMENTSL[text()!=""]'
		) 
		 --DS2_N IXMLDS2_NTypeList; -- сопутствующий диагноз, важен для стационара
		 --,DS1_PR int 'DS1_PR'
		 --DS3: IXMLString_List; -- не нашёл таких
if @ver like '3.%'
 insert into @D3_KSG_KPG_OMS (SL_ID,D3_ZSLGID,N_KSG,VER_KSG,KSG_PG,N_KPG,KOEF_Z,KOEF_UP,BZTSZ,KOEF_D,KOEF_U,DKK1,DKK2,SL_K,IT_SL)
	select distinct SL_ID,D3_ZSLGID,N_KSG,VER_KSG,KSG_PG,N_KPG,KOEF_Z,KOEF_UP,BZTSZ,KOEF_D,KOEF_U,DKK1,DKK2,SL_K,IT_SL
FROM  OPENXML (@idsluch, N'ZL_LIST/ZAP/Z_SL/SL/KSG_KPG',2)
WITH ( SL_ID nvarchar(36) '../SL_ID' --связка со случаем и с посещением.
	 ,D3_ZSLGID nvarchar(36) '../../IDCASE'
,N_KSG nvarchar(20)  'N_KSG[text()!=""]'
,VER_KSG int  'VER_KSG[text()!=""]'
,KSG_PG bit  'KSG_PG[text()!=""]'
,N_KPG int  'N_KPG[text()!=""]'
,KOEF_Z numeric(7,5) 'KOEF_Z[text()!=""]'
,KOEF_UP numeric(7,5) 'KOEF_UP[text()!=""]'
,BZTSZ numeric(8,2) 'BZTSZ[text()!=""]'
,KOEF_D numeric(7,5) 'KOEF_D[text()!=""]'
,KOEF_U numeric(7,5) 'KOEF_U[text()!=""]'
,DKK1 nvarchar(10)  '*[local-name() = "DKK1" or local-name() = "CRIT"]'
,DKK2 nvarchar(10)  'DKK2[text()!=""]'
,SL_K bit 'SL_K[text()!=""]'
,IT_SL numeric(6,5) 'IT_SL[text()!=""]'
)

if @ver like '3.%'
 insert into @D3_NAPR_OMS (D3_SLGID,D3_ZSLGID,NAPR_DATE,NAPR_MO,NAPR_V,MET_ISSL,NAPR_USL)
	 select distinct D3_SLGID,D3_ZSLGID,NAPR_DATE,NAPR_MO,NAPR_V,MET_ISSL,NAPR_USL
	FROM  OPENXML (@idsluch,N'ZL_LIST/ZAP/Z_SL/SL/NAPR',2)
	WITH ( 
	 D3_SLGID nvarchar(36) '../SL_ID' --связка со случаем и с посещением.
	 ,D3_ZSLGID nvarchar(36) '../../IDCASE'
	,NAPR_DATE datetime 'NAPR_DATE[text()!=""]'
	,NAPR_MO nvarchar(6) 'NAPR_MO[text()!=""]'
	,NAPR_V int 'NAPR_V[text()!=""]'
	,MET_ISSL int 'MET_ISSL[text()!=""]'
	,NAPR_USL nvarchar(16)  'NAPR_USL[text()!=""]'	)

if @ver like '3.%'
 insert into @D3_CONS_OMS (D3_SLGID,D3_ZSLGID,PR_CONS,DT_CONS)
		 select distinct D3_SLGID,D3_ZSLGID,PR_CONS,DT_CONS
		FROM  OPENXML (@idsluch,N'ZL_LIST/ZAP/Z_SL/SL/CONS',2)
		WITH ( 
		D3_SLGID nvarchar(36) '../SL_ID'
		 ,D3_ZSLGID nvarchar(36) '../../IDCASE'
		,PR_CONS int 'PR_CONS[text()!=""]'
		,DT_CONS datetime 'DT_CONS[text()!=""]'
		) p --where PR_CONS is not null
if @@ERROR<>0 set @i = @i+1

if @ver like '3.%'
 insert into @D3_ONK_SL_OMS (D3_SLGID,D3_ZSLGID,DS1_T,STAD,ONK_T,ONK_N,ONK_M,MTSTZ,SOD)
	 select distinct D3_SLGID,D3_ZSLGID,DS1_T,STAD,ONK_T,ONK_N,ONK_M,MTSTZ,SOD
	FROM  OPENXML (@idsluch,N'ZL_LIST/ZAP/Z_SL/SL/ONK_SL',2)
	WITH (
	D3_SLGID nvarchar(36) '../SL_ID'
	,D3_ZSLGID nvarchar(36) '../../IDCASE'
	,DS1_T int 'DS1_T[text()!=""]' 
	,STAD int 'STAD[text()!=""]'
	,ONK_T int 'ONK_T[text()!=""]'
	,ONK_N int 'ONK_N[text()!=""]'
	,ONK_M int 'ONK_M[text()!=""]'
	,MTSTZ int 'MTSTZ[text()!=""]'
	,SOD numeric(6,2) 'SOD[text()!=""]'
	,	K_FR int 'K_FR[text()!=""]'
	,[WEI] [numeric](4, 1) 'WEI[text()!=""]'
	,[HEI] int 'HEI[text()!=""]'
	,[BSA] [numeric](3, 2) 'BSA[text()!=""]'
	)  p --where STAD is not null
--сюда нужно вставить подгруппы внутри онкологии
 insert into @D3_B_DIAG_OMS (D3_ONKSLGID,D3_ZSLGID,DIAG_DATE,DIAG_TIP,DIAG_CODE,DIAG_RSLT,REC_RSLT)
	 select distinct D3_ONKSLGID,D3_ZSLGID,DIAG_DATE,DIAG_TIP,DIAG_CODE,DIAG_RSLT,REC_RSLT
	FROM  OPENXML (@idsluch,N'ZL_LIST/ZAP/Z_SL/SL/ONK_SL/B_DIAG',2)
	WITH (
	 D3_ONKSLGID nvarchar(36) '../../SL_ID' --онкослучай может быть только один в случае.
	,D3_ZSLGID nvarchar(36) '../../../IDCASE' 
	,DIAG_DATE datetime 'DIAG_DATE[text()!=""]'
	,DIAG_TIP int 'DIAG_TIP[text()!=""]'
	,DIAG_CODE int 'DIAG_CODE[text()!=""]'
	,DIAG_RSLT int 'DIAG_RSLT[text()!=""]'
	,REC_RSLT int 'REC_RSLT[text()!=""]'
	)  p --where (DIAG_DATE is not null) or (DIAG_TIP is not null) --обязательно или то или другое.
 insert into @D3_B_PROT_OMS (D3_ONKSLGID,D3_ZSLGID,PROT,D_PROT)
		select distinct D3_ONKSLGID,D3_ZSLGID,PROT,D_PROT
	FROM  OPENXML (@idsluch,N'ZL_LIST/ZAP/Z_SL/SL/ONK_SL/B_PROT',2)
	WITH ( D3_ONKSLGID nvarchar(36) '../../SL_ID' --онкослучай может быть только один в случае.
	,D3_ZSLGID nvarchar(36) '../../../IDCASE' 
	,PROT int 'PROT[text()!=""]'
	,D_PROT datetime 'D_PROT[text()!=""]'
	)  p --where PROT is not null
 insert into @D3_ONK_USL_OMS (D3_ONKSLGID,D3_ZSLGID,USL_TIP,HIR_TIP,LEK_TIP_L,LEK_TIP_V,LUCH_TIP)
	 select distinct D3_ONKSLGID,D3_ZSLGID,USL_TIP,HIR_TIP,LEK_TIP_L,LEK_TIP_V,LUCH_TIP
	FROM  OPENXML (@idsluch,N'ZL_LIST/ZAP/Z_SL/SL/ONK_SL/ONK_USL',2)
	WITH ( D3_ONKSLGID nvarchar(36) '../../SL_ID' --онкослучай может быть только один в случае.
	,D3_ZSLGID nvarchar(36) '../../../IDCASE' 
	,USL_TIP int 'USL_TIP[text()!=""]'
	,HIR_TIP int 'HIR_TIP[text()!=""]'
	,LEK_TIP_L int 'LEK_TIP_L[text()!=""]'
	,LEK_TIP_V int 'LEK_TIP_V[text()!=""]'
	,LUCH_TIP int 'LUCH_TIP[text()!=""]'
	) p where USL_TIP is not null
 insert into @D3_LEK_PR_OMS (D3_ONKUSLGID,D3_ZSLGID,REGNUM,DATE_INJ,CODE_SH)
 select distinct D3_ONKUSLGID,D3_ZSLGID,REGNUM,DATE_INJ,CODE_SH
FROM  OPENXML (@idsluch,N'ZL_LIST/ZAP/Z_SL/SL/ONK_SL/ONK_USL/LEK_PR',2)
WITH ( 
D3_ONKUSLGID nvarchar(36) '../../../SL_ID' --предположим что онкоуслуга только одна, ибо хз как привязывать
,D3_ZSLGID nvarchar(36) '../../../../IDCASE' 
,REGNUM nvarchar(40) 'REGNUM[text()!=""]'
,DATE_INJ datetime 'DATE_INJ[text()!=""]'
,CODE_SH nvarchar(10) 'CODE_SH[text()!=""]'
)  p --where REGNUM is not null

 insert into @D3_NAZ_OMS (D3_SLGID,D3_ZSLGID,NAZ_N,NAZ_R,NAZ_SP,NAZ_V,NAZ_USL,NAPR_DATE,NAPR_MO,NAZ_PMP,NAZ_PK)
 select distinct D3_SLGID,D3_ZSLGID,NAZ_N,NAZ_R,NAZ_SP,NAZ_V,NAZ_USL,NAPR_DATE,NAPR_MO,NAZ_PMP,NAZ_PK
	FROM  OPENXML (@idsluch,N'ZL_LIST/ZAP/Z_SL/SL/NAZ',2)
	WITH ( 
	D3_SLGID nvarchar(36) '../SL_ID'
	,D3_ZSLGID nvarchar(36) '../../IDCASE'
	,NAZ_N int 'NAZ_N[text()!=""]'
	,NAZ_R int 'NAZ_R[text()!=""]'
	,NAZ_SP int 'NAZ_SP[text()!=""]'
	,NAZ_V int 'NAZ_V[text()!=""]'
	,NAZ_USL nvarchar(16) 'NAZ_USL[text()!=""]'
	,NAPR_DATE datetime 'NAPR_DATE[text()!=""]'
	,NAPR_MO nvarchar(6) 'NAPR_MO[text()!=""]'
	,NAZ_PMP int 'NAZ_PMP[text()!=""]'
	,NAZ_PK int 'NAZ_PK[text()!=""]'
	) p --where NAZ_N is not null


if @ver like '2.1%'
	insert into @sl
	select distinct * 
	FROM  OPENXML (@idsluch, N'ZL_LIST/ZAP/SLUCH',2)
	WITH (
		 SL_ID nvarchar(36) 'IDCASE'
		 ,D3_ZSLGID nvarchar(36) 'IDCASE' -- связь с zsl
		 ,USL_OK int 'USL_OK'
		 ,[VID_HMP] nvarchar(254) 'VID_HMP'
         ,[METOD_HMP] nvarchar(254) 'METOD_HMP'
		 ,LPU_1 varchar(20) 'LPU_1' -- в орле неверно используют данное поле, ставят туда полный код чего-то
		 ,PODR varchar(20) 'PODR'
		 ,PROFIL int 'PROFIL'
		 ,PROFIL_K int 'PROFIL_K'
		 ,DET int 'DET'
		 ,P_CEL nvarchar(36) '*[contains(local-name(), "CEL")]' -- в орле CEL_P , и свой справочник целей
		 ,[TAL_NUM] nvarchar(254) 'TAL_NUM'
         ,[TAL_D] date 'TAL_D' 
         ,[TAL_P] date 'TAL_P' 
		 ,NHISTORY nvarchar(36) 'NHISTORY' -- номер истории содержит запятую
		 ,[P_PER] nvarchar(254) 'P_PER' -- есть
		 ,DATE_1 date 'DATE_1'
		 ,DATE_2 date 'DATE_2'
		 ,KD int 'KD'  
		 ,DS0 nvarchar(6) 'DS0'
		 ,DS1 nvarchar(36) 'DS1'
		 ,[DS1_PR] nvarchar(254) 'DS1_PR' 
		 ,DS_ONK int 'DS_ONK[text()!=""]'
		 ,[C_ZAB] int 'C_ZAB[text()!=""]'
         ,[DN] nvarchar(254) '*[local-name() = "DN" or local-name() = "PR_D_N"]' -- два поля записываем в одно.
         ,[CODE_MES1] nvarchar(254) 'CODE_MES1' 
         ,[CODE_MES2] nvarchar(254) 'CODE_MES2'
		  
		 ,[N_KSG] nvarchar(20) '*[local-name() = "CODE_KSG" or local-name() = "N_KSG"]' --'CODE_KSG' --так в орле 
		 ,[VER_KSG] int 'VER_KSG' --Указывается версия модели определения КСГ (год)
		 ,[KSG_PG] int '*[local-name() = "IDTKSG" or local-name() = "KSG_PG"]' --'IDTKSG' --так в орле (какой-то доп критерий)
		 ,[N_KPG] int 'N_KPG'	--Номер КПГ (V026).
		 ,[KOEF_Z]  numeric(7,5) 'KOEF_Z' --в 3.0
		 ,[KOEF_UP]  numeric(7,5) 'KOEF_UP' --в 3.0
		 ,[BZTSZ]  numeric(8,2) 'BZTSZ' --в 3.0
		 ,[KOEF_D]  numeric(7,5) 'KOEF_D' --в 3.0
		 ,[KOEF_U]  numeric(7,5) 'KOEF_U' --в 3.0
		 ,[DKK1] nvarchar(10) 'DKK1' --в 3.0
		 ,[DKK2] nvarchar(10) 'DKK2' --в 3.0
		 ,[SL_K] bit 'SL_K' --Признак использования КСЛП 0 - КСЛП не применялся; 1 - КСЛП применялся
		 ,[IT_SL] numeric(6,5) 'IT_SL'    
 
         ,[REAB] nvarchar(254) 'REAB' 
		 ,PRVS int 'PRVS'
		 ,PRVD int 'PRVD'
		 ,VERS_SPEC nvarchar(36) 'VERS_SPEC'
		 ,IDDOKT nvarchar(36) 'IDDOKT'
		 ,ED_COL numeric(17,2) 'ED_COL'
		 ,TARIF numeric(17,2) 'TARIF'
		 ,SUM_M numeric(17,2) 'SUMV'
		 ,[COMENTSL] nvarchar(254) 'COMENTSL' 
		 
	)
if @@ERROR<>0 set @i = @i+1
print '@sl: '

-- коэффициенты в ксг
	insert into @sl_koef ([SL_ID],[D3_ZSLGID],IDSL,Z_SL)
	select [SL_ID],[D3_ZSLGID],IDSL,Z_SL
	FROM  OPENXML (@idsluch, N'ZL_LIST/ZAP/Z_SL/SL/KSG_KPG/SL_KOEF',2)
	WITH (
		 SL_ID nvarchar(36) '../../SL_ID'
		,D3_ZSLGID nvarchar(36) '../../../IDCASE'
		,IDSL int 'IDSL[text()!=""]' --Номер коэффициента сложности лечения пациента
		,Z_SL numeric(6,2) 'Z_SL[text()!=""]' -- Значение коэффициента сложности лечения пациента
		 )
		 if @@ERROR<>0 set @i = @i+1
print '@sl_koef: '
--логи
--insert into Schet (code_mo,coments) values (670039,'@sl: '+cast((select count(*) from @sl) as varchar(10)))
--select * from @sl
--D3_USL_OMS
if @ver like '3.%' -- обязателен тот порядок полей, какой и в объявлении таблицы.
	insert into @usl select distinct * 
	FROM  OPENXML (@idsluch, N'ZL_LIST/ZAP/Z_SL/SL/USL',2)
	WITH (
		IDSERV varchar(36) 'IDSERV'
		,[D3_SLGID] nvarchar(36) '../SL_ID' -- связь с посещением
		,D3_ZSLGID nvarchar(36) '../../IDCASE' -- связь с случаем
		,LPU int 'LPU[text()!=""]'
		,LPU_1 varchar(200) 'LPU_1[text()!=""]'
		,PODR varchar(20) 'PODR[text()!=""]'
		,PROFIL int 'PROFIL[text()!=""]'
		,VID_VME nvarchar(36) 'VID_VME[text()!=""]'
		,DET int 'DET[text()!=""]'
		,DATE_IN nvarchar(36) 'DATE_IN[text()!=""]'
		,DATE_OUT nvarchar(36) 'DATE_OUT[text()!=""]'
		,P_OTK int 'P_OTK[text()!=""]'
		,DS nvarchar(36) 'DS[text()!=""]'
		,CODE_USL nvarchar(36) 'CODE_USL[text()!=""]'
		,KOL_USL nvarchar(36) 'KOL_USL[text()!=""]'
		,TARIF nvarchar(36) 'TARIF[text()!=""]'
		,SUMV_USL nvarchar(36) 'SUMV_USL[text()!=""]'
		,PRVS int 'PRVS[text()!=""]'

		,PRVD int 'PRVD[text()!=""]' -- у орла. АПУ
		,CODE_MD nvarchar(36) 'CODE_MD[text()!=""]'
		,NPL int 'NPL[text()!=""]'
		,COMENTU nvarchar(255) 'COMENTU[text()!=""]'
	)
if @ver like '2.1%'
	insert into @usl select distinct * 
	FROM  OPENXML (@idsluch, N'ZL_LIST/ZAP/SLUCH/USL',2)
	WITH (
		IDSERV varchar(36) 'IDSERV'
		,[D3_SLGID] nvarchar(36) '../IDCASE' -- связь с посещением
		,D3_ZSLGID nvarchar(36) '../IDCASE' -- связь с случаем
		,LPU int 'LPU'
		,LPU_1 varchar(200) 'LPU_1'
		,PODR varchar(20) 'PODR'
		,PROFIL int 'PROFIL'
		,VID_VME nvarchar(36) 'VID_VME'
		,DET int 'DET'
		,DATE_IN nvarchar(36) 'DATE_IN'
		,DATE_OUT nvarchar(36) 'DATE_OUT'
		,P_OTK int 'P_OTK'
		,DS nvarchar(36) 'DS'
		,CODE_USL nvarchar(36) 'CODE_USL'
		,KOL_USL nvarchar(36) 'KOL_USL'
		,TARIF nvarchar(36) 'TARIF'
		,SUMV_USL nvarchar(36) 'SUMV_USL'
		,PRVS int 'PRVS'
		,PRVD int 'PRVD'
		,CODE_MD nvarchar(36) 'CODE_MD'
		,NPL int 'NPL'
		,COMENTU nvarchar(255) 'COMENTU'
	)
	if @@ERROR<>0 set @i = @i+1
print '@usl'
--логи
--insert into Schet (code_mo,coments) values (670039,'@usl: '+cast((select count(*) from @usl) as varchar(10)))
--select * from @usl
--D3_DSS_OMS
-- в версиях ниже 3.0 не было такого подсправочника?
--declare @dss table(D3_SLID int, [D3_SLGID] nvarchar(36),[DS] [nvarchar](10),DS_PR [int],[DS_TYPE] [int], PR_DS2_N int)
INSERT INTO @dss (D3_ZSLGID,[D3_SLGID],[DS],DS_PR,[DS_TYPE], PR_DS2_N)
	select 
	    sl.m.value('(../IDCASE			)[1]','nvarchar(254)') as D3_ZSLGID 
	   ,sl.m.value('(./SL_ID			)[1]','nvarchar(254)') as D3_SLGID
      ,ds2.m.value('(./DS2		)[1]','nvarchar(254)') as DS
      ,ds2.m.value('(./DS2_PR		)[1]','nvarchar(254)') as DS_PR
	  ,2 as DS_TYPE
	   ,ds2.m.value('(./PR_DS2_N		)[1]','nvarchar(254)') as PR_DS2_N
	from @XmlH.nodes( '/ZL_LIST/ZAP/Z_SL/SL' ) sl(m)
		cross apply sl.m.nodes( 'DS2_N') ds2(m)

UNION ALL 
	select 
	   sl.m.value('(../IDCASE			)[1]','nvarchar(254)') as D3_ZSLGID 
	   ,sl.m.value('(./SL_ID			)[1]','nvarchar(254)') as D3_SLGID
      ,ds3.m.value('(.		)[1]','nvarchar(254)')      ,NULL	  ,3,null
	from @XmlH.nodes( '/ZL_LIST/ZAP/Z_SL/SL' ) sl(m)
		cross apply sl.m.nodes( 'DS3') ds3(m)

UNION ALL 
	select 
	   sl.m.value('(../IDCASE			)[1]','nvarchar(254)') as D3_ZSLGID 
	   ,sl.m.value('(./SL_ID			)[1]','nvarchar(254)') as D3_SLGID
      ,ds0.m.value('(.		)[1]','nvarchar(254)')      ,NULL	  ,1,null
	from @XmlH.nodes( '/ZL_LIST/ZAP/Z_SL/SL' ) sl(m)
		cross apply sl.m.nodes( 'DS2') ds0(m) --DS0- не множественный.
-- в смо будет так. DS2 - 1, DS2_N - 2, DS3 - 3

if @@ERROR<>0 set @i = @i+1
print '@dss'
-- очищаем переменные
EXEC sp_xml_removedocument @idsluch
if @@ERROR<>0 set @i = @i+1
--логи
--insert into Schet (code_mo,coments) values (670039,'конец курсора, случаев: '+cast((select count(*) from @sl) as varchar(10)))
END

-- очищаем пациента.
EXEC sp_xml_removedocument @idpac

if @@ERROR<>0 set @i = @i+1

-- забиваем данные в таблицы.
SET XACT_ABORT ON;  


BEGIN TRY  
BEGIN TRANSACTION; 
--перед вставкой в пациентов, чистим одинаковых по айдипац+полис пациентов.
--нефиг с разными данными пациентов вставлять с одинаковыми полисами в записи.
--если пациент сменил прикрепление, или ещё что, то должен быть другой айдипац.
delete a   FROM #pacient a,
(select 
 ROW_NUMBER ( ) over (PARTITION BY ID_PAC,NPOLIS order by ID_PAC) rn,
	N_ZAP,
	ID_PAC
      ,NPOLIS
  FROM #pacient v18 
) c
WHERE
a.N_ZAP = c.N_ZAP --как идентификатор работает

AND rn>1
print('удалили дублей');

INSERT INTO [dbo].[D3_PACIENT_OMS]
([D3_SCID],[ID_PAC],[FAM],[IM],[OT],[W],[DR],[TEL],[FAM_P],[IM_P],[OT_P],[W_P],[DR_P],[MR],[DOCTYPE],[DOCSER],[DOCNUM],[SNILS]
,[OKATOG],[OKATOP],[COMENTP],[VPOLIS],[SPOLIS],[NPOLIS],[ST_OKATO],[SMO],[SMO_OGRN]
,[SMO_OK],[SMO_NAM],[INV],[MSE],[NOVOR]
,[VNOV_D],LPU_P,LPU_DATE)
select	distinct	@sc,ID_PAC,[FAM],[IM],[OT],[W]
,case when isdate([DR])=1 then DR end
,[TEL],[FAM_P],[IM_P],[OT_P],[W_P],[DR_P],[MR],[DOCTYPE],[DOCSER],[DOCNUM],[SNILS]
,[OKATOG],[OKATOP],[COMENTP],[VPOLIS],[SPOLIS],[NPOLIS]
,case when len([ST_OKATO])<6 then ST_OKATO end ST_OKATO -- алтай04, длинное получается иногда окато. 84701000
,[SMO],[SMO_OGRN]
,case when len([SMO_OK])<6 then SMO_OK end SMO_OK -- алтай04, туда зачем то пихают дату рождения
,[SMO_NAM],[INV],[MSE],[NOVOR]
,[VNOV_D],LPU_P,LPU_DATE from #pacient -- делаем тут distinct чтобы одинаковых по N_ZAP убрать
--if @@ERROR<>0 set @i = @i+1
--print 'мы вставили пациентов'
--логи
--insert into Schet (code_mo,coments) values (670039,'попробовали забить в пациент_омс: '+cast((select count(*) from D3_PACIENT_OMS) as varchar(10)))

		INSERT INTO [dbo].[D3_ZSL_OMS]
		(			[ZSL_ID]	,[D3_PID],[D3_PGID],N_ZAP,PR_NOV,[D3_SCID],[IDCASE],USL_OK
		,P_CEL
			,[VIDPOM],[FOR_POM],[NPR_MO],[LPU],[VBR],[DATE_Z_1],[DATE_Z_2],[P_OTK],[RSLT_D],[KD_Z],[VNOV_M],[RSLT],[ISHOD],[OS_SLUCH]
			,[OS_SLUCH_REGION],[VOZR],[VB_P],[IDSP],[SUMV],[OPLATA],[SUMP],[SANK_IT]
			,NPR_DATE,DTP,T_ARRIVAL)
		Select		isnull(tt.zsl_id,NewID())		,pa.ID	,[D3_PGID],tt.N_ZAP,tt.PR_NOV ,@sc	,[IDCASE],USL_OK
		,cast(tt.[P_CEL] as varchar(3)) as P_CEL -- отрезаем лишние символы, в алтае04 миац 5 символов в цели использует.
			,[VIDPOM],[FOR_POM],[NPR_MO],[LPU],[VBR],[DATE_Z_1],[DATE_Z_2],[P_OTK],[RSLT_D],[KD_Z],[VNOV_M],[RSLT],[ISHOD],[OS_SLUCH]
			,[OS_SLUCH_REGION],[VOZR],[VB_P],[IDSP],[SUMV],[OPLATA],[SUMP],[SANK_IT]
			,NPR_DATE,DTP,T_ARRIVAL
		From #zsl tt join d3_pacient_oms pa on pa.d3_SCID = @sc and tt.[D3_PGID] = pa.ID_PAC collate database_default
			and isnull(pa.NPOLIS,'')=isnull(tt.P_NPOLIS,'') collate database_default
			--join #pacient  p --бывает что разные данные для одного и того же пациента пишут
			--	on tt.[D3_PGID] = pa.ID_PAC collate database_default
			--	and tt.[D3_PGID] = p.ID_PAC collate database_default
			--and isnull(pa.NPOLIS,'')=isnull(p.NPOLIS,'') collate database_default
			--and tt.N_ZAP=p.N_ZAP 
			--and isnull(p.SMO,'')=isnull(pa.SMO,'') collate database_default
			--пожоще привязываем к пациенту, так как может быть один и тот же пациент с временкой, с обычным и с разными СМО (в тфомс напрмер)
		-- GUID в ID_PAC запихивать вредно.
		--update p set ID_PAC = z.D3_PGID from d3_pacient_oms p join D3_ZSL_OMS z on z.D3_PID=p.ID and p.d3_SCID = @sc

--if @@ERROR<>0 set @i = @i+1
INSERT INTO [dbo].[D3_SL_OMS]
					([D3_ZSLID],[D3_ZSLGID],[SL_ID],[USL_OK]
		,[VID_HMP],[METOD_HMP],[LPU_1],[PODR],[PROFIL],PROFIL_K,[DET],[P_CEL],[TAL_NUM],[TAL_D],[TAL_P],[NHISTORY],[P_PER],[DATE_1]
		,[DATE_2],[KD],[DS0],[DS1],[DS1_PR],[C_ZAB] ,DS_ONK  ,[DN],[CODE_MES1],[CODE_MES2],[KSG_DKK]
		,[N_KSG],[KSG_PG],[SL_K],[IT_SL]--,VER_KSG ,N_KPG,KOEF_Z ,KOEF_UP ,BZTSZ,	KOEF_D ,KOEF_U,	DKK1 ,	DKK2 -- блок ксг
		,[REAB],[PRVS],PRVD,[VERS_SPEC],[IDDOKT],[ED_COL],[TARIF],[SUM_M]
		,[COMENTSL]
		,PRVS21,P_CEL25 --для курского фонда, заполнение полей (для расчёта мэков)
		)

		Select      zsl.ID,		zsl.ZSL_ID,	tt.SL_ID,tt.[USL_OK]
		,[VID_HMP],[METOD_HMP],LPU_1,[PODR],[PROFIL],PROFIL_K,[DET]
		,cast(tt.[P_CEL] as varchar(3)) as P_CEL -- отрезаем лишние символы, в алтае04 миац 5 символов в цели использует.
		,[TAL_NUM],[TAL_D],[TAL_P],[NHISTORY],[P_PER],[DATE_1]
		,[DATE_2],[KD],[DS0],[DS1],[DS1_PR],[C_ZAB] ,DS_ONK ,[DN],[CODE_MES1],[CODE_MES2],[DKK1]
		,[N_KSG],[KSG_PG],[SL_K],[IT_SL]--,VER_KSG ,N_KPG,KOEF_Z ,KOEF_UP ,BZTSZ,	KOEF_D ,KOEF_U,	DKK1 ,	DKK2
		,[REAB],[PRVS],PRVD,[VERS_SPEC],[IDDOKT],[ED_COL],[TARIF],[SUM_M]
		,cast([COMENTSL] as nvarchar(250)) COMENTSL
		,PRVS,cast(tt.[P_CEL] as varchar(3)) as P_CEL
	From @sl tt	join D3_ZSL_OMS zsl on D3_SCID = @sc and tt.D3_ZSLGID = zsl.IDCASE -- по IDCASE связка, гуидов в хмл может не быть.
--if @@ERROR<>0 set @i = @i+1	

-- привязываем ксг к посещениям.
update k set SLID = sl.id
from @D3_KSG_KPG_OMS k join @sl tt on k.D3_ZSLGID=tt.D3_ZSLGID and k.SL_ID=tt.SL_ID
	join D3_ZSL_OMS zsl on D3_SCID = @sc and tt.D3_ZSLGID = zsl.IDCASE
	join D3_SL_OMS sl on sl.D3_ZSLID = zsl.ID and tt.NHISTORY=sl.NHISTORY and tt.DATE_2=sl.DATE_2
--if @@ERROR<>0 set @i = @i+1

--теперь легко и непринуждённо вставляем ксг.
 INSERT INTO [dbo].D3_KSG_KPG_OMS (D3_SLID,N_KSG,VER_KSG,KSG_PG,N_KPG,KOEF_Z,KOEF_UP,BZTSZ,KOEF_D,KOEF_U,DKK1,DKK2,SL_K,IT_SL)
 Select tt.SLID,tt.N_KSG,tt.VER_KSG,tt.KSG_PG,tt.N_KPG,tt.KOEF_Z,tt.KOEF_UP,tt.BZTSZ,tt.KOEF_D,tt.KOEF_U,tt.DKK1,tt.DKK2,tt.SL_K,tt.IT_SL
 from @D3_KSG_KPG_OMS tt where tt.SLID is not null

-- привязываем коэффициенты к посещениям. 
update k set d3_SLID = sl.id
from @sl_koef k join @sl tt on k.D3_ZSLGID=tt.D3_ZSLGID and k.SL_ID=tt.SL_ID
	join D3_ZSL_OMS zsl on D3_SCID = @sc and tt.D3_ZSLGID = zsl.IDCASE
	join D3_SL_OMS sl on sl.D3_ZSLID = zsl.ID and tt.NHISTORY=sl.NHISTORY and tt.DATE_2=sl.DATE_2
--if @@ERROR<>0 set @i = @i+1
-- такая длинная связка, потому что нет уида у коэффициентов.
-- вставляем коэффициенты (в старую таблицу коэффициентов, вскоре она будет не нужна.
insert into d3_SL_KSLP_OMS (SLID,IDSL,Z_SL) 	select d3_SLID,IDSL,Z_SL from  @sl_koef  where d3_SLID is not null

--теперь привязываем коэффициенты к ксг
update k set KSGID = ks.id
from @sl_koef k join D3_KSG_KPG_OMS ks on k.d3_SLID = ks.D3_SLID

--вставляем в 3.1 версию коэффициентов
insert into d3_SL_KOEF_OMS (D3_KSGID,IDSL,Z_SL) 	select KSGID,IDSL,Z_SL from  @sl_koef  where KSGID is not null
--привязываем направления к посещениям
update k set d3_SLID = sl.id
from @D3_NAPR_OMS k join @sl tt on k.D3_ZSLGID=tt.D3_ZSLGID and k.D3_SLGID=tt.SL_ID
	join D3_ZSL_OMS zsl on D3_SCID = @sc and tt.D3_ZSLGID = zsl.IDCASE
	join D3_SL_OMS sl on sl.D3_ZSLID = zsl.ID and tt.NHISTORY=sl.NHISTORY and tt.DATE_2=sl.DATE_2
--if @@ERROR<>0 set @i = @i+1
--вставляем направления
 INSERT INTO [dbo].D3_NAPR_OMS (D3_SLID,D3_SLGID,NAPR_DATE,NAPR_MO,NAPR_V,MET_ISSL,NAPR_USL)
 Select tt.D3_SLID,tt.D3_SLGID,tt.NAPR_DATE,tt.NAPR_MO,tt.NAPR_V,tt.MET_ISSL,tt.NAPR_USL
 from @D3_NAPR_OMS tt  where tt.D3_SLID is not null
 --if @@ERROR<>0 set @i = @i+1
 --привязываем консультации к посещениям
 update k set d3_SLID = sl.id
from @D3_CONS_OMS k join @sl tt on k.D3_ZSLGID=tt.D3_ZSLGID and k.D3_SLGID=tt.SL_ID
	join D3_ZSL_OMS zsl on D3_SCID = @sc and tt.D3_ZSLGID = zsl.IDCASE
	join D3_SL_OMS sl on sl.D3_ZSLID = zsl.ID and tt.NHISTORY=sl.NHISTORY and tt.DATE_2=sl.DATE_2
--if @@ERROR<>0 set @i = @i+1
--вставляем консультации
 INSERT INTO [dbo].D3_CONS_OMS (D3_SLID,D3_SLGID,PR_CONS,DT_CONS)
  Select tt.D3_SLID,tt.D3_SLGID,tt.PR_CONS,tt.DT_CONS
	from @D3_CONS_OMS tt  where tt.D3_SLID is not null
--if @@ERROR<>0 set @i = @i+1
--привязываем онко к посещениям
 update k set d3_SLID = sl.id
from @D3_ONK_SL_OMS k join @sl tt on k.D3_ZSLGID=tt.D3_ZSLGID and k.D3_SLGID=tt.SL_ID
	join D3_ZSL_OMS zsl on D3_SCID = @sc and tt.D3_ZSLGID = zsl.IDCASE
	join D3_SL_OMS sl on sl.D3_ZSLID = zsl.ID and tt.NHISTORY=sl.NHISTORY and tt.DATE_2=sl.DATE_2
--if @@ERROR<>0 set @i = @i+1
--вставляем онкологию
 INSERT INTO [dbo].D3_ONK_SL_OMS (D3_SLID,D3_SLGID,DS1_T,STAD,ONK_T,ONK_N,ONK_M,MTSTZ,SOD
	,K_FR 	,[WEI] ,[HEI] 	,[BSA] 
	)
 Select tt.D3_SLID,tt.D3_SLGID,tt.DS1_T,tt.STAD,tt.ONK_T,tt.ONK_N,tt.ONK_M,tt.MTSTZ,tt.SOD
 ,K_FR 	,[WEI] ,[HEI] 	,[BSA] 
 from @D3_ONK_SL_OMS tt where tt.D3_SLID is not null
--if @@ERROR<>0 set @i = @i+1

--привязываем блок диаг к онко
 update k set d3_ONKSLID = onk.id
from @D3_B_DIAG_OMS k 
	join D3_ONK_SL_OMS onk on onk.D3_SLGID=k.D3_ONKSLGID
	join @sl tt on k.D3_ZSLGID=tt.D3_ZSLGID and onk.D3_SLGID=tt.SL_ID
	join D3_ZSL_OMS zsl on D3_SCID = @sc and tt.D3_ZSLGID = zsl.IDCASE
	join D3_SL_OMS sl on sl.D3_ZSLID = zsl.ID and sl.id=onk.d3_slid
--if @@ERROR<>0 set @i = @i+1
-- вставляем диагблоконко
 INSERT INTO [dbo].D3_B_DIAG_OMS (D3_ONKSLID,D3_ONKSLGID,DIAG_DATE,DIAG_TIP,DIAG_CODE,DIAG_RSLT,REC_RSLT)
 Select tt.D3_ONKSLID,tt.D3_ONKSLGID,tt.DIAG_DATE,tt.DIAG_TIP,tt.DIAG_CODE,tt.DIAG_RSLT,tt.REC_RSLT
 from @D3_B_DIAG_OMS tt where tt.D3_ONKSLID is not null
 --if @@ERROR<>0 set @i = @i+1
--привязываем блок противопоказаний к онко
 update k set d3_ONKSLID = onk.id
from @D3_B_PROT_OMS k 
	join D3_ONK_SL_OMS onk on onk.D3_SLGID=k.D3_ONKSLGID
	join @sl tt on k.D3_ZSLGID=tt.D3_ZSLGID and onk.D3_SLGID=tt.SL_ID
	join D3_ZSL_OMS zsl on D3_SCID = @sc and tt.D3_ZSLGID = zsl.IDCASE
	join D3_SL_OMS sl on sl.D3_ZSLID = zsl.ID and sl.id=onk.d3_slid
--if @@ERROR<>0 set @i = @i+1
--вставляем противоонко
 INSERT INTO [dbo].D3_B_PROT_OMS (D3_ONKSLID,D3_ONKSLGID,PROT,D_PROT)
 Select tt.D3_ONKSLID,tt.D3_ONKSLGID,tt.PROT,tt.D_PROT
 from @D3_B_PROT_OMS tt where tt.D3_ONKSLID is not null
 --if @@ERROR<>0 set @i = @i+1
 --привязываем блок онкоуслуг к онко
 update k set d3_ONKSLID = onk.id
from @D3_ONK_USL_OMS k 
	join D3_ONK_SL_OMS onk on onk.D3_SLGID=k.D3_ONKSLGID
	join @sl tt on k.D3_ZSLGID=tt.D3_ZSLGID and onk.D3_SLGID=tt.SL_ID
	join D3_ZSL_OMS zsl on D3_SCID = @sc and tt.D3_ZSLGID = zsl.IDCASE
	join D3_SL_OMS sl on sl.D3_ZSLID = zsl.ID and sl.id=onk.d3_slid
--if @@ERROR<>0 set @i = @i+1
--вставляем онкоуслуги
 INSERT INTO [dbo].D3_ONK_USL_OMS (D3_ONKSLID,D3_ONKSLGID,USL_TIP,HIR_TIP,LEK_TIP_L,LEK_TIP_V,LUCH_TIP)
  Select tt.D3_ONKSLID,tt.D3_ONKSLGID,tt.USL_TIP,tt.HIR_TIP,tt.LEK_TIP_L,tt.LEK_TIP_V,tt.LUCH_TIP
 from @D3_ONK_USL_OMS tt where  tt.D3_ONKSLID is not null
 --привязываем блок лекарств к онкоуслуге
 update k set d3_ONKUSLID = onu.id
 --select *

from @D3_LEK_PR_OMS k 
	join D3_ONK_USL_OMS onu on onu.D3_ONKSLGID=k.D3_ONKUSLGID --да, у всех одинаковый гуид, равный SL_ID

	join D3_ONK_SL_OMS onk on onk.D3_SLGID=onu.D3_ONKSLGID and onk.id=onu.d3_onkslid

	join @sl tt on k.D3_ZSLGID=tt.D3_ZSLGID and onk.D3_SLGID=tt.SL_ID and k.d3_zslgid=tt.D3_ZSLGID
	join D3_ZSL_OMS zsl on D3_SCID = @sc and tt.D3_ZSLGID = zsl.IDCASE
	join D3_SL_OMS sl on sl.D3_ZSLID = zsl.ID and sl.id=onk.d3_slid


--if @@ERROR<>0 set @i = @i+1
--вставляем лекарства
 INSERT INTO [dbo].D3_LEK_PR_OMS (D3_ONKUSLID,D3_ONKUSLGID,REGNUM,DATE_INJ,CODE_SH)
 Select tt.D3_ONKUSLID,tt.D3_ONKUSLGID,tt.REGNUM,tt.DATE_INJ,CODE_SH
 from @D3_LEK_PR_OMS tt where  tt.D3_ONKUSLID is not null

--привязываем назначения к посещениям
 update k set d3_SLID = sl.id
from @D3_NAZ_OMS k join @sl tt on k.D3_ZSLGID=tt.D3_ZSLGID and k.D3_SLGID=tt.SL_ID
	join D3_ZSL_OMS zsl on D3_SCID = @sc and tt.D3_ZSLGID = zsl.IDCASE
	join D3_SL_OMS sl on sl.D3_ZSLID = zsl.ID and tt.NHISTORY=sl.NHISTORY and tt.DATE_2=sl.DATE_2
--if @@ERROR<>0 set @i = @i+1
--вставляем назначения
 INSERT INTO [dbo].D3_NAZ_OMS (D3_SLID,D3_SLGID,NAZ_N,NAZ_R,NAZ_SP,NAZ_V,NAZ_USL,NAPR_DATE,NAPR_MO,NAZ_PMP,NAZ_PK)
  Select tt.D3_SLID,tt.D3_SLGID,tt.NAZ_N,tt.NAZ_R,tt.NAZ_SP,tt.NAZ_V,tt.NAZ_USL,tt.NAPR_DATE,tt.NAPR_MO,tt.NAZ_PMP,tt.NAZ_PK
 from @D3_NAZ_OMS tt where tt.D3_SLID is not null

	INSERT INTO [dbo].[D3_USL_OMS]
				([D3_SLID]	,[D3_ZSLID]	,[D3_SLGID]	,	[IDSERV]
	,[LPU],[LPU_1]		,[PODR],[PROFIL],[VID_VME],[DET],[DATE_IN],[DATE_OUT],[P_OTK],[DS],[CODE_USL]
	,[KOL_USL],[TARIF],[SUMV_USL],[PRVS],PRVD,[CODE_MD],[NPL],[COMENTU])
	Select		sl.ID	,	zsl.ID		,SL_ID		,	tt.[IDSERV]
	,tt.[LPU],tt.LPU_1,tt.[PODR],tt.[PROFIL],tt.[VID_VME],tt.[DET],tt.[DATE_IN],tt.[DATE_OUT],tt.[P_OTK],tt.[DS],tt.[CODE_USL]
	,tt.[KOL_USL],tt.[TARIF],tt.[SUMV_USL],tt.[PRVS],tt.PRVD,tt.[CODE_MD],tt.[NPL],tt.[COMENTU]
	From @usl tt
	join D3_ZSL_OMS zsl on D3_SCID = @sc and tt.[D3_ZSLGID] = zsl.IDCASE -- связка по IDCASE
	join D3_SL_OMS sl on zsl.ID = sl.D3_ZSLID and tt.D3_SLGID = sl.SL_ID

--if @@ERROR<>0 		set @i = @i+1

	-- проставим номер записи (последний попавшийся) пациентам. из Z_SL
	update p set N_ZAP = zsl.N_ZAP from [D3_PACIENT_OMS] p join D3_ZSL_OMS zsl on zsl.d3_pid=p.id and zsl.d3_scid=@sc
--if @@ERROR<>0 set @i = @i+1
	
INSERT INTO [dbo].[D3_DSS_OMS]
				([D3_SLID],[D3_SLGID],[DS],[DS_PR],[DS_TYPE],PR_DS2_N)
	Select		 sl.[ID],tt.[D3_SLGID],tt.[DS],tt.[DS_PR],tt.[DS_TYPE],tt.PR_DS2_N
	From @dss tt
	join D3_SL_OMS sl on tt.[D3_SLGID] = sl.SL_ID
	join D3_ZSL_OMS zsl on D3_SCID = @sc and tt.D3_ZSLGID = zsl.IDCASE and zsl.id=sl.d3_zslid
--if @@ERROR<>0 set @i = @i+1

-- проставляем версию справочника специальностей, в поле, которого нет в 79 приказе
update u set vers_spec = sl.vers_spec
from d3_usl_oms u join d3_sl_oms sl on u.d3_slid=sl.id where u.vers_spec is null

-- проставляем условия оказания там, где есть в посещении но нет в случае
update zsl set usl_ok=sl.usl_ok from d3_zsl_oms zsl join d3_sl_oms sl on zsl.id=sl.D3_ZSLID where zsl.usl_ok is null
--расскоментить позже, пока все рееестры пофиксить (и в двух следующих тоже)
--and zsl.d3_scid=@sc

--если не проставлены даты случая, проставляем их
update l set date_z_1 = data -- проставляем первую дату в случае из первого посещения
from  (select min(sl.date_1) data,sl.d3_zslid from d3_zsl_oms s join [D3_SL_oms] sl on sl.d3_zslid=s.id
where s.DATE_Z_1 is null 
--and s.d3_scid=@sc
group by sl.d3_zslid ) d1 join d3_zsl_oms l on d1.d3_zslid=l.id

update l set date_z_2 = data -- проставляем последнюю
from  (select max(sl.date_2) data,sl.d3_zslid from d3_zsl_oms s join [D3_SL_oms] sl on sl.d3_zslid=s.id
where s.DATE_Z_2 is null 
--and s.d3_scid=@sc
group by sl.d3_zslid ) d1 join d3_zsl_oms l on d1.d3_zslid=l.id
COMMIT TRANSACTION;  
--тестовый роллбак
--ROLLBACK TRANSACTION; 
END TRY
BEGIN CATCH  
	--EXECUTE usp_GetErrorInfo; 
	IF (XACT_STATE()) = -1  
		begin
        ROLLBACK TRANSACTION; 
		update d3_schet_oms set coments = cast('стр:'+cast(ERROR_LINE() as varchar(20)) +' '+ERROR_MESSAGE() as nvarchar(250))
		where id=@sc
		set @i = ERROR_NUMBER()
		end
	IF (XACT_STATE()) = 1  
		COMMIT TRANSACTION;  	
END CATCH; 

set @rez = @i
--select @i -- результат процедуры - количество ошибок. если 0 - значит всё нормально сработало. если больше 0, значит всё откатилось, и ничего не загрузилось.
   

end