
ALTER PROCEDURE [dbo].[p_autocalc_046_001500] @sc int
AS 
BEGIN
Update D3_ZSL_OMS SET 
				SUMV =
                            (CASE
                                WHEN VOZR in ('G00.M00', 'G00.M02', 'G00.M04', 'G00.M05', 'G00.M06','G00.M07', 'G00.M08', 'G00.M09', 'G00.M10', 'G00.M11', 'G01.M03', 'G01.M06') THEN t.tarif1*isnull(vbr.PKAPP,1)
                                WHEN VOZR in ('G00.M03','G02.M00', 'G04.M00', 'G05.M00', 'G08.M00','G09.M00','G11.M00','G12.M00')  THEN t.tarif2*isnull(vbr.PKAPP,1)
                                WHEN VOZR in ('G13.M00', 'G14.M00')  THEN t.tarif3*isnull(vbr.PKAPP,1)
                                WHEN VOZR in ('G00.M01', 'G07.M00') THEN t.tarif4*isnull(vbr.PKAPP,1)
                                WHEN VOZR in ('G10.M00', 'G00.M12')  THEN t.tarif5*isnull(vbr.PKAPP,1)
                                WHEN VOZR in ('G03.M00')  THEN t.tarif6*isnull(vbr.PKAPP,1)
                                WHEN VOZR in ('G06.M00','G15.M00', 'G16.M00', 'G17.M00')  THEN t.tarif7*isnull(vbr.PKAPP,1)
                            END)
                from D3_ZSL_OMS zsl
				JOIN D3_PACIENT_OMS pa on zsl.D3_PID = pa.ID
                join CalcAmbTarif t on zsl.OS_SLUCH_REGION = t.OS_SLUCH and (zsl.DATE_Z_2 >= t.TBEG and zsl.DATE_Z_2 < t.TEND + 1)
				left join CalcVBR vbr on vbr.vbr=zsl.VBR and zsl.OS_SLUCH_REGION=vbr.OS_SLUCH_REGION and DATE_Z_2 between vbr.TBEG and vbr.TEND
                    where zsl.D3_SCID = @sc and zsl.OS_SLUCH_REGION = 11
update sl set sum_m = tt1.sumv, tarif = tt1.tarif
from d3_sl_oms sl
join ( select case when RN = 1 then sumv else 0.00 end sumv, sumv tarif, ID from
(
select ROW_NUMBER() OVER (PARTITION BY zsl.ID  ORDER BY sl.date_2 desc) RN,
sl.*, zsl.sumv sumv
from D3_ZSL_OMS zsl
join d3_sl_oms sl on zsl.ID = sl.D3_ZSLID
join d3_schet_oms sc on zsl.D3_SCID = sc.ID

where zsl.D3_SCID = @sc and zsl.OS_SLUCH_REGION in (11,12)
) tt --where tt.RN = 1
) tt1 on sl.ID = tt1.ID
end

