ALTER PROCEDURE [dbo].[p_autocalc_046_000400] @sc int
AS 
BEGIN
update zs set idsp = tt.idsp
from [D3_ZSL_OMS] zs
join (
select distinct zs.id,
     case
when zs.USL_OK = 3 and sl.p_cel25 = '1.0' and ltrim(rtrim(p.smo)) not like '46%' then 29
when zs.USL_OK = 3 and sl.p_cel25 = '1.1' and ltrim(rtrim(p.smo)) not like '46%' then 29
when zs.USL_OK = 3 and sl.p_cel25 = '1.2' and ltrim(rtrim(p.smo)) not like '46%' then 29
when zs.USL_OK = 3 and sl.p_cel25 = '1.3' and ltrim(rtrim(p.smo)) not like '46%' then 29
when zs.USL_OK = 3 and sl.p_cel25 = '2.1' and ltrim(rtrim(p.smo)) not like '46%' then 29
when zs.USL_OK = 3 and sl.p_cel25 = '2.2' and ltrim(rtrim(p.smo)) not like '46%' then 30
when zs.USL_OK = 3 and sl.p_cel25 = '2.3' and ltrim(rtrim(p.smo)) not like '46%' then 29
when zs.USL_OK = 3 and sl.p_cel25 = '2.5' and ltrim(rtrim(p.smo)) not like '46%' then 29
when zs.USL_OK = 3 and sl.p_cel25 = '2.6' and ltrim(rtrim(p.smo)) not like '46%' then 29
when zs.USL_OK = 3 and sl.p_cel25 = '3.0' and ltrim(rtrim(p.smo)) not like '46%' then 30
when zs.USL_OK = 3 and sl.p_cel25 = '3.1' and ltrim(rtrim(p.smo)) not like '46%' then 30

when zs.USL_OK = 3 and sl.p_cel25 = '1.0' and ltrim(rtrim(p.smo)) like '46%' then 25
when zs.USL_OK = 3 and sl.p_cel25 = '1.1' and ltrim(rtrim(p.smo)) like '46%' then 29
when zs.USL_OK = 3 and sl.p_cel25 = '1.2' and ltrim(rtrim(p.smo)) like '46%' then 25
when zs.USL_OK = 3 and sl.p_cel25 = '1.3' and ltrim(rtrim(p.smo)) like '46%' then 25
when zs.USL_OK = 3 and sl.p_cel25 = '2.1' and ltrim(rtrim(p.smo)) like '46%' then 25
when zs.USL_OK = 3 and sl.p_cel25 = '2.2' and ltrim(rtrim(p.smo)) like '46%' then 25
when zs.USL_OK = 3 and sl.p_cel25 = '2.3' and ltrim(rtrim(p.smo)) like '46%' then 25
when zs.USL_OK = 3 and sl.p_cel25 = '2.5' and ltrim(rtrim(p.smo)) like '46%' then 25
when zs.USL_OK = 3 and sl.p_cel25 = '2.6' and ltrim(rtrim(p.smo)) like '46%' then 25
when zs.USL_OK = 3 and sl.p_cel25 = '3.0' and ltrim(rtrim(p.smo)) like '46%' then 25
when zs.USL_OK = 3 and sl.p_cel25 = '3.1' and ltrim(rtrim(p.smo)) like '46%' then 25

when zs.USL_OK = 4 and ltrim(rtrim(p.smo)) not like '46%' then 24
when zs.USL_OK = 4 and FOR_POM <> 1 and ltrim(rtrim(p.smo)) like '46%' then 24
when zs.USL_OK = 4 and FOR_POM = 1 and ltrim(rtrim(p.smo)) like '46%' then 36
	 end idsp
FROM [D3_SCHET_OMS] sch
    inner join [D3_PACIENT_OMS] p on sch.id=p.[D3_SCID]
    inner join [D3_ZSL_OMS] zs on p.id=zs.[D3_PID] and zs.usl_ok in (3,4) and (os_sluch_region is null or OS_SLUCH_REGION in (12,14,16,23,48))
	join D3_SL_OMS sl on zs.ID = sl.d3_zslid
	left join MO_podush pod on zs.lpu = pod.KOD_MO
				   where zs.D3_SCID = @sc and pod.KOD_MO is not null
) as tt on tt.id = zs.id
end