IF NOT EXISTS(SELECT * FROM INFORMATION_SCHEMA.COLUMNS
     WHERE (TABLE_NAME = N'D3_zsl_oms') AND (COLUMN_NAME = N'UID'))
    alter table [dbo].[D3_ZSL_OMS] ADD [UID] varbinary(20)
IF NOT EXISTS(SELECT * FROM INFORMATION_SCHEMA.COLUMNS
     WHERE (TABLE_NAME = N'D3_sl_oms') AND (COLUMN_NAME = N'UID'))
    alter table [dbo].[D3_SL_OMS] ADD [UID] varbinary(20)
IF NOT EXISTS(SELECT * FROM INFORMATION_SCHEMA.COLUMNS
     WHERE (TABLE_NAME = N'D3_pacient_oms') AND (COLUMN_NAME = N'UID'))
    alter table [dbo].[D3_pacient_OMS] ADD [UID] varbinary(20) 

IF OBJECT_ID (N'Yamed_Spr_NAZR', N'U') IS NULL -- проверка на существование таблицы
begin

CREATE TABLE [dbo].[Yamed_Spr_NAZR](
	[ID] [int] NOT NULL,
	[Name] [nvarchar](255) NULL,
	[NameWithID]  AS (CONVERT([char](3),[id],(0))+[name])
	)

INSERT INTO [dbo].[Yamed_Spr_NAZR] ([ID],[Name]) VALUES(1, 'направлен на консультацию в медицинскую организацию по месту прикрепления;')
INSERT INTO [dbo].[Yamed_Spr_NAZR] ([ID],[Name]) VALUES(2, 'направлен на консультацию в иную медицинскую организацию;')
INSERT INTO [dbo].[Yamed_Spr_NAZR] ([ID],[Name]) VALUES(3, 'направлен на обследование;')
INSERT INTO [dbo].[Yamed_Spr_NAZR] ([ID],[Name]) VALUES(4, 'направлен в дневной стационар;')
INSERT INTO [dbo].[Yamed_Spr_NAZR] ([ID],[Name]) VALUES(5, 'направлен на госпитализацию;')
INSERT INTO [dbo].[Yamed_Spr_NAZR] ([ID],[Name]) VALUES(6, 'направлен в реабилитационное отделение.')
end

IF OBJECT_ID (N'D3_CRIT_OMS', N'U') IS NULL -- проверка на существование таблицы
begin
	CREATE TABLE [dbo].[D3_CRIT_OMS](
	  [ID] [int] IDENTITY(1,1) primary key NOT NULL,
	  [D3_KSGID] [int] NOT NULL,
	  [D3_KSGGID] [nvarchar](36) NULL,
	  [CRIT] [nvarchar](40) NULL)

	ALTER TABLE [dbo].[D3_CRIT_OMS]  WITH CHECK ADD  CONSTRAINT [FK_D3_CRIT_OMS_D3_KSG_KPG_OMS] FOREIGN KEY([D3_KSGID])
	REFERENCES [dbo].D3_KSG_KPG_OMS ([ID])
	ON DELETE CASCADE


	ALTER TABLE [dbo].[D3_CRIT_OMS] CHECK CONSTRAINT [FK_D3_CRIT_OMS_D3_KSG_KPG_OMS]
end