DROP INDEX [IX_SCHET_ID] ON [dbo].[USL]
DROP INDEX [IX_SLID] ON [dbo].[USL]

Alter table [dbo].[USL]
alter column [IDKSG] nvarchar(20)



/****** Object:  Index [IX_SCHET_ID]    Script Date: 04.02.2019 12:09:36 ******/
CREATE NONCLUSTERED INDEX [IX_SCHET_ID] ON [dbo].[USL]
(
	[SCHET_ID] ASC
)
INCLUDE ( 	[ID],
	[SLID_TEMP],
	[IDSERV],
	[LPU],
	[LPU_1],
	[PODR],
	[PROFIL],
	[DET],
	[DATE_IN],
	[DATE_OUT],
	[DS],
	[CODE_USL],
	[KOL_USL],
	[TARIF],
	[SUMV_USL],
	[PRVS],
	[CODE_MD],
	[COMENTU],
	[USL_PRR],
	[USL_OTK],
	[SLID],
	[MSPUID],
	[VID_VME],
	[CODE_MDLPU],
	[OSL],
	[ANEST],
	[OTKL],
	[IsImplemented],
	[IDKSG],
	[KDAY],
	[DIFF_K],
	[UPR_K],
	[KSGOPLATA],
	[DIFF_N]) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]

CREATE NONCLUSTERED INDEX [IX_SLID] ON [dbo].[USL]
(
	[SLID] ASC
)
INCLUDE ( 	[ID],
	[SLID_TEMP],
	[IDSERV],
	[LPU],
	[LPU_1],
	[PODR],
	[PROFIL],
	[DET],
	[DATE_IN],
	[DATE_OUT],
	[DS],
	[CODE_USL],
	[KOL_USL],
	[TARIF],
	[SUMV_USL],
	[PRVS],
	[CODE_MD],
	[COMENTU],
	[SCHET_ID],
	[USL_PRR],
	[USL_OTK],
	[MSPUID],
	[VID_VME],
	[CODE_MDLPU],
	[OSL],
	[ANEST],
	[OTKL],
	[IsImplemented],
	[IDKSG],
	[KDAY],
	[DIFF_K],
	[UPR_K],
	[KSGOPLATA],
	[DIFF_N]) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
