CREATE TABLE [dbo].[D3_KSG_KPG_OMS](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[SLID] [int] NULL,
	[N_KSG] [nvarchar](20) NULL,
	[VER_KSG] [int] NULL,
	[KSG_PG] [bit] NULL,
	[N_KPG] [int] NULL,
	[KOEF_Z] [numeric](7, 5) NULL,
	[KOEF_UP] [numeric](7, 5) NULL,
	[BZTSZ] [numeric](8, 2) NULL,
	[KOEF_D] [numeric](7, 5) NULL,
	[KOEF_U] [numeric](7, 5) NULL,
	[DKK1] [nvarchar](10) NULL,
	[DKK2] [nvarchar](10) NULL,
	[SL_K] [bit] NULL,
	[IT_SL] [numeric](6, 5) NULL,
 CONSTRAINT [PK_KSG_KPG] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]



ALTER TABLE [dbo].[D3_KSG_KPG_OMS]  WITH CHECK ADD  CONSTRAINT [FK_D3_KSG_KPG_OMS_D3_SL_OMS] FOREIGN KEY([SLID])
REFERENCES [dbo].[D3_SL_OMS] ([ID])

ALTER TABLE [dbo].[D3_KSG_KPG_OMS] CHECK CONSTRAINT [FK_D3_KSG_KPG_OMS_D3_SL_OMS]



CREATE TABLE [dbo].[D3_SL_KOEF_OMS](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[KSGID] [int] NULL,
	[IDSL] [numeric](4, 0) NULL,
	[Z_SL] [numeric](6, 5) NULL,
 CONSTRAINT [PK_D3_SL_KOEF_OMS] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]



ALTER TABLE [dbo].[D3_SL_KOEF_OMS]  WITH CHECK ADD  CONSTRAINT [FK_D3_SL_KOEF_OMS_D3_KSG_KPG_OMS] FOREIGN KEY([KSGID])
REFERENCES [dbo].[D3_KSG_KPG_OMS] ([ID])


ALTER TABLE [dbo].[D3_SL_KOEF_OMS] CHECK CONSTRAINT [FK_D3_SL_KOEF_OMS_D3_KSG_KPG_OMS]


ALTER TABLE [dbo].[D3_SL_KOEF_OMS]  WITH CHECK ADD  CONSTRAINT [FK_D3_SL_KOEF_OMS_SprKSLP] FOREIGN KEY([IDSL])
REFERENCES [dbo].[SprKSLP] ([IDSL])


ALTER TABLE [dbo].[D3_SL_KOEF_OMS] CHECK CONSTRAINT [FK_D3_SL_KOEF_OMS_SprKSLP]

