
CREATE PROCEDURE [dbo].[LoadFromMedialog] --@sc int 
	@zap xml,
	@pers xml,
	@zapfn nvarchar(255),
	@persfn nvarchar(255)
AS 
BEGIN
-- texnix 07.09.2018
-- передаётся в процедуру айди реестра, в который догрузить нужно медиалог. если айди не существующий - создаётся новый реестр.
-- до запуска процедуры должны быть загружены 2 хмл файла (H L) в D3_SCHET_OMS_FILES , с полем d3_scid=-1



declare @dd int
declare @sc int -- номер создаваемого счёта.
--set @sc = 45
-- обязательные файлы реестр счетов и файл пациентов.
declare @sluch_xml varchar(max),@pac_xml varchar(max)
declare @idpac int,@idsluch int


if object_id('tempdb..#pacient') is not null drop table #pacient
if object_id('tempdb..#zsl') is not null drop table #zsl
if object_id('tempdb..#sl') is not null drop table #sl
if object_id('tempdb..#usl') is not null drop table #usl

create table #pacient (ID_PAC nvarchar(36),PR_NOV int,   VPOLIS nvarchar(36) ,SPOLIS nvarchar(20) 
	  ,NPOLIS nvarchar(20),SMO nvarchar(5),[ST_OKATO] nvarchar(254),[SMO_OGRN] nvarchar(254),[SMO_OK] nvarchar(254)
      ,[SMO_NAM] nvarchar(254),[INV] nvarchar(254),[MSE] nvarchar(254),Novor nvarchar(9),VNOV_D int,FAM nvarchar(30)
	,ID_PAC_P nvarchar(36),IM nvarchar(50), OT nvarchar(50), W nvarchar(10), DR date,[TEL] nvarchar(254),[FAM_P] nvarchar(254)
    ,[IM_P] nvarchar(254),[OT_P] nvarchar(254),[W_P] nvarchar(254),[DR_P] date,[MR] nvarchar(254)
	,DOCTYPE nvarchar(10), DOCSER nvarchar(18), DOCNUM nvarchar(20), SNILS nvarchar(20), OKATOG nvarchar(20)
	,OKATOP nvarchar(20),[COMENTP] nvarchar(254) )
create table #zsl (idcase int,D3_PGID nvarchar(36),ReqId int, USL_OK int, ZSL_ID nvarchar(36)
		  , VIDPOM int , FOR_POM int,	NPR_MO nvarchar(10),NPR_DATE date, LPU nvarchar(10),P_CEL nvarchar(36) 
		  , VBR int , DATE_Z_1 date, DATE_Z_2 date,[P_OTK] nvarchar(255) ,[RSLT_D] nvarchar(255)
		  ,[KD_Z] int ,[VNOV_M] nvarchar(255), RSLT nvarchar(10), ISHOD nvarchar(10)
		  ,[OS_SLUCH] int, OS_SLUCH_REGION nvarchar(10), VOZR nvarchar(10),[VB_P] int 
		  , SUMV numeric(17,2) , SUMP numeric(17,2),[OPLATA] int,[SANK_IT] numeric(17,2), IDSP nvarchar(10) )
create table #sl  (SL_ID nvarchar(36),D3_ZSLGID nvarchar(36),USL_OK int ,[VID_HMP] nvarchar(254)
	,[METOD_HMP] nvarchar(254),LPU_1 varchar(20),PODR varchar(20),PROFIL int,PROFIL_K int,DET int
	,P_CEL nvarchar(36),P_CEL25 nvarchar(36)
	,[TAL_NUM] nvarchar(254)
	,[TAL_D] date,[TAL_P] date,NHISTORY nvarchar(36),[P_PER] nvarchar(254),DATE_1 date
	,DATE_2 date,KD int ,DS0 nvarchar(6),DS1 nvarchar(36),[DS1_PR] nvarchar(254),[DN] nvarchar(254)
	,[CODE_MES1] nvarchar(254),[CODE_MES2] nvarchar(254)
	 -- блок KSG_KPG
	 ,[N_KSG] nvarchar(20) ,[VER_KSG] int ,[KSG_PG] int ,[N_KPG] int ,[KOEF_Z]  nvarchar(36),[KOEF_UP] nvarchar(36) ,[BZTSZ]  nvarchar(36)
	 ,[KOEF_D]  nvarchar(36) ,[KOEF_U]  nvarchar(36),[DKK1] nvarchar(10) ,[DKK2] nvarchar(10) ,[SL_K] bit ,[IT_SL] nvarchar(36)
	 -- конец блока KSG_KPG
	,[REAB] nvarchar(254),PRVS int
	,VERS_SPEC nvarchar(36),IDDOKT nvarchar(36),ED_COL nvarchar(36),TARIF nvarchar(36),SUM_M nvarchar(36),[COMENTSL] nvarchar(254))
create table #usl  (IDSERV varchar(36) ,[D3_SLGID] nvarchar(36),[D3_ZSLGID] nvarchar(36) ,LPU int,LPU_1 varchar(200),PODR varchar(20)
	,PROFIL int,VID_VME nvarchar(36),DET int,DATE_IN date,DATE_OUT date,P_OTK int
	,DS nvarchar(36),CODE_USL nvarchar(36),KOL_USL nvarchar(36),TARIF nvarchar(36),IDSP nvarchar(36),SUMV_USL nvarchar(36)
	,PRVS int,VERS_SPEC nvarchar(36),CODE_MD nvarchar(36),NPL int,COMENTU nvarchar(255))
declare @dss table([ID] [int]  NOT NULL,[D3_SLGID] nvarchar(36),[DS] [nvarchar](10),DS_PR [int],[DS_TYPE] [int])

-- проверяем на существование номера счёта
--select @dd=id from D3_SCHET_OMS where id=@sc

--if @dd is null
	begin -- тогда создаём новый счёт
		insert into D3_SCHET_OMS (Code) values (-1)
		set @sc = @@identity;

		declare @schet table ( D3_SCID int ,[CODE] INT, [CODE_MO] varchar(254),[YEAR] iNT,[MONTH] INT,[NSCHET] varchar(254)
			,[DSCHET] date,[PLAT] varchar(254),[SUMMAV] nvarchar(254),[COMENTS] varchar(254),[SUMMAP] nvarchar(254)
			,[SANK_MEK] nvarchar(254),[SANK_MEE] nvarchar(254),[SANK_EKMP] nvarchar(254),[DISP] varchar(254)
			,[SD_Z] INT)

		insert into D3_SCHET_OMS_FILES (FileXml,FileName,FileDate,D3_SCID) values (@zap,@zapfn,getdate(),@sc)
		insert into D3_SCHET_OMS_FILES (FileXml,FileName,FileDate,D3_SCID) values (@pers,@persfn,getdate(),@sc)
        --update D3_SCHET_OMS_FILES set d3_scid=@sc where d3_scid=-1 -- привязываем номер нового реестра к записям хмл


		insert into @schet
		select top 1 D3_SCID,
		 x.m.value('(./CODE)[1]', 'nvarchar(254)') AS CODE
		,x.m.value('(./CODE_MO)[1]', 'nvarchar(254)') AS CODE_MO
		,x.m.value('(./YEAR)[1]', 'nvarchar(254)') AS YEAR
		,x.m.value('(./MONTH)[1]', 'nvarchar(254)') AS MONTH
		,x.m.value('(./NSCHET)[1]', 'nvarchar(254)') AS NSCHET
		,x.m.value('(./DSCHET)[1]', 'nvarchar(254)') AS DSCHET
		,x.m.value('(./PLAT)[1]', 'nvarchar(254)') AS PLAT
		,x.m.value('(./SUMMAV)[1]', 'nvarchar(254)') AS SUMMAV
		,x.m.value('(./COMENTS)[1]', 'nvarchar(254)') AS COMENTS
		,x.m.value('(./SUMMAP)[1]', 'nvarchar(254)') AS SUMMAP
		,x.m.value('(./SANK_MEK)[1]', 'nvarchar(254)') AS SANK_MEK
		,x.m.value('(./SANK_MEE)[1]', 'nvarchar(254)') AS SANK_MEE
		,x.m.value('(./SANK_EKMP)[1]', 'nvarchar(254)') AS SANK_EKMP
		,x.m.value('(./DISP)[1]', 'nvarchar(254)') AS DISP
		,x.m.value('(../ZGLV/SD_Z)[1]', 'nvarchar(254)') AS SD_Z
		from D3_SCHET_OMS_FILES xt
			cross apply xt.FileXML.nodes( '/ZL_LIST/SCHET' ) x(m)
		where xt.D3_SCID=@sc and FileName not like 'L%'

		UPDATE D3_SCHET_OMS SET 
		 [CODE]=CONVERT(INT, tt.[CODE])
		,[CODE_MO]=tt.[CODE_MO]
		,[YEAR]=CONVERT(INT, tt.[YEAR])
		,[MONTH]=CONVERT(INT, tt.[MONTH])
		,[NSCHET]=tt.[NSCHET]
		,[DSCHET]=CONVERT(date, tt.[DSCHET])
		,[PLAT]=case when tt.[PLAT]='' then 46 else tt.[PLAT] end
		,[SUMMAV]=case when tt.[SUMMAV]='' then 0 else CONVERT(NUMERIC(15, 2), tt.[SUMMAV]) end -- для пустых реестров.
		,[COMENTS]=tt.[COMENTS]
		,[SUMMAP]=case when tt.[SUMMAP]='' then 0 else CONVERT(NUMERIC(15, 2), tt.[SUMMAP]) end -- для пустых реестров.
		,[SANK_MEK]=case when tt.[SANK_MEK]='' then null else CONVERT(NUMERIC(15, 2), tt.[SANK_MEK]) end -- для пустых реестров.
		,[SANK_MEE]=case when tt.[SANK_MEE]='' then null else CONVERT(NUMERIC(15, 2), tt.[SANK_MEE]) end -- для пустых реестров.
		,[SANK_EKMP]=case when tt.[SANK_EKMP]='' then null else CONVERT(NUMERIC(15, 2), tt.[SANK_EKMP]) end -- для пустых реестров.
		,[DISP]=tt.[DISP]
		,[SD_Z]=case when tt.[SD_Z]='' then 0 else CONVERT(INT, tt.[SD_Z]) end

		From D3_SCHET_OMS sc Join @schet tt on sc.ID = tt.D3_SCID

	end

--запихуем из него в таблички.
--update D3_SCHET_OMS_FILES set d3_scid=@sc where d3_scid=-1 -- привязываем номер нового реестра к записям хмл

--set @sc =1030

declare @ver varchar(5) -- версия файла, буду обрабатывать 2.1 и 3.0  3.1 обрабатываю как и 3.0
-- курская версия 3.0K
-- выясняем версию обмена
select top 1 @ver = rtrim(x.m.value('(./VERSION)[1]', 'varchar(100)') )
from D3_SCHET_OMS_FILES xt
    cross apply xt.FileXML.nodes( '/ZL_LIST/ZGLV' ) x(m)
where xt.D3_SCID=@sc and FileName not like 'L%' -- L версия может быть старой, типа 2.1 хотя H уже 3.1

-- нужно будет перезаписывать файлы для этого счёта в этой табличке, чтобы они там не копились. а были уникальные.


-- файл пациент един для всех хмл файлов
select @pac_xml = '<?xml version="1.0" encoding="windows-1251"?> '+cast ((select top 1 FileXML from D3_SCHET_OMS_FILES where d3_scid = @sc and Filename like 'L%' order by id desc ) as varchar(max))
EXEC sp_xml_preparedocument @idpac OUTPUT, @pac_xml

declare @tmpxml xml

--логи
--insert into Schet (code_mo,coments) values (670039,'перед курсором')

-- берём пока только 1 файл.
SELECT top 1 @tmpxml =  FileXML from D3_SCHET_OMS_FILES where d3_scid = @sc and left(Filename,1) in ('H','D','T','X') order by id desc -- обычные реестры, диспансеризация, вмп, орловская диспансеризация.

-- берём очередной хмл файлик в обработку.
select @sluch_xml = '<?xml version="1.0" encoding="windows-1251"?> '+cast (@tmpxml as varchar(max))
EXEC sp_xml_preparedocument @idsluch OUTPUT, @sluch_xml

--логи
--insert into Schet (code_mo,coments) values (670039,'sp_xml_preparedocument @idsluch')
--D3_PACIENT_OMS
-- пациент в 2.1 и 3.0 вроде идентичен
insert into #pacient
select distinct * from
OPENXML (@idsluch, N'ZL_LIST/ZAP/PACIENT',2)
            WITH (ID_PAC nvarchar(36) 'ID_PAC'
			--,N_ZAP  nvarchar(36) '../N_ZAP' -- если ID_PAC херня с айдипац, оно может быть любым символьным значением. лучше его записать точно так же как даётся в файле.
			--N_ZAP портит всю уникальность. если его добавить в пациента, то distinct не отрабатывает. брать нужно reqid из zsl
			,PR_NOV int '../PR_NOV'
			,   VPOLIS nvarchar(36) 'VPOLIS'
	  ,   SPOLIS nvarchar(20) 'SPOLIS'
	  ,   NPOLIS nvarchar(20) 'NPOLIS'
	  ,   SMO nvarchar(5) 'SMO'
	  ,[ST_OKATO] nvarchar(254) 'ST_OKATO'
	  ,[SMO_OGRN] nvarchar(254) 'SMO_OGRN'
      ,[SMO_OK] nvarchar(254) 'SMO_OK'
      ,[SMO_NAM] nvarchar(254) 'SMO_NAM'
      ,[INV] nvarchar(254) 'INV'
      ,[MSE] nvarchar(254) 'MSE'
	  ,Novor nvarchar(9) 'NOVOR'
	  ,VNOV_D int 'VNOV_D')sp
join
OPENXML (@idpac, N'PERS_LIST/PERS',2)
            WITH (FAM nvarchar(30) 'FAM'
			,ID_PAC_P nvarchar(36) 'ID_PAC'
			, IM nvarchar(50) 'IM'
, OT nvarchar(50) 'OT'
, W nvarchar(10) 'W'
, DR date 'DR'
           ,[TEL] nvarchar(254) 'TEL'
           ,[FAM_P] nvarchar(254) 'FAM_P'
           ,[IM_P] nvarchar(254) 'IM_P'
           ,[OT_P] nvarchar(254) 'OT_P'
           ,[W_P] nvarchar(254) 'W_P'
           ,[DR_P] date 'DR_P'
           ,[MR] nvarchar(254) 'MR'
, DOCTYPE nvarchar(10) 'DOCTYPE'
, DOCSER nvarchar(18) 'DOCSER'
, DOCNUM nvarchar(20) 'DOCNUM'
, SNILS nvarchar(20) 'SNILS'
, OKATOG nvarchar(20) 'OKATOG'
, OKATOP nvarchar(20) 'OKATOP'
,[COMENTP] nvarchar(254) 'COMENTP'

			) p on sp.id_pac=p.id_pac_p
print '#pacient: '
--логи
--insert into Schet (code_mo,coments) values (670039,'#pacient: '+cast((select count(*) from #pacient) as varchar(10)))
--D3_ZSL_OMS


if @ver like '2.1%' -- из медиалога
	insert into #zsl (idcase ,D3_PGID ,ReqId , USL_OK, ZSL_ID , VIDPOM , FOR_POM ,NPR_MO,	NPR_DATE , LPU ,P_CEL
		  , VBR  , DATE_Z_1, DATE_Z_2,[P_OTK] ,[RSLT_D],[KD_Z] ,[VNOV_M], RSLT, ISHOD 
		  ,[OS_SLUCH], OS_SLUCH_REGION , VOZR ,[VB_P] )
select distinct idcase ,D3_PGID ,ReqId , USL_OK, ZSL_ID , VIDPOM , FOR_POM ,NPR_MO,	NPR_DATE , LPU ,P_CEL
	  , VBR  , DATE_Z_1, DATE_Z_2,[P_OTK] ,[RSLT_D],[KD_Z] ,[VNOV_M], RSLT, ISHOD 
	  ,[OS_SLUCH], OS_SLUCH_REGION , VOZR ,[VB_P]


	FROM  OPENXML (@idsluch, N'ZL_LIST/ZAP/SLUCH',2)
	WITH (  idcase int 'IDCASE'
			,D3_PGID nvarchar(36) '../PACIENT/ID_PAC'
			,ReqId int '../N_ZAP'
		  , USL_OK int 'USL_OK'
		   ,P_CEL nvarchar(36) '*[contains(local-name(), "CEL")]' -- это в орле такое поле, и свой справочник целей
		  , ZSL_ID nvarchar(36) 'IDCASE'
		  , VIDPOM int  'VIDPOM'
		  , FOR_POM int  'FOR_POM'
		  ,	NPR_MO nvarchar(10)   'NPR_MO'
		  ,	NPR_DATE date 'NPR_DATE'
		  , LPU nvarchar(10) 'LPU'
		  , VBR int 'VBR' 
		  , DATE_Z_1 date 'DATE_1'
		  , DATE_Z_2 date 'DATE_2'
		  ,[P_OTK] nvarchar(255) 'P_OTK' 
		  ,[RSLT_D] nvarchar(255) 'RSLT_D' 
		  ,[KD_Z] int 'KD_Z' 
		  ,[VNOV_M] nvarchar(255) 'VNOV_M' 
		  , RSLT nvarchar(10) 'RSLT'
		  , ISHOD nvarchar(10) 'ISHOD'
		  ,[OS_SLUCH] int 'OS_SLUCH'
		  , OS_SLUCH_REGION nvarchar(10) 'OS_SLUCH_REGION'
		  , VOZR nvarchar(10) 'VOZR' 
		  ,[VB_P] int '*[local-name() = "VB_P" or local-name() = "EXTR"]' -- запишем экстренных в это поле, так как в 2.1 оно ещё есть.
	)

--print '#zsl: '


if @ver like '2.1%'
	insert into #sl
	select distinct * 
	FROM  OPENXML (@idsluch, N'ZL_LIST/ZAP/SLUCH',2)
	WITH (
		 SL_ID nvarchar(36) 'IDCASE'
		 ,D3_ZSLGID nvarchar(36) 'IDCASE' -- связь с zsl
		 ,USL_OK int 'USL_OK'
		 ,[VID_HMP] nvarchar(254) 'VID_HMP'
         ,[METOD_HMP] nvarchar(254) 'METOD_HMP'
		 ,LPU_1 varchar(20) 'LPU_1' -- в орле неверно используют данное поле, ставят туда полный код чего-то
		 ,PODR varchar(20) 'PODR'
		 ,PROFIL int 'PROFIL'
		 ,PROFIL_K int 'PROFIL_K'
		 ,DET int 'DET'
		 ,P_CEL nvarchar(36) 'P_CEL' --старый код
		 ,P_CEL25 nvarchar(36) 'P_CEL25' --новый код
		 ,[TAL_NUM] nvarchar(254) 'TAL_NUM'
         ,[TAL_D] date 'TAL_D' 
         ,[TAL_P] date 'TAL_P' 
		 ,NHISTORY nvarchar(36) 'NHISTORY' -- номер истории содержит запятую
		 ,[P_PER] nvarchar(254) 'P_PER' -- есть
		 ,DATE_1 date 'DATE_1'
		 ,DATE_2 date 'DATE_2'
		 ,KD int 'KD'  
		 ,DS0 nvarchar(6) 'DS0'
		 ,DS1 nvarchar(36) 'DS1'
		 ,[DS1_PR] nvarchar(254) 'DS1_PR' 
         ,[DN] nvarchar(254) '*[local-name() = "DN" or local-name() = "PR_D_N"]' -- два поля записываем в одно.
         ,[CODE_MES1] nvarchar(254) 'CODE_MES1'
         ,[CODE_MES2] nvarchar(254) 'CODE_MES2'
		 -- делаю по 79 приказу.  у нас  в курске отличается.
		 --
		 ,[N_KSG] nvarchar(20) 'KSG_KPG/N_KSG' --Номер КСГ (V023)
		 ,[VER_KSG] int 'KSG_KPG/VER_KSG' --Указывается версия модели определения КСГ (год)
		 ,[KSG_PG] int 'KSG_KPG/KSG_PG' --KSG_PG 0 - подгруппа КСГ не применялась; 1 - подгруппа КСГ применялась
		 ,[N_KPG] int 'KSG_KPG/N_KPG'	--Номер КПГ (V026).
		 ,[KOEF_Z]  nvarchar(36) 'KSG_KPG/KOEF_Z' --Коэффициент затратоемкости	Значение коэффициента затратоемкости группы/подгруппы КСГ или КПГ
		 ,[KOEF_UP]  nvarchar(36) 'KSG_KPG/KOEF_UP' --Управленческий коэффициент Значение управленческого коэффициента для КСГ или КПГ. При отсутствии указывается "1"
		 ,[BZTSZ]  nvarchar(36) 'KSG_KPG/BZTSZ' --Базовая ставка Значение базовой ставки, указывается в рублях
		 ,[KOEF_D]  nvarchar(36) 'KSG_KPG/KOEF_D' --Коэффициент дифференциации Значение коэффициента дифференциации
		 ,[KOEF_U]  nvarchar(36) 'KSG_KPG/KOEF_U' --Коэффициент уровня/подуровня оказания медицинской помощи Значение коэффициента уровня/подуровня оказания медицинской помощи
		 ,[DKK1] nvarchar(10) 'KSG_KPG/DKK1' --Дополнительный классификационный критерий
		 ,[DKK2] nvarchar(10) 'KSG_KPG/DKK2' --Дополнительный классификационный критерий
		 ,[SL_K] bit 'KSG_KPG/SL_K' --Признак использования КСЛП 0 - КСЛП не применялся; 1 - КСЛП применялся
		 ,[IT_SL] nvarchar(36) 'KSG_KPG/IT_SL' --Примененный коэффициент сложности лечения пациента Итоговое значение коэффициента сложности лечения пациента для данного случая. Указывается только при использовании.
 
 
         ,[REAB] nvarchar(254) 'REAB' 
		 ,PRVS int 'PRVS'
		 ,VERS_SPEC nvarchar(36) 'VERS_SPEC' -- в медиалоге он нулл.
		 ,IDDOKT nvarchar(36) 'IDDOKT'
		 ,ED_COL nvarchar(36) 'ED_COL'
		 ,TARIF nvarchar(36) 'TARIF'
		 ,SUM_M nvarchar(36) 'SUMV'
		 ,[COMENTSL] nvarchar(254) 'COMENTSL' 
		 
	)
print '#sl: '
--логи
--insert into Schet (code_mo,coments) values (670039,'#sl: '+cast((select count(*) from #sl) as varchar(10)))
--select * from #sl
--D3_USL_OMS


if @ver like '2.1%'
	insert into #usl select distinct * 
	FROM  OPENXML (@idsluch, N'ZL_LIST/ZAP/SLUCH/USL',2)
	WITH (
		IDSERV varchar(36) 'IDSERV'
		,[D3_SLGID] nvarchar(36) '../IDCASE' -- связь с посещением
		,D3_ZSLGID nvarchar(36) '../IDCASE' -- связь с случаем
		,LPU int 'LPU'
		,LPU_1 varchar(200) 'LPU_1'
		,PODR varchar(20) 'PODR'
		,PROFIL int 'PROFIL'
		,VID_VME nvarchar(36) 'VID_VME'
		,DET int 'DET'
		,DATE_IN nvarchar(36) 'DATE_IN'
		,DATE_OUT nvarchar(36) 'DATE_OUT'
		,P_OTK int 'P_OTK'
		,DS nvarchar(36) 'DS'
		,CODE_USL nvarchar(36) 'CODE_USL'
		,KOL_USL nvarchar(36) 'KOL_USL'
		,TARIF nvarchar(36) 'TARIF'
		,IDSP nvarchar(36) 'IDSP' -- поле которое есть в выгрузке из медиалога в гб2
		,SUMV_USL nvarchar(36) 'SUMV_USL'
		,PRVS int 'PRVS'
		,VERS_SPEC nvarchar(36) 'VERS_SPEC'
		,CODE_MD nvarchar(36) 'CODE_MD'
		,NPL int 'NPL'
		,COMENTU nvarchar(255) 'COMENTU'
	)
print '#usl'
--логи
--insert into Schet (code_mo,coments) values (670039,'#usl: '+cast((select count(*) from #usl) as varchar(10)))
--select * from #usl
--D3_DSS_OMS
-- в версиях ниже 3.0 не было такого подсправочника?

-- очищаем переменные
EXEC sp_xml_removedocument @idsluch

-- очищаем пациента.
EXEC sp_xml_removedocument @idpac

-- делаем временку с айдишниками, для скорости

declare @idshnik table (ID_PAC nvarchar (36), SLiD int)

insert into @idshnik select pa.ID_PAC,zsl.id	from d3_pacient_oms pa join d3_zsl_oms zsl on zsl.d3_pid=pa.id 
											join #pacient p on pa.id_pac=p.id_pac
											where pa.d3_scid=@sc


--- очищаем ранее загруженные данные в этот реестр.


-- чистим услуги удаляя сразу все из случая, а не из каждого посещения
-- не будем чистить, так как нафигнадо
/* 

delete u from D3_PACIENT_OMS p join @idshnik id on p.ID_PAC=id.ID_PAC and p.D3_SCID=@sc
	join d3_zsl_oms zsl on zsl.d3_pid=p.id
	join d3_sl_oms sl on zsl.id=sl.d3_zslid
	join d3_usl_oms u on sl.id=u.d3_slid
print 'Удаляем услуги:'+cast(@@ROWCOUNT as varchar(10))
--чистим посещения
delete sl from D3_PACIENT_OMS p join @idshnik id on p.ID_PAC=id.ID_PAC and p.D3_SCID=@sc
	join d3_zsl_oms zsl on zsl.d3_pid=p.id
	join d3_sl_oms sl on zsl.id=sl.d3_zslid
print 'Удаляем посещения:'+cast(@@ROWCOUNT as varchar(10))
--чистим случаи
delete zsl from D3_PACIENT_OMS p join @idshnik id on p.ID_PAC=id.ID_PAC and p.D3_SCID=@sc
	join d3_zsl_oms zsl on zsl.d3_pid=p.id
print 'Удаляем случаи:'+cast(@@ROWCOUNT as varchar(10))
--чистим пациентов.
delete p from D3_PACIENT_OMS p join @idshnik id on p.ID_PAC=id.ID_PAC and p.D3_SCID=@sc
print 'Удаляем пациентов:'+cast(@@ROWCOUNT as varchar(10))
*/


-- забиваем данные в таблицы.
INSERT INTO [dbo].[D3_PACIENT_OMS]
([D3_SCID],[ID_PAC],[FAM],[IM],[OT],[W],[DR],[TEL],[FAM_P],[IM_P],[OT_P],[W_P],[DR_P],[MR],[DOCTYPE],[DOCSER],[DOCNUM],[SNILS]
,[OKATOG],[OKATOP],[COMENTP],[VPOLIS],[SPOLIS],[NPOLIS],[ST_OKATO],[SMO],[SMO_OGRN],[SMO_OK],[SMO_NAM],[INV],[MSE],[NOVOR]
,[VNOV_D],[PR_NOV])
select		@sc,ID_PAC,[FAM],[IM],[OT],[W],[DR],[TEL],[FAM_P],[IM_P],[OT_P],[W_P],[DR_P],[MR],[DOCTYPE],[DOCSER],[DOCNUM]
	,[SNILS],[OKATOG],[OKATOP],[COMENTP],[VPOLIS],[SPOLIS],[NPOLIS],[ST_OKATO],[SMO],[SMO_OGRN],[SMO_OK],[SMO_NAM]
	,[INV],[MSE],[NOVOR],[VNOV_D],[PR_NOV] from #pacient

print 'мы вставили пациентов!'
--логи
--insert into Schet (code_mo,coments) values (670039,'попробовали забить в пациент_омс: '+cast((select count(*) from D3_PACIENT_OMS) as varchar(10)))




if @ver like '2.1%'
	begin
		-- преобразуем старые специальности в новые. и ставим профиль по соответствию
		
		update sl set profil = sootv.profil,prvs = sootv.IDSPEC,vers_spec = 'V021'
		from #sl sl join (SELECT IDSPEC,IDPR_2 as profil,item as PRVS
		  FROM [V002_V021] v 
		  cross apply [dbo].[SplitString] (v.IDPR,'.')
		  where IDPR is not null ) sootv on sl.prvs=sootv.prvs	and isnull(vers_spec,'V015')='V015'

		update sl set profil = sootv.profil,prvs = sootv.IDSPEC,vers_spec = 'V021'
		from #usl sl join (SELECT IDSPEC,IDPR_2 as profil,item as PRVS
		  FROM [V002_V021] v 
		  cross apply [dbo].[SplitString] (v.IDPR,'.')
		  where IDPR is not null ) sootv on sl.prvs=sootv.prvs	and isnull(vers_spec,'V015')='V015'
		
		--проставляем цель посещения. For_pom  = Type_sluch (07.09.2018)
		update sl set p_cel25 = 
				CASE WHEN For_pom = 1 and zsl.usl_ok = 3 and u.idsp=23 THEN  '1.2'
			WHEN For_pom = 1 and zsl.usl_ok = 3 THEN  '1.0'	
			WHEN For_pom = 2 and zsl.usl_ok = 3 and sl.ds1 not like 'Z%'  THEN  '1.3'
			WHEN For_pom = 2 and zsl.usl_ok = 3 THEN  '2.1'
			WHEN For_pom = 3 and zsl.usl_ok = 3 THEN  '1.1'	END 
			from #sl sl	
			  join #zsl zsl on  sl.D3_ZSLGID = zsl.zsl_id
			  left join #usl u on u.D3_ZSLGID = sl.D3_ZSLGID
		-- проставляем теперь верную форму помощи (только на основе выгрузки FOR_POM в гб2) В других выгрузках ваще нет формы помощи.
			--поле VBR нету в 2.1, потому закинем в него старую FOR_POM
			update #zsl set vbr = for_pom
			-- теперь проставим верную форпом
			update #zsl set for_pom=
					CASE
			WHEN vbr = 3 and usl_ok = 3 THEN  2
			WHEN vbr in (1,2) and usl_ok = 3 THEN  3
			WHEN vbr = 3 and usl_ok = 4 THEN  2
			WHEN vbr = 1 and usl_ok = 4 THEN  1
			ELSE 3 end
			--очистим VBR
			update #zsl set vbr = null

		--очищаем левые специальности (там специальности типа 4012207)
		update #sl set prvs = null where vers_spec is null
		update #usl set prvs = null where vers_spec is null

		-- только для обкома, у них хрень в LPU_1
		update #sl set LPU_1 = case when usl_ok=3 then 301 when usl_ok=2 then 201 when usl_ok=4 then 401 else 101 end

		-- для стоматологии зсл делаем обычный.
		print 'd3_zsl стоматология:'
		INSERT INTO [dbo].[D3_ZSL_OMS]
		(			[ZSL_ID]	,[D3_PID],[D3_PGID],ReqId,[D3_SCID],[IDCASE],USL_OK,P_CEL
			,[VIDPOM],[FOR_POM],[NPR_MO],[LPU],[VBR],[DATE_Z_1],[DATE_Z_2],[P_OTK],[RSLT_D],[KD_Z],[VNOV_M],[RSLT],[ISHOD],[OS_SLUCH]
			,[OS_SLUCH_REGION],[VOZR],[VB_P],[IDSP],[SUMV],[OPLATA],[SUMP],[SANK_IT])
		Select	distinct	ZSL_ID		,pa.ID	,[D3_PGID],ReqId ,@sc	,[IDCASE],USL_OK,tt.P_CEL
			,[VIDPOM],[FOR_POM],[NPR_MO],tt.[LPU],[VBR],[DATE_Z_1],[DATE_Z_2],tt.[P_OTK],[RSLT_D],[KD_Z],[VNOV_M],[RSLT],[ISHOD],[OS_SLUCH]
			,[OS_SLUCH_REGION],[VOZR],[VB_P],29 as [IDSP],[SUMV],[OPLATA],[SUMP],[SANK_IT]
		From #zsl tt join d3_pacient_oms pa on pa.d3_SCID = @sc and tt.[D3_PGID] = pa.ID_PAC
			join #usl u on u.D3_ZSLGID = tt.zsl_id
			where u.PROFIL in (85,86,87,88,89,90) -- в стоматологии указывают только певрый IDSP  = 29

       		-- где не стоматология, берём основные данные из услуги.
		print 'd3_zsl:'
		INSERT INTO [dbo].[D3_ZSL_OMS]
		(			[ZSL_ID]	,[D3_PID],[D3_PGID],ReqId,[D3_SCID],[IDCASE],USL_OK,P_CEL
			,[VIDPOM],[FOR_POM],[NPR_MO],[LPU],[VBR],[DATE_Z_1],[DATE_Z_2],[P_OTK],[RSLT_D],[KD_Z],[VNOV_M],[RSLT],[ISHOD],[OS_SLUCH]
			,[OS_SLUCH_REGION],[VOZR],[VB_P],[IDSP],[SUMV],[OPLATA],[SUMP],[SANK_IT])
		Select	distinct	IDSERV as ZSL_ID		,pa.ID	,[D3_PGID],ReqId ,@sc	,null as [IDCASE],USL_OK,tt.P_CEL
			,[VIDPOM],[FOR_POM],[NPR_MO],u.[LPU],[VBR],DATE_IN as DATE_Z_1,DATE_OUT as DATE_Z_2,u.[P_OTK],[RSLT_D],[KD_Z],[VNOV_M],[RSLT],[ISHOD],[OS_SLUCH]
			,[OS_SLUCH_REGION],[VOZR],[VB_P],u.[IDSP],[SUMV],[OPLATA],[SUMP],[SANK_IT]
		From #zsl tt join d3_pacient_oms pa on pa.d3_SCID = @sc and tt.[D3_PGID] = pa.ID_PAC
			join #usl u on u.D3_ZSLGID = tt.zsl_id
			where u.PROFIL not in (85,86,87,88,89,90)

	end



if @ver like '2.1%'
	begin
			-- стоматологию грузим по стандарту.
			print 'd3_sl стоматология:'
			INSERT INTO [dbo].[D3_SL_OMS]
								([D3_ZSLID],[D3_ZSLGID],[SL_ID],[USL_OK]
					,[VID_HMP],[METOD_HMP],[LPU_1],[PODR],[PROFIL],PROFIL_K,[DET],[P_CEL],P_CEL25,[TAL_NUM],[TAL_D],[TAL_P],[NHISTORY],[P_PER],[DATE_1]
					,[DATE_2],[KD],[DS0],[DS1],[DS1_PR],[DN],[CODE_MES1],[CODE_MES2],[KSG_DKK],[N_KSG],[KSG_PG],[SL_K],[IT_SL]
					,[REAB],[PRVS],[VERS_SPEC],[IDDOKT],[ED_COL],[TARIF],[SUM_M],[COMENTSL])

					Select  distinct    zsl.ID,		zsl.ZSL_ID,	SL_ID,tt.[USL_OK]
					,[VID_HMP],[METOD_HMP],tt.LPU_1,tt.[PODR],tt.[PROFIL],PROFIL_K,tt.[DET],tt.[P_CEL],tt.[P_CEL25],[TAL_NUM],[TAL_D],[TAL_P],[NHISTORY],[P_PER],[DATE_1]
					,[DATE_2],[KD],[DS0],[DS1],[DS1_PR],[DN],[CODE_MES1],[CODE_MES2],[DKK1],[N_KSG] -- 
					,[KSG_PG],[SL_K],[IT_SL]
					,[REAB],tt.[PRVS],tt.[VERS_SPEC],[IDDOKT],[ED_COL],tt.[TARIF],[SUM_M],[COMENTSL]
				From #sl tt	join D3_ZSL_OMS zsl on D3_SCID = @sc and tt.D3_ZSLGID = zsl.ZSL_ID
				join #usl u on u.D3_ZSLGID = tt.D3_ZSLGID
				where u.PROFIL in (85,86,87,88,89,90)
					-- остальных берём из услуг
			print 'd3_sl:'
			INSERT INTO [dbo].[D3_SL_OMS]
								([D3_ZSLID],[D3_ZSLGID],[SL_ID],[USL_OK]
					,[VID_HMP],[METOD_HMP],[LPU_1],[PODR],[PROFIL],PROFIL_K,[DET]
					,[P_CEL],P_CEL25 ---ЦЕЛЬ НУЖНО КОНВЕРТИРОВАТЬ
					,[TAL_NUM],[TAL_D],[TAL_P],[NHISTORY],[P_PER],[DATE_1]
					,[DATE_2],[KD],[DS0],[DS1],[DS1_PR],[DN],[CODE_MES1],[CODE_MES2],[KSG_DKK],[N_KSG],[KSG_PG],[SL_K],[IT_SL]
					,[REAB],[PRVS],[VERS_SPEC],[IDDOKT],[ED_COL],[TARIF],[SUM_M],[COMENTSL])

					Select  distinct    zsl.ID,		zsl.ZSL_ID,	SL_ID,tt.[USL_OK]
					,[VID_HMP],[METOD_HMP],u.LPU_1,u.[PODR],u.[PROFIL],PROFIL_K,u.[DET]
					,tt.[P_CEL],tt.[P_CEL25]
					,[TAL_NUM],[TAL_D],[TAL_P],[NHISTORY],[P_PER],DATE_IN as DATE_1
					,DATE_OUT as DATE_2,[KD],[DS0],DS as DS1,[DS1_PR],[DN],[CODE_MES1],[CODE_MES2],[DKK1],[N_KSG] -- 
					,[KSG_PG],[SL_K],[IT_SL]
					,[REAB],u.[PRVS],u.[VERS_SPEC],u.CODE_MD as IDDOKT,u.KOL_USL,u.[TARIF],[SUM_M],[COMENTSL]
				From #usl u join D3_ZSL_OMS zsl on D3_SCID = @sc and u.IDSERV = zsl.ZSL_ID
							join #sl tt	on u.D3_ZSLGID = tt.D3_ZSLGID
				where u.PROFIL not in (85,86,87,88,89,90)

	end



if @ver like '2.1%'
Begin
	-- услуги заполняем только в стоматологии
	print 'd3_usl:'
	INSERT INTO [dbo].[D3_USL_OMS]
				([D3_SLID]	,[D3_ZSLID]	,[D3_SLGID]	,	[IDSERV]
	,[LPU],[LPU_1]										,[PODR],[PROFIL],[VID_VME],[DET],[DATE_IN],[DATE_OUT],[P_OTK],[DS],[CODE_USL]
	,[KOL_USL],[TARIF],[SUMV_USL],[PRVS],[CODE_MD],[NPL],[COMENTU])
	Select		sl.ID	,	zsl.ID		,SL_ID		,	tt.[IDSERV]
	,tt.[LPU],tt.LPU_1,tt.[PODR],tt.[PROFIL],tt.[CODE_USL],tt.[DET],tt.[DATE_IN],tt.[DATE_OUT],tt.[P_OTK],tt.[DS],tt.[CODE_USL]
	,tt.[KOL_USL],tt.[TARIF],tt.[SUMV_USL],tt.[PRVS],tt.[CODE_MD],tt.[NPL],tt.[COMENTU]
	From #usl tt
	join D3_ZSL_OMS zsl on D3_SCID = @sc and tt.[D3_ZSLGID] = zsl.ZSL_ID 
	join D3_SL_OMS sl on tt.D3_SLGID = sl.SL_ID
	where tt.PROFIL in (85,86,87,88,89,90)
end

	-- проставим номер записи (последний попавшийся) пациентам. так как в 2.1 этот номер записи выгружается именно из пациента
	--так как в 2.1 sluch множественные записи - к одному пациенту, а в 3.+ - zsl 1:1 к pacient и пациент повторяется.
	update p set N_ZAP = ReqID from [D3_PACIENT_OMS] p join D3_ZSL_OMS zsl on zsl.d3_pid=p.id and zsl.d3_scid=@sc




-- объединение чисто для обкома. внутри одного номера истории, по профилям.
if @ver like '2.1%'
Begin

	if object_id('tempdb..#zsl1') is not null drop table #zsl1

	select s.*,zsl.id,zsl.ZSL_ID into #zsl1 from  -- нашли все случаи с первой датой для создания обращения
	(SELECT   min(sl.date_1) data,sl.profil,p.id as pid,count(*) kol,sl.nhistory
	FROM D3_PACIENT_OMS p join #pacient id on p.ID_PAC=id.ID_PAC and p.D3_SCID=@sc --обрабатываем только загруженные случаи
			and p.npolis=id.npolis and p.smo=id.smo -- медиалог грузит одинаковые ID_PAC но с разными полисами людей. в разные записи.
		join d3_zsl_oms zsl on zsl.d3_pid=p.id
		join d3_sl_oms sl on zsl.id=sl.d3_zslid
	where zsl.d3_scid=@sc 
		and profil not in (2,3,136,137) -- по акушерству и гинекологии не может быть обращений.
	group by sl.profil,p.id,sl.nhistory
	HAVING count(*) >1 ) s
	join [D3_ZSL_OMS] zsl on zsl.d3_pid=s.pid join d3_sl_oms sl on zsl.id=sl.d3_zslid and s.nhistory=sl.nhistory
	and sl.date_1 = s.data


	print 'Всего обращений:'
	update zsl set idsp=30 from #zsl1 z join d3_zsl_oms zsl on z.id=zsl.id -- проставили тип обращения в случай.
	print 'Отменено случаев:'
	update sl set d3_zslid=s.id,D3_ZSLGID = s.ZSL_ID  -- присваиваем новый случай посещению
	from #zsl1 s join [D3_SL_OMS] sl on s.data<>sl.date_1 and s.profil=sl.profil and s.nhistory=sl.nhistory
	join [D3_ZSL_OMS] zsl on sl.d3_zslid=zsl.id and zsl.d3_pid=s.pid and zsl.d3_scid=@sc
	print 'Цель посещения 3.0:'
	update sl set p_cel='3.0' -- проставляем цель посещения
	from #zsl1 s join [D3_SL_OMS] sl on sl.d3_zslid=s.id
	print 'проставлена 2я дата:'
	update l set date_z_2 = data -- проставляем вторую дату в случае из последнего посещения

	from  (select max(sl.date_2) data,sl.d3_zslid from #zsl1 s join [D3_SL_OMS] sl on sl.d3_zslid=s.id
	group by sl.d3_zslid ) d1 join d3_zsl_oms l on d1.d3_zslid=l.id

	print 'удалено случаев:'
	delete zsl from [D3_SL_OMS] sl 
	right join d3_zsl_OMS zsl on sl.d3_zslid=zsl.id --удалятся все лишние zsl, в которых нет записей.
	where sl.id is null 
	print 'обновлены айди в услугах:'
	update u set D3_ZSLID = s.id 
	from #zsl1 s join [D3_SL_OMS] sl on sl.d3_zslid=s.id
	join D3_USL_OMS u on sl.id=u.D3_SLID


end

END