ALTER PROCEDURE [dbo].[p_doc_op_profil2_smo] @sc int, @smo nvarchar(20) = ''
AS --09.04.2018 texnix переделка старого отчёта. много лишних данных.
-- 11.04.2018 отрезал лишние данные по СМО, чтобы можно было использовать для общего отчёта.
-- 12/04/2018 добавил конечную группировку.
--08082018 цель25
--02102018 новый вид отчётов
BEGIN 
select tsl1,prof,sum(CountVisit) CountVisit,sum(CountUet) CountUet,sum(KolKkd) KolKkd,sum(summ) summ
from 
(
select  usl_ok,( CASE 	WHEN osl=35 THEN 'Телеконсультация'
                                WHEN Usl_ok=1 THEN 'Стационар'
		WHEN Usl_ok=2 and osl is null THEN 'Дневной стационар'
		WHEN Usl_ok=2 and osl in (19) THEN 'СОД'
	                WHEN lp=202 THEN 'Дневной стационар при поликлинике'
		 WHEN lp=203 THEN 'Дневной стационар на дому'
	   ELSE 'Не проставлен тип случая'
		end) as tsl1,
t0.prof as prof, COUNT(distinct (t0.CountPeople)) as CountPeople, COUNT(t0.CountPeople) as CountVisit
,SUM(t0.countuet) as CountUet, SUM(t0.summ) as summ,sum(t0.CountKkd) as KolKkd, t0.month as month
FROM
(SELECT p.lpu_1 as lp, d.NameWithID as doctor, sp.id profid, sp.NameWithID as prof, pp.FAM+pp.IM+isnull(pp.OT,pp.id)+CONVERT(VARCHAR,pp.DR) as CountPeople,
p.ED_COL as CountUet, 
zs.SUMV as summ,zs.Usl_ok , d.id as docid,zs.Os_Sluch_Region as osl,
zs.KD_Z as CountKkd, (case 
	when sch.month=1 then '01 Январь'+' '+convert(varchar,sch.year)
	when sch.month=2 then '02 Февраль'+' '+convert(varchar,sch.year)
	when sch.month=3 then '03 Март'+' '+convert(varchar,sch.year)
	when sch.month=4 then '04 Апрель'+' '+convert(varchar,sch.year)
	when sch.month=5 then '05 Май'+' '+convert(varchar,sch.year)
	when sch.month=6 then '06 Июнь'+' '+convert(varchar,sch.year)
	when sch.month=7 then '07 Июль'+' '+convert(varchar,sch.year)
	when sch.month=8 then '08 Август'+' '+convert(varchar,sch.year)
	when sch.month=9 then '09 Сентябрь'+' '+convert(varchar,sch.year)
	when sch.month=10 then '10 Октябрь'+' '+convert(varchar,sch.year)
	when sch.month=11 then '11 Ноябрь'+' '+convert(varchar,sch.year)
	when sch.month=12 then '12 Декабрь'+' '+convert(varchar,sch.year)
else '0' end) as month
from D3_SL_OMS p 
join D3_ZSL_OMS zs on p.D3_ZSLID=zs.ID
join V002 sp on p.PRVS = sp.id 
join [Yamed_Spr_MedicalEmployee] d on p.iddokt=d.SNILS
join D3_PACIENT_OMS pp on zs.D3_PID=pp.id and (@smo in ('','0') or (@smo='46' and (pp.SMO is null or pp.SMO not like '46%')) or (pp.SMO = @smo and @smo like '460%')) 
join d3_schet_oms sch on zs.D3_SCID=sch.id and sch.id = @sc
join otdeldb o on p.podr=o.id
) as T0
group by Usl_ok, osl, prof , month,lp

union all
select  usl_ok,( CASE 	WHEN usL_ok=4 THEN 'Скорая помощь' -- скорую помощь ставим первой, так как у неё могут поставить цель.
			WHEN osl is null and usL_ok=3 and p_cel25 is not null or p_cel25='3.0' THEN v25.N_PC
			WHEN osl is null and usL_ok=3 and p_cel25 is null THEN 'Иная цель посещения'
			
		   ELSE os.name
			end)  as tsl1,
 prof, COUNT(distinct (CountPeople)) as CountPeople, COUNT(CountPeople) as CountVisit
,SUM(ed_col) as CountUet, SUM(sumv) as summ,0 as KolKkd, month
FROM

(select 
 p_cel25,osl,sp.namewithid prof, (pp.FAM+pp.IM+isnull(pp.OT,pp.id)+CONVERT(VARCHAR,pp.DR)) CountPeople
,ed_col,sumv
 ,Usl_ok ,
(case 
	when sch.month=1 then '01 Январь'+' '+convert(varchar,sch.year)
	when sch.month=2 then '02 Февраль'+' '+convert(varchar,sch.year)
	when sch.month=3 then '03 Март'+' '+convert(varchar,sch.year)
	when sch.month=4 then '04 Апрель'+' '+convert(varchar,sch.year)
	when sch.month=5 then '05 Май'+' '+convert(varchar,sch.year)
	when sch.month=6 then '06 Июнь'+' '+convert(varchar,sch.year)
	when sch.month=7 then '07 Июль'+' '+convert(varchar,sch.year)
	when sch.month=8 then '08 Август'+' '+convert(varchar,sch.year)
	when sch.month=9 then '09 Сентябрь'+' '+convert(varchar,sch.year)
	when sch.month=10 then '10 Октябрь'+' '+convert(varchar,sch.year)
	when sch.month=11 then '11 Ноябрь'+' '+convert(varchar,sch.year)
	when sch.month=12 then '12 Декабрь'+' '+convert(varchar,sch.year)
else '0' end) as month
,lpu_1 as lp
 from (
Select zsl.ID,max(lpu_1) lpu_1,max(SUMV) sumv,max(profil) profid, case when max(SpecName) like '%стом%' then sum(ed_col) end ed_col,max(sl.P_CEL25) p_cel25,max(OS_SLUCH_REGION) osl ,max(zsl.D3_SCID) sch
,max(zsl.D3_PID) pid, max(zsl.usl_ok) usl_ok 
from D3_ZSL_OMS zsl join D3_SL_oms sl on zsl.ID = sl.D3_ZSLID and zsl.D3_SCID = @sc
  join V021 sp on sl.prvs = sp.idspec --and zsl.USL_OK not in (1,2)
where sl.P_CEL25 = '3.0' 

 group by zsl.ID) polik
 join V002 sp on polik.Profid = sp.id
join d3_pacient_oms pp on polik.pid=pp.id and (@smo in ('','0') or (@smo='46' and (pp.SMO is null or pp.SMO not like '46%')) or (pp.SMO = @smo and @smo like '460%')) 
join d3_schet_oms sch on polik.sch=sch.id ) as T1
left join OsobSluchDb os on osl = os.Id
left join V025 v25 on v25.IDPC=T1.p_cel25
group by p_cel25,v25.N_PC, Usl_ok, osl,os.name, prof , month,lp
) dd
group by tsl1,prof
end