alter table [dbo].[D3_PACIENT_OMS]
ADD [UID] varbinary(20)	-- HASHBYTES('SHA1', ID_PAC+cast(N_ZAP as varchar(10))+cast(D3_scid as varchar(10)) )
alter table [dbo].[D3_ZSL_OMS]
ADD [UID] varbinary(20)	 -- HASHBYTES('SHA1', ZSL_ID+cast(D3_scid as varchar(10)) )
alter table [dbo].[D3_SL_OMS]
ADD [UID] varbinary(20)	 -- HASHBYTES('SHA1', D3_zslgid+SL_ID+cast(zsl.D3_scid as varchar(10)))

GO
update p set UID= HASHBYTES('SHA1', ID_PAC+cast(N_ZAP as varchar(10))+cast(D3_scid as varchar(10)) )
from D3_PACIENT_OMS p where UID is null

update zsl set UID= HASHBYTES('SHA1', ZSL_ID+cast(D3_scid as varchar(10)) )
from D3_ZSL_OMS zsl where UID is null

update sl set UID= HASHBYTES('SHA1', D3_zslgid+SL_ID+cast(zsl.D3_scid as varchar(10)))
from D3_SL_OMS sl join D3_ZSL_OMS zsl on zsl.id=sl.D3_ZSLID
where sl.UID is null

--индексы не дали повышения производительности
/*
CREATE NONCLUSTERED INDEX [IDX_UID_ZSL] ON [dbo].[D3_ZSL_OMS]	(  [UID] ASC )
CREATE NONCLUSTERED INDEX [IDX_UID_SL] ON [dbo].[D3_SL_OMS]	(  [UID] ASC )
CREATE NONCLUSTERED INDEX [IDX_UID_PAC] ON [dbo].[D3_PACIENT_OMS]	(  [UID] ASC )
*/