Create procedure [dbo].[p_load_SANKINFO]	
/*declare */
-- texnix 16.10.2019 для загрузки санкций из файла SANKINFO МБ
@Nxml varchar(max),@FileName varchar(200)
as 
begin
Declare @rez int = 0 /* результат, нашли ли обработку для поданного хмл файла или нет. */
declare @i int =0
--declare @xml varchar(max)
--select @flk_xml = '<?xml version="1.0" encoding="windows-1251"?> '+cast (@xml as varchar(max))


--SELECT @Nxml = cast(data AS varchar(max)) FROM openrowset(BULK 'c:\base\xml\SANK.XML', SINGLE_BLOB) AS T(data) 
 declare @idxml int

 EXEC sp_xml_preparedocument @idxml OUTPUT, @Nxml;

begin tran
--select *
update zsl set sump=p.sump,sank_it=p.s_sum,MEK_COMENT=p.s_osn
FROM  OPENXML (@idxml, N'SANKINFO/SANK',2)
            WITH (
			CODE_MO int 'CODE_MO'
			,YEAR int 'YEAR'
			,MONTH int 'MONTH'			   
			,FAM nvarchar(255) 'FAM'
			,ZSL_ID varchar(36) 'ZSL_ID'
			,USL_OK int 'USL_OK'
			,DATE_Z_1 date 'DATE_Z_1'
			,DATE_Z_2 date 'DATE_Z_2'
			,SUMP numeric(17,2) 'SUMP'
			,S_TIP int 'S_TIP'
			,S_SUM numeric(17,2) 'S_SUM'
			,S_OSN varchar(10) 'S_OSN'
			
			) p	 join d3_zsl_oms zsl on p.zsl_id=zsl.zsl_id and zsl.DATE_Z_1=p.date_z_1 and zsl.DATE_Z_2=p.date_z_2
			join D3_SCHET_OMS sc on zsl.D3_SCID=sc.id and p.month=sc.month and sc.YEAR=p.year
set @rez = isnull(@@ROWCOUNT,0)
	if @@ERROR<>0 set @i = 1

if @i=1  rollback tran
else
  commit tran /*принять действия выполненные по транзакции */

EXEC sp_xml_removedocument @idxml

select @i as ERR,@rez as REZ

end