disable newupdater
IF OBJECT_ID (N'Yamed_Spr_PrNov', N'U') IS NOT NULL -- проверка на существование таблицы
	drop TABLE [dbo].[Yamed_Spr_PrNov]
CREATE TABLE [dbo].[Yamed_Spr_PrNov](
	[ID] [int] NOT NULL primary key,
	[Name] [nvarchar](255) NULL,
	[NameWithID]  AS (CONVERT([char](3),[id],(0))+[name])
	)

INSERT INTO [dbo].[Yamed_Spr_PrNov] ([ID],[Name]) VALUES(0, 'Сведения об оказанной медицинской помощи передаются впервые')
INSERT INTO [dbo].[Yamed_Spr_PrNov] ([ID],[Name]) VALUES(1, 'Запись передается повторно после исправления')
IF OBJECT_ID (N'Yamed_Spr_Per', N'U') IS NOT NULL -- проверка на существование таблицы
	drop TABLE [dbo].[Yamed_Spr_Per]
CREATE TABLE [dbo].[Yamed_Spr_Per](
	[ID] [int] NOT NULL primary key,
	[Name] [nvarchar](255) NULL,
	[NameWithID]  AS (CONVERT([char](3),[id],(0))+[name])
	)

INSERT INTO [dbo].[Yamed_Spr_Per] ([ID],[Name]) VALUES(1, 'Самостоятельно')
INSERT INTO [dbo].[Yamed_Spr_Per] ([ID],[Name]) VALUES(2, 'СМП')
INSERT INTO [dbo].[Yamed_Spr_Per] ([ID],[Name]) VALUES(3, 'Перевод из другой МО')
INSERT INTO [dbo].[Yamed_Spr_Per] ([ID],[Name]) VALUES(4, 'Перевод внутри МО с другого профиля')


ALTER TABLE D3_ZSL_OMS DROP COLUMN SumO

ALTER TABLE D3_ZSL_OMS ADD	SumO  AS (case when PR_NOV=1 then sumv when [idsp]=(36) OR [idsp]=(25) then (0) else [sumv] end)

if exists (select * from sysindexes where name = 'IX_SLID' and id = object_id('dbo.D3_KSG_KPG_OMS') )
 DROP INDEX [IX_SLID] ON [dbo].[D3_KSG_KPG_OMS]
CREATE NONCLUSTERED INDEX [IX_SLID] ON [dbo].[D3_KSG_KPG_OMS]
(
	[D3_SLID] ASC
)
INCLUDE ( 	[ID],
	[D3_SLGID],
	[N_KSG],
	[VER_KSG],
	[KSG_PG],
	[N_KPG],
	[KOEF_Z],
	[KOEF_UP],
	[BZTSZ],
	[KOEF_D],
	[KOEF_U],
	[DKK1],
	[DKK2],
	[SL_K],
	[IT_SL]) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]

IF NOT EXISTS(SELECT * FROM INFORMATION_SCHEMA.COLUMNS
     WHERE (TABLE_NAME = N'D3_zsl_oms') AND (COLUMN_NAME = N'UID'))
    alter table [dbo].[D3_ZSL_OMS] ADD [UID] varbinary(20)
IF NOT EXISTS(SELECT * FROM INFORMATION_SCHEMA.COLUMNS
     WHERE (TABLE_NAME = N'D3_sl_oms') AND (COLUMN_NAME = N'UID'))
    alter table [dbo].[D3_SL_OMS] ADD [UID] varbinary(20)
IF NOT EXISTS(SELECT * FROM INFORMATION_SCHEMA.COLUMNS
     WHERE (TABLE_NAME = N'D3_pacient_oms') AND (COLUMN_NAME = N'UID'))
    alter table [dbo].[D3_pacient_OMS] ADD [UID] varbinary(20) 

IF OBJECT_ID (N'Yamed_Spr_NAZR', N'U') IS NULL -- проверка на существование таблицы
begin

CREATE TABLE [dbo].[Yamed_Spr_NAZR](
	[ID] [int] NOT NULL,
	[Name] [nvarchar](255) NULL,
	[NameWithID]  AS (CONVERT([char](3),[id],(0))+[name])
	)

INSERT INTO [dbo].[Yamed_Spr_NAZR] ([ID],[Name]) VALUES(1, 'направлен на консультацию в медицинскую организацию по месту прикрепления;')
INSERT INTO [dbo].[Yamed_Spr_NAZR] ([ID],[Name]) VALUES(2, 'направлен на консультацию в иную медицинскую организацию;')
INSERT INTO [dbo].[Yamed_Spr_NAZR] ([ID],[Name]) VALUES(3, 'направлен на обследование;')
INSERT INTO [dbo].[Yamed_Spr_NAZR] ([ID],[Name]) VALUES(4, 'направлен в дневной стационар;')
INSERT INTO [dbo].[Yamed_Spr_NAZR] ([ID],[Name]) VALUES(5, 'направлен на госпитализацию;')
INSERT INTO [dbo].[Yamed_Spr_NAZR] ([ID],[Name]) VALUES(6, 'направлен в реабилитационное отделение.')
end

IF OBJECT_ID (N'D3_CRIT_OMS', N'U') IS NULL -- проверка на существование таблицы
begin
	CREATE TABLE [dbo].[D3_CRIT_OMS](
	  [ID] [int] IDENTITY(1,1) primary key NOT NULL,
	  [D3_KSGID] [int] NOT NULL,
	  [D3_KSGGID] [nvarchar](36) NULL,
	  [CRIT] [nvarchar](40) NULL)

	ALTER TABLE [dbo].[D3_CRIT_OMS]  WITH CHECK ADD  CONSTRAINT [FK_D3_CRIT_OMS_D3_KSG_KPG_OMS] FOREIGN KEY([D3_KSGID])
	REFERENCES [dbo].D3_KSG_KPG_OMS ([ID])
	ON DELETE CASCADE


	ALTER TABLE [dbo].[D3_CRIT_OMS] CHECK CONSTRAINT [FK_D3_CRIT_OMS_D3_KSG_KPG_OMS]
end

IF OBJECT_ID(N'tempdb..#t', N'U') IS NOT NULL 
DROP TABLE #t;


select* into #t from

(select z.id as iid,z.D3_SCID as sc,ZSL_ID zid,D3_PID as pid, isnull(fam,'')+' '+' '+isnull(im,'')+' '+isnull(ot,'')+' '+convert(nvarchar,dr)+' '+
convert(nvarchar,isnull(date_z_2,''))+' '+convert(nvarchar,isnull(IDSP,''))+' '+isnull(DS1,'')+' '+convert(nvarchar,isnull(profil,''))+' '+
isnull(NHISTORY,'') as fio,z.PR_NOV as pnv , C_ZAB cz,s.id as sid from D3_ZSL_OMS z
left join D3_PACIENT_OMS p
on z.d3_pid=p.id
left join D3_SL_OMS s
on z.id=s.D3_ZSLID
where convert(nvarchar,z.D3_SCID) in(select id from D3_SCHET_OMS where MONTH=4 and YEAR=2019 and SchetType='H') and DATE_Z_2<'20190401')T1


inner join 


(select z.D3_SCID as sc0, ZSL_ID as zid0 ,D3_PID as pid0,isnull(fam,'')+' '+' '+isnull(im,'')+' '+isnull(ot,'')+' '+convert(nvarchar,dr)+' '+
convert(nvarchar,isnull(date_z_2,''))+' '+convert(nvarchar,isnull(IDSP,''))+' '+isnull(DS1,'')+' '+convert(nvarchar,isnull(profil,''))+' '+
isnull(NHISTORY,'') as fio0,z.PR_NOV as pnv0, C_ZAB cz0 ,s.id as sid0 from D3_ZSL_OMS z
left join D3_PACIENT_OMS p
on z.d3_pid=p.id
left join D3_SL_OMS s
on z.id=s.D3_ZSLID
where convert(nvarchar,z.D3_SCID) not in(select id from D3_SCHET_OMS where MONTH=4 and YEAR=2019 and SchetType='H') and DATE_Z_2 between '20190101' and '20190331 23:59')T2
on t1.fio=t2.fio0

update D3_ZSL_OMS set ZSL_ID=#t.zid0,PR_NOV=1 from #t where D3_ZSL_OMS.id=iid
update D3_SL_OMS set C_ZAB=cz0 from #t where ID=#t.sid

--подчищаем процедуры переподачи, чтобы затем их заново создать
IF OBJECT_ID (N'p_oms_copy_pacient', N'P') IS NOT NULL -- проверка на существование процедуры
DROP PROCEDURE [dbo].p_oms_copy_pacient
IF OBJECT_ID (N'p_oms_copy_sl_usl', N'P') IS NOT NULL -- проверка на существование процедуры
DROP PROCEDURE [dbo].p_oms_copy_sl_usl
IF OBJECT_ID (N'p_oms_copy_zsl', N'P') IS NOT NULL -- проверка на существование процедуры
DROP PROCEDURE [dbo].p_oms_copy_zsl
IF OBJECT_ID (N'p_oms_copy_zap', N'P') IS NOT NULL -- проверка на существование процедуры
DROP PROCEDURE [dbo].p_oms_copy_zap