CREATE procedure [dbo].[P_delSchets] (@sc nvarchar(max) )
as
begin
SET NOCOUNT ON
declare @schets table (sc int)
insert into @schets SELECT * FROM [dbo].[GetIdsFromString] (@sc)

DELETE FROM [dbo].[D3_USL_OMS]
FROM [dbo].[D3_SCHET_OMS]
      INNER JOIN [dbo].[D3_PACIENT_OMS]
       ON [D3_SCHET_OMS].[ID] = [D3_PACIENT_OMS].[D3_SCID]
      INNER JOIN [dbo].[D3_ZSL_OMS]
       ON [D3_PACIENT_OMS].[ID] = [D3_ZSL_OMS].[D3_PID]
      INNER JOIN [dbo].[D3_SL_OMS]
       ON [D3_ZSL_OMS].[ID] = [D3_SL_OMS].[D3_ZSLID]
      INNER JOIN [dbo].[D3_USL_OMS]
       ON [D3_SL_OMS].[ID] = [D3_USL_OMS].[D3_SLID]
WHERE    exists (select sc from @schets where sc=[D3_SCHET_OMS].[ID])

if @@ROWCOUNT<>0
PRINT '---------------> DELETE FROM [dbo].[D3_USL_OMS]     Rows Deleted: ' + CAST(@@ROWCOUNT AS VARCHAR)

DELETE FROM [dbo].[D3_CONS_OMS]
FROM [dbo].[D3_SCHET_OMS]
      INNER JOIN [dbo].[D3_PACIENT_OMS]
       ON [D3_SCHET_OMS].[ID] = [D3_PACIENT_OMS].[D3_SCID]
      INNER JOIN [dbo].[D3_ZSL_OMS]
       ON [D3_PACIENT_OMS].[ID] = [D3_ZSL_OMS].[D3_PID]
      INNER JOIN [dbo].[D3_SL_OMS]
       ON [D3_ZSL_OMS].[ID] = [D3_SL_OMS].[D3_ZSLID]
      INNER JOIN [dbo].[D3_CONS_OMS]
       ON [D3_SL_OMS].[ID] = [D3_CONS_OMS].[D3_SLID]
WHERE    exists (select sc from @schets where sc=[D3_SCHET_OMS].[ID])
if @@ROWCOUNT<>0
PRINT '---------------> DELETE FROM [dbo].[D3_CONS_OMS]     Rows Deleted: ' + CAST(@@ROWCOUNT AS VARCHAR)

DELETE FROM [dbo].[D3_NAPR_OMS]
FROM [dbo].[D3_SCHET_OMS]
      INNER JOIN [dbo].[D3_PACIENT_OMS]
       ON [D3_SCHET_OMS].[ID] = [D3_PACIENT_OMS].[D3_SCID]
      INNER JOIN [dbo].[D3_ZSL_OMS]
       ON [D3_PACIENT_OMS].[ID] = [D3_ZSL_OMS].[D3_PID]
      INNER JOIN [dbo].[D3_SL_OMS]
       ON [D3_ZSL_OMS].[ID] = [D3_SL_OMS].[D3_ZSLID]
      INNER JOIN [dbo].[D3_NAPR_OMS]
       ON [D3_SL_OMS].[ID] = [D3_NAPR_OMS].[D3_SLID]
WHERE    exists (select sc from @schets where sc=[D3_SCHET_OMS].[ID])
if @@ROWCOUNT<>0
PRINT '---------------> DELETE FROM [dbo].[D3_NAPR_OMS]     Rows Deleted: ' + CAST(@@ROWCOUNT AS VARCHAR)

DELETE FROM [dbo].[D3_NAZ_OMS]
FROM [dbo].[D3_SCHET_OMS]
      INNER JOIN [dbo].[D3_PACIENT_OMS]
       ON [D3_SCHET_OMS].[ID] = [D3_PACIENT_OMS].[D3_SCID]
      INNER JOIN [dbo].[D3_ZSL_OMS]
       ON [D3_PACIENT_OMS].[ID] = [D3_ZSL_OMS].[D3_PID]
      INNER JOIN [dbo].[D3_SL_OMS]
       ON [D3_ZSL_OMS].[ID] = [D3_SL_OMS].[D3_ZSLID]
      INNER JOIN [dbo].[D3_NAZ_OMS]
       ON [D3_SL_OMS].[ID] = [D3_NAZ_OMS].[D3_SLID]
WHERE    exists (select sc from @schets where sc=[D3_SCHET_OMS].[ID])
if @@ROWCOUNT<>0
PRINT '---------------> DELETE FROM [dbo].[D3_NAZ_OMS]     Rows Deleted: ' + CAST(@@ROWCOUNT AS VARCHAR)

DELETE FROM [dbo].[D3_B_DIAG_OMS]
FROM [dbo].[D3_SCHET_OMS]
      INNER JOIN [dbo].[D3_PACIENT_OMS]
       ON [D3_SCHET_OMS].[ID] = [D3_PACIENT_OMS].[D3_SCID]
      INNER JOIN [dbo].[D3_ZSL_OMS]
       ON [D3_PACIENT_OMS].[ID] = [D3_ZSL_OMS].[D3_PID]
      INNER JOIN [dbo].[D3_SL_OMS]
       ON [D3_ZSL_OMS].[ID] = [D3_SL_OMS].[D3_ZSLID]
      INNER JOIN [dbo].[D3_ONK_SL_OMS]
       ON [D3_SL_OMS].[ID] = [D3_ONK_SL_OMS].[D3_SLID]
      INNER JOIN [dbo].[D3_B_DIAG_OMS]
       ON [D3_ONK_SL_OMS].[ID] = [D3_B_DIAG_OMS].[D3_ONKSLID]
WHERE    exists (select sc from @schets where sc=[D3_SCHET_OMS].[ID])
if @@ROWCOUNT<>0
PRINT '------------------> DELETE FROM [dbo].[D3_B_DIAG_OMS]     Rows Deleted: ' + CAST(@@ROWCOUNT AS VARCHAR)

DELETE FROM [dbo].[D3_B_PROT_OMS]
FROM [dbo].[D3_SCHET_OMS]
      INNER JOIN [dbo].[D3_PACIENT_OMS]
       ON [D3_SCHET_OMS].[ID] = [D3_PACIENT_OMS].[D3_SCID]
      INNER JOIN [dbo].[D3_ZSL_OMS]
       ON [D3_PACIENT_OMS].[ID] = [D3_ZSL_OMS].[D3_PID]
      INNER JOIN [dbo].[D3_SL_OMS]
       ON [D3_ZSL_OMS].[ID] = [D3_SL_OMS].[D3_ZSLID]
      INNER JOIN [dbo].[D3_ONK_SL_OMS]
       ON [D3_SL_OMS].[ID] = [D3_ONK_SL_OMS].[D3_SLID]
      INNER JOIN [dbo].[D3_B_PROT_OMS]
       ON [D3_ONK_SL_OMS].[ID] = [D3_B_PROT_OMS].[D3_ONKSLID]
WHERE    exists (select sc from @schets where sc=[D3_SCHET_OMS].[ID])
if @@ROWCOUNT<>0
PRINT '------------------> DELETE FROM [dbo].[D3_B_PROT_OMS]     Rows Deleted: ' + CAST(@@ROWCOUNT AS VARCHAR)

DELETE FROM [dbo].[D3_LEK_PR_OMS]
FROM [dbo].[D3_SCHET_OMS]
      INNER JOIN [dbo].[D3_PACIENT_OMS]
       ON [D3_SCHET_OMS].[ID] = [D3_PACIENT_OMS].[D3_SCID]
      INNER JOIN [dbo].[D3_ZSL_OMS]
       ON [D3_PACIENT_OMS].[ID] = [D3_ZSL_OMS].[D3_PID]
      INNER JOIN [dbo].[D3_SL_OMS]
       ON [D3_ZSL_OMS].[ID] = [D3_SL_OMS].[D3_ZSLID]
      INNER JOIN [dbo].[D3_ONK_SL_OMS]
       ON [D3_SL_OMS].[ID] = [D3_ONK_SL_OMS].[D3_SLID]
      INNER JOIN [dbo].[D3_ONK_USL_OMS]
       ON [D3_ONK_SL_OMS].[ID] = [D3_ONK_USL_OMS].[D3_ONKSLID]
      INNER JOIN [dbo].[D3_LEK_PR_OMS]
       ON [D3_ONK_USL_OMS].[ID] = [D3_LEK_PR_OMS].[D3_ONKUSLID]
WHERE    exists (select sc from @schets where sc=[D3_SCHET_OMS].[ID])
if @@ROWCOUNT<>0
PRINT '---------------------> DELETE FROM [dbo].[D3_LEK_PR_OMS]     Rows Deleted: ' + CAST(@@ROWCOUNT AS VARCHAR)

DELETE FROM [dbo].[D3_ONK_USL_OMS]
FROM [dbo].[D3_SCHET_OMS]
      INNER JOIN [dbo].[D3_PACIENT_OMS]
       ON [D3_SCHET_OMS].[ID] = [D3_PACIENT_OMS].[D3_SCID]
      INNER JOIN [dbo].[D3_ZSL_OMS]
       ON [D3_PACIENT_OMS].[ID] = [D3_ZSL_OMS].[D3_PID]
      INNER JOIN [dbo].[D3_SL_OMS]
       ON [D3_ZSL_OMS].[ID] = [D3_SL_OMS].[D3_ZSLID]
      INNER JOIN [dbo].[D3_ONK_SL_OMS]
       ON [D3_SL_OMS].[ID] = [D3_ONK_SL_OMS].[D3_SLID]
      INNER JOIN [dbo].[D3_ONK_USL_OMS]
       ON [D3_ONK_SL_OMS].[ID] = [D3_ONK_USL_OMS].[D3_ONKSLID]
WHERE    exists (select sc from @schets where sc=[D3_SCHET_OMS].[ID])
if @@ROWCOUNT<>0
PRINT '------------------> DELETE FROM [dbo].[D3_ONK_USL_OMS]     Rows Deleted: ' + CAST(@@ROWCOUNT AS VARCHAR)

DELETE FROM [dbo].[D3_ONK_SL_OMS]
FROM [dbo].[D3_SCHET_OMS]
      INNER JOIN [dbo].[D3_PACIENT_OMS]
       ON [D3_SCHET_OMS].[ID] = [D3_PACIENT_OMS].[D3_SCID]
      INNER JOIN [dbo].[D3_ZSL_OMS]
       ON [D3_PACIENT_OMS].[ID] = [D3_ZSL_OMS].[D3_PID]
      INNER JOIN [dbo].[D3_SL_OMS]
       ON [D3_ZSL_OMS].[ID] = [D3_SL_OMS].[D3_ZSLID]
      INNER JOIN [dbo].[D3_ONK_SL_OMS]
       ON [D3_SL_OMS].[ID] = [D3_ONK_SL_OMS].[D3_SLID]
WHERE   exists (select sc from @schets where sc=[D3_SCHET_OMS].[ID])
if @@ROWCOUNT<>0
PRINT '---------------> DELETE FROM [dbo].[D3_ONK_SL_OMS]     Rows Deleted: ' + CAST(@@ROWCOUNT AS VARCHAR)

DELETE FROM [dbo].[D3_SL_KOEF_OMS]
FROM [dbo].[D3_SCHET_OMS]
      INNER JOIN [dbo].[D3_PACIENT_OMS]
       ON [D3_SCHET_OMS].[ID] = [D3_PACIENT_OMS].[D3_SCID]
      INNER JOIN [dbo].[D3_ZSL_OMS]
       ON [D3_PACIENT_OMS].[ID] = [D3_ZSL_OMS].[D3_PID]
      INNER JOIN [dbo].[D3_SL_OMS]
       ON [D3_ZSL_OMS].[ID] = [D3_SL_OMS].[D3_ZSLID]
      INNER JOIN [dbo].[D3_KSG_KPG_OMS]
       ON [D3_SL_OMS].[ID] = [D3_KSG_KPG_OMS].[D3_SLID]
      INNER JOIN [dbo].[D3_SL_KOEF_OMS]
       ON [D3_KSG_KPG_OMS].[ID] = [D3_SL_KOEF_OMS].[D3_KSGID]
WHERE   exists (select sc from @schets where sc=[D3_SCHET_OMS].[ID])
if @@ROWCOUNT<>0
PRINT '------------------> DELETE FROM [dbo].[D3_SL_KOEF_OMS]     Rows Deleted: ' + CAST(@@ROWCOUNT AS VARCHAR)

DELETE FROM [dbo].[D3_KSG_KPG_OMS]
FROM [dbo].[D3_SCHET_OMS]
      INNER JOIN [dbo].[D3_PACIENT_OMS]
       ON [D3_SCHET_OMS].[ID] = [D3_PACIENT_OMS].[D3_SCID]
      INNER JOIN [dbo].[D3_ZSL_OMS]
       ON [D3_PACIENT_OMS].[ID] = [D3_ZSL_OMS].[D3_PID]
      INNER JOIN [dbo].[D3_SL_OMS]
       ON [D3_ZSL_OMS].[ID] = [D3_SL_OMS].[D3_ZSLID]
      INNER JOIN [dbo].[D3_KSG_KPG_OMS]
       ON [D3_SL_OMS].[ID] = [D3_KSG_KPG_OMS].[D3_SLID]
WHERE   exists (select sc from @schets where sc=[D3_SCHET_OMS].[ID])
if @@ROWCOUNT<>0
PRINT '---------------> DELETE FROM [dbo].[D3_KSG_KPG_OMS]     Rows Deleted: ' + CAST(@@ROWCOUNT AS VARCHAR)

DELETE FROM [dbo].[D3_DSS_OMS]
FROM [dbo].[D3_SCHET_OMS]
      INNER JOIN [dbo].[D3_PACIENT_OMS]
       ON [D3_SCHET_OMS].[ID] = [D3_PACIENT_OMS].[D3_SCID]
      INNER JOIN [dbo].[D3_ZSL_OMS]
       ON [D3_PACIENT_OMS].[ID] = [D3_ZSL_OMS].[D3_PID]
      INNER JOIN [dbo].[D3_SL_OMS]
       ON [D3_ZSL_OMS].[ID] = [D3_SL_OMS].[D3_ZSLID]
      INNER JOIN [dbo].[D3_DSS_OMS]
       ON [D3_SL_OMS].[ID] = [D3_DSS_OMS].[D3_SLID]
WHERE    exists (select sc from @schets where sc=[D3_SCHET_OMS].[ID])
if @@ROWCOUNT<>0
PRINT '---------------> DELETE FROM [dbo].[D3_DSS_OMS]     Rows Deleted: ' + CAST(@@ROWCOUNT AS VARCHAR)

DELETE FROM [dbo].[D3_SL_OMS]
FROM [dbo].[D3_SCHET_OMS]
      INNER JOIN [dbo].[D3_PACIENT_OMS]
       ON [D3_SCHET_OMS].[ID] = [D3_PACIENT_OMS].[D3_SCID]
      INNER JOIN [dbo].[D3_ZSL_OMS]
       ON [D3_PACIENT_OMS].[ID] = [D3_ZSL_OMS].[D3_PID]
      INNER JOIN [dbo].[D3_SL_OMS]
       ON [D3_ZSL_OMS].[ID] = [D3_SL_OMS].[D3_ZSLID]
WHERE   exists (select sc from @schets where sc=[D3_SCHET_OMS].[ID])
if @@ROWCOUNT<>0
PRINT '------------> DELETE FROM [dbo].[D3_SL_OMS]     Rows Deleted: ' + CAST(@@ROWCOUNT AS VARCHAR)

DELETE FROM [dbo].[D3_ZSL_OMS]
FROM [dbo].[D3_SCHET_OMS]
      INNER JOIN [dbo].[D3_PACIENT_OMS]
       ON [D3_SCHET_OMS].[ID] = [D3_PACIENT_OMS].[D3_SCID]
      INNER JOIN [dbo].[D3_ZSL_OMS]
       ON [D3_PACIENT_OMS].[ID] = [D3_ZSL_OMS].[D3_PID]
WHERE    exists (select sc from @schets where sc=[D3_SCHET_OMS].[ID])
if @@ROWCOUNT<>0
PRINT '---------> DELETE FROM [dbo].[D3_ZSL_OMS]     Rows Deleted: ' + CAST(@@ROWCOUNT AS VARCHAR)

DELETE FROM [dbo].[D3_PACIENT_OMS]
FROM [dbo].[D3_SCHET_OMS]
      INNER JOIN [dbo].[D3_PACIENT_OMS]
       ON [D3_SCHET_OMS].[ID] = [D3_PACIENT_OMS].[D3_SCID]
WHERE    exists (select sc from @schets where sc=[D3_SCHET_OMS].[ID])
if @@ROWCOUNT<>0
PRINT '------> DELETE FROM [dbo].[D3_PACIENT_OMS]     Rows Deleted: ' + CAST(@@ROWCOUNT AS VARCHAR)

DELETE FROM [dbo].[D3_SCHET_OMS] WHERE  exists (select sc from @schets where sc=[D3_SCHET_OMS].[ID])
if @@ROWCOUNT<>0
PRINT '---> DELETE FROM [dbo].[D3_SCHET_OMS] Rows Deleted: ' + CAST(@@ROWCOUNT AS VARCHAR)

end



