Create PROCEDURE [dbo].[p_autocalc_046_001600] @sc int
AS 
BEGIN
declare @t15 table (
id int,
is15 int )

declare @t85 table (
id int, 
is85 int )

declare @tt table (
  id int,
  code_mo nvarchar(6),
  month int,
  W int,
  vozr int,
  OS_SLUCH_REGION int,
  [Real_Kol_Usl] int
  )


insert @t15
select t.id, 1--*,gr.OkazRanee
from
(select zs.id,p.w,
  year(zs.date_z_2)-year(p.dr) [vozr],
  zs.OS_SLUCH_REGION,count(u.id)as kol_vo_ok_ran
FROM [dbo].[D3_SCHET_OMS] sch
    inner join [dbo].[D3_PACIENT_OMS] p on sch.id=p.[D3_SCID]
                                and sch.id =  @sc  
    inner join [dbo].[D3_ZSL_OMS] zs on p.id=zs.[D3_PID]
                              and zs.OS_SLUCH_REGION=22
    inner join [dbo].[D3_SL_OMS] sl on zs.id=sl.[D3_ZSLID]
    inner join [dbo].[D3_USL_OMS] u on u.D3_SLID=sl.id
                              and u.[NPL]  in (4) -- ????????
                              
group by zs.id  ,p.w,
  year(zs.date_z_2)-year(p.dr),
  zs.OS_SLUCH_REGION  ) t
  left join [dbo].[Kursk_DVN_1etap_Gr] Gr 
    on gr.[RegPrizn]=t.OS_SLUCH_REGION
    and gr.[Pol]=t.W
    AND charindex(cast(t.[vozr] as nvarchar)+',',Gr.Age)<>0   
where t.kol_vo_ok_ran>OkazRanee


insert @tt
select
  k.id,
  k.code_mo,
  k.month,
  K.W,
  K.[vozr],
  K.OS_SLUCH_REGION,
  count (*) [Real_Kol_Usl]
from
(
select
  sch.code_mo,
  sch.month,
  zs.id,
  p.w,
  year(zs.date_z_1) - year(p.dr)  [vozr],
  zs.OS_SLUCH_REGION,
  u.[VID_VME]
  ,DU.[Pol]
    ,DU.[Age]
FROM [dbo].[D3_SCHET_OMS] sch
    inner join [dbo].[D3_PACIENT_OMS] p on sch.id=p.[D3_SCID]
                                and sch.id =  @sc
    inner join [dbo].[D3_ZSL_OMS] zs on p.id=zs.[D3_PID]
                              and zs.OS_SLUCH_REGION=22
    inner join [dbo].[D3_SL_OMS] sl on zs.id=sl.[D3_ZSLID]
    inner join [dbo].[D3_USL_OMS] u on u.D3_SLID=sl.id
                              and (u.[NPL] not in (1,2) -- ????????
                                or u.[NPL] is null)
    inner join [dbo].[Kursk_DVN_1etap_Uslugi] du 
                      on du.[Pol]=p.w
                      --AND charindex(cast(dbo.f_GetAge (p.dr,zs.date_z_1) as nvarchar)+',',DU.Age)<>0
                                            AND charindex(cast(year(zs.date_z_2) - year(p.dr) as nvarchar(4))+',',DU.Age)<>0
                      and ltrim(rtrim(du.Code_Usl))=ltrim(rtrim(u.[VID_VME]))
)k
group by
  k.id,
  k.code_mo,
  k.month,
  K.W,
  K.[vozr],
  K.OS_SLUCH_REGION


 
insert @t85
select
  z.id, 1
  --z.*, gr.[StandartKolUsl], GR.IdGr
FROM @tt z LEFT JOIN [dbo].[Kursk_DVN_1etap_Gr] Gr 
    on gr.[RegPrizn]=z.OS_SLUCH_REGION
    and gr.[Pol]=z.W
    AND charindex(cast(z.[vozr] as nvarchar)+',',Gr.Age)<>0 
  inner join [dbo].[D3_ZSL_OMS] zs on z.id=zs.id
where z.[Real_Kol_Usl]<gr.[StandartKolUsl]-gr.OkazRanee

--select
                    Update D3_ZSL_OMS SET 
                    SUMV= 
                            (CASE 
                                WHEN t15.is15 is null and t85.is85 is null and (year(DATE_Z_2) - year(dr) in (21, 24, 27, 30, 33) AND W = 1 ) OR (year(DATE_Z_2) - year(dr) in (21, 24, 27) AND W = 2 ) THEN t.tarif1
                                WHEN t15.is15 is null and t85.is85 is null and (year(DATE_Z_2) - year(dr) in (36, 39, 42, 48, 54, 87, 90, 93, 96, 99) AND W = 1 ) OR (year(DATE_Z_2) - year(dr) in (87, 90, 93, 96, 99) AND W = 2 ) THEN t.tarif2
                                WHEN t15.is15 is null and t85.is85 is null and (year(DATE_Z_2) - year(dr) in (60,66,72,75,78,81,84) AND W = 1 ) OR (year(DATE_Z_2) - year(dr) in (72,75,78,81,84) AND W = 2 )THEN t.tarif3
                                WHEN t15.is15 is null and t85.is85 is null and (year(DATE_Z_2) - year(dr) in (30,33,36) AND W = 2 ) THEN t.tarif4
                                WHEN t15.is15 is null and t85.is85 is null and (year(DATE_Z_2) - year(dr) in (45,57) AND W = 1 ) THEN t.tarif5
                                WHEN t15.is15 is null and t85.is85 is null and (year(DATE_Z_2) - year(dr) in (63,66,69) AND W = 2 ) THEN t.tarif6
                                WHEN t15.is15 is null and t85.is85 is null and (year(DATE_Z_2) - year(dr) in (39,42) AND W = 2 ) THEN t.tarif7
                                WHEN t15.is15 is null and t85.is85 is null and (year(DATE_Z_2) - year(dr) in (63,69) AND W = 1 ) THEN t.tarif8
                                WHEN t15.is15 is null and t85.is85 is null and (year(DATE_Z_2) - year(dr) in (51) AND W = 1 ) THEN t.tarif9
                                WHEN t15.is15 is null and t85.is85 is null and (year(DATE_Z_2) - year(dr) in (45,48,51,54,57) AND W = 2 ) THEN t.tarif10
                                WHEN t15.is15 is null and t85.is85 is null and (year(DATE_Z_2) - year(dr) in (60) AND W = 2 ) THEN t.tarif11

                                WHEN t85.is85 = 1 and (year(DATE_Z_2) - year(dr) in (21, 24, 27, 30, 33) AND W = 1 ) OR (year(DATE_Z_2) - year(dr) in (21, 24, 27) AND W = 2 ) THEN 0
                                WHEN t85.is85 = 1 and (year(DATE_Z_2) - year(dr) in (36, 39, 42, 48, 54, 87, 90, 93, 96, 99) AND W = 1 ) OR (year(DATE_Z_2) - year(dr) in (87, 90, 93, 96, 99) AND W = 2 ) THEN 0
                                WHEN t85.is85 = 1 and (year(DATE_Z_2) - year(dr) in (60,66,72,75,78,81,84) AND W = 1 ) OR (year(DATE_Z_2) - year(dr) in (72,75,78,81,84) AND W = 2 )THEN 0
                                WHEN t85.is85 = 1 and (year(DATE_Z_2) - year(dr) in (30,33,36) AND W = 2 ) THEN 0
                                WHEN t85.is85 = 1 and (year(DATE_Z_2) - year(dr) in (45,57) AND W = 1 ) THEN 0
                                WHEN t85.is85 = 1 and (year(DATE_Z_2) - year(dr) in (63,66,69) AND W = 2 ) THEN 0
                                WHEN t85.is85 = 1 and (year(DATE_Z_2) - year(dr) in (39,42) AND W = 2 ) THEN 0
                                WHEN t85.is85 = 1 and (year(DATE_Z_2) - year(dr) in (63,69) AND W = 1 ) THEN 0
                                WHEN t85.is85 = 1 and (year(DATE_Z_2) - year(dr) in (51) AND W = 1 ) THEN 0
                                WHEN t85.is85 = 1 and (year(DATE_Z_2) - year(dr) in (45,48,51,54,57) AND W = 2 ) THEN 0
                                WHEN t85.is85 = 1 and (year(DATE_Z_2) - year(dr) in (60) AND W = 2 ) THEN 0

WHEN t15.is15 = 1 and (year(DATE_Z_2) - year(dr) in (21, 24, 27, 30, 33) AND W = 1 ) OR (year(DATE_Z_2) - year(dr) in (21, 24, 27) AND W = 2 ) THEN t.tarif12
                                WHEN t15.is15 = 1 and (year(DATE_Z_2) - year(dr) in (36, 39, 42, 48, 54, 87, 90, 93, 96, 99) AND W = 1 ) OR (year(DATE_Z_2) - year(dr) in (87, 90, 93, 96, 99) AND W = 2 ) THEN t.tarif12
                                WHEN t15.is15 = 1 and (year(DATE_Z_2) - year(dr) in (60,66,72,75,78,81,84) AND W = 1 ) OR (year(DATE_Z_2) - year(dr) in (72,75,78,81,84) AND W = 2 )THEN t.tarif12
                                WHEN t15.is15 = 1 and (year(DATE_Z_2) - year(dr) in (30,33,36) AND W = 2 ) THEN t.tarif12
                                WHEN t15.is15 = 1 and (year(DATE_Z_2) - year(dr) in (45,57) AND W = 1 ) THEN t.tarif12
                                WHEN t15.is15 = 1 and (year(DATE_Z_2) - year(dr) in (63,66,69) AND W = 2 ) THEN t.tarif12
                                WHEN t15.is15 = 1 and (year(DATE_Z_2) - year(dr) in (39,42) AND W = 2 ) THEN t.tarif12
                                WHEN t15.is15 = 1 and (year(DATE_Z_2) - year(dr) in (63,69) AND W = 1 ) THEN t.tarif12
                                WHEN t15.is15 = 1 and (year(DATE_Z_2) - year(dr) in (51) AND W = 1 ) THEN t.tarif12
                                WHEN t15.is15 = 1 and (year(DATE_Z_2) - year(dr) in (45,48,51,54,57) AND W = 2 ) THEN t.tarif12
                                WHEN t15.is15 = 1 and (year(DATE_Z_2) - year(dr) in (60) AND W = 2 ) THEN t.tarif12
                            END)

                from D3_ZSL_OMS zsl
        JOIN D3_PACIENT_OMS pa on zsl.D3_PID = pa.ID
                join CalcAmbTarif t on zsl.OS_SLUCH_REGION = t.OS_SLUCH and (zsl.DATE_Z_2 >= t.TBEG and zsl.DATE_Z_2 < t.TEND + 1)
        left join @t15 t15 on zsl.id = t15.id
        left join @t85 t85 on zsl.id = t85.id
                    where zsl.D3_SCID =  @sc   and 
          OS_SLUCH_REGION = 22

update sl set sum_m = tt1.sumv, tarif = tt1.tarif
from d3_sl_oms sl
join ( select case when RN = 1 then sumv else 0.00 end sumv, sumv tarif, ID from
(
select ROW_NUMBER() OVER (PARTITION BY zsl.ID  ORDER BY sl.date_2 desc) RN,
sl.*, zsl.sumv
from D3_ZSL_OMS zsl
join d3_sl_oms sl on zsl.ID = sl.D3_ZSLID
join d3_schet_oms sc on zsl.D3_SCID = sc.ID
where  zsl.D3_SCID =  @sc   and 
          OS_SLUCH_REGION = 22
) tt --where tt.RN = 1
) tt1 on sl.ID = tt1.ID
end