CREATE PROCEDURE [dbo].[p_doc_osob_reestr_usl] @sc int --        .
	, @osob varchar(100) --   .    ,    .   .
	, @smo varchar(10) = ''  -- 46 - ,  - 
AS -- 10.09.2018
BEGIN 
DECLARE @xml as xml,@delimiter as varchar(10)
SET @delimiter =','
SET @xml = cast(('<X>'+replace(@osob,@delimiter ,'</X><X>')+'</X>') as xml)

declare @ProfPos table (id int,name nvarchar(250))

		insert into @ProfPos values
		(19,'  -')
		,(20,'  ')
		,(21,'  ')
		,(53,' ')
		,(64,' ')
		,(65,' ')
		,(68,' ')
		,(72,' ')
		,(86,'  ')
		,(100,' -')
		,(136,' ')
		,(162,' ')


		select u.D3_ZSLID,isnull(n.vid_vme+' '+u.comentU,n.NameWithID) as ComenTU
		,convert(varchar(8),u.Date_in,4) Date_in
		,convert(varchar(8),u.Date_out,4) Date_out
		,u.PRVS
		,u.Tarif 
		from D3_ZSL_OMS zsl 
		join D3_USL_OMS u on zsl.id=u.D3_ZSLID and zsl.D3_SCID = @sc
		LEFT JOIN V_SprUsl n ON u.CODE_USL = n.Id
		where  OS_SLUCH_REGION  in (SELECT N.value('.', 'int') as value FROM @xml.nodes('X') as T(N)) 
		union all
		select sl.D3_ZSLID,pos.name as ComenTU
		,convert(varchar(8),sl.Date_1,4) Date_in
		,convert(varchar(8),sl.Date_2,4) Date_out
		,sl.PRVS
		,sl.Tarif 
		from D3_ZSL_OMS zsl 
		join D3_SL_oms sl on zsl.ID = sl.D3_ZSLID and zsl.D3_SCID = @sc
		join @ProfPos pos on sl.profil=pos.id
		where  OS_SLUCH_REGION in (SELECT N.value('.', 'int') as value FROM @xml.nodes('X') as T(N)) 


end