CREATE TABLE [dbo].[D3_SCHET_SMO_OMS](
	[CODE] [int] IDENTITY(1,1) NOT NULL,
	[SCHET_ID] [int] NOT NULL,
	[CODE_MO] [varchar](6) NOT NULL,
	[YEAR] [int] NOT NULL,
	[MONTH] [int] NOT NULL,
	[NSCHET] [nvarchar](15) NOT NULL,
	[DSCHET] [datetime] NOT NULL,
	[PLAT] [nvarchar](5) NOT NULL,
	[SUMMAV] [numeric](15, 2) NULL,
	[COMENTS] [nvarchar](250) NULL,
	[SUMMAP] [numeric](15, 2) NULL,
	[SANK_MEK] [numeric](15, 2) NULL,
	[SANK_MEE] [numeric](15, 2) NULL,
	[SANK_EKMP] [numeric](15, 2) NULL,
	[COUNT_SL] [int] NULL,
PRIMARY KEY CLUSTERED 
(
	[CODE] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [UQ__D3_SCHET_SMO_OMS__UNIQ] UNIQUE NONCLUSTERED 
(
	[CODE_MO] ASC,
	[YEAR] ASC,
	[MONTH] ASC,
	[PLAT] ASC,
	[NSCHET] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]