create FUNCTION [dbo].[SplitString] ( @stringToSplit VARCHAR(MAX),@separator char(1) )
RETURNS
 @returnList TABLE ([ItemIndex] [int] identity(0,1), [Item] [nvarchar](30))
AS
BEGIN

 if len(@stringToSplit)<99999
	 INSERT INTO @returnList 
	 SELECT substring(@separator + @stringToSplit + @separator, Number + 1,
						charindex(@separator, @separator + @stringToSplit + @separator, Number + 1) - Number - 1)
					 AS Item
			  FROM   Numbers
			  WHERE  Number <= len(@separator + @stringToSplit + @separator) - 1
				AND  substring(@separator + @stringToSplit + @separator, Number, 1) = @separator 

 else
 begin
	 DECLARE @name NVARCHAR(255)
	 DECLARE @pos INT

	 WHILE CHARINDEX(@separator, @stringToSplit) > 0
	 BEGIN
	  SELECT @pos  = CHARINDEX(@separator, @stringToSplit)  
	  SELECT @name = SUBSTRING(@stringToSplit, 1, @pos-1)

	  INSERT INTO @returnList 
	  SELECT @name

	  SELECT @stringToSplit = SUBSTRING(@stringToSplit, @pos+1, LEN(@stringToSplit)-@pos)
	 END

	 INSERT INTO @returnList
	 SELECT @stringToSplit
 end
 RETURN
END
