ALTER PROCEDURE [dbo].[p_doc_op_11_foms] @sc int
AS
BEGIN
--declare @sc int = 2057

Select cel, p1.[46001] as s46001, p1.[46002] as s46002, p1.[46003] as s46003, p1.[46004] as s460041, p1.[46006] as s46006, p1.[46] as s46,
p2.[46001] as c46001, p2.[46002] as c46002, p2.[46003] as c46003, p2.[46004] as c460041, p2.[46006] as c46006, p2.[46] as c46
from(
Select
'1. Профилактический медицинский осмотр несовершеннолетних 1 этап' cel, sum(sumO) sumV, case When pa.smo not like '46%' then '46' else pa.smo end smo
from D3_ZSL_OMS zsl 
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID
where OS_SLUCH_REGION = 11
group by pa.smo
UNION ALL
Select
 case
                                WHEN VOZR in ('G00.M00', 'G00.M02', 'G00.M04', 'G00.M05', 'G00.M06','G00.M07', 'G00.M08', 'G00.M09', 'G00.M10', 'G00.M11', 'G01.M03', 'G01.M06') THEN '1.1 новорожденные, 2, 4, 5,6,7, 8, 9, 10, 11 месяцев, 1 год 3мес., 1 год 6 мес.'
                                WHEN VOZR in ('G00.M03','G02.M00', 'G04.M00', 'G05.M00', 'G08.M00','G09.M00','G11.M00','G12.M00')  THEN '1.2 3 мес., 2 года, 4 года, 5 лет, 8 лет, 9 лет, 11 лет, 12 лет'
                                WHEN VOZR in ('G13.M00', 'G14.M00')  THEN '1.3 13 лет, 14 лет'
                                WHEN VOZR in ('G00.M01', 'G00.M12', 'G07.M00') THEN '1.4 1 мес., 7 лет'
                                WHEN VOZR = 'G10.M00'  THEN '1.5 10 лет, 12 мес.'
                                WHEN VOZR in ('G03.M00')  THEN '1.6 3 года'
                                WHEN VOZR in ('G06.M00')  THEN '1.7 6 лет'
                                WHEN VOZR in ('G15.M00', 'G16.M00', 'G17.M00')  THEN '1.8 15 лет, 16 лет, 17 лет'
end cel, sum(sumO) sumO, case When pa.smo not like '46%' then '46' else pa.smo end smo
from D3_ZSL_OMS zsl 
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID
where OS_SLUCH_REGION = 11
Group by 
 case
                                WHEN VOZR in ('G00.M00', 'G00.M02', 'G00.M04', 'G00.M05', 'G00.M06','G00.M07', 'G00.M08', 'G00.M09', 'G00.M10', 'G00.M11', 'G01.M03', 'G01.M06') THEN '1.1 новорожденные, 2, 4, 5,6,7, 8, 9, 10, 11 месяцев, 1 год 3мес., 1 год 6 мес.'
                                WHEN VOZR in ('G00.M03','G02.M00', 'G04.M00', 'G05.M00', 'G08.M00','G09.M00','G11.M00','G12.M00')  THEN '1.2 3 мес., 2 года, 4 года, 5 лет, 8 лет, 9 лет, 11 лет, 12 лет'
                                WHEN VOZR in ('G13.M00', 'G14.M00')  THEN '1.3 13 лет, 14 лет'
                                WHEN VOZR in ('G00.M01', 'G00.M12', 'G07.M00') THEN '1.4 1 мес., 7 лет'
                                WHEN VOZR = 'G10.M00'  THEN '1.5 10 лет, 12 мес.'
                                WHEN VOZR in ('G03.M00')  THEN '1.6 3 года'
                                WHEN VOZR in ('G06.M00')  THEN '1.7 6 лет'
                                WHEN VOZR in ('G15.M00', 'G16.M00', 'G17.M00')  THEN '1.8 15 лет, 16 лет, 17 лет'
end, pa.smo
UNION ALL
Select '2. Профилактический медицинский осмотр несовершеннолетних 2 этап' cel, sum(sumO) sumO, case When pa.smo not like '46%' then '46' else pa.smo end smo
from D3_ZSL_OMS zsl 
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID
where OS_SLUCH_REGION = 12
group by pa.smo
) tt
PIVOT(SUM(sumV) FOR smo IN( [46001], [46002], [46003], [46004], [46006], [46])) AS P1

Join
(
Select
'1. Профилактический медицинский осмотр несовершеннолетних 1 этап' cel2, count(*) cnt, case When pa.smo not like '46%' then '46' else pa.smo end smo
from D3_ZSL_OMS zsl 
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID
where OS_SLUCH_REGION = 11
group by pa.smo
UNION ALL
Select
 case
                                WHEN VOZR in ('G00.M00', 'G00.M02', 'G00.M04', 'G00.M05', 'G00.M06','G00.M07', 'G00.M08', 'G00.M09', 'G00.M10', 'G00.M11', 'G01.M03', 'G01.M06') THEN '1.1 новорожденные, 2, 4, 5,6,7, 8, 9, 10, 11 месяцев, 1 год 3мес., 1 год 6 мес.'
                                WHEN VOZR in ('G00.M03','G02.M00', 'G04.M00', 'G05.M00', 'G08.M00','G09.M00','G11.M00','G12.M00')  THEN '1.2 3 мес., 2 года, 4 года, 5 лет, 8 лет, 9 лет, 11 лет, 12 лет'
                                WHEN VOZR in ('G13.M00', 'G14.M00')  THEN '1.3 13 лет, 14 лет'
                                WHEN VOZR in ('G00.M01', 'G00.M12', 'G07.M00') THEN '1.4 1 мес., 7 лет'
                                WHEN VOZR = 'G10.M00'  THEN '1.5 10 лет, 12 мес.'
                                WHEN VOZR in ('G03.M00')  THEN '1.6 3 года'
                                WHEN VOZR in ('G06.M00')  THEN '1.7 6 лет'
                                WHEN VOZR in ('G15.M00', 'G16.M00', 'G17.M00')  THEN '1.8 15 лет, 16 лет, 17 лет'
end cel2, count(*) cnt, case When pa.smo not like '46%' then '46' else pa.smo end smo
from D3_ZSL_OMS zsl 
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID
where OS_SLUCH_REGION = 11
Group by 
 case
                                WHEN VOZR in ('G00.M00', 'G00.M02', 'G00.M04', 'G00.M05', 'G00.M06','G00.M07', 'G00.M08', 'G00.M09', 'G00.M10', 'G00.M11', 'G01.M03', 'G01.M06') THEN '1.1 новорожденные, 2, 4, 5,6,7, 8, 9, 10, 11 месяцев, 1 год 3мес., 1 год 6 мес.'
                                WHEN VOZR in ('G00.M03','G02.M00', 'G04.M00', 'G05.M00', 'G08.M00','G09.M00','G11.M00','G12.M00')  THEN '1.2 3 мес., 2 года, 4 года, 5 лет, 8 лет, 9 лет, 11 лет, 12 лет'
                                WHEN VOZR in ('G13.M00', 'G14.M00')  THEN '1.3 13 лет, 14 лет'
                                WHEN VOZR in ('G00.M01', 'G00.M12', 'G07.M00') THEN '1.4 1 мес., 7 лет'
                                WHEN VOZR = 'G10.M00'  THEN '1.5 10 лет, 12 мес.'
                                WHEN VOZR in ('G03.M00')  THEN '1.6 3 года'
                                WHEN VOZR in ('G06.M00')  THEN '1.7 6 лет'
                                WHEN VOZR in ('G15.M00', 'G16.M00', 'G17.M00')  THEN '1.8 15 лет, 16 лет, 17 лет'
end, pa.smo
UNION ALL
Select '2. Профилактический медицинский осмотр несовершеннолетних 2 этап' cel2, count(*) cnt, case When pa.smo not like '46%' then '46' else pa.smo end smo
from D3_ZSL_OMS zsl 
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID
where OS_SLUCH_REGION = 12
group by pa.smo
) tt2
PIVOT(SUM(cnt) FOR smo IN( [46001], [46002], [46003], [46004], [46006], [46])) AS P2
on p1.cel = p2.cel2



END