CREATE PROCEDURE [dbo].[p_oms_copy_sl_usl]
	@newZsId INT,	
	@newZsGuid NVARCHAR(36),
	@ZsId INT --id законч случа¤, который переносим в новый реестр		
	AS
	BEGIN
		DECLARE @tableSl TABLE (
			id INT
			)
		DECLARE @OldSLID INT	
		DECLARE vendor_cursor1 CURSOR FOR	
		SELECT sl.ID		
		FROM [dbo].[D3_SL_OMS] sl
		WHERE sl.[D3_ZSLID] = @ZsId
	
		OPEN vendor_cursor1
		FETCH NEXT FROM vendor_cursor1 INTO @OldSLID;

		WHILE @@FETCH_STATUS = 0
		BEGIN
			DECLARE @SL_ID NVARCHAR(36) = NEWID()
		
			INSERT INTO [dbo].[D3_SL_OMS]
				([D3_ZSLID],[D3_ZSLGID],[SL_ID],[USL_OK],[VID_HMP],[METOD_HMP],[LPU_1],[PODR],[PROFIL],[DET],[P_CEL],[TAL_NUM],[TAL_D],[TAL_P],[NHISTORY],[P_PER],[DATE_1],[DATE_2],[KD],[DS0],[DS1],[DS1_PR]
				 ,[DN],[CODE_MES1],[CODE_MES2],[KSG_DKK],[N_KSG],[KSG_PG],[SL_K],[IT_SL],[REAB],[PRVS],[VERS_SPEC],[IDDOKT],[ED_COL],[TARIF],[SUM_M],[COMENTSL],[PROFIL_K],[PRVS21],[P_CEL25],[PRVS15],[C_ZAB])
			SELECT 
				@newZsId --ID нового законченного случа¤
				,@newZsGuid --Guid нового законченного случа¤
				  ,@SL_ID ,null --пока не грузитс¤ усл оказани¤ в случай!!!!
				  ,[VID_HMP] ,[METOD_HMP],[LPU_1],[PODR],[PROFIL],[DET],[P_CEL],[TAL_NUM],[TAL_D],[TAL_P],[NHISTORY],[P_PER],[DATE_1],[DATE_2],[KD],[DS0],[DS1],[DS1_PR]
				  ,[DN],[CODE_MES1],[CODE_MES2],[KSG_DKK],[N_KSG],[KSG_PG],[SL_K],[IT_SL],[REAB],[PRVS],[VERS_SPEC],[IDDOKT],[ED_COL],[TARIF],[SUM_M],[COMENTSL],[PROFIL_K],[PRVS21],[P_CEL25],[PRVS15],[C_ZAB]
			FROM [dbo].[D3_SL_OMS] sl
			WHERE sl.ID = @OldSLID
			
			DECLARE @D3_SLID INT 
			SELECT @D3_SLID = SCOPE_IDENTITY() --¬озвращает последнее значение идентификатора вствленной записи
			
			INSERT INTO [dbo].[D3_USL_OMS] (
				 [D3_SLID],[D3_ZSLID],[D3_SLGID],[IDSERV],[LPU],[LPU_1],[PODR],[PROFIL],[VID_VME],[DET],[DATE_IN],[DATE_OUT],[P_OTK],[DS],[CODE_USL],[KOL_USL]
				,[TARIF],[SUMV_USL],[PRVS],[CODE_MD],[NPL],[COMENTU],[PRVS15],[PRVS21],[VERS_SPEC])
			SELECT 
			     @D3_SLID, @newZsId, @SL_ID,     [IDSERV],[LPU],[LPU_1],[PODR],[PROFIL],[VID_VME],[DET],[DATE_IN],[DATE_OUT],[P_OTK],[DS],[CODE_USL],[KOL_USL]
				,[TARIF],[SUMV_USL],[PRVS],[CODE_MD],[NPL],[COMENTU],[PRVS15],[PRVS21],[VERS_SPEC]
			FROM [D3_USL_OMS] WHERE D3_SLID = @OldSLID AND D3_ZSLID = @ZsId		
		
			FETCH NEXT FROM vendor_cursor1 INTO @OldSLID;
		END;
		CLOSE vendor_cursor1;
		DEALLOCATE vendor_cursor1;
						
	END