 if exists (SELECT	*  FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS 
    WHERE CONSTRAINT_NAME ='FK_SANK_F014')
ALTER TABLE [dbo].[SANK] DROP CONSTRAINT [FK_SANK_F014]




declare cur cursor
 --надёжно удаляем PK из F014
for 
select t.name, i.name, i.indid

from sysobjects t, sysindexes i

where t.id = i.id
and t.type = 'U'
and i.indid <> 0
and t.name not like 'sys%'
and (i.name like 'PK%' ) --тип константы, 'U%' 'i%'
and t.name='F014'
order by t.name, i.name

declare @tname varchar(50), @iname varchar(50), @itype int, @sql nvarchar(500)

open cur

fetch  next from cur into @tname, @iname, @itype

while @@fetch_status = 0
begin
    if @itype = 1 or @iname like'U%'
    begin
        select @sql = N'ALTER TABLE ' + @tname  + ' DROP CONSTRAINT ' + @iname
    end
    else
    begin
        select @sql = N'DROP INDEX ' + @tname + '.' + @iname
    end


   -- print @sql

    exec sp_executesql @sql

   fetch  next from cur into @tname, @iname, @itype

end

close cur
deallocate cur

IF NOT EXISTS(SELECT * FROM INFORMATION_SCHEMA.COLUMNS
     WHERE (TABLE_NAME = N'F014') AND (COLUMN_NAME = N'ID'))
ALTER TABLE dbo.F014 ADD
	ID int NOT NULL IDENTITY (1, 1)

ALTER TABLE dbo.F014 ADD CONSTRAINT
	PK_F014 PRIMARY KEY CLUSTERED 
	(
	ID
	) WITH( STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]


ALTER TABLE dbo.F014 SET (LOCK_ESCALATION = TABLE)
