Create PROCEDURE [dbo].[p_autocalc_046_000600] @sc int
AS 
BEGIN
 Update USL SET
					    KDAY = 
							(CASE 
							  WHEN sl.USL_OK = 1 THEN (CASE WHEN u.DATE_IN = u.DATE_OUT THEN 1 ELSE DATEDIFF(DAY, u.DATE_IN, u.DATE_OUT) END)
							  WHEN sl.USL_OK = 2 THEN DATEDIFF(DAY, u.DATE_IN, u.DATE_OUT) + 1 -
								(SELECT COUNT(*) FROM dbo.WORK_DAY wd WHERE wd.LPU = u.LPU and wd.PODR_ID = u.LPU_1 and H_DATE BETWEEN u.DATE_IN AND u.DATE_OUT)
                            END),
						SUMV_USL= 
                            CAST(
                            	ROUND(vmp.TARIF*ISNULL(u.KOL_USL, 1) ,2)
                            AS NUMERIC (15 ,2)),
                        TARIF=
                            CAST(
                            	ROUND(ISNULL(vmp.TARIF, 0) ,2)
                            AS NUMERIC (15 ,2))
                    from USL u
                    join sluch sl on u.SLID = sl.ID
                    JOIN PACIENT pa on sl.PID = pa.ID
                    join V019 v on sl.METOD_HMP = v.IDHM and (sl.DATE_2 >= v.DATEBEG and (sl.DATE_2 < v.DATEEND +1 or v.DATEEND is null))
                    join dbo.CalcVmpTarif vmp ON vmp.IDGR = v.HGR and (sl.DATE_2 >= vmp.TBEG and sl.DATE_2 < vmp.TEND +1) 
                    where sl.SCHET_ID = @sc and u.CODE_USL Like 'TF%' and sl.USL_OK in (1,2) and sl.VID_HMP is NOT NULL
end