CREATE PROCEDURE [dbo].[p_doc_schet_osob] 
		@sc int, @smo nvarchar(20) = ''
		,@osob int -- признак особого случая
AS --03.10.2018 texnix  
BEGIN
--7 17 -1 этап сирот, 8 18 - 2 этап сирот 7 - трудной - 17 - опека

declare @os1 int,@os2 int -- два особых случая, для 2х этапов
declare @cel1 nvarchar(255), @cel2 nvarchar(255) -- текст в столбцах
declare @itog nvarchar(255) -- наименование общего итога
if @osob in (7,8)
	begin
		set @os1 = 7 set @os2 = 8
		set @cel1 = '1 ЭТАП находящихся в трудной жизненной ситуации: '
		set @cel1 = '2 ЭТАП находящихся в трудной жизненной ситуации: '
		set @itog = ' Диспансеризация пребывающих в стационарных учреждениях детей-сирот и детей, находящихся в трудной жизненной ситуации : ' 
	end
if @osob in (17,18)
	begin
		set @os1 = 17 set @os2 = 18
		set @cel1 = '1 ЭТАП оставшихся без попечения родителей, в том числе усыновленных (удочеренных),принятых под опеку (попечительство), в приемную или патронатную семью: '
		set @cel1 = '2 ЭТАП оставшихся без попечения родителей, в том числе усыновленных (удочеренных),принятых под опеку (попечительство), в приемную или патронатную семью: '
		set @itog = ' Диспансеризация пребывающих в стационарных учреждениях детей-сирот и детей, оставшихся без попечения родителей, в том числе усыновленных (удочеренных),принятых под опеку (попечительство), в приемную или патронатную семью: ' 
	end

Select
case 
 WHEN OS_SLUCH_REGION = @os1 THEN @cel1
  WHEN OS_SLUCH_REGION = @os2 THEN @cel2
  else @itog end cel
  ,sumv,OS_SLUCH_REGION,dbo.[RubPhrase](sumv) prop
from 
	(select OS_SLUCH_REGION,
		sum(SUMV) sumv
	from D3_ZSL_OMS zsl  
		join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID and zsl.D3_SCID=@sc 
		and (@smo in ('','0') or (@smo='46' and (pa.SMO is null or pa.SMO not like '46%')) or (pa.SMO = @smo and @smo like '460%')) -- сразу 3 вида отчЄтов - по всем '' по фонду '46' и по конкретной смо.
	where OS_SLUCH_REGION in (@os1,@os2)
	group by rollup (OS_SLUCH_REGION) 
	) k
order by cel
END



